         TITLE 'EW460055  DRUCKEN KUPON-/DIVIDENDENABRECHNUNG'         !0000001*
***********************************************************************!0000002*
*                                                                     *!0000003*
*                   PROGRAMMDOKUMENTATION                             *!0000004*
*                                                                     *!0000005*
* PROGRAMM-NAME:    E W 4 6 0 0 5 5                                   *!0000006*
*                                                                     *!0000007*
* PROGRAMM-TYP:     ASSEMBLER HAUPTPROGRAMM                           *!0000008*
*                                                                     *!0000009*
* PRODUKTION:       AUF ANFORDERUNG                                   *!0000010*
*                                                                     *!0000011*
* GEBIET:           COUPON                                            *!0000012*
*                                                                     *!0000013*
* JOBNETZ:          STCO130                                           *!0000014*
*                                                                     *!0000015*
* UPROS:                                                              *!0000016*
*                                                                     *!0000017*
* KURZBESCHREIBUNG: DRUCKEN KUPON-. U. DIVIDENDENGUT-/LASTSCHRIFT     *!0000018*
*                                                                     *!0000019*
* COPY-BOOKS:       DPARFIX                                           *!0000020*
*                   DPADRVA                                           *!0000021*
*                   DPIOALT                                           *!0000022*
*                   DPIOEND                                           *!0000023*
*                   DPIONEU                                           *!0000024*
*                                                                     *!0000025*
* DATEIEN :                                                           *!0000026*
*  -INPUT :         SDE642  ZINSABRECHNUNG SORT                       *!0000027*
*                   SDE284  KURSTABELLE                               *!0000028*
*                                                                     *!0000029*
*  -OUTPUT:         ---                                               *!0000030*
*                                                                     *!0000031*
* LISTEN:           DRUCKER                                           *!0000032*
*                   DRUCKE1 GUTSCHRIFTEN MIT ERTRAGS-KTO-NR 396991    *!0000033*
*                   DRUCKE2 GUTSCHRIFTEN FONDS    BRANCHENSCHL}SSEL   *!0000034*
*                                                 121107210           *!0000035*
*                   DRUCKE3 N}RNBERGER ORIGINALE  FILIALE 85          *!0000036*
*                   DRUCKE4 N}RNBERGER DUPLIKATE  FILIALE 85          *!0000037*
*                                                                     *!0000038*
* KARTEN:                                                             *!0000039*
*                                                                      !0000040*
* AENDERUNGEN: $SA100888 -KEIN GELDKONTO BEI NUERNBERGERN              !0000041*
*              $FR090189 -ZUSAETZLICHE ABFRAGE WEGEN 0C7               !0000042*
*                         + PROBEDRUCK OHNE WTO                        !0000043*
*              $FR120189 -ABW. ZINSLAUF --> VJ WIRD AUCH GEDRUCKT      !0000044*
*              $FR160189 -TEXTAENDERUNG                                !0000045*
*              $FR250189 -DRUCK KOPIE BEI STEUERSCHL=2 BEI OSTKONTEN   !0000046*
*              $FR270189 -TABELLE EIGENE IHS UND SCHULDVERSCHR. GRUNDIG!0000047*
*                         --> DRUCK 'KEST ABGEFUEHRT AN FINANZAMT ...' !0000048*
*              $FR110489 -DRUCK 'KAPITALERTRAEGE SIND EINKOMMENSTEUER  !0000049*
*                         PFLICHTIG' AUSGESTERNT                       !0000050*
*              $FR130489 -LOESCHEN DER FELDER TEXT3(84) UND TEXTSICH   !0000051*
*                         AUSGESTERNT,DAMIT TEXTE FUER STEUERBESCHEIN. !0000052*
*                         GEDRUCKT WERDEN.                             !0000053*
*              $FR230689 -AENDERUNG WEGEN 0C7. GA = 1 UND ERTRAGS-     !0000054*
*                         WAEHRUNG=702(NICHT IN DER KURSTABELLE).      !0000055*
*              $FU310789 -SEPARATER DRUCK DER GUTSCHRIFTEN FUER FONDS, !0000056*
*                         NUERNBERGER KUNDEN UND MIT GELDKTONR. 396991.!0000057*
*              $FR040889 -DRUCK 'KEST ABGEFUEHRT AN FINANZAMT FFM.-    !0000058*
*                         BOERSE' BEI EIGENEN IHS AUSGESTERNT          !0000059*
*              $FU150889 -AENDERUNG 'WTORSKA' IN 'WTOSKA'              !0000060*
*              $FR311290 -KEST BEI OSTKONTEN WIEDER 15%,PROGRAMM-      !0000061*
*                         VOM 11.05.90 AKTIVIERT  --> WO001212         !0000062*
*              $FR280591 -SOLIDARITAETS-ZUSCHLAG FUER 1.7.1991         !0000063*
*                         EINGEBAUT                                    !0000064*
*                         ---> WO001468                                !0000065*
*              $FR120891 -GEBUCHTE LASTSCHRIFTEN DRUCKEN               !0000066*
*                                                 --> WO001335         !0000067*
*              $FR031191 -DUPLIKATE BEI NV-BESCHEINIGUNG               !0000068*
*                                                 --> WO001335         !0000069*
*              $FU231291 -BETRAGSFELDER ERWEITERN                      !0000070*
*                         ZZ057, ZZ059, ZZ063, ZZ065, ZZ083, ZZ085     !0000071*
*                         ZZ087, ZZ097, ZZ099, ZZ101, ZZ144            !0000072*
*                                                 --> WO001639         !0000073*
*              $FR080992 -ZINSABSCHLAGSTEUER EINBAUEN                  !0000074*
*                        -HINWEIS 'KEST ABGEFUEHRT AN FINANZAMT BOERSE'!0000075*
*                           EINGEBAUT             --> WO001928         !0000076*
*              $SA281292 -NEUE NV-ARTEN 8 UND 9                        !0000077*
*              $FR190193 -KEINE DUPLIKATE MEHR DRUCKEN BEI NV          !0000078*
*                                          --> WO001928                !0000079*
*              $FR040293 -ABRECHNUNGEN BEI THES. FONDS AUCH WENN       !0000080*
*                         VERG. KEST = 0 (NUR EINZELSTEUERBESCH!)      !0000081*
*                                          --> WO001928                !0000082*
*              $FU100293 -VERG}TETE KEST NUR DRUCKEN, WENN > ZERO      !0000083*
*                                          --> WO001927                !0000084*
***********************************************************************!0000085*
         EJECT                                                         !0000086*
EW460055 START 0                                                       !0000087*
* -----------START DL1-PROGRAMM MIT ZUGRIFF UEBER EWDL1ZUG------------*!0000088*
*                                                                      !0000089*
         BASIS                                                         !0000090*
         MVC   DPPCBBT,0(1)            PCB-ADRESSEN FUER EWDL1C        !0000091*
         ST    13,DL1SAVE+4            REGISTER 13 RETTEN              !0000092*
*                                                                      !0000093*
* --------------------------------------------------------------------*!0000094*
         PRINT GEN                                                     !0000095*
         OPEN  (DRUCKER,(OUTPUT),SDE642,(INPUT),SDE284,(INPUT),        -0000097*
               DRUCKE1,(OUTPUT),DRUCKE2,(OUTPUT),DRUCKE3,(OUTPUT),     -0000098*
               DRUCKE4,(OUTPUT))                                       !0000099*
         LA    R9,KURSTAB                                              !0000100*
         LA    R8,250                                                  !0000101*
K        GET   SDE284,KRS                                              !0000102*
         CLC   KRS02(2),=X'0000'                                       !0000103*
         BE    K                                                       !0000104*
         CLC   KRS02(2),=X'9999'                                       !0000105*
         BE    ESDE284                                                 !0000106*
         CLI   KRS01,X'90'                                             !0000107*
         BE    K                                                       !0000108*
         UNPK  DFELD(4),KRS02(3)                                       !0000109*
         MVC   0(5,R9),KRS03                                           !0000110*
         MVC   5(3,R9),DFELD                                           !0000111*
         MVC   8(25,R9),KRS04                                          !0000112*
         MVC   33(1,R9),KRS05                                          !0000113*
         MVC   34(6,R9),KRS07                                          !0000114*
         LA    R9,40(R9)                                               !0000115*
         BCT   R8,K                                                    !0000116*
*        WTOSKA 'KURSTABELLE IST ZU KLEIN, PROGRAMMMABBRUCH'  $FU150889!0000117*
         B     END91             CLOSE!                                !0000118*
ESDE284  MVC   0(5,R9),=C'*****' ENDE TABELLE SETZEN                   !0000119*
         SPACE 2                                                       !0000120*
*------- 4.ZEILE ------------------------------------------------------!0000121*
         MVI   DBER,X'93'        KANAL2 SOFORT                         !0000122*
         BAL   R6,DRUCKE                                      $FU310789!0000123*
*--------PROBEDRUCK----------------------------------------------------!0000124*
L1       MVC   DBER+2(80),=C'XX X.XXX.XXX.XXX,XXX X XX,XXXXX XXXXXXXXXX-0000125*
               XXXXXXXXXXXXXXXXXXXX XX.XX.XX   XXXXXX'                 !0000126*
         MVI   DBER,X'91'        SCHREIBEN + KANAL2                    !0000127*
         BAL   R6,DRUCKE                                      $FU310789!0000128*
*********$FR090189**************************************************** !0000129*
         AP    ANZ,=P'1'         ZAEHLER PROBEDRUCK                    !0000130*
         CP    ANZ,=P'5'         MAX. ANZAHL                           !0000131*
         BNE   L1                                                      !0000132*
         ZAP   ANZ,=P'0'                                               !0000133*
********************************************************************** !0000134*
*------- 1.ZEILE ------------------------------------------------------!0000135*
         MVI   DBER,X'8B'        KANAL1 SOFORT                         !0000136*
         BAL   R6,DRUCKE                                      $FU310789!0000137*
         MVC   TEXTSICH(84),TEXT3                                      !0000138*
         SPACE 2                                                       !0000139*
********************************************************************** !0000140*
*        GUT- UND LASTSCHRIFTEN                                      * !0000141*
********************************************************************** !0000142*
A        GET   SDE642,ZZ                                               !0000143*
         CLC   ZZ150(26),=XL26'00' ABFRAGE KEY AUF 1.SATZ              !0000144*
         BE    A                                                       !0000145*
         CLI   ZZ001,X'FF'         SATZART                             !0000146*
         BE    A                                                       !0000147*
         CLI   ZZ111,X'AA'         AUSFUEHRUNGS-MERKMAL                !0000148*
         BNE   A                                                       !0000149*
**       CP    ZZ081,=P'0'         OB SOLLBESTAND --> LASTSCHRIFT      !0000150*
**       BM    A                   JA                         $FR120891!0000151*
         TM    ZZ121,X'10'         OB NUR STEUERBESCHEINIGUNG 0001 0000!0000152*
         BZ    A001                NEIN                                !0000153*
         TM    ZZ121,X'E0'         GUTSCHRIFT ?               1110 0000!0000154*
         BNZ   A001                NEIN                                !0000155*
         CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCHEINIGUNG        !0000156*
         BE    A                   JA, N[CHSTEN SATZ LESEN             !0000157*
*--------THES. FONDS---------------------------------------------------!0000158*
A001     CLI   ZZ015,X'06'         THESAURIERENDE FONDS ?              !0000159*
         BNE   A00                 NEIN                                !0000160*
*********$FR040293*****************************************************!0000161*
         B     A011                                                    !0000162*
**       CP    ZZ095,=P'0'         JA, VERG]TETE KOEST = 0 ?           !0000163*
**       BNE   A011                NEIN                                !0000164*
*********$FR040293*ENDE************************************************!0000165*
*----------------------------------------------------------------------!0000166*
A00      CP    ZZ085,=P'0'         JA, BRUTTOBETRAG = 0 ?              !0000167*
         BE    A                   JA, N[CHSTEN SATZ LESEN             !0000168*
*                                                                      !0000169*
A011     BAL   R7,AUSL             KONTO-SCHL]SSEL SETZEN              !0000170*
         TM    ZZ121,X'F0'         OB NICHTS DRUCKEN          1111 0000!0000171*
         BO    A                   JA, N[CHSTEN SATZ LESEN             !0000172*
         ZAP   DUPL,=P'0'          DUPLIKATS-KZ AUF 0 SETZEN           !0000173*
         MVI   A110+1,X'00'        SPRUNG ZU A111 IN LABEL A110 AKTIVI !0000174*
A2       BAL   R7,ADRESSE          KUNDENADRESSE LESEN                 !0000175*
         BAL   R11,A11             SATZ AUFBEREITEN UND DRUCKEN        !0000176*
         B     A                   N{CHSTEN SATZ LESEN                 !0000177*
         SPACE 2                                                       !0000178*
********************************************************************** !0000179*
*        DUPLIKATE BEI NV     INAKTIV SEIT DEM  19.01.93             * !0000180*
********************************************************************** !0000181*
ESDE642  CLOSE (SDE642)                                                !0000182*
*END2     NOP   END91               CLOSE!                             !0000183*
END2     B     END91               KEINE DUPLIKATE!!!   $FR190193      !0000184*
         MVI   END2+1,X'F0'                                            !0000185*
         MVC   TEXT1+22(17),=C'-D U P L I K A T-'                      !0000186*
         MVC   TEXT1+61(17),TEXT1+22                                   !0000187*
         MVC   TEXT1+100(17),TEXT1+22                                  !0000188*
*                                                                      !0000189*
         OPEN  (SDE642,(INPUT))                                        !0000190*
B        GET   SDE642,ZZ                                               !0000191*
         CLC   ZZ150(26),=XL26'00'   1.SATZ                            !0000192*
         BE    B                                                       !0000193*
         CLI   ZZ001,X'FF'                                             !0000194*
         BE    B                                                       !0000195*
         CLI   ZZ111,X'AA'                                             !0000196*
         BNE   B                                                       !0000197*
         TM    ZZ121,X'F0'        NICHTS DRUCKEN                       !0000198*
         BO    B                                                       !0000199*
         BAL   R7,AUSL                                                 !0000200*
         CLI   PR,X'14'                                                !0000201*
         BE    B012                                                    !0000202*
         CLI   PR,X'24'                                                !0000203*
         BNE   B011                                                    !0000204*
B012     TM    ZZ015,X'03'                                             !0000205*
         BO    B0                                                      !0000206*
         BM    B011                                                    !0000207*
         TM    ZZ015,X'06'                                             !0000208*
         BM    B0                                                      !0000209*
B011     CLI   ZZ015,X'09'                                             !0000210*
         BE    B0                                                      !0000211*
B013     CLI   ZZ015,X'02'        STEUERSCHLUESSEL                     !0000212*
         BNE   B02                                                     !0000213*
         CLI   ZZ107,C'0'         NIESSBRAUCHMERKMAL                   !0000214*
         BH    B0                                                      !0000215*
*********$FR250189***************************************************  !0000216*
         TM    ZZ121,X'40'        OSTKONTO-->STEUERBESCH. GEM. LAENDER.!0000217*
         BO    B0                 KOPIE DRUCKEN                        !0000218*
*********************************************************************  !0000219*
B02      TM    ZZ121,X'20'        NV-BESCHEINIGUNG                     !0000220*
*********$FR031291***************************************************  !0000221*
**       BNO   B1                                       $FR120891      !0000222*
**       B     B                                                       !0000223*
         BNO   B03                NUR DUPLIKATE BEI NV                 !0000224*
*********$FR031291**ENDE*********************************************  !0000225*
B0       BAL   R7,ADRESSE         DB-ZUGRIFF                           !0000226*
         BAL   R11,A11            SATZAUFBEREITUNG UND DRUCK           !0000227*
*        B     B                                                       !0000228*
B03      B     B                  NAECHSTEN SATZ LESEN  $FR031291      !0000229*
*********$FR120891***************************************************  !0000230*
*B1       CP    ZZ081,=P'0'        NOMINALE                            !0000231*
*         BP    B                                                      !0000232*
*         B     B0                                                     !0000233*
*********$FR120891**ENDE*********************************************  !0000234*
         SPACE 2                                                       !0000235*
A11      BAL   R7,AUFBER          SATZ AUFBEREITEN UND DRUCKEN         !0000236*
A110     NOP   A111                                                    !0000237*
         ZAP   DUPL,ZZ105         DUPLIKAT                             !0000238*
         MVI   A110+1,X'F0'                                            !0000239*
A111     CP    DUPL,=P'0'         DUPLIKAT = 0 ?                       !0000240*
         BER   R11                JA                                   !0000241*
         B     A11                NEIN, SATZ AUFBEREITEN               !0000242*
         EJECT                                                         !0000243*
***********************************************************************!0000244*
*                    SATZAUFBEREITUNG                                 *!0000245*
***********************************************************************!0000246*
AUFBER   EQU   *                                                       !0000247*
*              ZINSABSCHLAG-ZEILENZ{HLER MIT ANFANGSWERT INITIALISIEREN!0000248*
         ZAP   ZIABZAE,=P'8'         $FR080992                         !0000249*
         MVI   GA,C'0'               0 = DM GEGEN DM                   !0000250*
         CLC   ZZ047(2),=X'0000'     ERTRAGSW[HRUNG = DM ?             !0000251*
         BE    AUFBER11                                                !0000252*
         CLC   ZZ047(2),=X'0004'     ERTRAGSW[HRUNG = DM ?             !0000253*
         BE    AUFBER11                                                !0000254*
         CLC   ZZ049(2),=X'0000'     ABRECHNUNGSW[HRUNG = DM ?         !0000255*
         BNE   *+12                                                    !0000256*
         MVI   GA,C'1'               1 = W{HRUNG GEGEN DM              !0000257*
         B     AUFBER11                                                !0000258*
         CLC   ZZ049(2),=X'0004'     ABRECHNUNGSW[HRUNG = DM ?         !0000259*
         BNE   *+12                                                    !0000260*
         MVI   GA,C'1'               1 = W{HRUNG GEGEN DM              !0000261*
         B     AUFBER11                                                !0000262*
         CLC   ZZ047(2),ZZ049        ERTRAGS- = ABRECHNUNGSW{HRUNG ?   !0000263*
         BNE   *+12                                                    !0000264*
         MVI   GA,C'3'               3 = W{HRUNG GEGEN EIGENE W{HRUNG  !0000265*
         B     AUFBER11                                                !0000266*
         MVI   GA,C'2'               2 = W{HRUNG GEGEN ANDERE W{HRUNG  !0000267*
*                                                                      !0000268*
AUFBER11 UNPK  DFELD(5),ZZ047(3)     ERTRAGSW{HRUNGS-SCHL}SSEL ENTPACK.!0000269*
         UNPK  DFELD+5(5),ZZ049(3)   ABRECHNUNGSW{HRUNG ENTPACKEN      !0000270*
         XC    ERTKUB(10),ERTKUB                                       !0000271*
         CLC   DFELD+1(3),=C'000'    INHALT ERTRAGSW{HRUNG LEER ?      !0000272*
         BNE   AUFBER15              NEIN                              !0000273*
         MVC   DFELD+1(3),=C'004'    JA, 'DM' ALS ERTRAGSW{HRUNG       !0000274*
*                                                                      !0000275*
AUFBER15 CLC   DFELD+6(3),=C'000'    INHALT ABRECHNUNGSW{HRUNG LEER ?  !0000276*
         BNE   AUFBER10              NEIN                              !0000277*
         MVC   DFELD+6(3),=C'004'    JA, 'DM' ALS ABRECHNUNGSW{HRUNG   !0000278*
*                                                                      !0000279*
AUFBER10 STM   R7,R9,RSAVE                                             !0000280*
AUF1     LA    R9,KURSTAB                                              !0000281*
AUF2     CLC   0(5,R9),=C'*****'     ENDE KURSTABELLE                  !0000282*
         BE    AUF99                                                   !0000283*
AUF3     NOP   AUF4                                                    !0000284*
         CLC   DFELD+1(3),5(R9)      ERTRAGS-WAEHRUNG ?                !0000285*
         BE    AUFBER13                                                !0000286*
AUF4     NOP   AUF5                                                    !0000287*
         CLC   DFELD+6(3),5(R9)      ABRECHNUNGS-WAEHRUNG ?            !0000288*
         BE    AUFBER14                                                !0000289*
AUF5     LA    R9,40(R9)                                               !0000290*
         B     AUF2                                                    !0000291*
AUF99    MVI   AUF3+1,X'00'                                            !0000292*
         MVI   AUF4+1,X'00'                                            !0000293*
         LM    R7,R9,RSAVE                                             !0000294*
         B     AUFBER19                                                !0000295*
AUFBER13 MVC   ERTKUB(5),0(R9)       ERTRAGSKURS                       !0000296*
         MVI   AUF3+1,X'F0'                                            !0000297*
         CLC   DFELD+6(3),=C'004'                                      !0000298*
         BNE   AUF4                                                    !0000299*
         MVC   PARI(1),33(R9)        PARITAET                          !0000300*
         B     AUF4                                                    !0000301*
AUFBER14 MVC   ABRKUB(5),0(R9)                                         !0000302*
         MVI   AUF4+1,X'F0'                                            !0000303*
         CLC   DFELD+6(3),=C'004'                                      !0000304*
         BE    AUF3                                                    !0000305*
         MVC   PARI(1),33(R9)                                          !0000306*
         B     AUF3                                                    !0000307*
********************                                                   !0000308*
*    ABRECHNUNG    *                                                   !0000309*
********************                                                   !0000310*
AUFBER19 CLI   GA,C'1'               ABRECHNUNG   W{HRUNG --> DM ?     !0000311*
         BL    AUFBER22              NEIN, GA = 0  DM-ABRECHNUNG       !0000312*
         BE    AUFBER20              JA,   GA = 1  W{HRUNG --> DM      !0000313*
*                                                                      !0000314*
*----------------------------------------------------------------------!0000315*
*    GESCH[FTSART 2 + 3              W[HRUNG -> W[HRUNG (MULTIW[HRUNG) !0000316*
*----------------------------------------------------------------------!0000317*
*                                                                      !0000318*
         ZAP   REFE,ZZ097            NETTOGUTSCHRIFT WAEHRUNG          !0000319*
         AP    REFE,ZZ063            2.QUELLENSTEUER WAE               !0000320*
         AP    REFE,ZZ057            1.QUELLENSTEUER WAE               !0000321*
         AP    REFE,ZZ071            SPESEN WAE                        !0000322*
**       AP    REFE,ZZ077            PROVISION WAE   $FR080992         !0000323*
         AP    REFE,ZZ304            ZINSABSCHLAG    $FR080992         !0000324*
         ZAP   ZWISU,REFE+9(7)       BRUTTO WAE $FU231291 11(5) -> 9(7)!0000325*
         B     AUFBER24                                                !0000326*
*                                                                      !0000327*
*----------------------------------------------------------------------!0000328*
*    GESCH[FTSART 1                  W[HRUNG -> DM                     !0000329*
*----------------------------------------------------------------------!0000330*
*                                                                      !0000331*
AUFBER20 ZAP   REFE,ZZ099            NETTOGUTSCHRIFT DM                !0000332*
         AP    REFE,ZZ065            2.QUELLENSTEUER DM                !0000333*
         AP    REFE,ZZ059            1.QUELLENSTEUER DM                !0000334*
         AP    REFE,ZZ073            SPESEN DM                         !0000335*
**       AP    REFE,ZZ079            PROVISION DM    $FR080992         !0000336*
         AP    REFE,ZZ304            ZINSABSCHLAG    $FR080992         !0000337*
*                                                                      !0000338*
AUFBER24 MP    REFE,=P'100000000'    REFE X 100 MILLIONEN              !0000339*
         DP    REFE,ZZ083            BRUTTOBETRAG WAE                  !0000340*
         MVC   DEVKUR+1(9),REFE                $FU231291               !0000341*
*        MVN   DEVKUR+8(1),REFE+9              $FU231291               !0000342*
         CLI   PARI,X'03'            PARITAET = 3                      !0000343*
         BNE   *+10                                                    !0000344*
         ZAP   REFE(3),=P'1000'                                        !0000345*
         CLI   PARI,X'02'            PARITAET = 2                      !0000346*
         BNE   *+10                                                    !0000347*
         ZAP   REFE(3),=P'100'                                         !0000348*
         CLI   PARI,X'01'            PARITAET = 1                      !0000349*
         BNE   *+14                                                    !0000350*
         ZAP   REFE(3),=P'10'                                          !0000351*
**       B     *+12                                                    !0000352*
         B     *+20                  $FR230689                         !0000353*
         CLI   PARI,X'00'            PARITAET = 0                      !0000354*
**       BE    *+10                                                    !0000355*
         BE    *+18                  $FR230689                         !0000356*
*********$FR230689**************************************************** !0000357*
         CLI   PARI,X'40'            PARITAET = ' '                    !0000358*
         BE    *+10                                                    !0000359*
********************************************************************** !0000360*
         MP    DEVKUR,REFE(3)                                          !0000361*
         CLI   GA,C'2'             2 = W{HRUNG GEGEN ANDERE W{HRUNG    !0000362*
         BE    AUFBER22            JA                                  !0000363*
         MVC   DEVKUR+4(6),ZZ051   1.DIVISENUMRECHNUNGSKURS   $FU231291!0000364*
         SPACE 2                                                       !0000365*
*                             1. ZEILE                                *!0000366*
         SPACE 1                                                       !0000367*
AUFBER22 XC    ZEITRAUM,ZEITRAUM                                       !0000368*
         CLC   ZZ033(3),=X'000000'                                     !0000369*
         BE    AUFBER9                                                 !0000370*
         CLC   ZZ003+2(3),=X'500000'                                   !0000371*
         BNL   AUF22C                                                  !0000372*
         CLC   ZZ019,=X'000000'                                        !0000373*
         BNE   AUFBER2                                                 !0000374*
AUF22C   CLC   ZZ033(2),=X'0000'                                       !0000375*
         BE    AUFBER3                                                 !0000376*
         MVC   ZEITRAUM+3(5),=X'4020202020'                            !0000377*
         CLI   ZZ033,X'00'                                             !0000378*
         BNE   AUF22A                                                  !0000379*
         ED    ZEITRAUM+3(5),ZZ033+1                                   !0000380*
         B     AUFBER9                                                 !0000381*
AUF22A   CLI   ZZ033+2,X'00'                                           !0000382*
         BNE   AUF22B                                                  !0000383*
         ED    ZEITRAUM+3(5),ZZ033                                     !0000384*
         B     AUFBER9                                                 !0000385*
AUF22B   MVC   ZEITRAUM+2(8),=X'4020202020612020'                      !0000386*
         ED    ZEITRAUM+2(8),ZZ033                                     !0000387*
         B     AUFBER9                                                 !0000388*
AUFBER3  MVC   ZEITRAUM+7(3),=X'402020'                                !0000389*
         ED    ZEITRAUM+7(3),ZZ033+2                                   !0000390*
         MVC   ZEITRAUM+6(2),=C'19'                                    !0000391*
         B     AUFBER9                                                 !0000392*
AUFBER2  MVC   DFELD(9),=X'4020204B20204BF1F9'                         !0000393*
         ED    DFELD(9),ZZ033                                          !0000394*
         MVC   ZEITRAUM(8),DFELD+1                                     !0000395*
         CLI   ZZ033+2,X'40'                                           !0000396*
         BE    AUFBER8                                                 !0000397*
         CLI   ZZ033+2,X'00'                                           !0000398*
         BNE   AUFBER3                                                 !0000399*
AUFBER8  UNPK  DFELD(7),ZZ043(4)                                       !0000400*
         MVC   ZEITRAUM+8(2),DFELD+4                                   !0000401*
AUFBER9  CLI   ZZ025,C'1'                   OB STORNO                  !0000402*
         BNE   AUFBER90                     NEIN                       !0000403*
         MVC   DBER+36(7),=C'STORNO-'                                  !0000404*
AUFBER90 MVZ   STFE,ZZ121                                              !0000405*
         CLI   STFE,X'80'          STEUERBYTE = B'1000 0000' ?         !0000406*
         BNE   Z01                 NEIN                                !0000407*
         CP    ZZ031,=P'0'         DIVIDENDENANTEIL BEI INVESTMENT = 0 !0000408*
         BE    Z01                 JA                                  !0000409*
         OI    STFE,X'10'                                              !0000410*
Z01      TM    ZZ121,X'10'         OB STEUERBESCHEINIGUNG B'0001 0000' !0000411*
         BNO   Z1                  NEIN                                !0000412*
         CP    DUPL,=P'0'          NUR ORIGINAL ?                      !0000413*
         BE    ZRIE                JA                                  !0000414*
         MVC   DBER+61(17),=C'-D U P L I K A T-'                       !0000415*
         MVI   SDUP,C'1'       DUPLIKAT-KZ SETZEN                      !0000416*
         B     Z02                                                     !0000417*
ZRIE     CLI   ZZ025,C'1'          STORNO ?                            !0000418*
         BNE   Z011                NEIN                                !0000419*
         MVC   DBER+44(19),=C'STEUERBESCHEINIGUNG'                     !0000420*
         B     Z02                                                     !0000421*
Z011     MVC   DBER+39(19),=C'STEUERBESCHEINIGUNG'                     !0000422*
Z02      ZAP   DOWO2,=P'5'                                             !0000423*
         B     Z4                                                      !0000424*
Z1       LA    R9,TEADR                                                !0000425*
         LA    R10,3                                                   !0000426*
Z10      CLC   ZZ003+2(2),2(R9)                                        !0000427*
         BH    Z11                                                     !0000428*
         CLC   ZZ003+2(2),0(R9)                                        !0000429*
         BL    Z11                                                     !0000430*
         ZAP   DOWO,4(1,R9)                                            !0000431*
         B     Z12                                                     !0000432*
Z11      LA    R9,5(R9)                                                !0000433*
         BCT   R10,Z10                                                 !0000434*
         ZAP   DOWO,=P'1'                                              !0000435*
Z12      ZAP   DOWO2,DOWO                                              !0000436*
         MP    DOWO,=P'39'                                             !0000437*
         CVB   R10,DOWO                                                !0000438*
         LA    R9,TEXT1                                                !0000439*
         AR    R9,R10                                                  !0000440*
         CLI   ZZ025,C'1'        STORNO ?                              !0000441*
         BNE   Z12A              NEIN                                  !0000442*
         MVC   DBER+44(39),0(R9)                                       !0000443*
         B     Z12B                                                    !0000444*
Z12A     MVC   DBER+39(39),0(R9)                                       !0000445*
Z12B     CP    ZZ081,=P'0'       NOMINALE > 0                          !0000446*
         BP    Z13               JA                                    !0000447*
         CLI   ZZ025,C'1'        STORNO ?                              !0000448*
         BNE   Z12C              NEIN                                  !0000449*
         MVC   DBER+44(39),=C'LASTSCHRIFT                            ' !0000450*
         B     Z13                                                     !0000451*
Z12C     MVC   DBER+39(39),=C'LASTSCHRIFT                            ' !0000452*
Z13      CP    DUPL,=P'0'          NUR ORIGINAL DRUCKEN ?              !0000453*
         BE    Z15                 JA                                  !0000454*
         MVC   DBER+64(17),=C'-D U P L I K A T-'                       !0000455*
         XC    TEXT3(84),TEXT3                                         !0000456*
         MVI   SDUP,C'1'           DUPLIKAT-KZ SETZEN                  !0000457*
*********************** $FU310789 ANFANG ***************************** !0000458*
Z15      CLC   ZZ045(6),=XL6'00'   ERTRAGSKONTO = X'000000000000' ?    !0000459*
         BNE   Z16                 NEIN, ERTRAGSKTO. WIRD NICHT GEF}LLT!0000460*
         MVC   ZZ045,ZZ011         ERTRAGSKTO. ERHAELT DEPOTKTO-NR     !0000461*
Z16      MVI   DBER,X'09'                                              !0000462*
         BAL   R6,DRUCKE                                               !0000463*
*********************** $FU310789 ENDE ******************************* !0000464*
         SPACE 3                                                       !0000465*
*                           2. ZEILE                                  *!0000466*
         SPACE 2                                                       !0000467*
Z2       TM    ZZ121,X'C0'         OB STEUERBESCHEINIGUNG DRUCKEN      !0000468*
         BC    9,Z201              NEIN                                !0000469*
         CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCH.               !0000470*
         BE    Z24                 JA                                  !0000471*
Z201     TM    ZZ121,X'E0'                                             !0000472*
         BO    Z24                                                     !0000473*
         BZ    Z24                                                     !0000474*
Z200     TM    ZZ121,X'80'         GUTSCHRIFT MIT STEUERBESCH.         !0000475*
         BNO   Z20                                                     !0000476*
         ZAP   DOWO,=P'0'          1.ZEILE TABELLE                     !0000477*
         B     Z22                                                     !0000478*
Z20      TM    ZZ121,X'40'         OSTKONTO                            !0000479*
         BNO   Z21                                                     !0000480*
         ZAP   DOWO,=P'1'          2.ZEILE TABELLE                     !0000481*
         B     Z22                                                     !0000482*
Z21      TM    ZZ121,X'20'         NV                                  !0000483*
         BNO   Z24                                                     !0000484*
         CLI   ZZ093,C'1'          BELEGSCHAFTSAKTIEN                  !0000485*
         BNE   Z210                                                    !0000486*
         ZAP   DOWO,=P'3'          4.ZEILE TABELLE                     !0000487*
         B     Z22                                                     !0000488*
Z210     ZAP   DOWO,=P'2'          3.ZEILE TABELLE                     !0000489*
Z22      MP    DOWO,=P'42'                                             !0000490*
         CVB   R10,DOWO                                                !0000491*
         LA    R9,TEXT3                                                !0000492*
         AR    R9,R10                                                  !0000493*
Z23      MVC   DBER+39(42),0(R9)                                       !0000494*
         C     R10,=F'84'          NV??                                !0000495*
         BNE   Z24                                                     !0000496*
         MVC   DBER+60(1),ZZ117    NV-ART                              !0000497*
         MVC   DBER+65(17),=X'4020202020202020202020202020202020'      !0000498*
         ED    DBER+65(17),ZZ103   NV-NR                               !0000499*
Z24      MVC   TEXT3(84),TEXTSICH                                      !0000500*
****************** AENDERUNGEN WEGEN 10% QUELLENSTEUER AM 10.11.88 *** !0000501*
         CLI   ZZ015,X'02'         OB 10% QUELLENSTEUER                !0000502*
         BE    Z25                                                     !0000503*
         CLI   ZZ015,X'08'                                             !0000504*
         BNE   Z27                                                     !0000505*
Z25      CLC   ZZ089,=X'0000'      URSPRUNGSLAND DEUTSCHLAND           !0000506*
         BE    Z26                 JA                                  !0000507*
         CLC   ZZ089,=X'0004'      URSPRUNGSLAND DEUTSCHLAND           !0000508*
         BNE   Z27                 NEIN                                !0000509*
Z26      CLC   ZZ003+2(3),=X'449999'  AUSL. FESTVERZINSL.WERTPAPIERE ? !0000510*
         BH    Z27                 JA                                  !0000511*
         TM    ZZ121,X'40'         OB OSTKONTEN                        !0000512*
         BNO   Z27                 NEIN                                !0000513*
         XC    DBER,DBER           DRUCKBEREICH LSCHEN                !0000514*
         MVC   DBER+39(21),=C'GEMAESS LAENDERERLASS'                   !0000515*
****************** AENDERUNGEN WEGEN 10% QUELLENSTEUER AM 10.11.88 *** !0000516*
Z27      MVI   DBER,X'09'                                              !0000517*
         BAL   R6,DRUCKE                           $FU310789           !0000518*
         SPACE 3                                                       !0000519*
*                             3. ZEILE                                *!0000520*
         SPACE 2                                                       !0000521*
Z3       CLI   ZZ009+1,X'02'                                           !0000522*
         BE    Z31                                                     !0000523*
         CLI   ZZ009+1,X'12'                                           !0000524*
         BNE   Z4                                                      !0000525*
Z31      MP    DOWO2,=P'42'                                            !0000526*
         CVB   R10,DOWO2                                               !0000527*
         LA    R9,TEXT2                                                !0000528*
         AR    R9,R10                                                  !0000529*
         MVC   DBER+39(42),0(R9)                                       !0000530*
         MVI   DBER,X'19'                                              !0000531*
         BAL   R6,DRUCKE                           $FU310789           !0000532*
         SPACE 3                                                       !0000533*
*                            4. ZEILE                                 *!0000534*
         SPACE 2                                                       !0000535*
Z4       MVI   DBER,X'91'                                              !0000536*
         BAL   R6,DRUCKE                           $FU310789           !0000537*
         MVC   DBER+2(2),ZZ017        KURSERLAEUTERUNG                 !0000538*
         MVC   DBER+4(18),SCHAB1                                       !0000539*
         ED    DBER+4(18),ZZ081       NOMINAL                          !0000540*
         MVC   DBER+24(8),=X'4020206B20202020'                         !0000541*
         ED    DBER+24(8),ZZ021       PROZENTSATZ                      !0000542*
         MVC   DBER+34(30),ZZ023      WP.- BEZ.                        !0000543*
         CLI   ZZ003+2,X'49'                                           !0000544*
         BH    Z45                                                     !0000545*
         CLC   ZZ019(2),=X'0000'                                       !0000546*
         BE    Z45                                                     !0000547*
         MVC   DBER+64(9),SCHAB4                                       !0000548*
         ED    DBER+64(9),ZZ019       ABWEICHENDER ZINSLAUF            !0000549*
         CLI   ZZ019+2,X'00'          ZINSLAUF GANZJ[HRLICH ?          !0000550*
         BE    Z42                    JA                               !0000551*
*********$FR120189***************************************************  !0000552*
         CLI   ZZ019+2,X'03'          ZINSLAUF VIERTELJ[HRLICH ?       !0000553*
         BE    Z411                   JA                               !0000554*
         B     Z412                   NEIN                             !0000555*
Z411     MVC   DBER+71(2),=C'VJ'      VIERTELJ[HRLICH                  !0000556*
         B     Z45                                                     !0000557*
*********************************************************************  !0000558*
Z412     MVC   DBER+71(2),=C'HJ'      HALBJ[HRLICH                     !0000559*
         B     Z45                                                     !0000560*
Z42      MVC   DBER+71(2),=C'GJ'      GANZJ[HRLICH                     !0000561*
         CLI   ZZ019,X'99'                                             !0000562*
         BNE   Z45                                                     !0000563*
         MVC   DBER+64(2),=C'UL'      ULITMO                           !0000564*
Z45      MVC   DBER+75(7),=X'40202020202020'                           !0000565*
         ED    DBER+75(7),ZZ003+2     KENN.-NR.                        !0000566*
         MVI   DBER,X'09'                                              !0000567*
         BAL   R6,DRUCKE                           $FU310789           !0000568*
         SPACE 3                                                       !0000569*
*                            5. ZEILE                                 *!0000570*
         SPACE 2                                                       !0000571*
Z5       MVC   DBER+34(30),ZZ023+30   WP.- BEZEICHNUNG                 !0000572*
         MVI   DBER,X'19'                                              !0000573*
         BAL   R6,DRUCKE                           $FU310789           !0000574*
         SPACE 3                                                       !0000575*
*                            6. ZEILE                                 *!0000576*
         SPACE 2                                                       !0000577*
Z6       MVC   DBER+4(16),SCHAB2                                       !0000578*
         ED    DBER+4(16),ZZ027     DIVIDENDE/ZINSSATZ                 !0000579*
*-------------------------------------------------- $HA. WIEDER REIN   !0000580*
         MVC   DBER+22(16),SCHAB2      RAUS 26.6.87 $HA.               !0000581*
         ED    DBER+22(16),ZZ029     SONDERZAHLUNGSSATZ  DTO. $HA.     !0000582*
*-------------------------------------------------- $HA. WIEDER REIN   !0000583*
         NULLU ,DBER+15,5                                              !0000584*
         NULLU ,DBER+33,5                                              !0000585*
         MVC   DBER+40(7),SCHAB3                                       !0000586*
         ED    DBER+40(7),ZZ031      DIV. ANTEIL BEI INVESTMENT        !0000587*
         MVC   DBER+49(9),SCHAB11                                      !0000588*
         ED    DBER+49(9),ZZ113A     STPFL. BRUTTO PRIVATVERM JE ANTEIL!0000589*
         MVC   DBER+60(9),SCHAB11                                      !0000590*
         ED    DBER+60(9),ZZ113D     AUSL. BRUTTOERTR{GE JE ANTEIL     !0000591*
         CP    ZZ113G,=P'0'          ANR. AUSL. QUELL-ST.-SATZ IN % = 0!0000592*
         BE    Z61                   JA                                !0000593*
         MVC   DBER+71(9),SCHAB11                                      !0000594*
         ED    DBER+71(9),ZZ113G     ANR. AUSL. QUELL-ST.-SATZ IN %    !0000595*
         B     Z62                                                     !0000596*
Z61      MVC   DBER+71(9),SCHAB11                                      !0000597*
         ED    DBER+71(9),ZZ113H     ANR. AUSL. QUELL-ST. JE ANTEIL    !0000598*
Z62      NULLU ,DBER+77,3                                              !0000599*
         NULLU ,DBER+55,3                                              !0000600*
         NULLU ,DBER+66,3                                              !0000601*
         MVI   DBER,X'19'                                              !0000602*
         BAL   R6,DRUCKE                           $FU310789           !0000603*
         SPACE 3                                                       !0000604*
*                             7. ZEILE                                *!0000605*
         SPACE 2                                                       !0000606*
Z7       MVC   DBER+7(10),ZEITRAUM                                     !0000607*
*        MVI   10(R8),C'8'                                   22.12.80  !0000608*
*        MVI   11(R8),C'1'                                   22.12.80  !0000609*
Z73      MVC   DBER+19(9),SCHAB4                                       !0000610*
         CLI   ZZ003+2,X'50'         OB AKTIEN                         !0000611*
         BL    Z71                   NEIN                              !0000612*
         ED    DBER+19(9),ZZ037      EXTAG                             !0000613*
         B     Z72                                                     !0000614*
Z71      ED    DBER+19(9),ZZ035      INKLUSIVTAG                       !0000615*
Z72      MVC   DBER+30(9),SCHAB4                                       !0000616*
         ED    DBER+30(9),ZZ039      ZAHLBARKEITSTAG                   !0000617*
         MVC   DBER+43(1),ZZ015      STEUERSCHL]SSEL                   !0000618*
         MVZ   DBER+43(1),=X'F0'                                       !0000619*
         MVC   DBER+48(1),ZZ127      ZINSRECHENMETHODE                 !0000620*
         MVC   DBER+53(5),SCHAB9                                       !0000621*
         ED    DBER+53(5),ZZ009      STUECKEART                        !0000622*
         MVC   DBER+50(5),SCHAB9                                       !0000623*
         ED    DBER+50(5),ZZ007      LAGERSTELLE                       !0000624*
         MVC   DBER+50(3),=X'402120'                                   !0000625*
         ED    DBER+50(3),ZZ005      VERWAHR-ART                       !0000626*
         MVC   DBER+58(3),=X'F02020'                                   !0000627*
         ED    DBER+58(3),ZZ013      SONDERHEITEN-SCHL]SSEL            !0000628*
         MVI   DBER+58,X'40'                                           !0000629*
         DARUM ZZ123,DBER+61         SONDERHEITEN-DATUM DREHEN         !0000630*
         MVC   DBER+72(1),ZZ093      KST/DIV MERKM.                    !0000631*
         MVC   DBER+75(1),ZZ109      KUPONSTEUER                       !0000632*
         MVC   DBER+78(1),ZZ107      NIESSBRAUCHMERKM.                 !0000633*
         MVC   DBER+80(2),=X'F020'                                     !0000634*
         ED    DBER+80(2),ZZ105      DUPLIKAT                          !0000635*
         MVI   DBER+80,X'40'                                           !0000636*
         MVI   DBER,X'11'                                              !0000637*
         BAL   R6,DRUCKE                           $FU310789           !0000638*
         SPACE 3                                                       !0000639*
*                            8. ZEILE  -  16. ZEILE                   *!0000640*
         SPACE 2                                                       !0000641*
         SR    R9,R9                                                   !0000642*
         ST    R7,RSAVE                                                !0000643*
         LA    R7,ZZ057            1. QUELLENSTEUER IN W{HRUNG         !0000644*
         CLI   GA,C'1'             ABRECHNUNG W[HRUNG IN W[HRUNG ?     !0000645*
         BH    *+8                 JA, N{CHSTEN BEFEHL }BERSPRINGEN    !0000646*
         LA    R7,6(R7)            $FU231291 VON 5 AUF 6 ERHHT        !0000647*
         CLI   GA,C'0'             OB DM GUTSCHRIFT                    !0000648*
         BNH   Z89                 JA, -> Z89                          !0000649*
         SPACE 1                                                       !0000650*
*        ABRECHNUNG IN W{HRUNG                                         !0000651*
         SPACE 1                                                       !0000652*
Z80      MVC   DBER+32(12),=C'BRUTTOBETRAG'                            !0000653*
         MVC   DBER+57(5),ERTKUB   ERTRAGSKURS                         !0000654*
         MVC   DBER+62(18),SCHAB12                            $FU231291!0000655*
         ED    DBER+62(18),ZZ083   BRUTTO IN WAEHRUNG         $FU231291!0000656*
         MVI   DBER,X'09'                                              !0000657*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN   $FR080992!0000658*
         BAL   R6,DRUCKE                                      $FU310789!0000659*
*                                                                      !0000660*
         TM    GA,X'03'                                                !0000661*
         BM    Z821                                                    !0000662*
*        B     Z893                                           $FR080992!0000663*
         B     Z892S                                          $FR080992!0000664*
Z821     MVC   DBER+32(11),=C'DEVISENKURS'                             !0000665*
         MVC   DBER+47(13),SCHAB6                                      !0000666*
         ED    DBER+47(13),DEVKUR+4                           $FU231291!0000667*
         NULLU ,DBER+56,4                                              !0000668*
         MVI   DBER,X'09'                                              !0000669*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN   $FR080992!0000670*
         BAL   R6,DRUCKE                                      $FU310789!0000671*
*                                                                      !0000672*
Z89      CLC   ZZ138,=X'000000'      ZINS BEI INVESTMENT               !0000673*
         BE    Z89A                                                    !0000674*
         CP    ZZ138,=P'0'           ZINS BEI INVESTMENT               !0000675*
         BE    Z89A                                                    !0000676*
         MVC   DBER+7(16),=C'KEST-PFL. ERTRAG'                         !0000677*
Z89A     MVC   DBER+32(12),=C'BRUTTOBETRAG'                            !0000678*
         MVC   DBER+57(5),ABRKUB     ABRECHNUNGSKURS                   !0000679*
         MVC   DBER+62(18),SCHAB12   $FU231291 VON SCHAB7 AUF SCHAB12  !0000680*
         CLI   GA,C'2'               ABRECHNUNG W{H GEGEN W{H ?        !0000681*
         BNE   Z89A0                 NEIN                              !0000682*
         ED    DBER+62(18),ZWISU     BRUTTOBETRAG WAEHRUNG    $FU231291!0000683*
         B     Z89A1                                                   !0000684*
Z89A0    ED    DBER+62(18),ZZ085     BRUTTO DM                $FU231291!0000685*
Z89A1    MVI   DBER,X'09'                                              !0000686*
         BAL   R6,ZIAB               ZIAB-ZEILENZ{HLER PR}FEN $FR080992!0000687*
         BAL   R6,DRUCKE                                      $FU310789!0000688*
*                                                                      !0000689*
****************** AENDERUNGEN WEGEN 10% QUELLENSTEUER AM 10.11.88 *** !0000690*
Z891     CLI   ZZ015,X'02'         OB 10% QUELLENSTEUER                !0000691*
         BE    Z8910                                                   !0000692*
         CLI   ZZ015,X'08'                                             !0000693*
         BNE   Z8912                                                   !0000694*
Z8910    CLC   ZZ089,=X'0000'      URSPRUNGSLAND DEUTSCHLAND $FR090189 !0000695*
         BE    Z8911               JA                        $FR090189 !0000696*
         CLC   ZZ089,=X'0004'      URSPRUNGSLAND DEUTSCHLAND ?         !0000697*
         BNE   Z8912               JA                                  !0000698*
Z8911    CLC   ZZ003+2(3),=X'450000'                                   !0000699*
         BL    Z8914                                                   !0000700*
Z8912    CLI   ZZ015,X'05'         INVESTMENT ?                        !0000701*
         BE    Z8913               JA                                  !0000702*
         CLI   ZZ015,X'06'         THESAURIERENDE FONDS ?              !0000703*
         BNE   Z8914               NEIN                      $FU111192 !0000704*
         SPACE 1                                                       !0000705*
********************************************                           !0000706*
*      INVESTMENT + THESAURIERENDE FONDS   *                           !0000707*
********************************************                           !0000708*
Z8913    CP    ZZ138,=P'0'         ZINS BEI INVESTMENT = 0             !0000709*
         BE    Z8914                        JA         $FU111192       !0000710*
         MVC   DBER+7(10),=C'PRO STUECK'    NEIN                       !0000711*
*********$FU111192 ANFANG ******************************************** !0000712*
         MVC   DBER+18(7),SCHAB3                                       !0000713*
         ED    DBER+18(7),ZZ138    ZINS BEI INVESTMENT                 !0000714*
*                                                                      !0000715*
Z8914    TM    ZZ121,X'0C'         OB K\RPERSCHAFTSSTEUER              !0000716*
         BM    Z89141              JA                                  !0000717*
         B     Z89142              NEIN                                !0000718*
Z89141   TM    ZZ121,X'08'         ANRECHENBARE KOEST                  !0000719*
         BO    Z89142                                                  !0000720*
*********$FR080992 *************************************************** !0000721*
         CP    ZZ095,=P'0'         VERG}TETE K\ST IN DM = '0' ?        !0000722*
         BE    Z89142              JA                                  !0000723*
*********$FR080992 **ENDE********************************************* !0000724*
         MVC   DBER+32(23),=C'9/16 VERG.KOERPERSCH.ST'                 !0000725*
         MVC   DBER+57(5),ABRKUB   ABRECHNUNGSKURS                     !0000726*
         MVC   DBER+67(13),SCHAB7                                      !0000727*
         ED    DBER+67(13),ZZ095   VERG]TETE KOEST                     !0000728*
Z89142   MVI   DBER,X'09'                                              !0000729*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN $FR080992  !0000730*
         BAL   R6,DRUCKE                           $FU310789           !0000731*
Z89143   CLI   ZZ015,X'02'         OB 10% QUELLENSTEUER                !0000732*
         BE    Z891430                                                 !0000733*
         CLI   ZZ015,X'08'                                             !0000734*
         BNE   Z891432                                                 !0000735*
Z891430  CLC   ZZ089,=X'0000'      URSPRUNGSLAND DEUTSCHLAND           !0000736*
         BE    Z891431             JA                                  !0000737*
         CLC   ZZ089,=X'0004'      URSPRUNGSLAND DEUTSCHLAND ?         !0000738*
         BNE   Z891432             JA                                  !0000739*
Z891431  CLC   ZZ003+2(3),=X'450000'      RENTEN ?                     !0000740*
         BL    Z891434             JA                                  !0000741*
Z891432  CLI   ZZ015,X'05'         INVESTMENT ?                        !0000742*
         BE    Z891433             JA                                  !0000743*
         CLI   ZZ015,X'06'         THESAURIERENDE FONDS ?              !0000744*
         BNE   Z8915               NEIN                                !0000745*
Z891433  CP    ZZ138,=P'0'         ZINS BEI INVESTMENT = 0             !0000746*
         BE    Z8915               JA                                  !0000747*
         TM    ZZ121,X'01'         OB QUELLENSTEUER ERRECHNET          !0000748*
         BNO   Z8921                                                   !0000749*
Z891434  TM    ZZ121,X'01'         OB QUELLENSTEUER ERRECHNET          !0000750*
*********$FU111192 ENDE   ******************************************** !0000751*
*        BNO   Z893                                          $FR080992 !0000752*
         BNO   Z892S                                         $FR080992 !0000753*
         MVC   DBER+32(3),=C'10%'                                      !0000754*
         B     Z89Z                                                    !0000755*
****************** AENDERUNGEN WEGEN 10% QUELLENSTEUER AM 10.11.88 *** !0000756*
Z8915    CLI   ZZ015,X'02'         OB KUPONSTEUER                      !0000757*
         BE    Z892                                                    !0000758*
         CLI   ZZ015,X'09'                                             !0000759*
         BE    Z892                                                    !0000760*
         TM    ZZ121,X'01'         ANRECHENBARE KEST                   !0000761*
*        BNO   Z893                              $FR080992             !0000762*
         BNO   Z892S                             $FR080992             !0000763*
         CLI   PR,X'14'            OSTKONTO                            !0000764*
         BNE   Z89B                                                    !0000765*
Z89C     MVC   DBER+32(3),=C'15%'                                      !0000766*
         B     Z89Z                                                    !0000767*
Z89B     CLI   PR,X'24'                                                !0000768*
         BE    Z89C                                                    !0000769*
         CLI   ZZ015,X'03'                                             !0000770*
         BNE   Z89H                                                    !0000771*
         CLI   ZZ117,C' '          ART DER NV                          !0000772*
         BE    Z89K                                                    !0000773*
         CLI   ZZ117,C'2'                                              !0000774*
         BE    Z89K                                                    !0000775*
         CLI   ZZ117,C'8'          $SA281292                           !0000776*
         BE    Z89K                                                    !0000777*
         CLI   ZZ117,C'6'                                              !0000778*
         BNE   Z89D                                                    !0000779*
Z89K     MVC   DBER+32(3),=C'25%'                                      !0000780*
         B     Z89Z                                                    !0000781*
Z89D     CLI   ZZ117,C'4'                                              !0000782*
         BNE   Z89Z                                                    !0000783*
         MVC   DBER+32(5),=C'12,5%'                                    !0000784*
         B     Z89Z                                                    !0000785*
Z89H     CLI   ZZ015,X'04'                                             !0000786*
         BNE   Z89Z                                                    !0000787*
         MVC   DBER+32(3),=C'30%'                                      !0000788*
         B     Z89Z                                                    !0000789*
Z89I     CLI   ZZ117,C'1'                                              !0000790*
         BE    Z89Z                                                    !0000791*
         CLI   ZZ117,C'3'                                              !0000792*
         BE    Z89Z                                                    !0000793*
         CLI   ZZ117,C'7'                                              !0000794*
         BE    Z89Z                                                    !0000795*
         CLI   ZZ117,C'9'      $SA281292                               !0000796*
         BE    Z89Z                                                    !0000797*
         CLI   ZZ117,C'4'                                              !0000798*
         BNE   Z89Z                                                    !0000799*
         MVC   DBER+32(3),=C'15%'                                      !0000800*
Z89Z     MVC   DBER+38(16),=C'KAPITALERTRAGST.'                        !0000801*
         B     Z8920                                                   !0000802*
Z892     CP    ZZ087,=P'0'                                             !0000803*
*        BE    Z893                              $FR080992             !0000804*
         BE    Z892S                             $FR080992             !0000805*
         MVC   DBER+32(15),=C'25% KUPONSTEUER'                         !0000806*
Z8920    MVC   DBER+57(5),ABRKUB   ABRECHNUNGSKURS                     !0000807*
         MVC   DBER+65(15),SCHAB5        $FU231291 SCHAB7 AUF SCHAB5   !0000808*
         ED    DBER+65(15),ZZ087     KUPONSTEUER / KEST   $FU231291    !0000809*
         MVI   DBER,X'09'            SCHREIBEN UND 1 ZEILENVORSCHUB    !0000810*
*********$FU111192  ANFANG   ******************************************!0000811*
*        BAL   R6,ZIAB               ZIAB-ZEILENZ{HLER PR}FEN          !0000812*
*Z8921   BAL   R6,DRUCKE                           $FU310789           !0000813*
Z8921    BAL   R6,ZIAB               ZIAB-ZEILENZ{HLER PR}FEN $FR080992!0000814*
         BAL   R6,DRUCKE                           $FU310789           !0000815*
*********$FU111192  ENDE     ******************************************!0000816*
*                                                                      !0000817*
*********$FR280591**$FR080992******************************************!0000818*
*Z892S    CP    ZZ144,=P'0'           SOLIDAR-ZUSCHLAG                 !0000819*
*         BE    Z893                                                   !0000820*
*         MVC   DBER+32(22),=C'7,5%  SOLIDAR-ZUSCHLAG'                 !0000821*
*        ED    DBER+62(18),ZZ144     SOLI-ZUSCHLAG AUF KEST   $FU231291!0000822*
*        MVC   DBER+57(5),ABRKUB                                       !0000823*
*        MVC   DBER+62(18),SCHAB12       $FU231291 SCHAB7 AUF SCHAB12  !0000824*
*        ED    DBER+62(18),ZZ304+1   ZINS-ABSCHLAG            $FR080992!0000825*
*Z892S1   MVI   DBER,X'09'                                             !0000826*
*        BAL   R6,DRUCKE                                               !0000827*
*********$FR280591**ENDE*****$FR080992*********************************!0000828*
*                                                                      !0000829*
*********$FR080992*****************************************************!0000830*
Z892S    CP    ZZ304,=P'0'           ZINS-ABSCHLAG DM OD. WAEHRUNG     !0000831*
         BE    Z893                                                    !0000832*
         MVC   DBER+32(22),=C'30%   ZINSABSCHLAG-ST.'                  !0000833*
         MVC   DBER+57(5),ABRKUB    ABRECHNUNGSKURS                    !0000834*
         MVC   DBER+62(18),SCHAB12                                     !0000835*
         ED    DBER+62(18),ZZ304+1  ZINS-ABSCHLAG                      !0000836*
         MVI   DBER,X'09'                                              !0000837*
         BAL   R6,ZIAB              ZIAB-ZEILENZ{HLER PR}FEN  $FR080992!0000838*
         BAL   R6,DRUCKE                                               !0000839*
*                                                                      !0000840*
*        NUR GEFUELLT,WENN ZZ304 IN WAEHRUNG!                          !0000841*
*                                                                      !0000842*
Z892T    CP    ZZ305,=P'0'          ZINS-ABSCHLAG IMMER DM             !0000843*
         BE    Z893                                                    !0000844*
         MVC   DBER+32(10),=C'30%   ZIAB'                              !0000845*
         MVC   DBER+42(14),SCHAB6                                      !0000846*
**       MVC   ABFELD,ZZ144         DEVISEN-GELDKURS  6,7              !0000847*
**       ED    DBER+42(14),ABFELD                                      !0000848*
         ED    DBER+43(13),ZZ053    2.DEVISENKURS  5,7                 !0000849*
         MVC   DBER+57(5),=C'DM   '                                    !0000850*
         MVC   DBER+62(18),SCHAB12                                     !0000851*
         ED    DBER+62(18),ZZ305+1   ZINS-ABSCHLAG                     !0000852*
         MVI   DBER,X'09'                                              !0000853*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN $FR080992  !0000854*
         BAL   R6,DRUCKE                                               !0000855*
*********$FR080992*ENDE************************************************!0000856*
*                                                                      !0000857*
Z893     CP    ZZ057,=P'0'           1.QUELLENSTEUER IN WAEHRUNG       !0000858*
         BE    Z895                                                    !0000859*
Z894     MVC   DBER+31(8),SCHAB10                                      !0000860*
         ED    DBER+31(8),ZZ055                                        !0000861*
         NULLU ,DBER+37,2                                              !0000862*
         MVC   DBER+39(14),=C'% 1.QUELLENST.'                          !0000863*
         MVC   DBER+57(5),ABRKUB   ABRECHNUNGSKURS                     !0000864*
         MVC   DBER+65(15),SCHAB5  VON SCHAB7 AUF SCHAB5      $FU231291!0000865*
         ED    DBER+65(15),0(R7)   VON 13 AUF 15              $FU231291!0000866*
         MVI   DBER,X'09'                                              !0000867*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN   $FR080992!0000868*
         BAL   R6,DRUCKE                                      $FU310789!0000869*
*                                                                      !0000870*
Z895     CP    ZZ063,=P'0'         2.QUELLENSTEUER IN WAEHRUNG         !0000871*
         BE    Z897                                                    !0000872*
Z896     MVC   DBER+31(8),SCHAB10                                      !0000873*
         ED    DBER+31(8),ZZ061    2.QUELLENSTEUERSATZ                 !0000874*
         NULLU ,DBER+37,2                                              !0000875*
         MVC   DBER+39(14),=C'% 2.QUELLENST.'                          !0000876*
         MVC   DBER+57(5),ABRKUB   ABRECHNUNGSKURS                     !0000877*
         MVC   DBER+65(15),SCHAB5  VON SCHAB7 AUF SCHAB5               !0000878*
         ED    DBER+65(15),15(R7)  VON 13 AUF 15                       !0000879*
         MVI   DBER,X'09'                                              !0000880*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN   $FR080992!0000881*
         BAL   R6,DRUCKE                                      $FU310789!0000882*
*                                                                      !0000883*
Z897     CP    ZZ071,=P'0'         SPESEN IN WAEHRUNG                  !0000884*
**       BE    Z899                $FR080992                           !0000885*
         BE    Z91                 $FR080992                           !0000886*
Z898     MVC   DBER+32(13),=C'FREMDE SPESEN'                           !0000887*
         MVC   DBER+57(5),ABRKUB   ABRECHNUNGSKURS                     !0000888*
         MVC   DBER+67(13),SCHAB7                                      !0000889*
         ED    DBER+67(13),31(R7)  SPESEN IN W{H 27 AUF 31    $FU231291!0000890*
         MVI   DBER,X'09'                                              !0000891*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN   $FR080992!0000892*
         BAL   R6,DRUCKE                                      $FU310789!0000893*
*                                                                      !0000894*
*********$FR080992 **************************************************  !0000895*
*Z899     CP    ZZ077,=P'0'                                            !0000896*
*         BE    Z91                                                    !0000897*
*Z9       MVC   DBER+32(9),=C'PROVISION'                               !0000898*
*         MVC   DBER+57(5),ABRKUB   ABRECHNUNGSKURS                    !0000899*
*         MVC   DBER+67(13),SCHAB7                                     !0000900*
*         ED    DBER+67(13),42(R7)  PROVISION W{H $FU231291 38 AUF 42  !0000901*
*********$FR080992 **ENDE********************************************  !0000902*
*                                                                      !0000903*
*Z91      MVI   DBER,X'99'                                  $FR080992  !0000904*
Z91      MVI   DBER,X'09'                                   $FR080992  !0000905*
         BAL   R6,ZIAB             ZIAB-ZEILENZ{HLER PR}FEN $FR080992  !0000906*
         BAL   R6,DRUCKE                                    $FU310789  !0000907*
*                                                                      !0000908*
         EJECT                                                         !0000909*
*************************** $FR080992 ANFANG ************************  !0000910*
Z910DRU  CP    ZIABZAE,=P'10'        ZIAB-Z{HLER = 10 ?                !0000911*
         BNE   Z911                  WENN NEIN, WEITER NACH Z911       !0000912*
*        ZEILE 10 AUFBEREITEN                                          !0000913*
         MVC   DBER+2(25),KSTFREI    BRUTTO-KEST-FREI TEXT             !0000914*
         MVI   DBER,X'09'                                              !0000915*
         BAL   R6,DRUCKE                                               !0000916*
         AP    ZIABZAE,=P'1'         ZIAB-Z{HLER UM 1 ERHHEN          !0000917*
Z911     CP    ZIABZAE,=P'11'        ZIAB-Z{HLER = 11 ?                !0000918*
         BNE   Z912                  WENN NEIN, WEITER NACH Z912       !0000919*
*        ZEILE 11 AUFBEREITEN                                          !0000920*
         MVC   DBER+2(2),DM          DM TEXT                           !0000921*
         MVC   DBER+4(21),SCHAB13    SCHABLONE 13,2                    !0000922*
         ED    DBER+4(21),ZZ300      BRUTTO-KEST-FREI IN DM            !0000923*
         MVI   DBER,X'09'                                              !0000924*
         BAL   R6,DRUCKE                                               !0000925*
         AP    ZIABZAE,=P'1'         ZIAB-Z{HLER UM 1 ERHHEN          !0000926*
Z912     CP    ZIABZAE,=P'12'        ZIAB-Z{HLER = 12 ?                !0000927*
         BNE   Z913                  WENN NEIN, WEITER NACH Z913       !0000928*
*        ZEILE 12 AUFBEREITEN                                          !0000929*
         MVC   DBER+2(27),KSTPFL     BRUTTO-KEST-PFLICHTIG TEXT        !0000930*
         MVI   DBER,X'09'                                              !0000931*
         BAL   R6,DRUCKE                                               !0000932*
         AP    ZIABZAE,=P'1'         ZIAB-Z{HLER UM 1 ERHHEN          !0000933*
Z913     CP    ZIABZAE,=P'13'        ZIAB-Z{HLER = 13 ?                !0000934*
         BNE   Z914                  WENN NEIN, WEITER NACH Z914       !0000935*
*        ZEILE 13 AUFBEREITEN                                          !0000936*
         MVC   DBER+2(2),DM          DM TEXT                           !0000937*
         MVC   DBER+4(21),SCHAB13    SCHABLONE 13,2                    !0000938*
         ED    DBER+4(21),ZZ302      BRUTTO-KEST-PFLICHTIG IN DM       !0000939*
         MVI   DBER,X'09'                                              !0000940*
         BAL   R6,DRUCKE                                               !0000941*
         AP    ZIABZAE,=P'1'         ZIAB-Z{HLER UM 1 ERHHEN          !0000942*
Z914     CP    ZIABZAE,=P'14'        ZIAB-Z{HLER = 14 ?                !0000943*
         BNE   Z915                  WENN NEIN, WEITER NACH Z915       !0000944*
*        ZEILE 14 AUFBEREITEN                                          !0000945*
         MVC   DBER+2(24),RESTFRE    RESTLICHER FREIBETRAG TEXT        !0000946*
         MVI   DBER,X'09'                                              !0000947*
         BAL   R6,DRUCKE                                               !0000948*
         AP    ZIABZAE,=P'1'         ZIAB-Z{HLER UM 1 ERHHEN          !0000949*
Z915     CP    ZIABZAE,=P'15'        ZIAB-Z{HLER = 15 ?                !0000950*
         BNE   Z916                  WENN NEIN, WEITER ZU Z95          !0000951*
*        ZEILE 15 AUFBEREITEN                                          !0000952*
         MVC   DBER+2(2),DM          DM TEXT                           !0000953*
         MVC   DBER+4(21),SCHAB13    SCHABLONE 13,2                    !0000954*
         ED    DBER+4(21),ZZ306      RESTLICHER FREIBETRAG IN DM       !0000955*
Z916     CLI   ZZ015,X'06'           THESAURIERENDE FONDS     $FR080992!0000956*
         BNE   Z95                   NEIN                     $FR080992!0000957*
         CP    ZZ078,=P'0'           KEST VERG}TUNG DRUCKEN ? $FU100293!0000958*
         BE    Z95                   NEIN                     $FU100293!0000959*
*        ZEILE 16 AUFBEREITEN                                          !0000960*
         MVC   DBER+32(19),=C'30% KEST VERGUETUNG'            $FR080992!0000961*
         MVC   DBER+57(2),DM         DM TEXT                  $FR080992!0000962*
         MVC   DBER+67(13),SCHAB7    JA, SCHABLONE  7,2       $FR080992!0000963*
         ED    DBER+67(13),ZZ078     NICHT EINBEHALTENE KEST  $FR080992!0000964*
Z95      MVI   DBER,X'09'                                              !0000965*
*Z95      MVI   DBER,X'99'            SPRUNG ZU KANAL 3 (ZEILE 17)     !0000966*
*        MVC   DBER+30(2),ZZ402      KESTGRUND1   TEST-ANFANG !!!!     !0000967*
*        CLI   ZZ404+2,C'1'                                            !0000968*
*        BE    Z970                                                    !0000969*
*        CLI   ZZ404+3,C'1'                                            !0000970*
*        BE    Z971                                                    !0000971*
*        CLI   ZZ404+4,C'1'                                            !0000972*
*        BE    Z972                                                    !0000973*
*        B     Z973                                                    !0000974*
*Z970     MVC   DBER+33(7),=C'AUSLAND'                                 !0000975*
*         B     Z974                                                   !0000976*
*Z971     MVC   DBER+33(7),=C'BANK   '                                 !0000977*
*         B     Z974                                                   !0000978*
*Z972     MVC   DBER+33(7),=C'NV     '                                 !0000979*
*         B     Z974                                                   !0000980*
*Z973     MVC   DBER+33(6),ZZ404      KESTGRUND2   TEST-ENDE!!!        !0000981*
*********$FR080992 ENDE   *******************************************  !0000982*
Z974     BAL   R6,DRUCKE                                               !0000983*
*                                                                      !0000984*
Z98      CP    ZZ304,=P'0'         ZINSABSCHLAG VORHANDEN ?            !0000985*
         BE    Z981                NEIN, KEINE KEST ABF}HREN           !0000986*
         MVC   DBER+32(40),=C'KEST ABGEFUEHRT AN FINANZAMT FFM.-BOERSE'!0000987*
* AB 1.7.93                                                            !0000988*
*        MVC   DBER+32(40),=C'KEST ABGEFUEHRT AN FINANZAMT FFM. III   '!0000989*
Z981     MVI   DBER,X'19'                                              !0000990*
         BAL   R6,DRUCKE                                               !0000991*
         SPACE 3                                                       !0000992*
*                                                                      !0000993*
*        ENDE  VARIABLER DRUCK-TEIL                                    !0000994*
*                                                                      !0000995*
*                        17.ZEILE                                     *!0000996*
         SPACE 2                                                       !0000997*
         MVC   DFELD(1),ZZ011+1                                        !0000998*
         MVZ   DFELD(1),=X'00'                                         !0000999*
         MVC   DFELD+1(1),ZZ011+5                                      !0001000*
         MVC   DFELD+2(3),ZZ011+2                                      !0001001*
         MVC   DBER+16(13),SCHAB8                                      !0001002*
         ED    DBER+16(13),DFELD      KONTO-NR                         !0001003*
*--$ROE110590--ANFANG---------------AEND.WG.UEBERN.BASIS-SYSTEM NBG.   !0001004*
*        CLC   DPIOALKF,=C'85'                                         !0001005*
*        BE    Z17A                                                    !0001006*
*--$ROE110590--ENDE  -----------------------*                          !0001007*
*        CLC   ZZ045(6),=XL6'00'                                       !0001008*
         CLC   ZZ045,ZZ011        ERTRAGSKTO = DEPOTKTO ? $FU310789    !0001009*
         BNE   Z170               NEIN                                 !0001010*
         MVC   DBER(13),DBER+16   JA, MOVE DEPOTKTO.-> ERTRAGSKTOFELD  !0001011*
         B     Z17A                                                    !0001012*
Z170     MVC   DFELD(1),ZZ045+1                                        !0001013*
         MVZ   DFELD(1),=X'00'                                         !0001014*
         MVC   DFELD+1(1),ZZ045+5                                      !0001015*
         MVC   DFELD+2(3),ZZ045+2                                      !0001016*
         MVC   DBER(13),SCHAB8                                         !0001017*
         ED    DBER(13),DFELD     ERTRAGSKONTO                         !0001018*
Z17A     MVC   DBER+32(9),SCHAB4                                       !0001019*
         ED    DBER+32(9),ZZ043                                        !0001020*
         MVC   DBER+44(9),SCHAB4                                       !0001021*
         ED    DBER+44(9),ZZ041      VALUTA                            !0001022*
         MVC   DBER+57(5),ABRKUB     ABRECHNUNGSKURS                   !0001023*
         CLI   GA,C'1'                                                 !0001024*
         BH    Z17B                                                    !0001025*
         MVC   DBER+62(18),SCHAB12   SCHAB7 AUF SCHAB12       $FU231291!0001026*
         ED    DBER+62(18),89(R7)    NETTO DM   84 AUF 89     $FU231291!0001027*
         B     Z17C                                                    !0001028*
Z17B     MVC   DBER+62(18),SCHAB12   SCHAB5 AUF SCHAB12       $FU231291!0001029*
         ED    DBER+62(18),88(R7)    NETTO W{HRUNG 83 AUF 88  $FU231291!0001030*
Z17C     L     R7,RSAVE                                                !0001031*
         CP    ZZ081,=P'0'           NOMINALE = 0 ?                    !0001032*
         BM    Z17                   < 0   ( NEGATIV )                 !0001033*
         MVI   DBER+81,C'H'          HABEN                             !0001034*
         B     Z171                                                    !0001035*
Z17      MVI   DBER+81,C'S'          SOLL                              !0001036*
Z171     CLI   ZZ025,C'1'            OB STORNO                         !0001037*
         BNE   Z172                                                    !0001038*
         XI    DBER+81,X'2A'                                           !0001039*
Z172     MVI   DBER,X'11'                                              !0001040*
         BAL   R6,DRUCKE                           $FU310789           !0001041*
*                                                                      !0001042*
         SPACE 3                                                       !0001043*
*                             18. ZEILE                               *!0001044*
         SPACE 2                                                       !0001045*
         CLI   ZZ015,X'09'                                             !0001046*
         BE    Z18                                                     !0001047*
         CLI   ZZ015,X'02'                                             !0001048*
         BNE   Z182                                                    !0001049*
         CLI   ZZ107,C'1'                                              !0001050*
         BNE   Z182                                                    !0001051*
Z18      CP    ZZ087,=P'0'                                             !0001052*
         BE    Z182                                                    !0001053*
         MVC   DBER+7(54),=C'KUPONSTEUER AN FINANZAMT FRANKFURT/M-BOERS-0001054*
               E ABGEFUEHRT'                                           !0001055*
         MVI   DBER,X'09'                                              !0001056*
         BAL   R6,DRUCKE                           $FU310789           !0001057*
*                                                                      !0001058*
         SPACE 3                                                       !0001059*
*                             19.ZEILE                                *!0001060*
         SPACE 2                                                       !0001061*
Z182     MVC   DBER+7(75),ZZ200                                        !0001062*
         MVI   DBER,X'09'                                              !0001063*
         BAL   R6,DRUCKE                           $FU310789           !0001064*
*                                                                      !0001065*
         SPACE 3                                                       !0001066*
*                             20. ZEILE                               *!0001067*
         SPACE 2                                                       !0001068*
         MVC   DBER+7(75),ZZ200+75                                     !0001069*
         MVI   DBER,X'A1'                                              !0001070*
         BAL   R6,DRUCKE                           $FU310789           !0001071*
*                                                                      !0001072*
         SPACE 3                                                       !0001073*
*                             21. ZEILE                               *!0001074*
*                                                                      !0001075*
         SPACE 2                                                       !0001076*
*                                                                      !0001077*
         TM    STFE,X'D0'                                              !0001078*
         BZ    Z0202                                                   !0001079*
         CLC   ZZ017,=C'ST'                                            !0001080*
         BE    Z020                                                    !0001081*
         MVC   DBER+68(9),SCHAB4                                       !0001082*
         ED    DBER+68(9),ZZ039                                        !0001083*
         MVC   DBER+77(2),DBER+75                                      !0001084*
         MVC   DBER+75(2),=C'19'                                       !0001085*
         B     Z0200                                                   !0001086*
Z020     MVC   DBER+69(10),ZEITRAUM                                    !0001087*
Z0200    CLI   ZZ003+2,X'49'          WPKNR > 490.000 ?                !0001088*
         BH    Z0202                  JA, -> Z0202                     !0001089*
         CLC   ZZ019(2),=X'0000'      ABWEICHENDER ZINSLAUF = '0000'   !0001090*
         BE    Z0202                  JA, -> Z0202                     !0001091*
         CLI   ZZ019+2,X'00'          ZINSLAUF GANZJ{HRLICH ?          !0001092*
         BE    Z0201                  JA, -> Z0201                     !0001093*
*********$FR120189***************************************************  !0001094*
         CLI   ZZ019+2,X'03'          ZINSLAUF VIERTELJ{HRLICH ?       !0001095*
         BE    Z020A                  JA, -> Z020A                     !0001096*
         B     Z020B                  NEIN, HALBJ{HRLICH               !0001097*
Z020A    MVC   DBER+71(2),=C'VJ'      VIERTELJ{HRLICH                  !0001098*
         B     Z0202                                                   !0001099*
*********************************************************************  !0001100*
Z020B    MVC   DBER+80(2),=C'HJ'      HALBJ{HRLICH                     !0001101*
         B     Z0202                                                   !0001102*
Z0201    MVC   DBER+80(2),=C'GJ'      GANZJAEHRLICH                    !0001103*
*                                                                      !0001104*
Z0202    TM    ZZ121,X'C0'         OB STEUERBESCH DRUCKEN B'11000000'  !0001105*
         BC    9,Z02020            JA                                  !0001106*
         CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCH.               !0001107*
         BNE   Z02020              NEIN                                !0001108*
         MVC   DBER+68(14),=C'JAHRESSTEUER- '                          !0001109*
         B     Z0204                                                   !0001110*
Z02020   TM    STFE,X'D0'                                              !0001111*
         BZ    Z0203                                                   !0001112*
         B     Z0204                                                   !0001113*
Z0203    CLI   ZZ003+2,X'49'       WPKNR > 490.000 ?                   !0001114*
         BNH   Z02032              NEIN, KEINE                         !0001115*
         CLI   ZZ117,C'3'          NV-ART = '3'                        !0001116*
         BE    Z02031              JA                                  !0001117*
         CLI   ZZ117,C'4'          NV-ART = '4'                        !0001118*
         BNE   Z02032              NEIN, KEINE STEUERBESCHEINIGUNG     !0001119*
*                                                                      !0001120*
*              NV-ART = 3 + 4                                          !0001121*
*                                                                      !0001122*
Z02031   MVI   Z0231+1,X'00'                                           !0001123*
         MVI   Z0247+1,X'00'                                           !0001124*
         MVC   DBER+68(16),=C'STEUERBESCH. BEI'                        !0001125*
         B     Z0204                                                   !0001126*
Z02032   MVC   DBER+68(5),=C'KEINE'                                    !0001127*
*                                                                      !0001128*
Z0204    MVI   DBER,X'09'                                              !0001129*
         BAL   R6,DRUCKE                           $FU310789           !0001130*
*                                                                      !0001131*
         SPACE 3                                                       !0001132*
*                             22. ZEILE                               *!0001133*
         SPACE 2                                                       !0001134*
         MVC   DBER+10(30),DPZEI1VA                                    !0001135*
         CLI   ZZ136,X'99'                                             !0001136*
         BH    Z021                                                    !0001137*
         MVC   DBER+37(3),=X'F02020'                                   !0001138*
         ED    DBER+37(3),ZZ136    VERSANDART                          !0001139*
         MVI   DBER+37,X'40'                                           !0001140*
Z021     TM    ZZ121,X'C0'         OB STEUERBESCH DRUCKEN B'11000000'  !0001141*
         BC    9,Z02120            JA                                  !0001142*
         CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCHEINIGUNG        !0001143*
         BE    Z0214               JA                                  !0001144*
Z02120   TM    STFE,X'D0'                                              !0001145*
         BZ    Z0214                                                   !0001146*
         MVC   DBER+64(18),SCHAB12   $FU231291 VON SCHAB5 AUF SCHAB12  !0001147*
         ED    DBER+64(18),ZZ101     ZU VERST. EINNAHME $FU231291 15/18!0001148*
Z0214    MVI   DBER,X'09'                                              !0001149*
         BAL   R6,DRUCKE                           $FU310789           !0001150*
         SPACE 3                                                       !0001151*
*        23. ZEILE          ANRECHENBARE KOEST                         !0001152*
         SPACE 2                                                       !0001153*
         MVC   DBER+10(30),DPZEI2VA                                    !0001154*
         TM    ZZ121,X'C0'         OB STEUERBESCH. DRUCKEN             !0001155*
         BC    9,Z0230             NEIN                                !0001156*
         CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCH.               !0001157*
         BNE   Z0230               NEIN                                !0001158*
         MVC   DBER+68(13),=C'BESCHEINIGUNG'                           !0001159*
         B     Z0239                                                   !0001160*
Z0230    TM    STFE,X'D0'                                              !0001161*
         BM    Z0238                                                   !0001162*
Z0231    B     Z0232                                                   !0001163*
         MVC   DBER+68(10),=C'VERGUETUNG'                              !0001164*
         B     Z0239                                                   !0001165*
Z0232    MVC   DBER+68(7),=C'STEUER-'                                  !0001166*
         B     Z0239                                                   !0001167*
Z0238    MVC   DBER+69(13),SCHAB7                             $FU231291!0001168*
*********$FU080293* ANFANG ********************************************!0001169*
         CLI   ZZ015,X'06'          THESAURIENDER FONDS                !0001170*
         BE    Z02381               NEIN                               !0001171*
*********$FU080293* ENDE **********************************************!0001172*
*********$FR080992*****************************************************!0001173*
         CLI   ZZ310,C'2'           OB SPLITTING                       !0001174*
         BNE   Z02385               NEIN                               !0001175*
         SPACE 1                                                       !0001176*
*        BEI SPLITTING UND THESAURIERENDE FONDS:                       !0001177*
         SPACE 1                                                       !0001178*
Z02381   MVC   ZFELD(7),ZZ144                                          !0001179*
         ED    DBER+69(13),ZFELD+2  ANRECHENBARE KOEST                 !0001180*
         B     Z0239                                                   !0001181*
*********$FR080992*ENDE************************************************!0001182*
         SPACE 1                                                       !0001183*
*        NORMALFALL:                                                   !0001184*
         SPACE 1                                                       !0001185*
Z02385   ED    DBER+69(13),ZZ095    ANRECHENBARE KOEST        $FU231291!0001186*
Z0239    MVI   DBER,X'09'                                              !0001187*
         BAL   R6,DRUCKE                                      $FU310789!0001188*
         SPACE 3                                                       !0001189*
*        24. ZEILE                                                     !0001190*
         SPACE 2                                                       !0001191*
         MVC   DBER+10(30),DPZEI3VA                                    !0001192*
         MVI   DBER,X'09'                                              !0001193*
         BAL   R6,DRUCKE                                      $FU310789!0001194*
*        25. ZEILE                 ZU VERSTEUERNDE EINNAHMEN           !0001195*
         SPACE 2                                                       !0001196*
         MVC   DBER+10(30),DPZEI4VA                                    !0001197*
         TM    ZZ121,X'C0'         OB STEUERBESCH. DRUCKEN             !0001198*
         BC    9,Z0240             NEIN                                !0001199*
         CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCH.               !0001200*
         BNE   Z0240               NEIN                                !0001201*
         MVC   DBER+68(5),=C'FOLGT'                                    !0001202*
         B     Z0249                                                   !0001203*
Z0240    TM    STFE,X'D0'                                              !0001204*
         BZ    Z0247                                                   !0001205*
Z0242    MVC   ZFELD(7),ZZ101      VON 6 AUF 7                $FU231291!0001206*
         CLI   ZZ025,C'1'          STORNO?                             !0001207*
*********$FR080992*****************************************************!0001208*
*        BNE   *+14                NEIN                                !0001209*
         BNE   Z0244               NEIN                                !0001210*
         CLI   ZZ310,C'2'          OB SPLITTING                        !0001211*
         BNE   Z0243               NEIN                                !0001212*
         SP    ZFELD(7),ZZ144      KOEST-ANRECHENBAR                   !0001213*
*        B     Z0245                                                   !0001214*
*********$FR080992**ENDE***********************************************!0001215*
Z0243    SP    ZFELD(7),ZZ095      VERG. KOEST    $FU231291 VON 6 AUF 7!0001216*
         B     Z0245                                                   !0001217*
*********$FR080992*****************************************************!0001218*
Z0244    CLI   ZZ310,C'2'          OB SPLITTING                        !0001219*
         BNE   Z0244A              NEIN                                !0001220*
         AP    ZFELD(7),ZZ144      KOEST-ANRECHENBAR                   !0001221*
*        B     Z0245                                                   !0001222*
*********$FR080992**ENDE***********************************************!0001223*
Z0244A   AP    ZFELD(7),ZZ095      KOEST-VERG    $FU231291 VON 6 AUF 7 !0001224*
Z0245    CLI   ZZ015,X'05'         INVESTMENT                          !0001225*
         BL    Z0246                                                   !0001226*
         CLI   ZZ015,X'06'         THESAURIENDER FONDS                 !0001227*
         BH    Z0246                                                   !0001228*
         ZAP   ZFELD(7),ZZ113C     STPFL. BRUTTO PRIVAT   $FU231291 6/7!0001229*
Z0246    MVC   DBER+64(18),SCHAB12     $FU231291 SCHAB5 AUF SCHAB12    !0001230*
         ED    DBER+64(18),ZFELD                                       !0001231*
         B     Z0249                                                   !0001232*
Z0247    B     Z02471                                                  !0001233*
         MVC   DBER+68(15),=C'N. 52 KSTG 1977'                         !0001234*
         MVI   Z0231+1,X'F0'                                           !0001235*
         MVI   Z0247+1,X'F0'                                           !0001236*
         B     Z0249                                                   !0001237*
Z02471   MVC   DBER+68(13),=C'BESCHEINIGUNG'                           !0001238*
Z0249    MVI   DBER,X'09'                                              !0001239*
         BAL   R6,DRUCKE                           $FU310789           !0001240*
         SPACE 3                                                       !0001241*
*                             26. ZEILE                               *!0001242*
         SPACE 2                                                       !0001243*
         MVC   DBER+10(30),DPZEI5VA                                    !0001244*
         MVI   DBER,X'09'                                              !0001245*
         BAL   R6,DRUCKE                           $FU310789           !0001246*
         SPACE 3                                                       !0001247*
*                             27. ZEILE                               *!0001248*
         SPACE 2                                                       !0001249*
         MVC   DBER+10(30),DPZEI6VA                                    !0001250*
         TM    ZZ121,X'C0'         OB STEUERBESCH DRUCKEN              !0001251*
         BC    9,Z0262             NEIN                                !0001252*
         CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCH.               !0001253*
         BE    Z0269                                                   !0001254*
Z0262    CLI   ZZ121,X'41'         OB OSTKONTEN                        !0001255*
         BE    Z0264               JA                                  !0001256*
         CLI   ZZ121,X'49'         OB OSTKONTEN                        !0001257*
         BE    Z0264               JA                                  !0001258*
         TM    STFE,X'90'                                              !0001259*
         BZ    Z0269                                                   !0001260*
Z0264    MVC   DBER+67(15),SCHAB5    $FU231291 SCHAB7 AUF SCHAB5       !0001261*
*********$FR080992**************************************************** !0001262*
         CP    ZZ087,=P'0'         ZINS-ABSCHLAG                       !0001263*
         BE    Z0265                                                   !0001264*
         ED    DBER+67(15),ZZ087   KEST          $FU231291             !0001265*
         B     Z0269                                                   !0001266*
Z0265    CLI   GA,C'2'             ABRECHNUNG IN W[HRUNG ?             !0001267*
         BL    Z0267               NEIN                                !0001268*
         ED    DBER+67(15),ZZ305+2 ZINSABSCHLAG-STEUER                 !0001269*
         B     Z0269                                                   !0001270*
Z0267    ED    DBER+67(15),ZZ304+2 ZINSABSCHLAG-STEUER                 !0001271*
*********$FR080992**ENDE********************************************** !0001272*
Z0269    MVI   DBER,X'09'                                              !0001273*
         BAL   R6,DRUCKE                           $FU310789           !0001274*
         SPACE 3                                                       !0001275*
*                             28. ZEILE                                !0001276*
         SPACE 2                                                       !0001277*
         MVC   DBER+10(30),DPZEI7VA                                    !0001278*
*********$FR280591**$FR080992****************************************  !0001279*
*        TM    ZZ121,X'C0'         OB STEUERBESCH DRUCKEN              !0001280*
*        BC    9,Z0281             NEIN                                !0001281*
*        CLI   ZZ091,C'2'          OB JAHRESSTEUERBESCH.               !0001282*
*        BE    Z0289                                                   !0001283*
*Z0281    CLI   ZZ121,X'41'         OB OSTKONTEN                       !0001284*
*        BE    Z0284               JA                                  !0001285*
*        CLI   ZZ121,X'49'         OB OSTKONTEN                        !0001286*
*        BE    Z0284               JA                                  !0001287*
*        TM    STFE,X'90'          STEUERBESCHEINIGUNG                 !0001288*
*        BZ    Z0289                                                   !0001289*
*Z0284    CP    ZZ144,=P'0'         SOLIDAR-ZUSCHLAG                   !0001290*
*        BE    Z0289                                                   !0001291*
*        MVC   DBER+47(16),TEXTSO  $FU231291 VON 22 AUF 16             !0001292*
*        MVC   DBER+64(18),SCHAB12 $FU231291 VON SCHAB7 AUF SCHAB12    !0001293*
*        ED    DBER+64(18),ZZ144   SOLIDARIT{TS-ZUSCHLAG    $FU231291  !0001294*
*********$FR280591**ENDE***$FR080992*********************************  !0001295*
Z0289    MVI   DBER,X'09'                                              !0001296*
         BAL   R6,DRUCKE                           $FU310789           !0001297*
         SPACE 3                                                       !0001298*
*                             29. ZEILE                                !0001299*
         SPACE 2                                                       !0001300*
         MVC   DBER+10(30),DPZEI8VA                                    !0001301*
         MVC   DBER+67(15),SCHAB5                                      !0001302*
         ED    DBER+67(15),ZZ113F                                      !0001303*
         MVI   DBER,X'09'                                              !0001304*
         BAL   R6,DRUCKE                           $FU310789           !0001305*
         SPACE 3                                                       !0001306*
*                             30. ZEILE                                !0001307*
         SPACE 2                                                       !0001308*
         MVC   DBER+10(30),DPZEI9VA                                    !0001309*
         MVI   DBER,X'09'                                              !0001310*
         BAL   R6,DRUCKE                           $FU310789           !0001311*
*                                                                      !0001312*
         SPACE 3                                                       !0001313*
*                             31. ZEILE                               *!0001314*
         SPACE 2                                                       !0001315*
         MVC   DBER+67(15),SCHAB5                                      !0001316*
         ED    DBER+67(15),ZZ113J                                      !0001317*
         MVI   DBER,X'11'                                              !0001318*
         BAL   R6,DRUCKE                           $FU310789           !0001319*
*                                                                      !0001320*
         SPACE 3                                                       !0001321*
*                             32. ZEILE                               *!0001322*
         SPACE 2                                                       !0001323*
         CLC   DPBETREF,=30C' '                                        !0001324*
         BNH   Z02690                                                  !0001325*
         MVC   DBER+2(6),=C'BETR.:'                                    !0001326*
Z02690   MVC   DBER+10(30),DPBETREF                                    !0001327*
         TM    STFE,X'D0'                                              !0001328*
         BZ    Z02691                                                  !0001329*
         MVC   DBER+69(9),SCHAB4                                       !0001330*
         ED    DBER+69(9),ZZ043          BUCHUNGSTAG                   !0001331*
         MVC   DBER+78(2),DBER+76                                      !0001332*
         MVC   DBER+76(2),=C'19'                                       !0001333*
Z02691   CLI   SDUP,C'1'                 DUPLIKAT ?                    !0001334*
         BNE   Z02692                    NEIN                          !0001335*
         MVC   DBER+68(12),=C'NUR KOPIE   '                            !0001336*
         MVI   SDUP,C'0'                                               !0001337*
Z02692   MVI   DBER,X'89'                                              !0001338*
         BAL   R6,DRUCKE                           $FU310789           !0001339*
         CP    DUPL,=P'0'                                              !0001340*
         BE    Z02693                                                  !0001341*
         SP    DUPL,=P'1'                                              !0001342*
*                                                                      !0001343*
Z02693   BR    R7                                                      !0001344*
         EJECT                                                         !0001345*
*************************** $FR080992 ANFANG ************************  !0001346*
*        ZEILE 10 AUFBEREITEN                                          !0001347*
ZIAB     CP    ZIABZAE,=P'10'        ZIAB-Z{HLER = 10 ?                !0001348*
         BNE   ZIAB11                WENN NEIN, WEITER NACH ZIAB11     !0001349*
         MVC   DBER+2(25),KSTFREI    BRUTTO-KEST-FREI TEXT             !0001350*
         B     ZIABEND               ENDE ZINSABSCHLAG AUFBEREITEN     !0001351*
*        ZEILE 11 AUFBEREITEN                                          !0001352*
ZIAB11   CP    ZIABZAE,=P'11'        ZIAB-Z{HLER = 11 ?                !0001353*
         BNE   ZIAB12                WENN NEIN, WEITER NACH ZIAB12     !0001354*
         MVC   DBER+2(2),DM          DM TEXT                           !0001355*
         MVC   DBER+4(21),SCHAB13    SCHABLONE 13,2                    !0001356*
         ED    DBER+4(21),ZZ300      BRUTTO-KEST-FREI IN DM            !0001357*
         B     ZIABEND               ENDE ZINSABSCHLAG AUFBEREITEN     !0001358*
*        ZEILE 12 AUFBEREITEN                                          !0001359*
ZIAB12   CP    ZIABZAE,=P'12'        ZIAB-Z{HLER = 12 ?                !0001360*
         BNE   ZIAB13                WENN NEIN, WEITER NACH ZIAB13     !0001361*
         MVC   DBER+2(27),KSTPFL     BRUTTO-KEST-PFLICHTIG TEXT        !0001362*
         B     ZIABEND               ENDE ZINSABSCHLAG AUFBEREITEN     !0001363*
*        ZEILE 13 AUFBEREITEN                                          !0001364*
ZIAB13   CP    ZIABZAE,=P'13'        ZIAB-Z{HLER = 13 ?                !0001365*
         BNE   ZIAB14                WENN NEIN, WEITER NACH ZIAB14     !0001366*
         MVC   DBER+2(2),DM          DM TEXT                           !0001367*
         MVC   DBER+4(21),SCHAB13    SCHABLONE 13,2                    !0001368*
         ED    DBER+4(21),ZZ302      BRUTTO-KEST-PFLICHTIG IN DM       !0001369*
         B     ZIABEND               ENDE ZINSABSCHLAG AUFBEREITEN     !0001370*
*        ZEILE 14 AUFBEREITEN                                          !0001371*
ZIAB14   CP    ZIABZAE,=P'14'        ZIAB-Z{HLER = 14 ?                !0001372*
         BNE   ZIAB15                WENN NEIN, WEITER NACH ZIAB15     !0001373*
         MVC   DBER+2(24),RESTFRE    RESTLICHER FREIBETRAG TEXT        !0001374*
         B     ZIABEND               ENDE ZINSABSCHLAG AUFBEREITEN     !0001375*
*        ZEILE 15 AUFBEREITEN                                          !0001376*
ZIAB15   CP    ZIABZAE,=P'15'        ZIAB-Z{HLER = 15 ?                !0001377*
         BNE   ZIABEND               WENN NEIN, WEITER ZU ZIABEND      !0001378*
         MVC   DBER+2(2),DM          DM TEXT                           !0001379*
         MVC   DBER+4(21),SCHAB13    SCHABLONE 13,2                    !0001380*
         ED    DBER+4(21),ZZ306      RESTLICHER FREIBETRAG IN DM       !0001381*
ZIABEND  AP    ZIABZAE,=P'1'         ZIAB-Z{HLER UM 1 ERHHEN          !0001382*
         BR    R6                    ZUR}CK                            !0001383*
*************************** $FR080992 ENDE   ************************  !0001384*
         EJECT                                                         !0001385*
*************************** $FU310789 ANFANG ************************  !0001386*
DRUCKE   CLC   ZZ045,PRUEF1                ERTRAGSKONTO = 396991 ?     !0001387*
         BE    DRUCK1                      WENN JA, DRUCK1             !0001388*
         CLC   DPBERUF,=P'121107210'       GUTSCHRIFT F}R FOND ?       !0001389*
         BE    DRUCK2                      JA                          !0001390*
         CLC   DPIOALKF,=C'85'             GUTSCHRIFT F}R N}RNBERG ?   !0001391*
         BE    NUERNB                      JA                          !0001392*
         B     DRUCK                       NEIN, KEIN SEPARATER DRUCK  !0001393*
NUERNB   CP    DUPL,=P'1'           DUPLIKAT ?                         !0001394*
         BE    DRUCK4               JA                                 !0001395*
         CP    DUPL,=P'0'           ORIGINAL ?                         !0001396*
         BE    DRUCK3               JA                                 !0001397*
DRUCK    PUT   DRUCKER,DBER         ANSONSTEN NORMALER DRUCKABLAUF     !0001398*
         XC    DBER,DBER                                               !0001399*
         BR    R6                   ENDE DRUCK, SPRUNG ZURUECK         !0001400*
DRUCK1   PUT   DRUCKE1,DBER         SEPARATER DRUCK DER GUTSCHRIFTEN   !0001401*
         XC    DBER,DBER            MIT ERTRAGSKONTONR. = 396991.      !0001402*
         BR    R6                   ENDE DRUCK, SPRUNG ZURUECK         !0001403*
DRUCK2   PUT   DRUCKE2,DBER         FOND-DRUCK DER GUTSCHRIFTEN        !0001404*
         XC    DBER,DBER            MIT BRANCHEN-SCHL}SSEL 121107210   !0001405*
         BR    R6                   ENDE DRUCK, SPRUNG ZURUECK         !0001406*
DRUCK3   PUT   DRUCKE3,DBER         DRUCK DER N}RNBERGER ORIGINALE     !0001407*
         XC    DBER,DBER            MIT FILIAL-SCHLUESSEL = 85         !0001408*
         BR    R6                   ENDE DRUCK, SPRUNG ZURUECK         !0001409*
DRUCK4   PUT   DRUCKE4,DBER         DRUCK DER N}RNBERGER DUPLIKATE     !0001410*
         XC    DBER,DBER            MIT FILIAL-SCHLUESSEL = 85         !0001411*
         BR    R6                   ENDE DRUCK, SPRUNG ZURUECK         !0001412*
*                                                                      !0001413*
*************************** $FU310789 ENDE **************************  !0001414*
*                                                                      !0001415*
ADRESSE  DS    0H                                                      !0001416*
*                                                                      !0001417*
         MVC   KEYKKA,ZZ011                                            !0001418*
         MVI   KEYKKA,X'00'                                            !0001419*
         UNPK  ZBER13,KEYKKA(7)                                        !0001420*
         MVC   ZBER13+1(1),ZBER13+3                                    !0001421*
         MVC   ZBER13+2(2),ZBER13+10                                   !0001422*
         MVC   KTONR,ZBER13+1                                          !0001423*
*                                                                      !0001424*
* -------------START DL1-ZUGRIFF UEBER EWDL1ZUG-----------------------*!0001425*
*                                                                      !0001426*
* SYSTEM-DEFINITIONEN                                                  !0001427*
*                                                                      !0001428*
         ZAP   DPCALLNR,=P'1'          CALL-NR                         !0001429*
         MVC   DPPROGID,=C'DL1PROG'    PROGRAMM-NAME                   !0001430*
         MVI   DPDATENB,C'A'           DATENBANK = BASIS               !0001431*
*                                                                      !0001432*
* AUFBAU SCHLUESSEL (KONTO-NUMMER ALT UND WAEHRUNG)                    !0001433*
*                                                                      !0001434*
         MVC   DPINST,=C'0000'         INSTITUT 0000                   !0001435*
         MVC   DPKTONR,KTONR           SCHLUESSEL FUER ZUGRIFF         !0001436*
         ZAP   DPWAEHR,=P'004'         WAEHRUNG                        !0001437*
         OI    DPWAEHR+2,X'0F'         WAEHRUNG                        !0001438*
         EJECT                                                         !0001439*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001440*
*                                                                      !0001441*
* DER ZUGRIFF AUF DIE DATENBANK KANN DIREKT (GU) ODER SEQ (GN) ERFOLG. !0001442*
*                                                                      !0001443*
* UM DIES ZU STEUERN, SIND DIE FELDER DPZUG, DPKTONR UND DPWAEHR       !0001444*
* ZU FUELLEN                                                           !0001445*
*                                                                      !0001446*
* DPZUG = 'GU' ==> DIREKT LESEN, DPZUGK WIRD NICHT GEBRAUCHT           !0001447*
* DPZUG = 'GN' ==> SEQ.   LESEN, IN DPKTONR STEHT DIE AUFSETZ-KONTO-   !0001448*
*                  NUMMER, MIT DER MIT GROESSER-GLEICH GESTARTET WIRD  !0001449*
*                  UND IN DPWAEHR STEHT DIE GEWUENSCHTE WAEHRUNG       !0001450*
*                                                                      !0001451*
* SOLANGE VOM HAUPTPROGRAMM DIESE BEIDEN FELDER NICHT VERAENDERT       !0001452*
* WERDEN, BLEIBT DER ZUGRIFF DER GLEICHE, D.H., WENN BEI SEQ. VER-     !0001453*
* ARBEITUNG AN EINER ANDEREN STELLE BEGONNEN WERDEN SOLL, BRAUCHT      !0001454*
* NUR DPZUGK NEU GEFUELLT ZU WERDEN.                                   !0001455*
*                                                                      !0001456*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001457*
         MVC   DPZUG,=C'GU'            DIREKT LESEN                    !0001458*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001459*
*                                                                      !0001460*
* FUNKTION 'SL' ==> ERMITTELN SCHLUESSEL                               !0001461*
*                                                                      !0001462*
* ES KOENNEN DIE FOLGENDEN IO-AREAS GEFUELLT WERDEN:                   !0001463*
*                                                                      !0001464*
* 1. X'01' ALTE FELDER                                                 !0001465*
* 2. X'06' NEUE FELDER                                                 !0001466*
* 3. X'02' UMSATZ-FELDER                                               !0001467*
*                                                                      !0001468*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001469*
*                                                                      !0001470*
* FUNKTION 'AN' ==> ERMITTELN ANSCHRIFTEN                              !0001471*
*                                                                      !0001472*
* ES KOENNEN DIE FOLGENDEN IO-AREAS GEFUELLT WERDEN:                   !0001473*
*                                                                      !0001474*
* 1. X'03' VERSANDANSCHRIFT  -FENSTER-                                 !0001475*
* 2. X'04' EIGENTUEMER-ANSCHRIFT -FELDER-                              !0001476*
* 3. X'05' VERSANDANSCHRIFT -FELDER-                                   !0001477*
* 4. X'06' NEUE FELDER -NUR BETREFF UND KONTO-KURZBEZEICHNUNG          !0001478*
* 5. X'02' UMSATZ-FELDER                                               !0001479*
*                                                                      !0001480*
* ES MUESSEN DIE FELDER DPANTYPX GEFUELLT WERDEN (X = 1-5),            !0001481*
* DIE DIE GEWUENSCHTE ANSCHRIFTEN-REIHENFOLGE DER ANSCHRIFT-AUSWAHL    !0001482*
* ERGEBEN                                                              !0001483*
*                                                                      !0001484*
* IN DP8ODER9 IST ANGEGEBEN, OB 8- ODER 9-ZEILIGES FENSTER             !0001485*
*                                                                      !0001486*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001487*
*                                                                      !0001488*
* FUNKTION 'AS' ==> ERMITTELN ANSCHRIFTEN UND SCHLUESSEL               !0001489*
*                                                                      !0001490*
* DIES FUNKTION STELLT EINE KOMBINATION VON 'AN' UND 'SL' DAR          !0001491*
*                                                                      !0001492*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001493*
*                                                                      !0001494*
* FUNKTION 'BK' ==> ERMITTELN BETREFF UND KURZBEZEICHNUNG              !0001495*
*                                                                      !0001496*
* ES WERDEN NUR ZWEI FELDER GEFUELLT (SCHNELLER ZUGRIFF):              !0001497*
*                                                                      !0001498*
* IO-AREA X'06' NEUE FELDER -NUR BETREFF UND KONTO-KURZBEZEICHNUNG     !0001499*
* IO-AREA X'02' UMSATZ-FELDER                                          !0001500*
*                                                                      !0001501*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001502*
*                                                                      !0001503*
* FUNKTION 'LS' ==> LESEN SEGMENT                                      !0001504*
*                                                                      !0001505*
* ES WIRD EIN SEGMENT IN DER DATENBANK-FORM GEFUELLT                   !0001506*
*                                                                      !0001507*
* ES SIND DIE FOLGENDEN ZUGRIFFS-FORMEN MOEGLICH:                      !0001508*
*                                                                      !0001509*
* 1. EIN BESTIMMTES SEGMENT MIT EINEM BESTIMMTEN SCHLUESSEL UND DEM    !0001510*
*    ZUGRIFF 'GU' LESEN                                                !0001511*
*                                                                      !0001512*
* 2. MEHRERE SEGMENT-TYPEN MIT ZUGRIFF 'GN' LESEN, DIE AUSWAHL DER     !0001513*
*    SEGMENTE ERFOLGT UEBER DIE PCB-NR (51 - 69) ODER DURCH ANGABE     !0001514*
*    DES SEGMENT-NAMENS IM FELD DPSEGNAM, WENN NUR EIN SEGMENT         !0001515*
*    GEWUENSCHT WIRD. DER ZUGRIFF LIEFERT DEN GELESENEN SEGMENT-       !0001516*
*    NAMEN, SOWIE DIE RETURN-INFO 'EK' WIE 'ENDE KUNDE/KONTO' UND 'EN' !0001517*
*                                                                      !0001518*
* FUER DIE 1. FORM GILT:                                               !0001519*
*                                                                      !0001520*
* AUCH WENN IN DER DATENBANK DAS SEGMENT NOCH NICHT ANGELEGT WURDE,    !0001521*
* WERDEN DIE FELDER IN GRUNDSTELLUNG GELIEFERT, ALS WENN DAS SEGMENT   !0001522*
* SO IN DER DATENBANK STEHEN WUERDE -KANN VORKOMMEN, DA NICHT ALLE     !0001523*
* SEGMENTE BEI EINER NEUANLAGE VON KUNDE/KONTO SOFORT MIT ANGELEGT     !0001524*
* WERDEN.                                                              !0001525*
*                                                                      !0001526*
* IO-AREA X'07' SEGMENT-FELDER                                         !0001527*
*                                                                      !0001528*
* ES MUESSEN DIE FOLGENDEN FELDER GEFUELLT WERDEN:                     !0001529*
*                                                                      !0001530*
* DPZUG    DS  CL2    GU             WIE GET UNIQUE                    !0001531*
* DPKTONR  DS  CL9    GVVSSSSSP      JE NACHDEM, OB UEBER              !0001532*
* DPWAEHR  DS  PL3    WWWWW          DIE KONTO-NUMMER,                 !0001533*
*  ODER                              ODER                              !0001534*
* DPKUNDNR DS  PL4    GGSSSSS        DIE KUNDEN-NUMMER                 !0001535*
*                                    ZUGEGRIFFEN WERDEN SOLL           !0001536*
* DPSEGNAM DC  CL8    = SEGMENT-NAME LINKSBUENDIG                      !0001537*
* DPSEGKEY DC  CL34   = SEGMENT-SCHLUESSEL LINKSBUENDIG IN DATENBANK-  !0001538*
*                       FORMAT, ENDE DURCH ')' GEKENNZEICHNET          !0001539*
*                       ODER                                           !0001540*
*                       X'00', WENN KEIN SCHLUESSEL IM SEGMENT         !0001541*
* DPSEGVGL DC  CL2    = EQ ODER GE, JENACHDEM, OB EQUAL ODER GREATER EQ!0001542*
*                                                                      !0001543*
* WIRD DAS SEGMENT NICHT GEFUNDEN, SO STEHT IN DPRCANW = 'NF'          !0001544*
*                                                                      !0001545*
*                                                                      !0001546*
* FUER DIE 2. FORM GILT:                                               !0001547*
*                                                                      !0001548*
* IO-AREA X'07' SEGMENT-FELDER                                         !0001549*
*                                                                      !0001550*
* ES MUESSEN DIE FOLGENDEN FELDER GEFUELLT WERDEN:                     !0001551*
*                                                                      !0001552*
* DPZUG    DS  CL2    GN             WIE GET NEXT                      !0001553*
* DPGNKTO  DS  CL9    GVVSSSSSP      JE NACHDEM, OB UEBER              !0001554*
* DPGNWAE  DS  PL3    WWWWW          DIE KONTO-NUMMER,                 !0001555*
*  ODER                              ODER                              !0001556*
* DPGNKND  DS  PL4    GGSSSSS        DIE KUNDEN-NUMMER                 !0001557*
*                                    ZUGEGRIFFEN WERDEN SOLL           !0001558*
* DPSEGNAM DC  CL8    = SEGMENT-NAME LINKSBUENDIG, WENN NUR EIN SEGM.  !0001559*
* DPSEGPCB DC  CL2    = PCB-NUMMER, WENN MEHR ALS EIN SEGMENT          !0001560*
*                                                                      !0001561*
* ACHTUNG, BEI DIESEM ZUGRIFF IST DIE REIHENFOLGE DER GELIEFERTEN      !0001562*
* SEGMENTE DIE FOLGENDE:                                               !0001563*
*                                                                      !0001564*
* KTO/KND,SEGMENT,...,SEGMENT,KTO/KND,SEGMENT,...,SEGMENT,KTO/KND...   !0001565*
*                             EK                          EK        EN !0001566*
*                                                                      !0001567*
* NACH DEM ENDE EINES KUNDEN/KONTOS STEHT IM RETURN-CODE DPRCANW 'EK'  !0001568*
* BEIM ENDE DER DATENBANK STEHT IM RETURN-CODE DPRCANW 'EN'            !0001569*
*                                                                      !0001570*
* IM FELD DPSEGMNA IN DPIOSEG STEHT DER NAME DES GELESENEN SEGMENTS    !0001571*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001572*
*                                                                      !0001573*
* FUNKTION 'UU' ==> VERAENDERN UMSATZ-SEGMENT                          !0001574*
*                                                                      !0001575*
* ES WERDEN ALLE FELDER DES UMSATZ-SEGMENTES GEFUELLT                  !0001576*
*                                                                      !0001577*
* AUCH WENN IN DER DATENBANK DAS SEGMENT NOCH NICHT ANGELEGT WURDE,    !0001578*
* WERDEN DIE FELDER IN GRUNDSTELLUNG GELIEFERT, ALS WENN DAS SEGMENT   !0001579*
* SO IN DER DATENBANK STEHEN WUERDE -KANN VORKOMMEN, DA ERST BEIM      !0001580*
* ERSTEN UPDATE AUF DIE UMSATZ-FELDER EIN 'INSERT' IN DIE DATENBANK    !0001581*
* VORGENOMMEN WIRD.                                                    !0001582*
*                                                                      !0001583*
* IO-AREA X'02' UMSATZ-FELDER                                          !0001584*
*                                                                      !0001585*
* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  !0001586*
*--$SA100888--ANFANG-----------------------*                           !0001587*
*        MVC   DPFUNK,=C'AN'           FUNKTION ANSCHRIFT+ SCHLUESSEL  !0001588*
         MVC   DPFUNK,=C'AS'           FUNKTION ANSCHRIFT+ SCHLUESSEL  !0001589*
*--$SA100888--ENDE  -----------------------*                           !0001590*
*********************************************************************  !0001591*
*                      ANSCHRIFTEN TYPEN                               !0001592*
*                      -----------------                               !0001593*
*          001 EIGENTUEMER         006                                 !0001594*
*          002 POSTANSCHRIFT       007 URLAUBS ANSCHRIFT               !0001595*
*          003 WP-ANSCHRIFT        008 WERBUNG                         !0001596*
*          004 GELD + DEVISEN      009 HAUSANSCHRIFT                   !0001597*
*          005                     010 STEUER(COUP)-ANSCHRIFT          !0001598*
*********************************************************************  !0001599*
         ZAP   DPANTYP1,=P'011'        SONDERANSCHRIFT-KOUP            !0001600*
         ZAP   DPANTYP2,=P'001'        EIGENTUEMER-ANSCHRIFT           !0001601*
         ZAP   DPANTYP3,=P'000'        POSTANSCHRIFT                   !0001602*
         ZAP   DPANTYP4,=P'000'        GELD UND DEVISEN                !0001603*
         ZAP   DPANTYP5,=P'000'                                        !0001604*
         MVI   DP8ODER9,C'9'           8/9-ZEILIGE ANSCHRIFT           !0001605*
*                                                                      !0001606*
* ANGABE DER GEWUENSCHTEN IO-AREA                                      !0001607*
*                                                                      !0001608*
* BEI NICHT GEBRAUCHTEN IO-AREAS IST IN SPALTE 1 EIN '*' ZU SETZEN     !0001609*
* EIN AKTIVER MVI-BEFEHL KANN NUR MIT EINER AKTIVEN IO-AREA ERFOLGEN   !0001610*
* -SIEHE DIE DL1-DEFINITIONEN-                                         !0001611*
*                                                                      !0001612*
*--$SA100888--ANFANG-----------------------*                           !0001613*
*        MVI   DPIOALTS,X'01'          ALTE FELDER                     !0001614*
         MVI   DPIOALTS,X'01'          ALTE FELDER                     !0001615*
*--$SA100888--ENDE  -----------------------*                           !0001616*
*        MVI   DPIOUMSS,X'02'          UMSATZFELDER                    !0001617*
         MVI   DPIOADVA,X'03'          VERSANDANSCHRIFT FENSTER        !0001618*
*        MVI   DPIOADEI,X'04'          EIGENTUEMERANSCHRIFT            !0001619*
*        MVI   DPIOADFV,X'05'          VERSANDANSCHRIFT FELDER         !0001620*
         MVI   DPIONEUS,X'06'          NEUE FELDER                     !0001621*
*        MVI   DPIOSEGS,X'07'          SEGMENTE                        !0001622*
*                                                                      !0001623*
* EIGENTLICHER DL/1-ZUGRIFF UEBER EWDL1ZUG, DAS WIEDERUM DYNAMISCH     !0001624*
* EWDL1C AUS DER CORE-IMAGE LAED UND IN EWDL1C DEN DL/1 ZUGRIFF        !0001625*
* DURCHFUEHREN LAESST                                                  !0001626*
*                                                                      !0001627*
         CALL  EWDL1ZUG,(PARAM),VL     DL1-CALL MIT EWDL1C             !0001628*
*                                                                      !0001629*
* IN DPRCANW STEHT DER RETURN-CODE FUER DIE ANWENDUNG                  !0001630*
* BEI ALLEN ANDEREN FEHLERN ERFOLGT IN EWDL1C EIN ABEND MIT            !0001631*
* ENTSPRECHENDEN ABEND-INFORMATIONEN                                   !0001632*
*                                                                      !0001633*
         CLC   DPRCANW,=C'EN'          ENDE BEI SEQ. LESEN ?           !0001634*
         BNE   DPDL1S                  NEIN                            !0001635*
*                                                                      !0001636*
* ENDE BEI SEQ. LESEN WURDE ERREICHT                                   !0001637*
*                                                                      !0001638*
         B     DPDL1E                  ENDE DER SEQ. VERARBEITUNG      !0001639*
*        B     ????  PROGRAMM-SPEZ.    ENDE DER SEQ. VERARBEITUNG      !0001640*
         SPACE 2                                                       !0001641*
DPDL1S   DC    0H'0'                                                   !0001642*
         CLC   DPRCANW,=C'NF'          DATEN NICHT GEFUNDEN ?          !0001643*
         BNE   DPDL1N                  DOCH                            !0001644*
*                                                                      !0001645*
* DATEN NICHT VORHANDEN - WERTE SIND AUF GRUNDSTELLUNG                 !0001646*
*                                                                      !0001647*
*        B     DPDL1E                  DATEN NICHT VORHANDEN           !0001648*
         B     ADR2                    DATEN NICHT VORHANDEN           !0001649*
         SPACE 2                                                       !0001650*
DPDL1N   DC    0H'0'                   ENDE DL1-ZUGRIFF                !0001651*
         CLC   DPRCANW,=C'PA'          DATEN PASSIV ?                  !0001652*
         BNE   DPDL1E                  NEIN                            !0001653*
*                                                                      !0001654*
* DATEN SIND PASSIV - WERTE SIND GEFUELLT                              !0001655*
*                                                                      !0001656*
         B     DPDL1E                  DATEN SIND PASSIV               !0001657*
*        B     ????  PROGRAMM-SPEZ.    DATEN SIND PASSIV               !0001658*
         SPACE 2                                                       !0001659*
DPDL1E   DC    0H'0'                   ENDE DL1-ZUGRIFF                !0001660*
*                                                                      !0001661*
* -------------ENDE DL1-ZUGRIFF UEBER EWDL1ZUG------------------------*!0001662*
*                                                                      !0001663*
         BR    R7                                                      !0001664*
*                                                                      !0001665*
***************GEAENDERT $FR 17.11.87******************************    !0001666*
*ADR2     WTOSKA 'ADRESSATZ NICHT GEFUNDEN'                            !0001667*
ADR2     BR    R7                                                      !0001668*
***************ENDE*************************************************   !0001669*
         PRINT GEN                                                     !0001670*
         EJECT                                                         !0001671*
*------------------------------------*                                 !0001672*
*        KONTOSCHL}SSEL SETZEN       *                                 !0001673*
*------------------------------------*                                 !0001674*
         SPACE 2                                                       !0001675*
AUSL     AUSL  ZZ011+1,PR                                              !0001676*
**       PRINT NOGEN                                                   !0001677*
         CLC   ZZ119(2),=X'0054'                                       !0001678*
         BNER  R7                                                      !0001679*
         MVN   PR(1),=X'04'                                            !0001680*
         BR    R7                                                      !0001681*
         SPACE 3                                                       !0001682*
END91    CLOSE (SDE642,,DRUCKER,,SDE284,,DRUCKE1,,DRUCKE2,,DRUCKE3)    !0001683*
         CLOSE (DRUCKE4)                                               !0001684*
*                                                                      !0001685*
* --------ENDE DES PROGRAMMES MIT DL/1-ZUGRIFF UEBER EWDL1ZUG---------*!0001686*
*                                                                      !0001687*
**       LA    13,DL1SAVE              SAVE-AREA DIESES PROGRAMMES     !0001688*
**       L     13,4(13)                SAVE-AREA VON DL/1 ADRESS.      !0001689*
**       RETURN (14,12)                ZURUECK ZU DL/1                 !0001690*
         EOJ                                                           !0001691*
         STOP                                                          !0001691*
*                                                                      !0001692*
* --------------------------------------------------------------------*!0001693*
* --------------------------------------------------------------------*!0001694*
*                                                                      !0001695*
         EJECT                                                         !0001696*
*                                                                     *!0001697*
*                           DEFINITIONEN                              *!0001698*
*                                                                     *!0001699*
         SPACE 2                                                       !0001700*
         LTORG                                                         !0001701*
DBER     DS    CL133                                                   !0001702*
*********$FR270189**$FR040889****************************************  !0001703*
**TABELLE  DC    X'0000002103'                                         !0001704*
**       DC    X'0000002104'                                           !0001705*
**       DC    X'0000002105'                                           !0001706*
**       DC    X'0000002106'                                           !0001707*
**       DC    X'0000002107'                                           !0001708*
**       DC    X'0000002108'                                           !0001709*
**       DC    X'0000002109'                                           !0001710*
**       DC    X'0000002110'                                           !0001711*
**       DC    X'0000002111'                                           !0001712*
**       DC    X'0000002112'                                           !0001713*
**       DC    X'0000002113'                                           !0001714*
**       DC    X'0000002114'                                           !0001715*
**       DC    X'0000002115'                                           !0001716*
**       DC    X'0000002116'                                           !0001717*
**       DC    X'0000002117'                                           !0001718*
**       DC    X'0000002118'                                           !0001719*
**       DC    X'0000002119'                                           !0001720*
**       DC    X'0000002120'                                           !0001721*
**       DC    X'0000002121'                                           !0001722*
**       DC    X'0000002122'                                           !0001723*
**       DC    X'0000002123'                                           !0001724*
**       DC    X'0000002124'                                           !0001725*
**       DC    X'0000002125'                                           !0001726*
**       DC    X'0000002126'                                           !0001727*
**       DC    X'0000002127'                                           !0001728*
**       DC    X'0000002128'                                           !0001729*
**       DC    X'0000002129'                                           !0001730*
**       DC    X'0000002130'                                           !0001731*
**       DC    X'0000002131'                                           !0001732*
**       DC    X'0000002132'                                           !0001733*
**       DC    X'0000002133'                                           !0001734*
**       DC    X'0000002134'                                           !0001735*
**       DC    X'0000382201'                                           !0001736*
**       DC    X'0000382202'                                           !0001737*
**       DC    X'0000382203'                                           !0001738*
**       DC    X'0000382204'                                           !0001739*
**       DC    X'0000382205'                                           !0001740*
**       DC    X'0000382206'                                           !0001741*
**       DC    X'0000395162'                                           !0001742*
**       DC    X'0000395163'                                           !0001743*
**       DC    X'0000395164'                                           !0001744*
*********************************************************************  !0001745*
TEADR    DC    X'000050000C'                                           !0001746*
         DC    X'847084992C'                                           !0001747*
         DC    X'970098992C'                                           !0001748*
TEXT1    DC    C'KUPONGUTSCHRIFT                        '              !0001749*
         DC    C'DIVIDENDENGUTSCHRIFT                   '              !0001750*
         DC    C'ERTRAGSGUTSCHRIFT                      '              !0001751*
TEXT2    DC    C'       - N U R  K U P O N -               '           !0001752*
         DC    C'- N U R  D I V I D E N D E N S C H E I N -'           !0001753*
         DC    C'   - N U R  E R T R A G S S C H E I N -   '           !0001754*
TEXT3    DC    C'UND STEUERBESCHEINIGUNG                   '           !0001755*
         DC    C'UND STEUERBESCHEINIGUNG GEM. LAENDERERLASS'           !0001756*
         DC    C'MIT NV-BESCHEINIGUNG   NR.                '           !0001757*
         DC    C'AUF BELEGSCHAFTSAKTIEN                    '           !0001758*
*TEXTSO   DC    CL16'SOLIDAR-ZUSCHLAG'  $FR280591  $FU231291           !0001759*
TEXTSO   DC    CL16'ZINSABSCHLAG-ST '                         $FR080992!0001760*
DUPL     DC    PL2'0'                                                  !0001761*
PR       DC    X'00'                                                   !0001762*
FCODE    DC    X'00'                                                   !0001763*
DOWO     DS    D                                                       !0001764*
DOWO2    DS    D                                                       !0001765*
PRUEF1   DC    X'000039699100'                                $FU310789!0001766*
SCHAB1   DC    XL18'40204B2020204B2020204B2021206B202020'         10,3 !0001767*
SCHAB2   DC    XL16'402020204B2021206B20202020202020'              6,6 !0001768*
SCHAB3   DC    XL07'402021206B2020'                                3,2 !0001769*
SCHAB4   DC    XL09'4020204B20204B2020'                            6   !0001770*
SCHAB5   DC    XL15'402020204B2020204B2021206B2020'                9,2 !0001771*
SCHAB6   DC    XL14'4020202021206B20202020202020'                  5,7 !0001772*
SCHAB7   DC    XL13'40204B2020204B2021206B2020'                    7,2 !0001773*
SCHAB8   DC    XL13'40202020204020204020202020'                   10   !0001774*
SCHAB9   DC    XL05'4020212020'                                    4   !0001775*
SCHAB10  DC    XL08'4020206B20202020'                              2,4 !0001776*
SCHAB11  DC    XL09'4021206B2020202020'                            2,5 !0001777*
******************** $FU231291 ANFANG ***************************      !0001778*
SCHAB12  DC    XL18'4020204B2020204B2020204B2021206B2020'         11,2 !0001779*
******************** $FU231291 ENDE   ***************************      !0001780*
******************** $FR080992 ANFANG ***************************      !0001781*
SCHAB13  DC    XL21'40204B2020204B2020204B2020204B2021206B2020'   13,2 !0001782*
SCHAB14  DC    XL15'402020202021206B20202020202020'                6,7 !0001783*
******************** $FR080992 ENDE   ***************************      !0001784*
SDUP     DC    C'0'                DUPLIKAT-KZ                         !0001785*
ZFELD    DS    CL20                                                    !0001786*
STFE     DC    X'00'               STEUERBYTE-FELD                     !0001787*
TEXTSICH DS    CL84                                                    !0001788*
ZEITRAUM DC    XL10'00'                                                !0001789*
KTONR    DS    CL9                                                     !0001790*
ZBER13   DS    CL13                                                    !0001791*
         ZMKRS                                                         !0001792*
KEYKKA   DC    XL6'00'                                                 !0001793*
         EJECT                                                         !0001794*
         VSZAB ZZ                                                      !0001795*
         EJECT                                                         !0001796*
DFELD    DS    CL20                                                    !0001797*
RSAVE    DS    9D                                                      !0001798*
ANTW     DC    C'  '                                                   !0001799*
PARI     DC    C' '      PARIT{T                                       !0001800*
DEVKUR   DC    XL10'00'  DEVISENKURS                          $FU231291!0001801*
REFE     DC    PL16'0'   RECHENFELD                                    !0001802*
ERTKUB   DS    CL5       ERTRAGSKURS                                   !0001803*
ABRKUB   DS    CL5       ABRECHNUNGSKURS                               !0001804*
ZWISU    DC    PL7'0'    ZWISCHENSUMME                        $FU231291!0001805*
ANZ      DC    P'0'      Z[HLER PROBEDRUCK                    $FR090189!0001806*
ZIABZAE  DC    PL2'8'    Z[HLER ZINSABSCHLAGTEXTE             $FR080992!0001807*
DM       DC    CL2'DM'                                        $FR080992!0001808*
KSTFREI  DC    CL25'BRUTTOBETRAG FREISTELLUNG'                $FR080992!0001809*
KSTPFL   DC    CL27'BRUTTOBETRAG-KEST-PFLICHTIG'              $FR080992!0001810*
RESTFRE  DC    CL24'RESTFREIBETRAG VOR ABZUG'                 $FR080992!0001811*
ABFELD   DC    PL7'0'    ZWISCHEN-FELD                        $FR080992!0001812*
GA       DC    C' '      GESCHAEFTSART   0 = DM ABRECHNUNG             !0001813*
*                                        1 = WAEHR. GEGEN DM           !0001814*
*                                        2 = WAEHR. GEGEN ANDERE WAEHR !0001815*
*                                        3 = WAEHR. GEGEN SELBE WAEHR  !0001816*
         REG1                                                          !0001817*
*                                                                      !0001818*
* --------START DL1-DEFINITIONEN FUER ZUGRIFF UEBER EWDL1ZUG----------*!0001819*
*                                                                      !0001820*
PARAM    DS    0CL1                    PARAMETER FUER EWDL1C           !0001821*
*                                                                      !0001822*
* PARAMETER VOM HAUPTPROGRAMM FUER EWDL1C                              !0001823*
*                                                                      !0001824*
* DIE /INCLUDE-ANWEISUNGEN FUER DIE NICHT GEBRAUCHTEN IO-AREAS SIND    !0001825*
* IN DER ERSTEN SPALTE MIT EINEM '*' ZU VERSEHEN                       !0001826*
*                                                                      !0001827*
**/INCLUDE DPARFIX                                                     !0001828*
         COPY  DPARFIX                                                 !0001829*
* NCLUDE DPIOALT                                                       !0001830*
*--$SA100888--ANFANG-----------------------*                           !0001831*
         COPY  DPIOALT                                                 !0001832*
*--$SA100888--ENDE  -----------------------*                           !0001833*
* NCLUDE DPIOUMS                                                       !0001834*
**/INCLUDE DPADRVA                                                     !0001835*
         COPY  DPADRVA                                                 !0001836*
* INCLUDE DPADREI                                                      !0001837*
* INCLUDE DPADRFV                                                      !0001838*
**/INCLUDE DPIONEU                                                     !0001839*
         COPY  DPIONEU                                                 !0001840*
* NCLUDE DPIOSEG                                                       !0001841*
**/INCLUDE DPIOEND                                                     !0001842*
         COPY  DPIOEND                                                 !0001843*
         EJECT                                                         !0001844*
*                                                                      !0001845*
* ---------ENDE DL1-DEFINITIONEN FUER ZUGRIFF UEBER EWDL1ZUG----------*!0001846*
*                                                                      !0001847*
         LTORG                                                         !0001848*
SDE642   DCB   DDNAME=SDE642,                                          -0001849*
               DSORG=PS,                                               -0001850*
               LRECL=642,                                              -0001851*
               RECFM=FB,                                               -0001852*
               EODAD=ESDE642,                                          -0001853*
               MACRF=GM                                                !0001854*
DRUCKER  DCB   DDNAME=DRUCKER,                                         -0001855*
               DSORG=PS,                                               -0001856*
               MACRF=PM,                                               -0001857*
               LRECL=133,                                              -0001858*
               RECFM=FBM                                               !0001859*
DRUCKE1  DCB   DDNAME=DRUCKE1,                                         -0001860*
               DSORG=PS,                                               -0001861*
               MACRF=PM,                                               -0001862*
               LRECL=133,                                              -0001863*
               RECFM=FBM                                               !0001864*
DRUCKE2  DCB   DDNAME=DRUCKE2,                                         -0001865*
               DSORG=PS,                                               -0001866*
               MACRF=PM,                                               -0001867*
               LRECL=133,                                              -0001868*
               RECFM=FBM                                               !0001869*
DRUCKE3  DCB   DDNAME=DRUCKE3,                                         -0001870*
               DSORG=PS,                                               -0001871*
               MACRF=PM,                                               -0001872*
               LRECL=133,                                              -0001873*
               RECFM=FBM                                               !0001874*
DRUCKE4  DCB   DDNAME=DRUCKE4,                                         -0001875*
               DSORG=PS,                                               -0001876*
               MACRF=PM,                                               -0001877*
               LRECL=133,                                              -0001878*
               RECFM=FBM                                               !0001879*
SDE284   DCB   DDNAME=SDE284,                                          -0001880*
               DSORG=PS,                                               -0001881*
               EODAD=ESDE284,                                          -0001882*
               RECFM=FB,                                               -0001883*
               LRECL=284,                                              -0001884*
               MACRF=GM                                                !0001885*
         SPACE 3                                                       !0001886*
* KURSTAB  DS  CL10000                                                 !0001887*
KURSTAB  DS    CL1000                                                  !0001887*
         EPILOG                                                        !0001888*
         END   EW460055                                                !001889*
