/*  Projekt pliwrap
	 SES GmbH
	 Copyright  1999 Alle Rechte vorbehalten.

	 SYSTEM:       pliwrap.exe Application
	 DATEI:        opendir.cpp
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ==========
	 Quelltextdatei fuer die Implementation von redocAboutDlg (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "opendir.h"
#include "plwrpapp.h"
#include <windows.h>

DEFINE_RESPONSE_TABLE1(TOpenDir, TDialog)
  EV_LBN_SELCHANGE(IDC_LISTBOX1, HandleListBox),
  EV_COMMAND (IDOK, HandleOk),
END_RESPONSE_TABLE;

//{{TOpenDir Implementation}}
TOpenDir::TOpenDir (TWindow* parent, LPSTR TPath, TResId resId, TModule* module):
	 TDialog(parent, resId, module)
{
	 // INSERT>> Your constructor code here.
	 strcpy (path, TPath);
	 ptrTPath = TPath;
}


TOpenDir::~TOpenDir ()
{
	 Destroy();

	 // INSERT>> Your destructor code here.
}

void TOpenDir::HandleOk ()
{
 TPliwrapApp *theApp = TYPESAFE_DOWNCAST(GetApplication(), TPliwrapApp);
 theApp->select=1;

 GetDlgItemText (IDC_EDIT1, path, MAX_PATH);
 strcpy (ptrTPath, path);

 CloseWindow ();
}

void TOpenDir::HandleListBox ()
{
 DlgDirSelectEx(HWindow, path, sizeof(path), IDC_LISTBOX1);
// DlgDirList(HWindow, path, IDC_LISTBOX1, IDC_EDIT1, 0xC010);
 DlgDirList(HWindow, path, IDC_LISTBOX1, IDC_EDIT1, DDL_DRIVES | DDL_DIRECTORY |
				DDL_EXCLUSIVE);
}

void TOpenDir::SetupWindow ()
{
 TPliwrapApp *theApp = TYPESAFE_DOWNCAST(GetApplication(), TPliwrapApp);
 SetCaption (theApp->title);

// DlgDirList(HWindow, path, IDC_LISTBOX1, IDC_EDIT1, 0xC010);
 DlgDirList(HWindow, path, IDC_LISTBOX1, IDC_EDIT1, DDL_DRIVES | DDL_DIRECTORY |
				DDL_EXCLUSIVE);
}

