#if !defined(__opendir_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde.
#define __opendir_h

/*  Projekt redoc
	 SES GmbH
	 Copyright  1997 Alle Rechte vorbehalten.

	 SYSTEM:       cobwrap.exe Application
	 DATEI:        opendir.h
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ========
	 Klassendefinition fuer redocAboutDlg (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "plwrpapp.rh"                  // Definition aller Ressourcen.

//{{TDialog = TOpenDir}}
class TOpenDir : public TDialog {

public:
	 char path[MAX_PATH];
	 LPSTR ptrTPath;
public:
	 TOpenDir (TWindow* parent, LPSTR TPath, TResId resId = DIALOG_OPENDIR, TModule* module = 0);
	 virtual ~TOpenDir ();

	 virtual void HandleListBox ();
	 virtual void HandleOk();

	 void SetupWindow();

	 DECLARE_RESPONSE_TABLE(TOpenDir);

 };    //{{TOpenDir}}

#endif                                      // __rdcabtdl_h sentry.
