/*  Projekt pliwrap
	 SES GmbH
	 Copyright  1999 Alle Rechte vorbehalten.

	 SYSTEM:       redoc.exe Application
	 DATEI:        param.cpp
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ==========
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "param.h"
#include "plwrpapp.h"
#include <windows.h>

DEFINE_RESPONSE_TABLE1(TParam, TDialog)
  EV_LBN_SELCHANGE(IDC_LISTBOX1, HandleListBox),
  EV_COMMAND (IDOK, HandleOk),
  EV_COMMAND (IDC_IMS, CheckIMS),
  EV_COMMAND (IDC_CICS, CheckCICS),
  EV_COMMAND (IDC_UTM, CheckUTM),
END_RESPONSE_TABLE;

//{{TOpenDir Implementation}}
TParam::TParam (TWindow* parent, TResId resId, TModule* module):
	 TDialog(parent, resId, module)
{
	 // INSERT>> Your constructor code here.
}


TParam::~TParam ()
{
	 Destroy();

	 // INSERT>> Your destructor code here.
}


void TParam::CheckIMS ()
{
    SendDlgItemMessage(IDC_IMS, BM_SETCHECK, 1, 0);
    SendDlgItemMessage(IDC_CICS, BM_SETCHECK, 0, 0);
    SendDlgItemMessage(IDC_UTM, BM_SETCHECK, 0, 0);
}

void TParam::CheckCICS ()
{
    SendDlgItemMessage(IDC_IMS, BM_SETCHECK, 0, 0);
    SendDlgItemMessage(IDC_CICS, BM_SETCHECK, 1, 0);
    SendDlgItemMessage(IDC_UTM, BM_SETCHECK, 0, 0);
}

void TParam::CheckUTM ()
{
    SendDlgItemMessage(IDC_IMS, BM_SETCHECK, 0, 0);
    SendDlgItemMessage(IDC_CICS, BM_SETCHECK, 0, 0);
    SendDlgItemMessage(IDC_UTM, BM_SETCHECK, 1, 0);
}


void TParam::HandleOk ()
{
 TPliwrapApp *theApp = TYPESAFE_DOWNCAST(GetApplication(), TPliwrapApp);
 theApp->select=1;

 // type
 if (SendDlgItemMessage(IDC_IMS, BM_GETCHECK, 0, 0))
    theApp->xtype=IMS;
 else
 if (SendDlgItemMessage(IDC_CICS, BM_GETCHECK, 0, 0))
    theApp->xtype=CICS;
 else
    theApp->xtype=UTM;

 CloseWindow ();
}

void TParam::HandleListBox ()
{
}

void TParam::SetupWindow ()
{
 TPliwrapApp *theApp = TYPESAFE_DOWNCAST(GetApplication(), TPliwrapApp);

// version

 // type
 if (theApp->xtype==IMS)
    SendDlgItemMessage(IDC_IMS, BM_SETCHECK, 1, 0);
 else
 if (theApp->xtype==CICS)
    SendDlgItemMessage(IDC_CICS, BM_SETCHECK, 1, 0);
 else
    SendDlgItemMessage(IDC_UTM, BM_SETCHECK, 1, 0);
}

