#if !defined(__param_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde.
#define __param_h

/*  Projekt redoc
	 SES GmbH
	 Copyright  1995 Alle Rechte vorbehalten.

	 SYSTEM:       redoc.exe Application
	 DATEI:        opendir.h
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ========
	 Klassendefinition fuer redocAboutDlg (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "plwrpapp.rh"

//{{TDialog = TOpenDir}}
class TParam : public TDialog {

public:
	 char path[MAX_PATH];
	 LPSTR ptrTPath;

    char version[MAX_PATH];
    char mode[MAX_PATH];
    char type[MAX_PATH];
    char editor[MAX_PATH];

public:
	 TParam (TWindow* parent, TResId resId = DIALOG_PARAM, TModule* module = 0);
	 virtual ~TParam ();

	 virtual void HandleListBox ();
	 virtual void HandleOk();

    void CheckPLI74 ();
    void CheckPLI85 ();

    void CheckIMS ();
    void CheckCICS ();
    void CheckUTM ();
    void CheckMODUL ();

	 void SetupWindow();

	 DECLARE_RESPONSE_TABLE(TParam);

 };    //{{TOpenDir}}

#endif                                      // __rdcabtdl_h sentry.
