// Inhalt:  Limits und Definitionen fr die Klassen FileParse
// Author:  Helmuth C. Bahr
// Datum:   23.06.98
// C-Datum: 09.07.98

#ifndef _PARSEDEF_H
#define _PARSEDEF_H

// limits
#define MAX_ZUSATZ   2
#define MAX_PATH		160
#define MAX_LINE		320
#define MAX_WORD		160
#define MAX_LINETAB  50
#define MAX_STATETAB 200

// filestatus
#define F_OPEN_SUCCESS 1
#define F_OPEN_ERROR   2

// linestatus
#define L_READ_SUCCESS   1
#define L_READ_ERROR     2
#define L_WRITE_SUCCESS  3
#define L_WRITE_ERROR    4

// wordstatus
#define W_EOF          1
#define W_WORD         2
#define W_NUM          3
#define W_APOS         4
#define W_BRAC_R       5
#define W_BRAC_S       6
#define W_OTHER        7
#define W_PREPRO       8
#define W_FATAL        999

// charstatus
#define C_ALPHA        1
#define C_NUM          2
#define C_SPACE        3
#define C_OTHER        4

// endedefinition
#endif


