#if !defined(__fparse_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde.
#define __fparse_h

/*  Projekt redoc
	 SES GmbH
	 Copyright  1995 Alle Rechte vorbehalten.

	 SYSTEM:       redoc.exe Application
	 DATEI:        selpara.h
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ========
	 Klassendefinition fuer redocAboutDlg (TDialog).
*/

#include "parsedef.h"
#include <ctype.h>
#include <stdio.h>
#include <string.h>

// Inhalt: Definitionsdatei der Klasse FileParse
// Author: Helmuth C. Bahr
// Datum:  23.06.98
// Klasse: Allgemeiner Parser fr Dateien, eine Datei entspricht einem Labekt

class FileParse {

public:
	FILE *fp;
	char filename[MAX_PATH];

	char line[MAX_LINE+MAX_ZUSATZ];
	char lastline[MAX_LINE+MAX_ZUSATZ];
	char word[MAX_WORD+MAX_ZUSATZ];
	char lastword[MAX_WORD+MAX_ZUSATZ];
	char lastlastword[MAX_WORD+MAX_ZUSATZ];

   int  lasttype,lastlasttype;

	int  linenr,wordnr,charnr,wrlinenr;
	int  filestatus,linestatus,wordstatus,writestatus;
	int  errornr;

	FileParse (char *ifile);
	~FileParse();

	void Close ();
   int get_next_word ();
   int get_next_word_simple ();
	int get_next_line ();
   int get_char_type (char c);
   int xisspace ();
};

#endif // end