********** CNTRL
********** HISTO  AUDUS NEU----040391  AUDUS 040391-220491  AUDUS 051191-050392
********** HISTO  AUDUS 280492-160692  AUFRI 160692-220792  AUDUS 300792-300792
********** HISTO  AUDUS 051192-041292  AUDUS 120793-120793
      ******************************************************************
      *
       IDENTIFICATION DIVISION.
      *
      ******************************************************************
       PROGRAM-ID.    DBRIP02.
       AUTHOR.        BANK AUFINA
                      5200 BRUGG.
       DATE-WRITTEN.  JANUAR-1991.
       DATE-COMPILED.
       REMARKS.
            INPUT-FILES:
            OUTPUT-FILES:
            SCREENS:
              DBRIM2D   BRIEF LEASING-VERTRAG AUFLOESEN / DEUTSCH       L02
              DBRIM2F   BRIEF LEASING-VERTRAG AUFLOESEN / FRANZOESISCH  L02
            PROGRAM-DESCRIPTION:
            XCTLS:
              DBRIT     HAUPTPROGRAMM
              DBRIP02   DATEN-EINGABE-PROGRAMM                          L02
              DBRIP52   BRIEF-DRUCKPROGRAMM                             L02
            SUBROUTINE-DESCRIPTION:
            SWITCHES:
            INDEXES:
      * SPECIAL-REMARKS.
      *****************************************************************
      * 1.    PROGRAMM:
      * 1.1   NAME :      DBRIP02     A/PROGR:    CHR-DUSS
      * 1.2   LANG.:      COBOL       E-DATUM:    JANUAR 1991
      * 1.3   P-ART:      ONLINE      TB/TRNS:    DBRI
      * 1.4   L.MUT:      12-JULY-93  A/PROGR:    H.P.FREI              L04
      *
      * 2.    PROGRAMMTEXT:
      *
      * 3.    FILES:
      * 3.0   ID:         D-ORG:   I/O/L/U:       DS-NAME:
      *
      *
      * 4.    OUTPUTLISTEN:
      * 4.0   L-NR.     FORM    EMPF-ABT  A-FRIST LISTENTITEL:
      *
      * 5.    MODULES:
      * 5.1   XM014A      XM016       XM229       XM246       XM269
      * 5.2   XM278       XM314
      * 5.3   XM102                                                     L01
      *
      * 6.    DECISION-TABLES:
      *
      * 7.    COPY'S: (OHNE DECTAT)
      * 7.1   HEXA        DFHAID      DFHBMSCA    DBRIM2D     DBRICOMM
      *
      * 8.    MAPS FUER ON-LINE-PROGRAMME
      * 8.1   DBRIM2D     DBRIM2F
      *
      * 9.    UPSI-SWITCHES:
      *****************************************************************
      * END SPECIAL-REMARKS
            MODIFICATIONS:
            L01  Q714  15-JAN-1992  CHR-DUSS                            L01
                 DIV. AENDERUNGEN ZUR 1. REVISION                       L01
            L02  Q715  15-JAN-1992  CHR-DUSS                            L01
                 UNILEASING-ERGAENZUNGEN                                L01
            L03  Q735  16-JUN-1992  H.P.FREI                            L03/HF
                 NEUE LV-STRUKTUR EINFUEHREN (LV91):                    L03/HF
                 KAUTION ANDERS BEHANDELN                               L03/HF
            L04  R111  12-JUL-1993  H.P.FREI                            L04
                 CA AUF 6000 STELLEN ERWEITERT WEGEN INDIVIDUELLEM BRIEFL04
           EJECT
      ******************************************************************
      *
       ENVIRONMENT DIVISION.
      *
      ******************************************************************
      *
      *
      ******************************************************************
      *
       DATA DIVISION.
      *
      ******************************************************************
       WORKING-STORAGE SECTION.
      *
       01  BEGINN-WS     PIC X(35)      VALUE                           L02
           'BEGINN WORKING-STORAGE DBRIP02  L04'.                       L04
      *
      ******************************************************************
       01  KONSTANTEN.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>KONST<<'.
      *
           05  K-XM014A  PIC X(8)       VALUE 'XM014A'.
           05  K-XM016   PIC X(8)       VALUE 'XM016'.
           05  K-XM102   PIC X(8)       VALUE 'XM102'.                  L01
           05  K-XM229   PIC X(8)       VALUE 'XM229'.
           05  K-XM246   PIC X(8)       VALUE 'XM246'.
           05  K-XM269   PIC X(8)       VALUE 'XM269'.
           05  K-XM278   PIC X(8)       VALUE 'XM278'.
           05  K-XM314   PIC X(8)       VALUE 'XM314'.
      *
      ******************************************************************
      ***  HEX-KONSTANTEN
      ******************************************************************
       01  FILLER        PIC X(9)       VALUE '>>>HEX<<<'.
           COPY HEXA   SUPPRESS.
           EJECT
      *
      ******************************************************************
       01  RECHENFELDER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>RECHF<<'.
           05  R-ADRSW   PIC 9(3)       VALUE ZEROES.                   L01
           05  R-LEERZ   PIC 9(3)       VALUE ZEROES.                   L01
      *
      ******************************************************************
       01  INDEXES.                                                     L01
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>INDEX<<'.              L01
           05  I-1       PIC 9          VALUE ZERO.                     L01
      *
      ******************************************************************
       01  ZAEHLERFELDER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>ZAEHLER<'.
      *
      ******************************************************************
       01  SWITCHES.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>SWITCH<<'.
           05  SWFEHL    PIC 9          VALUE ZERO.
           05  SWPF      PIC 99         VALUE ZERO.
      *
           EJECT
      *
      ******************************************************************
      *    UHRZEIT
      ******************************************************************
      *
       01  Z-TIME        PIC 9(7).
       01  TIMR          REDEFINES      Z-TIME.
           05 FILLER     PIC X.
           05 TIMR1      PIC XX.
           05 TIMR2      PIC XX.
           05 TIMR3      PIC XX.
      *
      ******************************************************************
      *    DATUM
      ******************************************************************
      *
       01  Z-DATE        PIC X(8).
       01  DATR          REDEFINES      Z-DATE.
           05 DATR0      PIC XX.
           05 FILLER     PIC X.
           05 DATR1      PIC XX.
           05 FILLER     PIC X.
           05 DATR2      PIC XX.
      *
       01  Z-DAT6.
           05 Z-DAT0     PIC XX.
           05 Z-DAT1     PIC XX.
           05 Z-DAT2     PIC XX.
           EJECT
      *
      ******************************************************************
      *    DEFINITIONEN 1. ZEILE SCREEN
      ******************************************************************
      *
       01  W-IDA.
           05 FA         PIC X(12).
           05 FILLER     PIC XX         VALUE ' ,'.
           05 GS         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 TID        PIC XXXX.
           05 FILLER     PIC X          VALUE ','.
           05 OPID       PIC XXX.
      *
       01  W-IDE.
           05 TRANS      PIC XXXX.
           05 FILLER     PIC X          VALUE '-'.
           05 LEVEL      PIC XXX        VALUE 'L04'.                    L04
           05 FILLER     PIC X          VALUE ','.
           05 TT         PIC XX.
           05 MM         PIC XX.
           05 YY         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 HH         PIC XX.
           05 MI         PIC XX.
           05 SS         PIC XX.
      *
      ******************************************************************
      * 01 TABELLEN.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>TABLES<<'.
      *
           05  T-ADRESSE.                                               L01
           10  T-ADRZ-EL    OCCURS 5.                                   L01
           15  T-ADRZ-PLZ   PIC X(4).                                   L01
           15  T-ADRZ-ORT   PIC X(26).                                  L01
      *
           EJECT
      *
      ******************************************************************
       01  ZWISCHENSPEICHER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>ZWISP<<'.
      *
           05  Z-ALBET   PIC X(14)    VALUE SPACES.
      *
           05  Z-KAUTI   PIC X(14)    VALUE SPACES.
      *
           05  Z-DATE6.
           10  Z-TT6     PIC XX.
           10  Z-MM6     PIC XX.
           10  Z-JJ6     PIC XX.
      *
           05  Z-DATE8.
           10  Z-TT8     PIC XX.
           10  Z-P18     PIC X.
           10  Z-MM8     PIC XX.
           10  Z-P28     PIC X.
           10  Z-JJ8     PIC XX.
      *
           05  Z-DATE10.                                                L01
           10  Z-TT10    PIC XX.                                        L01
           10  Z-P110    PIC X.                                         L01
           10  Z-MM10    PIC XX.                                        L01
           10  Z-P210    PIC X.                                         L01
           10  Z-JJ10.                                                  L01
           15  Z-JH10    PIC XX.                                        L01
           15  Z-JZ10    PIC XX.                                        L01
      *
      **** ALLES ZUR BENUTZERFREUNDLICHKEIT ****
      **** DA DAS FORMAT FUER BETRAGSFELDER FREIGESTELLT IST, MUSS FUER
      **** ALLE FAELLE VORGESORGT WERDEN. DA IM FEHLERFALL DIE FALSCHE
      **** EINGABE GEZEIGT WIRD, UND MIT EINER MASKE NUR NUMERISCHE
      **** FELDER AUSGEGEBEN WERDEN KOENNEN, MUSS IM PROGRAMM DIE AUS-
      **** GABE GEHANDELT WERDEN. ANDERFALLS STELLEN SICH ASRAS EIN
      *
           05 MO-BETRAX.
           10 MO-BETRA   PIC Z,ZZZ,ZZ9.99-.
      *
           05 Z-KAUTVC   PIC S9(7)      COMP.                           L01
           05 Z-KAUTVR   REDEFINES      Z-KAUTVC.                       L01
           10 Z-KAUTVF   PIC X.                                         L01
           10 Z-KAUTVX   PIC X(3).                                      L01
      *
           05 Z-KAUTVC-3 PIC S9(7)      COMP-3.                         L01
      *
       01        Z-TESTDATUM.                                           L01
         05      Z-TD-6OP.                                              L01
           10    Z-TD-6OPX.                                             L01
             15  Z-TD-6OPT   PIC XX.                                    L01
             15  Z-TD-6OPM   PIC XX.                                    L01
             15  Z-TD-6OPJ   PIC XX.                                    L01
           10    Z-TD-6OPF   PIC X(4).                                  L01
      *
         05      Z-TD-8OP    REDEFINES Z-TD-6OP.                        L01
           10    Z-TD-8OPX.                                             L01
             15  Z-TD-8OPT   PIC XX.                                    L01
             15  Z-TD-8OPM   PIC XX.                                    L01
             15  Z-TD-8OPJ   PIC X(4).                                  L01
           10    Z-TD-8OPF   PIC XX.                                    L01
      *
         05      Z-TD-6MP    REDEFINES Z-TD-6OP.                        L01
           10    Z-TD-6MPX.                                             L01
             15  Z-TD-6MPT   PIC XX.                                    L01
             15  Z-TD-6MP1   PIC X.                                     L01
             15  Z-TD-6MPM   PIC XX.                                    L01
             15  Z-TD-6MP2   PIC X.                                     L01
             15  Z-TD-6MPJ   PIC XX.                                    L01
           10    Z-TD-6MPF   PIC XX.                                    L01
      *
         05      Z-TD-8MP    REDEFINES Z-TD-6OP.                        L01
           10    Z-TD-8MPX.                                             L01
             15  Z-TD-8MPT   PIC XX.                                    L01
             15  Z-TD-8MP1   PIC X.                                     L01
             15  Z-TD-8MPM   PIC XX.                                    L01
             15  Z-TD-8MP2   PIC X.                                     L01
             15  Z-TD-8MPJ   PIC X(4).                                  L01
      *
           EJECT
      *
      ******************************************************************
       01  PARAMETER.
      ******************************************************************
      *
           05 FILLER     PIC X(10)      VALUE '>>PARAM<<'.
      *
       01  XM016-P.
           05 XM016-P1     PIC X(8).
           05 XM016-P2     PIC 9.
           05 XM016-P3     PIC X(10).                                   L01
      *
       01  P-XM177L        PIC S9(4) COMP VALUE +25.
       01  P-XM177.
           05 P177-1.
           10 BER-FUNC     PIC X.
           05 P177-2.
           10 BER-RET1     PIC X.
           05 P177-3.
           10 BER-RET2     PIC X(8).
           05 P177-4.
           10 BER-SPR      PIC 9.
           05 P177-5.
           10 BER-KKZ      PIC X(3).
           05 P177-6.
           10 BER-FIRMA    PIC X.
           05 P177-7.
           10 BER-BURO     PIC XX.
           05 P177-8.
           10 BER-PRID1    PIC X(4).
           05 P177-9.
           10 BER-PRID2    PIC X(4).
      *
       01  P-XM177-R       REDEFINES P-XM177.
           05 P177-F1      PIC X(10).
           05 P177-10.
           10 BER-PRTID    PIC X(4).
           05 P177-F2      PIC X(11).
      *
       01  XM179L          PIC S9(4) COMP VALUE +35.
       01  XM179-P.
           05 XM179-1.
           10 XM179-SPRCD  PIC X.
           05 XM179-2.
           10 XM179-TRANS  PIC XXXX.
           05 XM179-3.
           10 XM179-TEXT   PIC X(30).
      *
       01  XM181L          PIC S9(4) COMP VALUE +212.
       01  XM181-P.
           05 XM181-1.
           10 FEHL-NR      PIC 9999       VALUE 0.
           10 FEHL-SPR     PIC 9.
           05 XM181-2.
           10 XM181-PROG   PIC X(8)       VALUE 'DBRIP02'.
           05 XM181-3.
           10 FEHL-MELD    PIC X(79).
           05 XM181-4.
           10 FEHL-VAR1    PIC X(20)      VALUE SPACES.
           05 XM181-5.
           10 FEHL-VAR2    PIC X(20)      VALUE SPACES.
           05 XM181-6.
           10 FEHL-VAR3    PIC X(20)      VALUE SPACES.
           05 XM181-7.
           10 FEHL-VAR4    PIC X(20)      VALUE SPACES.
           05 XM181-8.
           10 FEHL-VAR5    PIC X(20)      VALUE SPACES.
           05 XM181-9.
           10 FEHL-VAR6    PIC X(20)      VALUE SPACES.
      *
       01  P-XM200.
           05 P200-1       PIC X(8)       VALUE SPACES.
      *
       01  P-XM229.
           05 P1-XM229     PIC X(22).
           05 P2-XM229     PIC S9(6) COMP VALUE +22.
           05 P3-XM229     PIC X(8)       VALUE 'ENDXM229'.
      *
       01  XM246-P.
           05 XM246-P1     PIC X(16)      VALUE 'Z,14,07.2,M'.
      *
       01  P-XM269.
           05 P1-XM269     PIC X          VALUE 'G'.
      *
       01  P-XM314.
           05 P1-XM314.
           10 P1-XM314-EL    OCCURS 5.
           15 P1-XM314-ADRSW PIC X.
           15 P1-XM314-ADRZ  PIC X(30).
      *
           05 P2-XM314.
           10 P2-XM314-1     PIC X          VALUE '1'.
           10 P2-XM314-2     PIC X          VALUE LOW-VALUE.
           10 P2-XM314-3     PIC 9(4) COMP  VALUE 31.
           10 P2-XM314-4     PIC 9(4) COMP  VALUE 5.
           10 P2-XM314-5     PIC X(8)       VALUE LOW-VALUE.
      *
       01  P-P008L         PIC S9(4) COMP VALUE +124.
       01  P-P008.
           05 P008-1       PIC S9(8) COMP OCCURS  31.
      *
           EJECT
      *
      ******************************************************************
      *    DATENBEREICHE DER GENERIERTEN SUBROUTINEN
      ******************************************************************
      *
      * WORK-ITEMS
      *
      ******************************************************************
      *    COMMAREA
      ******************************************************************
      *
                         COPY   DBRICOMM.
           EJECT
       01  FILLER        PIC X(9)       VALUE '>>>AID<<<'.
                         COPY   DFHAID.
           EJECT
       01  FILLER        PIC X(9)       VALUE '>>>SCA<<<'.
                         COPY   DFHBMSCA.
           EJECT
      *
      ******************************************************************
      *    MAP DEFINITIONEN
      ******************************************************************
      *
       01  FILLER        PIC X(9)       VALUE '>>SCREN<<'.
                         COPY   DBRIM2D.
      *
       01  ENDE-WS       PIC X(32)      VALUE
           'ENDE WORKING-STORAGE DBRIP02'.
           EJECT
      *
      ******************************************************************
      *
       LINKAGE SECTION.
      *
      ******************************************************************
      *
       01  DFHCOMMAREA.
           05 FILLER     PIC X(6000).                                   L04
      *
           EJECT
      ******************************************************************
      *
       PROCEDURE DIVISION.
      *
      ******************************************************************
      *
      ******************************************************************
      *     STEUER PROCEDURE
      ******************************************************************
      *
       STEUER SECTION.
       ST-000.
      *
           PERFORM VORVERARB.
      *
       ST-100.
           PERFORM HAUPTVERARB.
      *
       ST-990.
           IF SWPF = 99
               PERFORM XCTL
             ELSE
               MOVE +6000  TO CA-LENGTH                                 L04
               PERFORM TRANSID.
      *
       ST-999.
           GOBACK.
           EJECT
      *
      ******************************************************************
      *     VORVERARBEITUNG
      ******************************************************************
      *
       VORVERARB SECTION.
      *
       VV-000.
           MOVE DFHCOMMAREA TO COMMAREA.
           MOVE +6000       TO CA-LENGTH.                               L04
           MOVE LOW-VALUES  TO DBRIM2DI.
      *
       VV-100.
           IF CA-SCHRITT = ZERO
               GO TO VV-999.
      *
       VV-700.
      ****                           HANDLE AID UND CONDITION
      *
           EXEC CICS HANDLE CONDITION MAPFAIL (VV-860)
           END-EXEC.
      *
      ****                            HANDLE AID 1. TEIL
      *
           EXEC CICS HANDLE AID       PF1     (VV-710)
                                      PF2     (VV-720)
                                      PF3     (VV-730)
                                      PF10    (VV-800)
                                      PF11    (VV-810)                  L01
                                      PF12    (VV-820)
                                      CLEAR   (VV-840)
                                      ANYKEY  (VV-850)
           END-EXEC.
      ****                           R E C E I V E
           PERFORM RECEIVEN.
      ****                           ENTER-TASTE
           MOVE 13 TO SWPF.
           GO TO VV-999.
      *
       VV-710.
      ****                           PF1-TASTE
           MOVE 1 TO SWPF.
           GO TO VV-999.
      *
       VV-720.
      ****                           PF2-TASTE
           MOVE 2 TO SWPF.
           GO TO VV-999.
      *
       VV-730.
      ****                           PF3-TASTE
           MOVE 3 TO SWPF.
           GO TO VV-999.
      *
       VV-800.
      ****                           PF10-TASTE
           MOVE 10 TO SWPF.
           GO TO VV-999.
      *
       VV-810.                                                          L01
      ****                           PF11-TASTE                         L01
           MOVE 11 TO SWPF.                                             L01
           GO TO VV-999.                                                L01
      *
       VV-820.
      ****                           PF12-TASTE
           MOVE 12 TO SWPF.
           GO TO VV-999.
      *
       VV-840.
      ****                           CLEAR-TASTE
           MOVE 14 TO SWPF.
           GO TO VV-999.
      *
       VV-850.
      ****                           ANYKEY-TASTE
           MOVE 15 TO SWPF.
           GO TO VV-999.
      *
       VV-860.
      ****                           M A P F A I L
           MOVE 16 TO SWPF.
      *
       VV-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    HAUPTVERARBEITUNG
      ******************************************************************
      *
       HAUPTVERARB SECTION.
      *
       HV-000.
      *
           IF CA-SCHRITT = ZERO
               GO TO HV-500.
      *
       HV-050.
      *
      ****                           HANDLING PF-FUNKTIONEN
      *
           GO TO HV-81
                 HV-82
                 HV-83
                 HV-84
                 HV-85
                 HV-86
                 HV-87
                 HV-88
                 HV-89
                 HV-90
                 HV-91
                 HV-92
                 HV-93
                 HV-94
                 HV-95
                 HV-96      DEPENDING ON SWPF.
      *
       HV-81.
      ****                           PF1-TASTE (HELP-PROGRAMM)
           GO TO HV-95.
      *
       HV-82.
      ****                           PF2-TASTE / PRINTER-AUFRUF
           MOVE 2 TO CA-SWPF.
           MOVE 0 TO CA-SCHRITT.
           EXEC CICS LINK PROGRAM ('D154')
           END-EXEC.
           GO TO HV-999.
      *
       HV-83.
      ****                           PF3-TASTE
           MOVE 3 TO CA-SWPF.
           MOVE 0 TO CA-SCHRITT.
           EXEC CICS XCTL PROGRAM  ('DBRIT')
                          COMMAREA (COMMAREA)
                          LENGTH   (CA-LENGTH)
           END-EXEC.
      *
       HV-84.
      ****                           PF4-TASTE
           GO TO HV-95.
      *
       HV-85.
      ****                           PF5-TASTE
           GO TO HV-95.
      *
       HV-86.
      ****                           PF6-TASTE
           GO TO HV-95.
      *
       HV-87.
      *                              PF7-TASTE
      ****                           RUECKWAERTS BLAETTERN (INDIV.)
      *
           GO TO HV-95.
      *
       HV-88.
      *                              PF8-TASTE
      ****                           VORWAERTS BLAETTERN (INDIV.)
      *
           GO TO HV-95.
      *
       HV-89.
      ****                           PF9-TASTE
           GO TO HV-95.
      *
       HV-90.
      ****                           PF10-TASTE
      *
      ****                           BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           MOVE ZEROES TO CA-LENGTH.
           EXEC CICS XCTL PROGRAM  ('PF10T')
                          COMMAREA (COMMAREA)
                          LENGTH   (CA-LENGTH)
           END-EXEC.
      *
       HV-91.
      ****                           PF11-TASTE
      *
      ****                           AUSDRUCKEN: ZUERST NORMALE         L01
      ****                           VERARBEITUNG (PLAUSI, ETC.)        L01
           GO TO HV-200.                                                L01
      *
       HV-92.
      ****                           PF12 - ENDE DER TRANSAKTION
      *
      ****                           BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           MOVE 99 TO SWPF.
           GO TO HV-999.
      *
       HV-93.
      ****                           ENTER (EMPFANGEN SCREEN)
           GO TO HV-200.
      *
       HV-94.
      ****                           CLEAR  (SENDEN LEERE MASKE)
           GO TO HV-83.                                                 L01
      *
       HV-95.
      ****                           ANYKEY (FALSCHE FUNKTIONS-TASTE)
           PERFORM CAFILL.
      *
           IF SWFEHL > ZERO
               GO TO HV-900.
      *
           MOVE LOW-VALUES TO DBRIM2DI.
           MOVE  1 TO FEHL-NR   CA-FEHLNR.
           MOVE -1 TO M2SACHTL.                                         L01
           GO TO HV-900.
      *
       HV-96.
      ****                           MAPFAIL   (KEINE EINGABE)
           GO TO HV-200.
      *
       HV-97.
      ****                           AUFRUF AUS CROSS-JUMPER
           GO TO HV-200.
      *
       HV-100.
      *
      ****                           INITIALISIEREN SCREEN
      *
           MOVE LOW-VALUES TO DBRIM2DO.
           GO TO HV-800.
      *
       HV-200.
      *
      ****                           COMMONAREA MIT SCREENDATEN LADEN
      *
           PERFORM CAFILL.
           IF SWFEHL > ZERO
               GO TO HV-900.
      *
       HV-300.
      *
      ****                           INPUT PRUEFEN
      *
           PERFORM PLAUSI.
      *
      ****                           WENN KEINE FEHLER IN PLAUSI
      *                              WEITER ZU HV-500
           IF SWFEHL = ZERO
               GO TO HV-500.
      *                              FEHLERMELDUNG 3 HEISST ALLGEMEIN
      ****                           'FALSCHE EINGABE'. EVENTUELL WEG-
      *                              LASSEN UND DURCH DETAILLIERTE
      *                              FEHLERMELDUNG IN PLAUSI ERSETZEN.
           IF FEHL-NR = 0
               MOVE 3 TO FEHL-NR   CA-FEHLNR.
           GO TO HV-900.
      *
       HV-500.
      *
      ****                           AUFRUF DER VERARBEITUNG
      *                              NACH ERFOLGREICHEN PLAUS-TESTS
           PERFORM VERARB.
           IF SWFEHL > ZERO
               GO TO HV-900.
       HV-800.
      *
      ****                           SENDEN SCREEN
      *
           PERFORM SENDEN.
           IF CA-SCHRITT = 0
               MOVE 1 TO CA-SCHRITT.
           MOVE 80 TO SWPF.
           GO TO  HV-999.
      *
       HV-900.
      *
      ****                           FEHLER
      *
           PERFORM FEHLMELD.
           PERFORM SENDFEHL.
           MOVE 90 TO SWPF.
       HV-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    PROGRAMM - SUBROUTINEN     --->  PLAUSI UND VERARB  <---
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    PLAUSIBILITAET
      ******************************************************************
      *
       PLAUSI SECTION.
       PL-000.
      *
           MOVE ZERO    TO SWFEHL   CA-SWFEHL.
      *
           IF CA-SCHRITT > ZERO
               GO TO PL-500.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   0
      *                              -------------------------------
       PL-100.
      *
           MOVE 1 TO CA-SCHRITT.
      *
           GO TO PL-999.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   1
      *                              -------------------------------
       PL-500.                                                          L01
      ********                                          PRINTER PRUEFEN
      ********                                          ***************
           IF CA-PRINTER = SPACES                                       L01
               MOVE DFHBMBRY TO M2PRIDA                                 L01
               MOVE -1       TO M2PRIDL                                 L01
               MOVE 3        TO FEHL-NR CA-FEHLNR                       L01
               MOVE 1        TO SWFEHL  CA-SWFEHL                       L01
               GO TO PL-510.                                            L01
      *
      ********                               PRINTER AUF GROSS UMSETZEN
      ********                               **************************
           MOVE CA-PRINTER TO P1-XM229.                                 L01
           MOVE K-XM229    TO P200-1.                                   L01
           CALL 'XM200' USING P-P008 P200-1 P1-XM229 P2-XM229 P3-XM229. L01
           PERFORM MODULE.                                              L01
           MOVE P1-XM229   TO CA-PRINTER.                               L01
           MOVE 'G'        TO BER-FUNC.                                 L01
           MOVE CA-PRINTER TO BER-PRTID.                                L01
      *
           EXEC CICS LINK PROGRAM  ('XM177')                            L01
                          COMMAREA (P-XM177)                            L01
                          LENGTH   (P-XM177L)                           L01
           END-EXEC.                                                    L01
      *
           IF BER-RET1 = '1'                                            L01
               MOVE DFHBMBRY TO M2PRIDA                                 L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1   TO M2PRIDL                                 L01
                   MOVE 1    TO SWFEHL  CA-SWFEHL                       L01
                   MOVE 96   TO FEHL-NR CA-FEHLNR.                      L01
      *
       PL-510.                                                          L01
      ********                                          SCHACHT PRUEFEN
      ********                                          ***************
           IF CA-SCHACHTX NOT NUMERIC                                   L01
               MOVE 'Q' TO M2CANA                                       L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1  TO M2CANL                                   L01
                   MOVE 1   TO SWFEHL  CA-SWFEHL                        L01
                   MOVE 52  TO FEHL-NR CA-FEHLNR                        L01
                   GO TO PL-520                                         L01
               ELSE                                                     L01
                   GO TO PL-520.                                        L01
      *
           IF  CA-SCHACHTX > '0'                                        L01
           AND CA-SCHACHTX < '4'                                        L01
               GO TO PL-520.                                            L01
      *
           IF  CA-SCHACHTX = '9'                                        L01
      ******************************************************************
      **** DAMIT DBRI-BRIEFE INS DW-FILE GESCHRIEBEN WERDEN KOENNEN ****
      ******************************************************************
               GO TO PL-520.                                            L01
      *
           MOVE 'Q' TO M2CANA.                                          L01
           IF SWFEHL = ZERO                                             L01
               MOVE -1  TO M2CANL                                       L01
               MOVE 1   TO SWFEHL  CA-SWFEHL                            L01
               MOVE 3   TO FEHL-NR CA-FEHLNR.                           L01
      *
       PL-520.                                                          L01
      ********                                     ABSENDER VORHANDEN ?
      ********                                     ********************
      *
           IF  CA-ABS1 = SPACES                                         L01
           AND CA-ABS2 = SPACES                                         L01
           AND CA-ABS3 = SPACES                                         L01
           AND CA-ABS4 = SPACES                                         L01
               MOVE DFHBMBRY TO M2ABS1A  M2ABS2A  M2ABS3A  M2ABS4A      L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1   TO M2ABS1L                                 L01
                   MOVE 74   TO FEHL-NR  CA-FEHLNR                      L01
                   MOVE 1    TO SWFEHL   CA-SWFEHL.                     L01
      *
      ********                                      ADRESSE VORHANDEN ?
      ********                                      *******************
      *
           IF CA-ADRESSE = SPACES                                       L01
               MOVE DFHBMBRY TO M2ADRZ1A  M2ADRZ2A  M2ADRZ3A            L01
                                M2ADRZ4A  M2ADRZ5A                      L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1   TO M2ADRZ1L                                L01
                   MOVE 74   TO FEHL-NR   CA-FEHLNR                     L01
                   MOVE 1    TO SWFEHL    CA-SWFEHL                     L01
                   GO TO PL-560                                         L01
               ELSE                                                     L01
                   GO TO PL-560.                                        L01
      *
      ********                            ADRESSZEILENSWITCHERS PRUEFEN
      ********                            *****************************
           MOVE ZEROES TO R-ADRSW R-LEERZ.                              L01
      *
           IF CA-ADRESS-SWITCHES = SPACES                               L01
               GO TO PL-530.                                            L01
      *
           IF CA-ADRSW1 NOT = SPACES                                    L01
               ADD 1 TO R-ADRSW.                                        L01
           IF CA-ADRSW2 NOT = SPACES                                    L01
               ADD 1 TO R-ADRSW.                                        L01
           IF CA-ADRSW3 NOT = SPACES                                    L01
               ADD 1 TO R-ADRSW.                                        L01
           IF CA-ADRSW4 NOT = SPACES                                    L01
               ADD 1 TO R-ADRSW.                                        L01
      *
           IF CA-ADRZ1 = SPACES                                         L01
               ADD 1 TO R-LEERZ.                                        L01
           IF CA-ADRZ2 = SPACES                                         L01
               ADD 1 TO R-LEERZ.                                        L01
           IF CA-ADRZ3 = SPACES                                         L01
               ADD 1 TO R-LEERZ.                                        L01
           IF CA-ADRZ4 = SPACES                                         L01
               ADD 1 TO R-LEERZ.                                        L01
           IF CA-ADRZ5 = SPACES                                         L01
               ADD 1 TO R-LEERZ.                                        L01
      *
           IF R-ADRSW > R-LEERZ                                         L01
               MOVE DFHBMBRY TO M2ADSW1A  M2ADSW2A  M2ADSW3A  M2ADSW4A  L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1   TO M2ADSW1L                                L01
                   MOVE 03   TO FEHL-NR   CA-FEHLNR                     L01
                   MOVE 1    TO SWFEHL    CA-SWFEHL.                    L01
      *
           IF CA-ADRSW1 NOT = SPACES                                    L01
               IF CA-ADRZ1  = SPACES                                    L01
                   MOVE DFHBMBRY TO M2ADSW1A  M2ADRZ1A                  L01
                   IF SWFEHL = ZERO                                     L01
                       MOVE -1   TO M2ADSW1L                            L01
                       MOVE 03   TO FEHL-NR   CA-FEHLNR                 L01
                       MOVE 1    TO SWFEHL    CA-SWFEHL.                L01
      *
           IF CA-ADRSW2 NOT = SPACES                                    L01
               IF CA-ADRZ2  = SPACES                                    L01
                   MOVE DFHBMBRY TO M2ADSW2A  M2ADRZ2A                  L01
                   IF SWFEHL = ZERO                                     L01
                       MOVE -1   TO M2ADSW2L                            L01
                       MOVE 03   TO FEHL-NR   CA-FEHLNR                 L01
                       MOVE 1    TO SWFEHL    CA-SWFEHL.                L01
      *
           IF CA-ADRSW3 NOT = SPACES                                    L01
               IF CA-ADRZ3  = SPACES                                    L01
                   MOVE DFHBMBRY TO M2ADSW3A  M2ADRZ3A                  L01
                   IF SWFEHL = ZERO                                     L01
                       MOVE -1   TO M2ADSW3L                            L01
                       MOVE 03   TO FEHL-NR   CA-FEHLNR                 L01
                       MOVE 1    TO SWFEHL    CA-SWFEHL.                L01
      *
           IF CA-ADRSW4 NOT = SPACES                                    L01
               IF CA-ADRZ4  = SPACES                                    L01
                   MOVE DFHBMBRY TO M2ADSW4A  M2ADRZ4A                  L01
                   IF SWFEHL = ZERO                                     L01
                       MOVE -1   TO M2ADSW4L                            L01
                       MOVE 03   TO FEHL-NR   CA-FEHLNR                 L01
                       MOVE 1    TO SWFEHL    CA-SWFEHL.                L01
      *
       PL-530.                                                          L01
      ********                        UNTERSTE ADR-ZEILE MUSS PLZ HABEN
      ********                        *********************************
           MOVE CA-ADRESSE TO T-ADRESSE.                                L01
           MOVE 5 TO I-1.                                               L01
      *
       PL-540.                                                          L01
      *
           IF I-1 < 2                                                   L01
               GO TO PL-550.                                            L01
           IF T-ADRZ-EL (I-1) = SPACES                                  L01
               SUBTRACT 1 FROM I-1                                      L01
               GO TO PL-540.                                            L01
           IF T-ADRZ-PLZ (I-1) NUMERIC                                  L01
               GO TO PL-560.                                            L01
      *
       PL-550.                                                          L01
      *
           MOVE DFHBMBRY TO M2ADRZ1A  M2ADRZ2A  M2ADRZ3A                L01
                            M2ADRZ4A  M2ADRZ5A.                         L01
           IF SWFEHL = ZERO                                             L01
               MOVE -1   TO M2ADRZ1L                                    L01
               MOVE 1    TO SWFEHL    CA-SWFEHL                         L01
               MOVE 319  TO FEHL-NR   CA-FEHLNR.                        L01
      *
       PL-560.
      ********                                 IHRE SACHBEARBEITER-TEXT
      ********                                 ************************
           IF CA-SACHBT = SPACES                                        L01
               MOVE DFHBMBRY TO M2SACHTA                                L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1   TO M2SACHTL                                L01
                   MOVE 74   TO FEHL-NR CA-FEHLNR                       L01
                   MOVE 1    TO SWFEHL  CA-SWFEHL.                      L01
      *
      ********                                   SACHBEARBEITER PRUEFEN
      ********                                   **********************
           IF  CA-SACHB1 = SPACES                                       L01
           AND CA-SACHB2 = SPACES                                       L01
               MOVE DFHBMBRY TO M2SACH1A  M2SACH2A                      L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1   TO M2SACH1L                                L01
                   MOVE 74   TO FEHL-NR   CA-FEHLNR                     L01
                   MOVE 1    TO SWFEHL    CA-SWFEHL.                    L01
      *
      ********                                           ANREDE PRUEFEN
      ********                                           **************
           IF CA-ANRED = SPACES                                         L01
               MOVE DFHBMBRY TO M2ANREDA                                L01
               IF SWFEHL = ZERO                                         L01
                   MOVE -1   TO M2ANREDL                                L01
                   MOVE 74   TO FEHL-NR   CA-FEHLNR                     L01
                   MOVE 1    TO SWFEHL    CA-SWFEHL.                    L01
      *
      ********                                  LEASING-PARTNER PRUEFEN
      ********                                  ***********************
      *
      ********                   KEIN TEST, IN DIESEM PROGRAMM WIRD DER
      ********                            LEASING-PARTNER NUR ANGEZEIGT
      ********                   **************************************
      *
      ********                                           VERTRAGS-DATUM
      ********                                           **************
           MOVE ZEROES        TO XM016-P1.                              L01
           MOVE ZEROES        TO XM016-P2.                              L01
           MOVE CA-LB-ERDAT   TO XM016-P3.                              L01
           MOVE K-XM016       TO P200-1.                                L01
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3. L01
           PERFORM MODULE.                                              L01
      *
           IF XM016-P2 NOT = ZERO                                       L01
               MOVE  DFHBMBRY TO M2ERDATA                               L01
               IF SWFEHL = ZERO                                         L01
                   MOVE  -1       TO M2ERDATL                           L01
                   MOVE  73       TO FEHL-NR   CA-FEHLNR                L01
                   MOVE  1        TO SWFEHL    CA-SWFEHL                L01
                   GO TO PL-580                                         L01
               ELSE                                                     L01
                   GO TO PL-580.                                        L01
      *
      ********                                TEST-DATUM = 'TTMMJJ    '
      ********                                ODER         'TTMMJJJJ  '
      ********                                ODER         'TT.MM.JJ  '
      ********                                ODER         'TT.MM.JJJJ'
      ********                                *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.                L01
           MOVE CA-LB-ERDAT   TO Z-TESTDATUM.                           L01
      *
           IF Z-TD-6OPF = SPACES                                        L01
      ********                                TEST-DATUM = 'TTMMJJ    '
      ********                                *************************
               MOVE Z-TD-6OPT TO Z-TT10                                 L01
               MOVE Z-TD-6OPM TO Z-MM10                                 L01
               MOVE Z-TD-6OPJ TO Z-JZ10                                 L01
               IF   Z-TD-6OPJ > 80                                      L01
                   MOVE    19 TO Z-JH10                                 L01
                   GO TO PL-570                                         L01
               ELSE                                                     L01
                   MOVE    20 TO Z-JH10                                 L01
                   GO TO PL-570.                                        L01
      *
           IF Z-TD-8MPJ NUMERIC                                         L01
      ********                                TEST-DATUM = 'TT.MM.JJJJ'
      ********                                *************************
               MOVE Z-TD-8MPX TO Z-DATE10                               L01
               GO TO PL-570.                                            L01
      *
           IF  Z-TD-6MP1 = '.'                                          L01
           AND Z-TD-6MP2 = '.'                                          L01
      ********                                TEST-DATUM = 'TT.MM.JJ  '
      ********                                *************************
               MOVE Z-TD-6MPT TO Z-TT10                                 L01
               MOVE Z-TD-6MPM TO Z-MM10                                 L01
               MOVE Z-TD-6MPJ TO Z-JZ10                                 L01
               IF   Z-TD-6MPJ > 80                                      L01
                   MOVE    19 TO Z-JH10                                 L01
                   GO TO PL-570                                         L01
               ELSE                                                     L01
                   MOVE    20 TO Z-JH10                                 L01
                   GO TO PL-570.                                        L01
      *
      ********                                ELSE
      ********                                TEST-DATUM = 'TTMMJJJJ  '
      ********                                *************************
           MOVE Z-TD-8OPT TO Z-TT10.                                    L01
           MOVE Z-TD-8OPM TO Z-MM10.                                    L01
           MOVE Z-TD-8OPJ TO Z-JJ10.                                    L01
      *
       PL-570.                                                          L01
      *
           MOVE '.'      TO Z-P110   Z-P210.                            L01
           MOVE Z-DATE10 TO CA-LB-ERDAT.                                L01
      *
       PL-580.                                                          L01
      ********                            VERSICHERUNGS-HINWEIS PRUEFEN
      ********                            *****************************
           IF CA-LB-VKTIP = SPACES                                      L01
               MOVE 'N'       TO CA-LB-VKTIP                            L01
               GO TO PL-590.                                            L01
      *
           IF CA-LB-VKTIP = 'j' OR 'J' OR 'y' OR 'Y'                    L01
               MOVE 'J'       TO CA-LB-VKTIP                            L01
               GO TO PL-590.                                            L01
      *
           IF CA-LB-VKTIP = 'n' OR 'N'                                  L01
               MOVE 'N'       TO CA-LB-VKTIP                            L01
               GO TO PL-590.                                            L01
      *
           MOVE  DFHBMBRY TO M2VKTIPA.                                  L01
           IF SWFEHL = ZERO                                             L01
               MOVE 3         TO FEHL-NR   CA-FEHLNR                    L01
               MOVE -1        TO M2VKTIPL                               L01
               MOVE 1         TO SWFEHL    CA-SWFEHL.                   L01
      *
       PL-590.                                                          L01
      ********                                              OBJEKT-TEXT
      ********                                              ***********
           IF CA-LB-OBJ = SPACES                                        L01
               MOVE  DFHBMBRY TO M2OBJA                                 L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 74        TO FEHL-NR   CA-FEHLNR                L01
                   MOVE -1        TO M2OBJL                             L01
                   MOVE 1         TO SWFEHL    CA-SWFEHL.               L01
      *
      ********                                       AUFLOESUNGS-BETRAG
      ********                                       ******************
           IF Z-ALBET NOT = SPACES                                      L01
               MOVE DFHBMBRY TO M2ALBETA                                L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 52  TO FEHL-NR   CA-FEHLNR                      L01
                   MOVE -1  TO M2ALBETL                                 L01
                   MOVE 1   TO SWFEHL    CA-SWFEHL.                     L01
      *
           IF CA-LB-ALBET = ZEROES                                      L01
               MOVE DFHBMBRY TO M2ALBETA                                L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 74  TO FEHL-NR   CA-FEHLNR                      L01
                   MOVE -1  TO M2ALBETL                                 L01
                   MOVE 1   TO SWFEHL    CA-SWFEHL.                     L01
      *
           IF CA-LB-ALBET > CA-LB-SALDO                                 L01
               MOVE DFHBMBRY TO M2ALBETA                                L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 356 TO FEHL-NR   CA-FEHLNR                      L01
                   MOVE -1  TO M2ALBETL                                 L01
                   MOVE 1   TO SWFEHL    CA-SWFEHL.                     L01
      *
       PL-600.                                                          L01
      *
      ********                                     DATUM LETZTE ZAHLUNG
      ********                                     ********************
           MOVE ZEROES        TO XM016-P1.                              L01
           MOVE ZEROES        TO XM016-P2.                              L01
           MOVE CA-LB-LZDAT   TO XM016-P3.                              L01
           MOVE K-XM016       TO P200-1.                                L01
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3. L01
           PERFORM MODULE.                                              L01
      *
           IF XM016-P2 NOT = ZERO                                       L01
               MOVE  DFHBMBRY TO M2LZDATA                               L01
               IF SWFEHL = ZERO                                         L01
                   MOVE  73       TO FEHL-NR   CA-FEHLNR                L01
                   MOVE  -1       TO M2LZDATL                           L01
                   MOVE  1        TO SWFEHL    CA-SWFEHL                L01
                   GO TO PL-620                                         L01
               ELSE                                                     L01
                   GO TO PL-620.                                        L01
      *
      ********                                TEST-DATUM = 'TTMMJJ    '
      ********                                ODER         'TTMMJJJJ  '
      ********                                ODER         'TT.MM.JJ  '
      ********                                ODER         'TT.MM.JJJJ'
      ********                                *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.                L01
           MOVE CA-LB-LZDAT   TO Z-TESTDATUM.                           L01
      *
           IF Z-TD-6OPF = SPACES                                        L01
      ********                                TEST-DATUM = 'TTMMJJ    '
      ********                                *************************
               MOVE Z-TD-6OPT TO Z-TT10                                 L01
               MOVE Z-TD-6OPM TO Z-MM10                                 L01
               MOVE Z-TD-6OPJ TO Z-JZ10                                 L01
               IF   Z-TD-6OPJ > 80                                      L01
                   MOVE    19 TO Z-JH10                                 L01
                   GO TO PL-610                                         L01
               ELSE                                                     L01
                   MOVE    20 TO Z-JH10                                 L01
                   GO TO PL-610.                                        L01
      *
           IF Z-TD-8MPJ NUMERIC                                         L01
      ********                                TEST-DATUM = 'TT.MM.JJJJ'
      ********                                *************************
               MOVE Z-TD-8MPX TO Z-DATE10                               L01
               GO TO PL-610.                                            L01
      *
           IF  Z-TD-6MP1 = '.'                                          L01
           AND Z-TD-6MP2 = '.'                                          L01
      ********                                TEST-DATUM = 'TT.MM.JJ  '
      ********                                *************************
               MOVE Z-TD-6MPT TO Z-TT10                                 L01
               MOVE Z-TD-6MPM TO Z-MM10                                 L01
               MOVE Z-TD-6MPJ TO Z-JZ10                                 L01
               IF   Z-TD-6MPJ > 80                                      L01
                   MOVE    19 TO Z-JH10                                 L01
                   GO TO PL-610                                         L01
               ELSE                                                     L01
                   MOVE    20 TO Z-JH10                                 L01
                   GO TO PL-610.                                        L01
      *
      ********                                ELSE
      ********                                TEST-DATUM = 'TTMMJJJJ  '
      ********                                *************************
           MOVE Z-TD-8OPT TO Z-TT10.                                    L01
           MOVE Z-TD-8OPM TO Z-MM10.                                    L01
           MOVE Z-TD-8OPJ TO Z-JJ10.                                    L01
      *
       PL-610.                                                          L01
      *
           MOVE '.'      TO Z-P110   Z-P210.                            L01
           MOVE Z-DATE10 TO CA-LB-LZDAT.                                L01
      *
       PL-620.                                                          L01
      ********                                          KAUTIONS-BETRAG
      ********                                          ***************
           IF Z-KAUTI NOT = SPACES                                      L01
               MOVE DFHBMBRY TO M2KAUTIA                                L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 52  TO FEHL-NR   CA-FEHLNR                      L01
                   MOVE -1  TO M2KAUTIL                                 L01
                   MOVE 1   TO SWFEHL    CA-SWFEHL.                     L01
      *
       PL-630.                                                          L01
      ********                                           ZAHLUNGS-FRIST
      ********                                           **************
           IF  CA-LB-FRDAYX = ZEROES                                    L01
           AND CA-LB-FRDAT  = SPACES                                    L01
               MOVE DFHBMBRY TO M2FRDAYA  M2FRDATA                      L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 74       TO FEHL-NR   CA-FEHLNR                 L01
                   MOVE -1       TO M2FRDAYL                            L01
                   MOVE 1        TO SWFEHL    CA-SWFEHL                 L01
                   GO TO PL-650                                         L01
               ELSE                                                     L01
                   GO TO PL-650.                                        L01
      *
           IF  CA-LB-FRDAYX     > ZEROES                                L01
           AND CA-LB-FRDAT  NOT = SPACES                                L01
               MOVE DFHBMBRY TO M2FRDAYA  M2FRDATA                      L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 132      TO FEHL-NR   CA-FEHLNR                 L01
                   MOVE -1       TO M2FRDAYL                            L01
                   MOVE 1        TO SWFEHL    CA-SWFEHL                 L01
                   GO TO PL-650                                         L01
               ELSE                                                     L01
                   GO TO PL-650.                                        L01
      *
           IF  CA-LB-FRDAYX NOT NUMERIC                                 L01
               MOVE DFHBMBRY TO M2FRDAYA                                L01
               IF SWFEHL = ZERO                                         L01
                   MOVE 3        TO FEHL-NR   CA-FEHLNR                 L01
                   MOVE -1       TO M2FRDAYL                            L01
                   MOVE 1        TO SWFEHL    CA-SWFEHL                 L01
                   GO TO PL-650                                         L01
               ELSE                                                     L01
                   GO TO PL-650.                                        L01
      *
           IF CA-LB-FRDAT = SPACES                                      L01
               GO TO PL-650.                                            L01
      *
           MOVE ZEROES        TO XM016-P1.                              L01
           MOVE ZEROES        TO XM016-P2.                              L01
           MOVE CA-LB-FRDAT   TO XM016-P3.                              L01
           MOVE K-XM016       TO P200-1.                                L01
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3. L01
           PERFORM MODULE.                                              L01
      *
           IF XM016-P2 NOT = ZERO                                       L01
               MOVE  DFHBMBRY TO M2FRDATA                               L01
               IF SWFEHL = ZERO                                         L01
                   MOVE  73       TO FEHL-NR   CA-FEHLNR                L01
                   MOVE  -1       TO M2FRDATL                           L01
                   MOVE  1        TO SWFEHL    CA-SWFEHL                L01
                   GO TO PL-650                                         L01
               ELSE                                                     L01
                   GO TO PL-650.                                        L01
      *
      ********                                TEST-DATUM = 'TTMMJJ    '
      ********                                ODER         'TTMMJJJJ  '
      ********                                ODER         'TT.MM.JJ  '
      ********                                ODER         'TT.MM.JJJJ'
      ********                                *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.                L01
           MOVE CA-LB-FRDAT   TO Z-TESTDATUM.                           L01
      *
           IF Z-TD-6OPF = SPACES                                        L01
      ********                                TEST-DATUM = 'TTMMJJ    '
      ********                                *************************
               MOVE Z-TD-6OPT TO Z-TT10                                 L01
               MOVE Z-TD-6OPM TO Z-MM10                                 L01
               MOVE Z-TD-6OPJ TO Z-JZ10                                 L01
               IF   Z-TD-6OPJ > 80                                      L01
                   MOVE    19 TO Z-JH10                                 L01
                   GO TO PL-640                                         L01
               ELSE                                                     L01
                   MOVE    20 TO Z-JH10                                 L01
                   GO TO PL-640.                                        L01
      *
           IF Z-TD-8MPJ NUMERIC                                         L01
      ********                                TEST-DATUM = 'TT.MM.JJJJ'
      ********                                *************************
               MOVE Z-TD-8MPX TO Z-DATE10                               L01
               GO TO PL-640.                                            L01
      *
           IF  Z-TD-6MP1 = '.'                                          L01
           AND Z-TD-6MP2 = '.'                                          L01
      ********                                TEST-DATUM = 'TT.MM.JJ  '
      ********                                *************************
               MOVE Z-TD-6MPT TO Z-TT10                                 L01
               MOVE Z-TD-6MPM TO Z-MM10                                 L01
               MOVE Z-TD-6MPJ TO Z-JZ10                                 L01
               IF   Z-TD-6MPJ > 80                                      L01
                   MOVE    19 TO Z-JH10                                 L01
                   GO TO PL-640                                         L01
               ELSE                                                     L01
                   MOVE    20 TO Z-JH10                                 L01
                   GO TO PL-640.                                        L01
      *
      ********                                ELSE
      ********                                TEST-DATUM = 'TTMMJJJJ  '
      ********                                *************************
           MOVE Z-TD-8OPT TO Z-TT10.                                    L01
           MOVE Z-TD-8OPM TO Z-MM10.                                    L01
           MOVE Z-TD-8OPJ TO Z-JJ10.                                    L01
      *
       PL-640.                                                          L01
      *
           MOVE '.'      TO Z-P110   Z-P210.                            L01
           MOVE Z-DATE10 TO CA-LB-FRDAT.                                L01
      *
       PL-650.                                                          L01
      ********                         ADRESS-SWITCHERS + PF11 = FEHLER
      ********                         ********************************
           IF SWPF = 11                                                 L01
              IF CA-ADRESS-SWITCHES NOT = SPACES
                 MOVE DFHBMBRY TO M2ADSW1A M2ADSW2A M2ADSW3A M2ADSW4A   L01
                 IF SWFEHL = ZERO                                       L01
                    MOVE -1    TO M2ADSW1L                              L01
                    MOVE 1     TO FEHL-NR   CA-FEHLNR                   L01
                    MOVE 1     TO SWFEHL    CA-SWFEHL.                  L01
      *
      **** ENDE PLAUSI DATEN
      *
       PL-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    VERARBEITUNG
      ******************************************************************
      *
       VERARB SECTION.
       VA-000.
      *
           IF CA-SCHRITT > ZERO
               GO TO VA-500.
      *
      *-------------------------------------------------------------
      ****                           V E R A R B   S C H R I T T   0
      *                              -------------------------------
      ****                           KEINE VERARBEITUNG IN SCHRITT 0
           GO TO VA-999.
      *
      *-------------------------------------------------------------
      ****                           V E R A R B   S C H R I T T   1
      *                              -------------------------------
       VA-500.
      *
      ****       PERFORM DRUCKPROGRAMM, RETURN-CODE MIT QUITTUNG
      ****       AN BENUETZER ZURUECKGEBEN.
      *
           MOVE ZERO TO CA-FEHLNR.
      *
           IF CA-SACHB1 = SPACES                                        L01
               MOVE CA-SACHB2 TO CA-SACHB1                              L01
               MOVE SPACES    TO CA-SACHB2.                             L01
      *
      ****                              ABSENDER-LEERZEILEN ELIMINIEREN
      ****                              *******************************
           MOVE SPACES  TO P1-XM314.                                    L01
           MOVE CA-ABS1 TO P1-XM314-EL (1).                             L01
           MOVE CA-ABS2 TO P1-XM314-EL (2).                             L01
           MOVE CA-ABS3 TO P1-XM314-EL (3).                             L01
           MOVE CA-ABS4 TO P1-XM314-EL (4).                             L01
      *
           MOVE K-XM314 TO P200-1.                                      L01
           CALL 'XM200' USING P-P008 P200-1 P1-XM314 P2-XM314.          L01
           PERFORM MODULE.                                              L01
      *
           MOVE P1-XM314-EL (1) TO CA-ABS1.                             L01
           MOVE P1-XM314-EL (2) TO CA-ABS2.                             L01
           MOVE P1-XM314-EL (3) TO CA-ABS3.                             L01
           MOVE P1-XM314-EL (4) TO CA-ABS4.                             L01
      *
      ****                                ADRESS-LEERZEILEN ELIMINIEREN
      ****                                *****************************
           PERFORM ADRKOMPR.                                            L01
      *
      ****                              GEWUENSCHTE LEERZEILEN INSERTEN
      ****                              *******************************
           IF CA-ADRESS-SWITCHES NOT = SPACES                           L01
               PERFORM ADRINSERT.                                       L01
      *
           IF SWPF NOT = 11                                             L01
               MOVE -1 TO M2SACHTL                                      L01
               GO TO VA-999.                                            L01
      *
      ****                                             PF11: AUSDRUCKEN
      ****                                             ****************
      *
           PERFORM PRGLINK.
      *
           IF CA-FEHLNR = ZEROES
               MOVE 253 TO CA-FEHLNR.
      *
           MOVE -1 TO M2SACHTL.                                         L01
           MOVE 1 TO SWFEHL   CA-SWFEHL.
           MOVE CA-FEHLNR TO FEHL-NR.
      *
      ****                           ENDE VERARBEITUNG DER DATEN
       VA-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    DIVERSE - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    FUELLEN COMMON-AREA
      ******************************************************************
      *
       CAFILL SECTION.
       CA-000.
      *
           IF M2PRIDL  > ZERO
               MOVE M2PRIDI  TO CA-PRINTER.
           IF M2PRIDF  = X80
               MOVE SPACES   TO CA-PRINTER.
      *
           IF M2CANL   > ZERO
               MOVE M2CANI   TO CA-SCHACHTX.
           IF M2CANF   = X80
               MOVE ZEROES   TO CA-SCHACHT.
      *
           IF M2ABS1L  > ZERO                                           L01
               MOVE M2ABS1I  TO CA-ABS1.                                L01
           IF M2ABS1F  = X80                                            L01
               MOVE SPACES   TO CA-ABS1.
      *
           IF M2ABS2L  > ZERO                                           L01
               MOVE M2ABS2I  TO CA-ABS2.                                L01
           IF M2ABS2F  = X80                                            L01
               MOVE SPACES   TO CA-ABS2.
      *
           IF M2ABS3L  > ZERO                                           L01
               MOVE M2ABS3I  TO CA-ABS3.                                L01
           IF M2ABS3F  = X80                                            L01
               MOVE SPACES   TO CA-ABS3.
      *
           IF M2ABS4L  > ZERO                                           L01
               MOVE M2ABS4I  TO CA-ABS4.                                L01
           IF M2ABS4F  = X80                                            L01
               MOVE SPACES   TO CA-ABS4.
      *
           IF M2ADRZ1L > ZERO                                           L01
               MOVE M2ADRZ1I TO CA-ADRZ1.                               L01
           IF M2ADRZ1F = X80                                            L01
               MOVE SPACES   TO CA-ADRZ1.
      *
           IF M2ADRZ2L > ZERO                                           L01
               MOVE M2ADRZ2I TO CA-ADRZ2.                               L01
           IF M2ADRZ2F = X80                                            L01
               MOVE SPACES   TO CA-ADRZ2.
      *
           IF M2ADRZ3L > ZERO                                           L01
               MOVE M2ADRZ3I TO CA-ADRZ3.                               L01
           IF M2ADRZ3F = X80                                            L01
               MOVE SPACES   TO CA-ADRZ3.
      *
           IF M2ADRZ4L > ZERO                                           L01
               MOVE M2ADRZ4I TO CA-ADRZ4.                               L01
           IF M2ADRZ4F = X80                                            L01
               MOVE SPACES   TO CA-ADRZ4.
      *
           IF M2ADRZ5L > ZERO                                           L01
               MOVE M2ADRZ5I TO CA-ADRZ5.                               L01
           IF M2ADRZ5F = X80                                            L01
               MOVE SPACES   TO CA-ADRZ5.
      *
           IF M2ADSW1L > ZERO                                           L01
               MOVE M2ADSW1I TO CA-ADRSW1.                              L01
           IF M2ADSW1F = X80                                            L01
               MOVE SPACES   TO CA-ADRSW1.
      *
           IF M2ADSW2L > ZERO                                           L01
               MOVE M2ADSW2I TO CA-ADRSW2.                              L01
           IF M2ADSW2F = X80                                            L01
               MOVE SPACES   TO CA-ADRSW2.
      *
           IF M2ADSW3L > ZERO                                           L01
               MOVE M2ADSW3I TO CA-ADRSW3.                              L01
           IF M2ADSW3F = X80                                            L01
               MOVE SPACES   TO CA-ADRSW3.
      *
           IF M2ADSW4L > ZERO                                           L01
               MOVE M2ADSW4I TO CA-ADRSW4.                              L01
           IF M2ADSW4F = X80                                            L01
               MOVE SPACES   TO CA-ADRSW4.
      *
           IF M2SACHTL > ZERO                                           L01
               MOVE M2SACHTI TO CA-SACHBT.                              L01
           IF M2SACHTF = X80                                            L01
               MOVE SPACES   TO CA-SACHBT.
      *
           IF M2SACH1L > ZERO                                           L01
               MOVE M2SACH1I TO CA-SACHB1.                              L01
           IF M2SACH1F = X80                                            L01
               MOVE SPACES   TO CA-SACHB1.
      *
           IF M2SACH2L > ZERO                                           L01
               MOVE M2SACH2I TO CA-SACHB2.                              L01
           IF M2SACH2F = X80                                            L01
               MOVE SPACES   TO CA-SACHB2.
      *
           IF M2ANREDL > ZERO
               MOVE M2ANREDI TO CA-ANRED.
           IF M2ANREDF = X80
               MOVE SPACES   TO CA-ANRED.
      *
           IF M2PARTNL > ZERO                                           L02
               MOVE M2PARTNI TO CA-LB-PARTN.                            L02
           IF M2PARTNF = X80                                            L02
               MOVE SPACES   TO CA-LB-PARTN.                            L02
      *
           IF M2ERDATL > ZERO
               MOVE M2ERDATI TO CA-LB-ERDAT.
           IF M2ERDATF = X80
               MOVE SPACES   TO CA-LB-ERDAT.
      *
           IF M2VKTIPL > ZERO                                           L01
               MOVE M2VKTIPI TO CA-LB-VKTIP.                            L01
           IF M2VKTIPF = X80                                            L01
               MOVE SPACES   TO CA-LB-VKTIP.                            L01
      *
           IF M2OBJL   > ZERO
               MOVE M2OBJI   TO CA-LB-OBJ.
           IF M2OBJF   = X80
               MOVE SPACES   TO CA-LB-OBJ.
      *
           IF M2ALBETL > ZERO
               MOVE K-XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 XM246-P1 M2ALBETI
                                  CA-LB-ALBET Z-ALBET
               PERFORM MODULE.
      *
           IF M2ALBETF = X80
               MOVE ZEROES   TO CA-LB-ALBET
               MOVE SPACES   TO Z-ALBET.
      *
           IF M2LZDATL > ZERO                                           L01
               MOVE M2LZDATI TO CA-LB-LZDAT.                            L01
           IF M2LZDATF = X80                                            L01
               MOVE SPACES   TO CA-LB-LZDAT.
      *
           IF M2KAUTIL > ZERO
               MOVE K-XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 XM246-P1 M2KAUTII
                                  CA-LB-KAUTI Z-KAUTI
               PERFORM MODULE.
      *
           IF M2KAUTIF = X80
               MOVE ZEROES   TO CA-LB-KAUTI
               MOVE SPACES   TO Z-KAUTI.
      *
           IF M2FRDAYL > ZERO                                           L01
               MOVE M2FRDAYI TO CA-LB-FRDAYX.                           L01
           IF M2FRDAYF = X80                                            L01
               MOVE ZEROES   TO CA-LB-FRDAY.                            L01
      *
           IF M2FRDATL > ZERO                                           L01
               MOVE M2FRDATI TO CA-LB-FRDAT.                            L01
           IF M2FRDATF = X80                                            L01
               MOVE SPACES   TO CA-LB-FRDAT.                            L01
      *
           IF M2FZ1L   > ZERO
               MOVE M2FZ1I   TO CA-FZ-1.
           IF M2FZ1F   = X80
               MOVE SPACES   TO CA-FZ-1.
      *
           IF M2FZ2L   > ZERO
               MOVE M2FZ2I   TO CA-FZ-2.
           IF M2FZ2F   = X80
               MOVE SPACES   TO CA-FZ-2.
      *
           IF M2FZ3L   > ZERO
               MOVE M2FZ3I   TO CA-FZ-3.
           IF M2FZ3F   = X80
               MOVE SPACES   TO CA-FZ-3.
      *
           IF M2XJUMPL > ZERO
               PERFORM XJUMP.
      *
       CA-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    FEHLERMELDUNG HOLEN (XM181)
      ******************************************************************
      *
       FEHLMELD SECTION.
       FM-000.
      *
           MOVE CA-SPR  TO FEHL-SPR.
           EXEC CICS LINK PROGRAM  ('XM181')
                          COMMAREA (XM181-P)
                          LENGTH   (XM181L)
           END-EXEC.
           MOVE FEHL-MELD TO M2MSGO.
           MOVE SPACES TO FEHL-VAR1 FEHL-VAR2 FEHL-VAR3
                          FEHL-VAR4 FEHL-VAR5 FEHL-VAR6.
      *
       FM-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    MODULE-AUFRUF-INTERFACE (P008)
      ******************************************************************
      *
       MODULE SECTION.
       MO-000.
      *
           EXEC CICS LINK PROGRAM  ('P008')
                          COMMAREA (P-P008)
                          LENGTH   (P-P008L)
           END-EXEC.
      *
       MO-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    LINK-PROGRAMME AUFRUFEN
      ******************************************************************
      *
       PRGLINK  SECTION.
       PRG-000.
      *
           EXEC CICS LINK PROGRAM  ('DBRIP52')
                          COMMAREA (COMMAREA)
                          LENGTH   (CA-LENGTH)
           END-EXEC.
      *
       PRG-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    UEBERTRAGEN CA --> SCREEN
      ******************************************************************
      *
      ****                           (INDIVIDUELLE VERARBEITUNG)
      *
       SCREENFILL SECTION.
       SC-000.
      *
           MOVE CA-RKDN1X     TO M2REF1O.
           MOVE CA-RKDN2X     TO M2REF2O.
           MOVE CA-VNRX       TO M2VNRO.                                L01
           MOVE CA-PRINTER    TO M2PRIDO.
           MOVE CA-SCHACHT    TO M2CANO.
           MOVE CA-BRIEF      TO M2BRIEFO.
           MOVE CA-ABS1       TO M2ABS1O.                               L01
           MOVE CA-ABS2       TO M2ABS2O.                               L01
           MOVE CA-ABS3       TO M2ABS3O.                               L01
           MOVE CA-ABS4       TO M2ABS4O.                               L01
      *
           IF CA-KUNZED = 'Z'                                           L01
               IF CA-SPR = 1                                            L01
                   MOVE 'Zedenten-Adresse' TO M2ADRTXO                  L01
               ELSE                                                     L01
                   MOVE '  Adr. du cedant' TO M2ADRTXO                  L01
           ELSE                                                         L01
               IF CA-SPR = 1                                            L01
                   MOVE '  Kunden-Adresse' TO M2ADRTXO                  L01
               ELSE                                                     L01
                   MOVE '  Adr. du client' TO M2ADRTXO.                 L01
      *
           MOVE CA-ADRZ1      TO M2ADRZ1O.                              L01
           MOVE CA-ADRZ2      TO M2ADRZ2O.                              L01
           MOVE CA-ADRZ3      TO M2ADRZ3O.                              L01
           MOVE CA-ADRZ4      TO M2ADRZ4O.                              L01
           MOVE CA-ADRZ5      TO M2ADRZ5O.                              L01
           MOVE CA-ADRSW1     TO M2ADSW1O.                              L01
           MOVE CA-ADRSW2     TO M2ADSW2O.                              L01
           MOVE CA-ADRSW3     TO M2ADSW3O.                              L01
           MOVE CA-ADRSW4     TO M2ADSW4O.                              L01
           MOVE CA-ANRED      TO M2ANREDO.
           MOVE CA-LB-PARTN   TO M2PARTNO.                              L02
           MOVE CA-SACHBT     TO M2SACHTO.                              L02
           MOVE CA-SACHB1     TO M2SACH1O.                              L01
           MOVE CA-SACHB2     TO M2SACH2O.                              L01
           MOVE CA-LB-ERDAT   TO M2ERDATO.
           MOVE CA-LB-VKTIP   TO M2VKTIPO.                              L01
           MOVE CA-LB-OBJ     TO M2OBJO.
      *
           IF Z-ALBET = SPACES
              IF CA-LB-ALBET = ZEROES
                 MOVE SPACES      TO M2ALBETO
              ELSE
                 MOVE CA-LB-ALBET TO MO-BETRA
                 MOVE MO-BETRAX   TO M2ALBETO
           ELSE
              MOVE Z-ALBET    TO M2ALBETO.
      *
           MOVE CA-LB-LZDAT   TO M2LZDATO.                              L01
      *
           IF Z-KAUTI = SPACES
              IF CA-LB-KAUTI = ZEROES
                 MOVE SPACES      TO M2KAUTIO
              ELSE
                 MOVE CA-LB-KAUTI TO MO-BETRA
                 MOVE MO-BETRAX   TO M2KAUTIO
           ELSE
              MOVE Z-KAUTI    TO M2KAUTIO.
      *
           MOVE SPACES        TO M2KAUTTO.                              L01
           MOVE SPACES        TO M2KAUTVO.                              L01
      *
           IF CA-LB-KAUNR = ZERO                                        L03/HF
               GO TO SC-010.                                            L01
      *
           MOVE 'verzinste Kaution auf EH' TO M2KAUTTO.                 L01
      *
           IF CA-SPRCD > 1                                              L01
               MOVE 'No. du dpt de garantie' TO M2KAUTTO.             L01
      *
           MOVE K-XM102  TO P200-1.                                     l01
           CALL 'XM200'  USING P-P008  P200-1  CA-LB-KAUNR  M2KAUTVO.   L03/HF
           PERFORM MODULE.
      *
       SC-010.
      *
           MOVE CA-LB-FRDAY   TO M2FRDAYO.                              L01
           MOVE CA-LB-FRDAT   TO M2FRDATO.                              L01
           MOVE CA-FZ-1       TO M2FZ1O.
           MOVE CA-FZ-2       TO M2FZ2O.
           MOVE CA-FZ-3       TO M2FZ3O.
      *
       SC-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    IDENT-FELDER IN SCREEN FUELLEN
      ******************************************************************
      *
       SCRIDENT SECTION.
       SI-000.
      *
           MOVE EIBTRMID TO TID.
           MOVE EIBTIME  TO Z-TIME.
           MOVE K-XM278  TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 Z-DATE.
           PERFORM MODULE.
           MOVE TIMR1    TO HH.
           MOVE TIMR2    TO MI.
           MOVE TIMR3    TO SS.
           MOVE DATR0    TO TT   Z-DAT0.
           MOVE DATR1    TO MM   Z-DAT1.
           MOVE DATR2    TO YY   Z-DAT2.
           MOVE CA-KKZ   TO OPID.
           MOVE CA-BURO  TO GS.
           MOVE K-XM014A TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 CA-FIRMA FA.
           PERFORM MODULE.
           MOVE CA-TRANS TO TRANS.
           MOVE W-IDE    TO M2IDEO.
           MOVE W-IDA    TO M2IDAO.
      *
       SI-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    GEWUENSCHTE LEERZEILEN IN ADRESSE INSERTEN
      ******************************************************************
      *
       ADRINSERT SECTION.                                               L01
       AI-000.                                                          L01
      *
           IF CA-ADRSW4 NOT = SPACES                                    L01
               MOVE CA-ADRZ4 TO CA-ADRZ5                                L01
               MOVE SPACES   TO CA-ADRZ4                                L01
               MOVE SPACES   TO CA-ADRSW4                               L01
               MOVE -1       TO M2ADRZ4L.                               L01
      *
           IF CA-ADRSW3 NOT = SPACES                                    L01
               MOVE CA-ADRZ4 TO CA-ADRZ5                                L01
               MOVE CA-ADRZ3 TO CA-ADRZ4                                L01
               MOVE SPACES   TO CA-ADRZ3                                L01
               MOVE SPACES   TO CA-ADRSW3                               L01
               MOVE -1       TO M2ADRZ3L.                               L01
      *
           IF CA-ADRSW2 NOT = SPACES                                    L01
               MOVE CA-ADRZ4 TO CA-ADRZ5                                L01
               MOVE CA-ADRZ3 TO CA-ADRZ4                                L01
               MOVE CA-ADRZ2 TO CA-ADRZ3                                L01
               MOVE SPACES   TO CA-ADRZ2                                L01
               MOVE SPACES   TO CA-ADRSW2                               L01
               MOVE -1       TO M2ADRZ2L.                               L01
      *
           IF CA-ADRSW1 NOT = SPACES                                    L01
               MOVE CA-ADRZ4 TO CA-ADRZ5                                L01
               MOVE CA-ADRZ3 TO CA-ADRZ4                                L01
               MOVE CA-ADRZ2 TO CA-ADRZ3                                L01
               MOVE CA-ADRZ1 TO CA-ADRZ2                                L01
               MOVE SPACES   TO CA-ADRZ1                                L01
               MOVE SPACES   TO CA-ADRSW1                               L01
               MOVE -1       TO M2ADRZ1L.                               L01
      *
       AI-999.                                                          L01
           EXIT.                                                        L01
           EJECT                                                        L01
      *
      ******************************************************************
      *    LEERZEILEN AUS ADRESSE ELIMINIEREN UND SWITCHERS MITSCHIEBEN
      ******************************************************************
      *
       ADRKOMPR SECTION.                                                L01
       AK-000.                                                          L01
      *
           MOVE CA-ADRSW1 TO P1-XM314-ADRSW (1).                        L01
           MOVE CA-ADRZ1  TO P1-XM314-ADRZ  (1).                        L01
           MOVE CA-ADRSW2 TO P1-XM314-ADRSW (2).                        L01
           MOVE CA-ADRZ2  TO P1-XM314-ADRZ  (2).                        L01
           MOVE CA-ADRSW3 TO P1-XM314-ADRSW (3).                        L01
           MOVE CA-ADRZ3  TO P1-XM314-ADRZ  (3).                        L01
           MOVE CA-ADRSW4 TO P1-XM314-ADRSW (4).                        L01
           MOVE CA-ADRZ4  TO P1-XM314-ADRZ  (4).                        L01
           MOVE SPACES    TO P1-XM314-ADRSW (5).                        L01
           MOVE CA-ADRZ5  TO P1-XM314-ADRZ  (5).                        L01
      *
           MOVE K-XM314   TO P200-1.                                    L01
           CALL 'XM200' USING P-P008 P200-1 P1-XM314 P2-XM314.          L01
           PERFORM MODULE.                                              L01
      *
           MOVE P1-XM314-ADRSW (1) TO CA-ADRSW1.                        L01
           MOVE P1-XM314-ADRZ  (1) TO CA-ADRZ1.                         L01
           MOVE P1-XM314-ADRSW (2) TO CA-ADRSW2.                        L01
           MOVE P1-XM314-ADRZ  (2) TO CA-ADRZ2.                         L01
           MOVE P1-XM314-ADRSW (3) TO CA-ADRSW3.                        L01
           MOVE P1-XM314-ADRZ  (3) TO CA-ADRZ3.                         L01
           MOVE P1-XM314-ADRSW (4) TO CA-ADRSW4.                        L01
           MOVE P1-XM314-ADRZ  (4) TO CA-ADRZ4.                         L01
           MOVE P1-XM314-ADRZ  (5) TO CA-ADRZ5.                         L01
      *
       AK-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    C I C S - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    SENDEN SCREEN
      ******************************************************************
      *
       SENDEN SECTION.
       SE-000.
      *
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
      *
           MOVE -1 TO M2SACHTL.                                         L01
      *
           IF CA-SPR = 2
               GO TO SE-100.
      *
           EXEC CICS SEND MAP    ('DBRIM2D')
                          MAPSET ('DBRIS2')
                          FROM   (DBRIM2DO)
                          FREEKB
                          CURSOR
                          WAIT ERASE
           END-EXEC.
           GO TO SE-999.
      *
       SE-100.
           EXEC CICS SEND MAP    ('DBRIM2F')
                          MAPSET ('DBRIS2')
                          FROM   (DBRIM2DO)
                          FREEKB
                          CURSOR
                          WAIT ERASE
           END-EXEC.
      *
       SE-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    SENDEN SCREEN MIT FEHLERMELDUNG
      ******************************************************************
      *
       SENDFEHL SECTION.
       SF-000.
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
      *
           IF M2MSGO = LOW-VALUES
               MOVE 'ABER...ABER...PROGRAMMIERFEHLER' TO M2MSGO.
      *
           IF CA-SPR = 2
               GO TO SF-100.
      *
           EXEC CICS SEND MAP    ('DBRIM2D')
                          MAPSET ('DBRIS2')
                          FROM   (DBRIM2DO)
                          CURSOR
                          FREEKB
                          WAIT ERASE
           END-EXEC.
           GO TO SF-999.
      *
       SF-100.
           EXEC CICS SEND MAP    ('DBRIM2F')
                          MAPSET ('DBRIS2')
                          FROM   (DBRIM2DO)
                          CURSOR
                          FREEKB
                          WAIT ERASE
           END-EXEC.
      *
       SF-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    SCREEN EMPFANGEN
      ******************************************************************
      *
       RECEIVEN SECTION.
       RE-000.
      *
           MOVE LOW-VALUES TO DBRIM2DI.
           IF CA-SPR = 2
               GO TO RE-100.
           EXEC CICS RECEIVE MAP    ('DBRIM2D')
                             MAPSET ('DBRIS2')
                             INTO   (DBRIM2DI)
           END-EXEC.
           GO TO RE-999.
      *
       RE-100.
           EXEC CICS RECEIVE MAP    ('DBRIM2F')
                             MAPSET ('DBRIS2')
                             INTO   (DBRIM2DI)
           END-EXEC.
      *
       RE-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    PROGRAMM MIT RETURN TRANSID VERLASSEN
      ******************************************************************
      *
       TRANSID SECTION.
       TR-000.
           EXEC CICS RETURN TRANSID  (CA-TRANS)
                            COMMAREA (COMMAREA)
                            LENGTH   (CA-LENGTH)
           END-EXEC.
       TR-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    PROGRAMM VERLASSEN
      ******************************************************************
      *
       XCTL SECTION.
       XC-000.
           MOVE 5        TO FEHL-NR   CA-FEHLNR.
           MOVE CA-TRANS TO FEHL-VAR1.
           PERFORM FEHLMELD.
           EXEC CICS SEND
                     FROM   (M2MSGO)
                     LENGTH (77)
                     WAIT
                     ERASE
           END-EXEC.
           EXEC CICS RETURN
           END-EXEC.
       XC-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    CROSS-JUMPER AUFRUFEN
      ******************************************************************
      *
       XJUMP SECTION.
       XJ-000.
           MOVE M2XJUMPI  TO P1-XM229.
           MOVE K-XM229   TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM229 P2-XM229 P3-XM229.
           PERFORM MODULE.
           MOVE P1-XM229  TO CA-CIXJUMP.
           MOVE CA-SPR    TO XM179-SPRCD.
           MOVE CA-CIXACT TO XM179-TRANS.
      *
           EXEC CICS LINK PROGRAM  ('XM179')
                          COMMAREA (XM179-P)
                          LENGTH   (XM179L)
           END-EXEC.
      *
           IF XM179-TEXT = SPACES
               MOVE 25        TO FEHL-NR   CA-FEHLNR
               MOVE CA-CIXACT TO FEHL-VAR1
               MOVE DFHBMBRY  TO M2XJUMPA
               MOVE -1        TO M2XJUMPL
               MOVE 1         TO SWFEHL    CA-SWFEHL
               GO TO XJ-999.
      *
      ****                         BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE ZERO    TO CA-SCHRITT.
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           IF CA-SWAC = 'C'
      ****                                           *** CONTISSIIMO ***
               EXEC CICS XCTL PROGRAM  ('D007')
                              COMMAREA (COMMAREA)
                              LENGTH   (1650)
               END-EXEC
             ELSE
      ****                                       *** AUFINA, UEBRIGE ***
               EXEC CICS XCTL PROGRAM  ('P007')
                              COMMAREA (COMMAREA)
                              LENGTH   (1650)
               END-EXEC.
      *
       XJ-999.
           EXIT.
      ******************************************************************
      ****                                           ENDE SOURCE DBRIP02
      ******************************************************************
