********** CNTRL
********** HISTO  AUFRI NEU----280292  AUDUS 060892-100992  AUFRI 051192-021292
********** HISTO  AUDUS 120793-120793
      ******************************************************************
      *
       IDENTIFICATION DIVISION.
      *
      ******************************************************************
       PROGRAM-ID.    DBRIP07.
       AUTHOR.        BANK AUFINA
                      5200 BRUGG.
       DATE-WRITTEN.  DEC-1991.
       DATE-COMPILED.
       REMARKS.
            INPUT-FILES:
            OUTPUT-FILES:
            SCREENS:
              DBRIM7D      LEASING-VERZICHTSERKLAERUNG / DEUTSCH
              DBRIM7F      LEASING-VERZICHTSERKLAERUNG / FRANZOESISCH
            PROGRAM-DESCRIPTION:
            XCTLS:
              DBRIT        HAUPTPROGRAMM
              DBRIP07      ANZEIGEPROGRAMM FUER LEASING-BRIEFE
              DBRIP57      DRUCKPROGRAMM FUER LEASING-BRIEFE
            SUBROUTINE-DESCRIPTION:
            SWITCHES:
            INDEXES:
      * SPECIAL-REMARKS.
      *****************************************************************
      * 1.    PROGRAMM:
      * 1.1   NAME :      DBRIP07     A/PROGR:    H.P.FREI
      * 1.2   LANG.:      COBOL       E-DATUM:    DEZEMBER 1991
      * 1.3   P-ART:      ONLINE      TB/TRNS:    DBRI
      * 1.4   L.MUT:      12-JULY-93  A/PROGR:    CHR-DUSS              L03
      *
      * 2.    PROGRAMMTEXT:
      *
      * 3.    FILES:
      * 3.0   ID:         D-ORG:   I/O/L/U:       DS-NAME:
      *
      *
      * 4.    OUTPUTLISTEN:
      * 4.0   L-NR.     FORM    EMPF-ABT  A-FRIST LISTENTITEL:
      *
      * 5.    MODULES:
      * 5.1   XM014A      XM016       XM229       XM269       XM278
      * 5.2   XM314
      *
      * 6.    DECISION-TABLES:
      *
      * 7.    COPY'S: (OHNE DECTAT)
      * 7.1   HEXA        DFHAID      DFHBMSCA    DBRIM7D     DBRICOMM
      *
      * 8.    MAPS FUER ON-LINE-PROGRAMME
      * 8.1   DBRIM7D     DBRIM7F
      *
      * 9.    UPSI-SWITCHES:
      *****************************************************************
      * END SPECIAL-REMARKS
            MODIFICATIONS:
            L01  Q775  06-AUG-1992  /  CHR-DUSS                         L01
                       SCHACHT-NR 9 ZULASSEN, DAMIT DIE BRIEFE INS      L01
                       DW-FILE GESCHRIEBEN WERDEN KOENNEN.              L01
            L02  R016  18-NOV-1992  /  H.P.FREI                         L02/HF
                       ITALIENISCHE ANPASSUNGEN                         L02/HF
            L03  R111  12-JULY-1993    CHR-DUSS                         L03
                       CA AUF 6000 STELLEN ERWEITERT WEGEN              L03
                       INDIVIDUELLEM BRIEF                              L03
      *
           EJECT
      *
      ******************************************************************
      *
       ENVIRONMENT DIVISION.
      *
      ******************************************************************
      *
      *
      ******************************************************************
      *
       DATA DIVISION.
      *
      ******************************************************************
       WORKING-STORAGE SECTION.
      *************************
       01  BEGINN-WS     PIC X(34)      VALUE
           'BEGINN WORKING-STORAGE DBRIP07-L03'.                        L03
      *
      ******************************************************************
       01  KONSTANTEN.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>KONST<<'.
      *
           05  K-XM014A  PIC X(8)       VALUE 'XM014A'.
           05  K-XM016   PIC X(8)       VALUE 'XM016'.
           05  K-XM229   PIC X(8)       VALUE 'XM229'.
           05  K-XM269   PIC X(8)       VALUE 'XM269'.
           05  K-XM278   PIC X(8)       VALUE 'XM278'.
           05  K-XM314   PIC X(8)       VALUE 'XM314'.
      *
      ******************************************************************
      ***  HEX-KONSTANTEN
      ******************************************************************
       01  FILLER        PIC X(9)       VALUE '>>>HEX<<<'.
           COPY HEXA   SUPPRESS.
           EJECT
      *
      ******************************************************************
       01  RECHENFELDER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>RECHF<<'.
           05  R-ADRSW   PIC 9(3)       VALUE ZERO.
           05  R-LEERZ   PIC 9(3)       VALUE ZERO.
      *
      ******************************************************************
       01  ZAEHLERFELDER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>ZAEHLER<'.
      *
      ******************************************************************
       01  SWITCHES.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>SWITCH<<'.
           05  SWFEHL    PIC 9          VALUE ZERO.
           05  SWPF      PIC 99         VALUE ZERO.
      *
      ******************************************************************
       01  INDEXES.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>INDEXE<<'.
           05  I-1       PIC 9          VALUE ZERO.
      *
           EJECT
      *
      ******************************************************************
      *    UHRZEIT
      ******************************************************************
      *
       01  Z-TIME        PIC 9(7).
       01  TIMR          REDEFINES      Z-TIME.
           05 FILLER     PIC X.
           05 TIMR1      PIC XX.
           05 TIMR2      PIC XX.
           05 TIMR3      PIC XX.
      *
      ******************************************************************
      *    DATUM
      ******************************************************************
      *
       01  Z-DATE        PIC X(8).
       01  DATR          REDEFINES      Z-DATE.
           05 DATR0      PIC XX.
           05 FILLER     PIC X.
           05 DATR1      PIC XX.
           05 FILLER     PIC X.
           05 DATR2      PIC XX.
      *
       01  Z-DAT6.
           05 Z-DAT0     PIC XX.
           05 Z-DAT1     PIC XX.
           05 Z-DAT2     PIC XX.
           EJECT
      *
      ******************************************************************
      *    DEFINITIONEN 1. ZEILE SCREEN
      ******************************************************************
      *
       01  W-IDA.
           05 FA         PIC X(12).
           05 FILLER     PIC XX         VALUE ' ,'.
           05 GS         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 TID        PIC XXXX.
           05 FILLER     PIC X          VALUE ','.
           05 OPID       PIC XXX.
      *
       01  W-IDE.
           05 TRANS      PIC XXXX.
           05 FILLER     PIC X          VALUE '-'.
           05 LEVEL      PIC XXX        VALUE 'L03'.                    L03
           05 FILLER     PIC X          VALUE ','.
           05 TT         PIC XX.
           05 MM         PIC XX.
           05 YY         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 HH         PIC XX.
           05 MI         PIC XX.
           05 SS         PIC XX.
      *
      ******************************************************************
      * 01 TABELLEN.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>TABLES<<'.
      *
           05  T-ADRESSE.
           10  T-ADRZ-EL    OCCURS 5.
           15  T-ADRZ-PLZ   PIC X(4).
           15  T-ADRZ-ORT   PIC X(26).
      *
           EJECT
      *
      ******************************************************************
       01  ZWISCHENSPEICHER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>ZWISP<<'.
      *
           05  Z-ALBET   PIC X(14)    VALUE SPACES.
      *
           05  Z-KAUTI   PIC X(14)    VALUE SPACES.
      *
           05  Z-DATE6.
           10  Z-TT6     PIC XX.
           10  Z-MM6     PIC XX.
           10  Z-JJ6     PIC XX.
      *
           05  Z-DATE8.
           10  Z-TT8     PIC XX.
           10  Z-P18     PIC X.
           10  Z-MM8     PIC XX.
           10  Z-P28     PIC X.
           10  Z-JJ8     PIC XX.
      *
           05  Z-DATE10.
           10  Z-TT10    PIC XX.
           10  Z-P110    PIC X.
           10  Z-MM10    PIC XX.
           10  Z-P210    PIC X.
           10  Z-JJ10.
           15  Z-JH10    PIC XX.
           15  Z-JZ10    PIC XX.
      *
      *
      **** ALLES ZUR BENUTZERFREUNDLICHKEIT ****
      **** DA DAS FORMAT FUER BETRAGSFELDER FREIGESTELLT IST, MUSS FUER
      **** ALLE FAELLE VORGESORGT WERDEN. DA IM FEHLERFALL DIE FALSCHE
      **** EINGABE GEZEIGT WIRD, UND MIT EINER MASKE NUR NUMERISCHE
      **** FELDER AUSGEGEBEN WERDEN KOENNEN, MUSS IM PROGRAMM DIE AUS-
      **** GABE GEHANDELT WERDEN. ANDERFALLS STELLEN SICH ASRAS EIN
      *
           05 MO-BETRAX.
           10 MO-BETRA   PIC Z,ZZZ,ZZ9.99-.
      *
      *
       01        Z-TESTDATUM.
         05      Z-TD-6OP.
           10    Z-TD-6OPX.
             15  Z-TD-6OPT   PIC XX.
             15  Z-TD-6OPM   PIC XX.
             15  Z-TD-6OPJ   PIC XX.
           10    Z-TD-6OPF   PIC X(4).
      *
         05      Z-TD-8OP    REDEFINES Z-TD-6OP.
           10    Z-TD-8OPX.
             15  Z-TD-8OPT   PIC XX.
             15  Z-TD-8OPM   PIC XX.
             15  Z-TD-8OPJ   PIC X(4).
           10    Z-TD-8OPF   PIC XX.
      *
         05      Z-TD-6MP    REDEFINES Z-TD-6OP.
           10    Z-TD-6MPX.
             15  Z-TD-6MPT   PIC XX.
             15  Z-TD-6MP1   PIC X.
             15  Z-TD-6MPM   PIC XX.
             15  Z-TD-6MP2   PIC X.
             15  Z-TD-6MPJ   PIC XX.
           10    Z-TD-6MPF   PIC XX.
      *
         05      Z-TD-8MP    REDEFINES Z-TD-6OP.
           10    Z-TD-8MPX.
             15  Z-TD-8MPT   PIC XX.
             15  Z-TD-8MP1   PIC X.
             15  Z-TD-8MPM   PIC XX.
             15  Z-TD-8MP2   PIC X.
             15  Z-TD-8MPJ   PIC X(4).
      *
           EJECT
      *
      ******************************************************************
       01  PARAMETER.
      ******************************************************************
      *
           05 FILLER     PIC X(10)      VALUE '>>PARAM<<'.
      *
       01  XM016-P.
           05 XM016-P1     PIC X(8).
           05 XM016-P2     PIC 9.
           05 XM016-P3     PIC X(10).
      *
       01  P-XM177L        PIC S9(4) COMP VALUE +25.
       01  P-XM177.
           05 P177-1.
           10 BER-FUNC     PIC X.
           05 P177-2.
           10 BER-RET1     PIC X.
           05 P177-3.
           10 BER-RET2     PIC X(8).
           05 P177-4.
           10 BER-SPR      PIC 9.
           05 P177-5.
           10 BER-KKZ      PIC X(3).
           05 P177-6.
           10 BER-FIRMA    PIC X.
           05 P177-7.
           10 BER-BURO     PIC XX.
           05 P177-8.
           10 BER-PRID1    PIC X(4).
           05 P177-9.
           10 BER-PRID2    PIC X(4).
      *
       01  P-XM177-R       REDEFINES P-XM177.
           05 P177-F1      PIC X(10).
           05 P177-10.
           10 BER-PRTID    PIC X(4).
           05 P177-F2      PIC X(11).
      *
       01  XM179L          PIC S9(4) COMP VALUE +35.
       01  XM179-P.
           05 XM179-1.
           10 XM179-SPRCD  PIC X.
           05 XM179-2.
           10 XM179-TRANS  PIC XXXX.
           05 XM179-3.
           10 XM179-TEXT   PIC X(30).
      *
       01  XM181L          PIC S9(4) COMP VALUE +212.
       01  XM181-P.
           05 XM181-1.
           10 FEHL-NR      PIC 9999       VALUE 0.
           10 FEHL-SPR     PIC 9.
           05 XM181-2.
           10 XM181-PROG   PIC X(8)       VALUE 'DBRIP07'.
           05 XM181-3.
           10 FEHL-MELD    PIC X(79).
           05 XM181-4.
           10 FEHL-VAR1    PIC X(20)      VALUE SPACES.
           05 XM181-5.
           10 FEHL-VAR2    PIC X(20)      VALUE SPACES.
           05 XM181-6.
           10 FEHL-VAR3    PIC X(20)      VALUE SPACES.
           05 XM181-7.
           10 FEHL-VAR4    PIC X(20)      VALUE SPACES.
           05 XM181-8.
           10 FEHL-VAR5    PIC X(20)      VALUE SPACES.
           05 XM181-9.
           10 FEHL-VAR6    PIC X(20)      VALUE SPACES.
      *
       01  P-XM200.
           05 P200-1       PIC X(8)       VALUE SPACES.
      *
       01  P-XM229.
           05 P1-XM229     PIC X(22).
           05 P2-XM229     PIC S9(6) COMP VALUE +22.
           05 P3-XM229     PIC X(8)       VALUE 'ENDXM229'.
      *
       01  XM246-P.
           05 XM246-P1     PIC X(16)      VALUE 'Z,14,07.2,M'.
      *
       01  P-XM269.
           05 P1-XM269     PIC X          VALUE 'G'.
      *
       01  P-XM314.
           05 P1-XM314.
           10 P1-XM314-EL    OCCURS 5.
           15 P1-XM314-ADRSW PIC X.
           15 P1-XM314-ADRZ  PIC X(30).
      *
           05 P2-XM314.
           10 P2-XM314-1     PIC X          VALUE '1'.
           10 P2-XM314-2     PIC X          VALUE LOW-VALUE.
           10 P2-XM314-3     PIC 9(4) COMP  VALUE 31.
           10 P2-XM314-4     PIC 9(4) COMP  VALUE 5.
           10 P2-XM314-5     PIC X(8)       VALUE LOW-VALUE.
      *
       01  P-P008L           PIC S9(4) COMP VALUE +124.
       01  P-P008.
           05 P008-1         PIC S9(8) COMP OCCURS  31.
      *
           EJECT
      *
      ******************************************************************
      *    DATENBEREICHE DER GENERIERTEN SUBROUTINEN
      ******************************************************************
      *
      * WORK-ITEMS
      *
      ******************************************************************
      *    COMMAREA
      ******************************************************************
      *
                         COPY   DBRICOMM.
           EJECT
       01  FILLER        PIC X(9)       VALUE '>>>AID<<<'.
                         COPY   DFHAID.
           EJECT
       01  FILLER        PIC X(9)       VALUE '>>>SCA<<<'.
                         COPY   DFHBMSCA.
           EJECT
      *
      ******************************************************************
      *    MAP DEFINITIONEN
      ******************************************************************
      *
       01  FILLER        PIC X(9)       VALUE '>>SCREN<<'.
                         COPY   DBRIM7D.
      *
       01  ENDE-WS       PIC X(32)      VALUE
           'ENDE WORKING-STORAGE DBRIP07'.
           EJECT
      *
      ******************************************************************
      *
       LINKAGE SECTION.
      *
      ******************************************************************
      *
       01  DFHCOMMAREA.
           05 FILLER     PIC X(6000).                                   l03
      *
           EJECT
      ******************************************************************
      *
       PROCEDURE DIVISION.
      *
      ******************************************************************
      *
      ******************************************************************
      *     STEUER PROCEDURE
      ******************************************************************
      *
       STEUER SECTION.
       ST-000.
      *
           PERFORM VORVERARB.
      *
       ST-100.
           PERFORM HAUPTVERARB.
      *
       ST-990.
           IF SWPF = 99
               PERFORM XCTL
             ELSE
               MOVE +6000  TO CA-LENGTH                                 L03
               PERFORM TRANSID.
      *
       ST-999.
           GOBACK.
           EJECT
      *
      ******************************************************************
      *     VORVERARBEITUNG
      ******************************************************************
      *
       VORVERARB SECTION.
      *
       VV-000.
           MOVE DFHCOMMAREA TO COMMAREA.
           MOVE +6000       TO CA-LENGTH.                               L03
           MOVE LOW-VALUES  TO DBRIM7DI.
      *
       VV-100.
           IF CA-SCHRITT = ZERO
               GO TO VV-999.
      *
       VV-700.
      ****                           HANDLE AID UND CONDITION
      *
           EXEC CICS HANDLE CONDITION MAPFAIL (VV-860)
           END-EXEC.
      *
      ****                            HANDLE AID 1. TEIL
      *
           EXEC CICS HANDLE AID       PF1     (VV-710)
                                      PF2     (VV-720)
                                      PF3     (VV-730)
                                      PF10    (VV-800)
                                      PF11    (VV-810)
                                      PF12    (VV-820)
                                      CLEAR   (VV-840)
                                      ANYKEY  (VV-850)
           END-EXEC.
      ****                           R E C E I V E
           PERFORM RECEIVEN.
      ****                           ENTER-TASTE
           MOVE 13 TO SWPF.
           GO TO VV-999.
      *
       VV-710.
      ****                           PF1-TASTE
           MOVE 1 TO SWPF.
           GO TO VV-999.
      *
       VV-720.
      ****                           PF2-TASTE
           MOVE 2 TO SWPF.
           GO TO VV-999.
      *
       VV-730.
      ****                           PF3-TASTE
           MOVE 3 TO SWPF.
           GO TO VV-999.
      *
       VV-800.
      ****                           PF10-TASTE
           MOVE 10 TO SWPF.
           GO TO VV-999.
      *
       VV-810.
      ****                           PF11-TASTE
           MOVE 11 TO SWPF.
           GO TO VV-999.
      *
       VV-820.
      ****                           PF12-TASTE
           MOVE 12 TO SWPF.
           GO TO VV-999.
      *
       VV-840.
      ****                           CLEAR-TASTE
           MOVE 14 TO SWPF.
           GO TO VV-999.
      *
       VV-850.
      ****                           ANYKEY-TASTE
           MOVE 15 TO SWPF.
           GO TO VV-999.
      *
       VV-860.
      ****                           M A P F A I L
           MOVE 16 TO SWPF.
      *
       VV-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    HAUPTVERARBEITUNG
      ******************************************************************
      *
       HAUPTVERARB SECTION.
      *
       HV-000.
      *
           IF CA-SCHRITT = ZERO
               GO TO HV-500.
      *
       HV-050.
      *
      ****                           HANDLING PF-FUNKTIONEN
      *
           GO TO HV-81
                 HV-82
                 HV-83
                 HV-84
                 HV-85
                 HV-86
                 HV-87
                 HV-88
                 HV-89
                 HV-90
                 HV-91
                 HV-92
                 HV-93
                 HV-94
                 HV-95
                 HV-96      DEPENDING ON SWPF.
      *
       HV-81.
      ****                           PF1-TASTE (HELP-PROGRAMM)
           GO TO HV-95.
      *
       HV-82.
      ****                           PF2-TASTE / PRINTER-AUFRUF
           MOVE 2 TO CA-SWPF.
           MOVE 0 TO CA-SCHRITT.
           EXEC CICS LINK PROGRAM ('D154')
           END-EXEC.
           GO TO HV-999.
      *
       HV-83.
      ****                           PF3-TASTE
           MOVE 3 TO CA-SWPF.
           MOVE 0 TO CA-SCHRITT.
           EXEC CICS XCTL PROGRAM  ('DBRIT')
                          COMMAREA (COMMAREA)
                          LENGTH   (CA-LENGTH)
           END-EXEC.
      *
       HV-84.
      ****                           PF4-TASTE
           GO TO HV-95.
      *
       HV-85.
      ****                           PF5-TASTE
           GO TO HV-95.
      *
       HV-86.
      ****                           PF6-TASTE
           GO TO HV-95.
      *
       HV-87.
      *                              PF7-TASTE
      ****                           RUECKWAERTS BLAETTERN (INDIV.)
      *
           GO TO HV-95.
      *
       HV-88.
      *                              PF8-TASTE
      ****                           VORWAERTS BLAETTERN (INDIV.)
      *
           GO TO HV-95.
      *
       HV-89.
      ****                           PF9-TASTE
           GO TO HV-95.
      *
       HV-90.
      ****                           PF10-TASTE
      *
      ****                           BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           MOVE ZEROES TO CA-LENGTH.
           EXEC CICS XCTL PROGRAM  ('PF10T')
                          COMMAREA (COMMAREA)
                          LENGTH   (CA-LENGTH)
           END-EXEC.
      *
       HV-91.
      ****                           PF11-TASTE
      *
      ****                           AUSDRUCKEN: ZUERST NORMALE VER-
      ****                           ARBEITUNG (PLAUSI ETC.)
           GO TO HV-200.
      *
       HV-92.
      ****                           PF12 - ENDE DER TRANSAKTION
      *
      ****                           BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           MOVE 99 TO SWPF.
           GO TO HV-999.
      *
       HV-93.
      ****                           ENTER (EMPFANGEN SCREEN)
           GO TO HV-200.
      *
       HV-94.
      ****                           CLEAR  (SENDEN LEERE MASKE)
           GO TO HV-83.
      *
       HV-95.
      ****                           ANYKEY (FALSCHE FUNKTIONS-TASTE)
           PERFORM CAFILL.
      *
           IF SWFEHL > ZERO
               GO TO HV-900.
      *
           MOVE LOW-VALUES TO DBRIM7DI.
           MOVE  1 TO FEHL-NR   CA-FEHLNR.
           MOVE -1 TO M7SACHTL.
           GO TO HV-900.
      *
       HV-96.
      ****                           MAPFAIL   (KEINE EINGABE)
           GO TO HV-200.
      *
       HV-97.
      ****                           AUFRUF AUS CROSS-JUMPER
           GO TO HV-200.
      *
       HV-100.
      *
      ****                           INITIALISIEREN SCREEN
      *
           MOVE LOW-VALUES TO DBRIM7DO.
           GO TO HV-800.
      *
       HV-200.
      *
      ****                           COMMONAREA MIT SCREENDATEN LADEN
      *
           PERFORM CAFILL.
           IF SWFEHL > ZERO
               GO TO HV-900.
      *
       HV-300.
      *
      ****                           INPUT PRUEFEN
      *
           PERFORM PLAUSI.
      *
      ****                           WENN KEINE FEHLER IN PLAUSI
      *                              WEITER ZU HV-500
           IF SWFEHL = ZERO
               GO TO HV-500.
      *                              FEHLERMELDUNG 3 HEISST ALLGEMEIN
      ****                           'FALSCHE EINGABE'. EVENTUELL WEG-
      *                              LASSEN UND DURCH DETAILLIERTE
      *                              FEHLERMELDUNG IN PLAUSI ERSETZEN.
           IF FEHL-NR = 0
               MOVE 3 TO FEHL-NR   CA-FEHLNR.
           GO TO HV-900.
      *
       HV-500.
      *
      ****                           AUFRUF DER VERARBEITUNG
      *                              NACH ERFOLGREICHEN PLAUS-TESTS
           PERFORM VERARB.
           IF SWFEHL > ZERO
               GO TO HV-900.
       HV-800.
      *
      ****                           SENDEN SCREEN
      *
           PERFORM SENDEN.
           IF CA-SCHRITT = 0
               MOVE 1 TO CA-SCHRITT.
           MOVE 80 TO SWPF.
           GO TO  HV-999.
      *
       HV-900.
      *
      ****                           FEHLER
      *
           PERFORM FEHLMELD.
           PERFORM SENDFEHL.
           MOVE 90 TO SWPF.
       HV-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    PROGRAMM - SUBROUTINEN     --->  PLAUSI UND VERARB  <---
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    PLAUSIBILITAET
      ******************************************************************
      *
       PLAUSI SECTION.
       PL-000.
      *
           MOVE ZERO    TO SWFEHL   CA-SWFEHL.
      *
           IF CA-SCHRITT > ZERO
               GO TO PL-500.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   0
      *                              -------------------------------
       PL-100.
      *
           MOVE 1 TO CA-SCHRITT.
      *
           GO TO PL-999.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   1
      *                              -------------------------------
       PL-500.
      *
      ********                       PRINTER PRUEFEN
      ********                       ***************
           IF CA-PRINTER = SPACES
               MOVE DFHBMBRY TO M7PRIDA
               MOVE -1       TO M7PRIDL
               MOVE 3        TO FEHL-NR CA-FEHLNR
               MOVE 1        TO SWFEHL
               GO TO PL-510.
      *
      *                              PRINTER AUF GROSS UMSETZEN
           MOVE CA-PRINTER TO P1-XM229.
           MOVE K-XM229    TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM229 P2-XM229 P3-XM229.
           PERFORM MODULE.
           MOVE P1-XM229   TO CA-PRINTER.
           MOVE 'G'        TO BER-FUNC.
           MOVE CA-PRINTER TO BER-PRTID.
      *
           EXEC CICS LINK PROGRAM  ('XM177')
                          COMMAREA (P-XM177)
                          LENGTH   (P-XM177L)
           END-EXEC.
      *
           IF BER-RET1 = '1'
               MOVE DFHBMBRY TO M7PRIDA
               IF SWFEHL = ZERO
                   MOVE -1   TO M7PRIDL
                   MOVE 1    TO SWFEHL
                   MOVE 96   TO FEHL-NR CA-FEHLNR.
      *
       PL-510.
      *
      ********                       SCHACHT PRUEFEN
      ********                       ***************
           IF CA-SCHACHTX NOT NUMERIC
               MOVE 'Q' TO M7CANA
               IF SWFEHL = ZERO
                   MOVE -1  TO M7CANL
                   MOVE 1   TO SWFEHL
                   MOVE 52  TO FEHL-NR CA-FEHLNR.
      *
           IF  CA-SCHACHTX > '0'
           AND CA-SCHACHTX < '4'
               GO TO PL-520.
      *
           IF  CA-SCHACHTX = '9'                                        L01
      ***************************************************************** L01
      **** DAMIT DIE BRIEFE INS DW-FILE GESCHRIEBEN WERDEN KOENNEN **** L01
      ***************************************************************** L01
               GO TO PL-520.                                            L01
      *
           MOVE 'Q' TO M7CANA.
           IF SWFEHL = ZERO
               MOVE -1  TO M7CANL
               MOVE 1   TO SWFEHL
               MOVE 3   TO FEHL-NR CA-FEHLNR.
      *
       PL-520.
      *
      ********                       MIND. 1 ABSENDERZEILE
      ********                       *********************
      *
           IF CA-ABS1 = SPACE
           AND CA-ABS2 = SPACE
           AND CA-ABS3 = SPACE
           AND CA-ABS4 = SPACE
                MOVE DFHBMBRY TO M7ABS1A  M7ABS2A  M7ABS3A M7ABS4A
                IF SWFEHL = ZERO
                    MOVE -1   TO M7ABS1L
                    MOVE 74   TO FEHL-NR CA-FEHLNR
                    MOVE 1    TO SWFEHL.
      *
      ********                       ADRESSE VORHANDEN ?
      ********                       *******************
      *
           IF CA-ADRESSE = SPACES
               MOVE DFHBMBRY TO M7ADRZ1A  M7ADRZ2A  M7ADRZ3A
               MOVE DFHBMBRY TO M7ADRZ4A  M7ADRZ5A
               IF SWFEHL = ZERO
                   MOVE -1   TO M7ADRZ1L
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       ADRESSZEILENSWITCHERS PRUEFEN
      ********                       *****************************
           MOVE ZERO TO R-ADRSW R-LEERZ.
      *
           IF CA-ADRESS-SWITCHES = SPACE
               GO TO PL-530.
      *
           IF CA-ADRSW1 NOT = SPACE
               ADD 1 TO R-ADRSW.
           IF CA-ADRSW2 NOT = SPACE
               ADD 1 TO R-ADRSW.
           IF CA-ADRSW3 NOT = SPACE
               ADD 1 TO R-ADRSW.
           IF CA-ADRSW4 NOT = SPACE
               ADD 1 TO R-ADRSW.
      *
           IF CA-ADRZ1 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ2 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ3 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ4 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ5 = SPACE
               ADD 1 TO R-LEERZ.
      *
           IF R-ADRSW > R-LEERZ
               MOVE DFHBMBRY TO M7ADSW1A M7ADSW2A M7ADSW3A M7ADSW4A
               IF SWFEHL = ZERO
                   MOVE -1   TO M7ADSW1L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW1 NOT = SPACE
             IF CA-ADRZ1 = SPACE
               MOVE DFHBMBRY TO M7ADSW1A M7ADRZ1A
               IF SWFEHL = ZERO
                   MOVE -1   TO M7ADSW1L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW2 NOT = SPACE
             IF CA-ADRZ2 = SPACE
               MOVE DFHBMBRY TO M7ADSW2A M7ADRZ2A
               IF SWFEHL = ZERO
                   MOVE -1   TO M7ADSW2L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW3 NOT = SPACE
             IF CA-ADRZ3 = SPACE
               MOVE DFHBMBRY TO M7ADSW3A M7ADRZ3A
               IF SWFEHL = ZERO
                   MOVE -1   TO M7ADSW3L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW4 NOT = SPACE
             IF CA-ADRZ4 = SPACE
               MOVE DFHBMBRY TO M7ADSW4A M7ADRZ4A
               IF SWFEHL = ZERO
                   MOVE -1   TO M7ADSW4L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
       PL-530.
      *
      ********                       UNTERSTE ADR-ZEILE MUSS PLZ HABEN
      ********                       *********************************
           MOVE CA-ADRESSE TO T-ADRESSE.
           MOVE 5 TO I-1.
      *
       PL-540.
           IF I-1 < 2
               GO TO PL-550.
           IF T-ADRZ-EL (I-1) = SPACE
               SUBTRACT 1 FROM I-1
               GO TO PL-540.
           IF T-ADRZ-PLZ (I-1) NUMERIC
               GO TO PL-560.
      *
       PL-550.
           MOVE DFHBMBRY TO M7ADRZ1A M7ADRZ2A M7ADRZ3A M7ADRZ4A
                            M7ADRZ5A.
           IF SWFEHL = ZERO
               MOVE -1   TO M7ADRZ1L
               MOVE 1    TO SWFEHL
               MOVE 319  TO FEHL-NR CA-FEHLNR.
      *
       PL-560.
      *
      ********                       IHRE SACHBEARBEITER-TEXT
      ********                       ************************
           IF CA-SACHBT = SPACES
               MOVE DFHBMBRY TO M7SACHTA
               IF SWFEHL = ZERO
                   MOVE -1   TO M7SACHTL
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       SACHBEARBEITER PRUEFEN
      ********                       **********************
           IF  CA-SACHB1 = SPACES
           AND CA-SACHB2 = SPACES
               MOVE DFHBMBRY TO M7SACH1A M7SACH2A
               IF SWFEHL = ZERO
                   MOVE -1   TO M7SACH1L
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       ANREDE PRUEFEN
      ********                       **************
           IF CA-ANRED = SPACES
               MOVE DFHBMBRY TO M7ANREDA
               IF SWFEHL = ZERO
                   MOVE -1   TO M7ANREDL
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       VERTRAGS-DATUM
      ********                       **************
           IF CA-LB-ERDAT = SPACES
               GO TO PL-590.
      *
           MOVE ZEROES        TO XM016-P1.
           MOVE ZEROES        TO XM016-P2.
           MOVE CA-LB-ERDAT   TO XM016-P3.
           MOVE K-XM016       TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3.
           PERFORM MODULE.
      *
           IF XM016-P2 NOT = ZERO
               MOVE  73       TO FEHL-NR   CA-FEHLNR
               MOVE  -1       TO M7ERDATL
               MOVE  DFHBMBRY TO M7ERDATA
               MOVE  1        TO SWFEHL    CA-SWFEHL
               GO TO PL-590.
      *
      ****                                    TEST-DATUM = 'TTMMJJ    '
      ****                                    ODER         'TTMMJJJJ  '
      ****                                    ODER         'TT.MM.JJ  '
      ****                                    ODER         'TT.MM.JJJJ'
      ****                                    *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.
           MOVE CA-LB-ERDAT   TO Z-TESTDATUM.
      *
           IF Z-TD-6OPF = SPACES
      ****                                    TEST-DATUM = 'TTMMJJ    '
      ****                                    *************************
               MOVE Z-TD-6OPT TO Z-TT10
               MOVE Z-TD-6OPM TO Z-MM10
               MOVE Z-TD-6OPJ TO Z-JZ10
               IF   Z-TD-6OPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-580
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-580.
      *
           IF Z-TD-8MPJ NUMERIC
      ****                                    TEST-DATUM = 'TT.MM.JJJJ'
      ****                                    *************************
               MOVE Z-TD-8MPX TO Z-DATE10
               GO TO PL-580.
      *
           IF  Z-TD-6MP1 = '.'
           AND Z-TD-6MP2 = '.'
      ****                                    TEST-DATUM = 'TT.MM.JJ  '
      ****                                    *************************
               MOVE Z-TD-6MPT TO Z-TT10
               MOVE Z-TD-6MPM TO Z-MM10
               MOVE Z-TD-6MPJ TO Z-JZ10
               IF   Z-TD-6MPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-580
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-580.
      *
      ****                                    ELSE
      ****                                    TEST-DATUM = 'TTMMJJJJ  '
      ****                                    *************************
           MOVE Z-TD-8OPT TO Z-TT10.
           MOVE Z-TD-8OPM TO Z-MM10.
           MOVE Z-TD-8OPJ TO Z-JJ10.
      *
       PL-580.
      *
           MOVE '.'      TO Z-P110   Z-P210.
           MOVE Z-DATE10 TO CA-LB-ERDAT.
      *
       PL-590.
      *
      ********                       ZAHLUNGS-FRIST
      ********                       **************
           IF CA-LB-FRDAT = SPACES
               GO TO PL-620.
      *
           MOVE ZEROES        TO XM016-P1.
           MOVE ZEROES        TO XM016-P2.
           MOVE CA-LB-FRDAT   TO XM016-P3.
           MOVE K-XM016       TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3.
           PERFORM MODULE.
      *
           IF XM016-P2 NOT = ZERO
               MOVE  73       TO FEHL-NR   CA-FEHLNR
               MOVE  -1       TO M7FRDATL
               MOVE  DFHBMBRY TO M7FRDATA
               MOVE  1        TO SWFEHL    CA-SWFEHL
               GO TO PL-620.
      *
      ****                                    TEST-DATUM = 'TTMMJJ    '
      ****                                    ODER         'TTMMJJJJ  '
      ****                                    ODER         'TT.MM.JJ  '
      ****                                    ODER         'TT.MM.JJJJ'
      ****                                    *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.
           MOVE CA-LB-FRDAT   TO Z-TESTDATUM.
      *
           IF Z-TD-6OPF = SPACES
      ****                                    TEST-DATUM = 'TTMMJJ    '
      ****                                    *************************
               MOVE Z-TD-6OPT TO Z-TT10
               MOVE Z-TD-6OPM TO Z-MM10
               MOVE Z-TD-6OPJ TO Z-JZ10
               IF   Z-TD-6OPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-610
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-610.
      *
           IF Z-TD-8MPJ NUMERIC
      ****                                    TEST-DATUM = 'TT.MM.JJJJ'
      ****                                    *************************
               MOVE Z-TD-8MPX TO Z-DATE10
               GO TO PL-610.
      *
           IF  Z-TD-6MP1 = '.'
           AND Z-TD-6MP2 = '.'
      ****                                    TEST-DATUM = 'TT.MM.JJ  '
      ****                                    *************************
               MOVE Z-TD-6MPT TO Z-TT10
               MOVE Z-TD-6MPM TO Z-MM10
               MOVE Z-TD-6MPJ TO Z-JZ10
               IF   Z-TD-6MPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-610
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-610.
      *
      ****                                    ELSE
      ****                                    TEST-DATUM = 'TTMMJJJJ  '
      ****                                    *************************
           MOVE Z-TD-8OPT TO Z-TT10.
           MOVE Z-TD-8OPM TO Z-MM10.
           MOVE Z-TD-8OPJ TO Z-JJ10.
      *
       PL-610.
      *
           MOVE '.'      TO Z-P110   Z-P210.
           MOVE Z-DATE10 TO CA-LB-FRDAT.
      *
       PL-620.
      *
      ********                       IHR SCHREIBEN VOM
      ********                       *****************
           IF CA-LB-ISCHV = SPACES
               GO TO PL-650.
      *
           MOVE ZEROES        TO XM016-P1.
           MOVE ZEROES        TO XM016-P2.
           MOVE CA-LB-ISCHV   TO XM016-P3.
           MOVE K-XM016       TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3.
           PERFORM MODULE.
      *
           IF XM016-P2 NOT = ZERO
               MOVE  73       TO FEHL-NR   CA-FEHLNR
               MOVE  -1       TO M7ISCHVL
               MOVE  DFHBMBRY TO M7ISCHVA
               MOVE  1        TO SWFEHL    CA-SWFEHL
               GO TO PL-650.
      *
      ****                                    TEST-DATUM = 'TTMMJJ    '
      ****                                    ODER         'TTMMJJJJ  '
      ****                                    ODER         'TT.MM.JJ  '
      ****                                    ODER         'TT.MM.JJJJ'
      ****                                    *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.
           MOVE CA-LB-ISCHV   TO Z-TESTDATUM.
      *
           IF Z-TD-6OPF = SPACES
      ****                                    TEST-DATUM = 'TTMMJJ    '
      ****                                    *************************
               MOVE Z-TD-6OPT TO Z-TT10
               MOVE Z-TD-6OPM TO Z-MM10
               MOVE Z-TD-6OPJ TO Z-JZ10
               IF   Z-TD-6OPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-640
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-640.
      *
           IF Z-TD-8MPJ NUMERIC
      ****                                    TEST-DATUM = 'TT.MM.JJJJ'
      ****                                    *************************
               MOVE Z-TD-8MPX TO Z-DATE10
               GO TO PL-640.
      *
           IF  Z-TD-6MP1 = '.'
           AND Z-TD-6MP2 = '.'
      ****                                    TEST-DATUM = 'TT.MM.JJ  '
      ****                                    *************************
               MOVE Z-TD-6MPT TO Z-TT10
               MOVE Z-TD-6MPM TO Z-MM10
               MOVE Z-TD-6MPJ TO Z-JZ10
               IF   Z-TD-6MPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-640
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-640.
      *
      ****                                    ELSE
      ****                                    TEST-DATUM = 'TTMMJJJJ  '
      ****                                    *************************
           MOVE Z-TD-8OPT TO Z-TT10.
           MOVE Z-TD-8OPM TO Z-MM10.
           MOVE Z-TD-8OPJ TO Z-JJ10.
      *
       PL-640.
      *
           MOVE '.'      TO Z-P110   Z-P210.
           MOVE Z-DATE10 TO CA-LB-ISCHV.
      *
       PL-650.
      *
           IF SWFEHL NOT = ZERO
               GO TO PL-999.
      *
      ********
      ********                       ABHAENGIGKEITEN DER FELDER:
      ********                       ***************************
      *
       PL-800.
      *
      ********                       IHR SCHREIBEN VOM ... VORHANDEN:
      ********                       ---> DATEN VERZICHTSERKL. LOESCHEN
      *                              **********************************
      *L01 IF CA-LB-ISCHV NOT = SPACES
      *L01     MOVE SPACES TO CA-LB-ERDAT CA-LB-OBJ CA-LB-POZKT
      *L01                    CA-LB-POZNRX CA-LB-PARTN CA-LB-FRDAT
      *L01     GO TO PL-999.
      *
           IF CA-LB-ISCHV NOT = SPACES
               MOVE SPACES TO CA-LB-POZKT    CA-LB-POZNRX               L01
                              CA-LB-PARTN    CA-LB-FRDAT                L01
               GO TO PL-999.
      *
      ********                       VERZICHTERKLAERUNG GEWUENSCHT:
      ********                       ALLE DATEN VORHANDEN ?
      *                              **********************************
      *
      ********                       VERTRAGS-DATUM
      ********                       **************
           IF CA-LB-ERDAT = SPACES
               MOVE  DFHBMBRY TO M7ERDATA
               IF SWFEHL = ZERO
                   MOVE  -1   TO M7ERDATL
                   MOVE  74   TO FEHL-NR CA-FEHLNR
                   MOVE  1    TO SWFEHL CA-SWFEHL.
      *
      ********                       OBJEKT-TEXT
      ********                       ***********
           IF CA-LB-OBJ = SPACES
               MOVE  DFHBMBRY TO M7OBJA
               IF SWFEHL = ZERO
                   MOVE -1    TO M7OBJL
                   MOVE 74    TO FEHL-NR CA-FEHLNR
                   MOVE 1     TO SWFEHL CA-SWFEHL.
      *
      ********                       POLIZEI-KONTROLLSCHILD
      ********                       **********************
           IF CA-LB-POZNRX NOT NUMERIC
               MOVE 'Q' TO M7POZNRA
               IF SWFEHL = ZERO
                   MOVE -1  TO M7POZNRL
                   MOVE 52  TO FEHL-NR CA-FEHLNR
                   MOVE 1   TO SWFEHL CA-SWFEHL.
      *
           IF CA-LB-POZNRX > ZERO
               IF CA-LB-POZKT = SPACE
                   MOVE DFHBMBRY TO M7POZKTA
                   IF SWFEHL = ZERO
                       MOVE -1  TO M7POZKTL
                       MOVE 74  TO FEHL-NR CA-FEHLNR
                       MOVE 1   TO SWFEHL CA-SWFEHL.
      *
           IF CA-LB-POZNRX = SPACE OR ZERO
               IF CA-LB-POZKT > SPACE
                   MOVE 'Q' TO M7POZNRA
                   IF SWFEHL = ZERO
                       MOVE -1  TO M7POZNRL
                       MOVE 74  TO FEHL-NR CA-FEHLNR
                       MOVE 1   TO SWFEHL CA-SWFEHL.
      *
      ********                       LEASING-PARTNER
      ********                       ***************
           IF CA-LB-PARTN = SPACES
               MOVE  DFHBMBRY TO M7PARTNA
               IF SWFEHL = ZERO
                   MOVE -1    TO M7PARTNL
                   MOVE 74    TO FEHL-NR CA-FEHLNR
                   MOVE 1     TO SWFEHL CA-SWFEHL.
      *
      ********                       ZAHLUNGS-FRIST
      ********                       **************
           IF CA-LB-FRDAT = SPACES
               MOVE  DFHBMBRY TO M7FRDATA
               IF SWFEHL = ZERO
                   MOVE  -1   TO M7FRDATL
                   MOVE  74   TO FEHL-NR CA-FEHLNR
                   MOVE  1    TO SWFEHL CA-SWFEHL.
      *
           IF SWFEHL NOT = ZERO
               GO TO PL-999.
      *
      ********                       ADRESS-SWITCHERS + PF11 = FEHLER
      ********                       ********************************
           IF SWPF = 11
             IF CA-ADRESS-SWITCHES NOT = SPACE
               MOVE  DFHBMBRY TO M7ADSW1A M7ADSW2A M7ADSW3A M7ADSW4A
               IF SWFEHL = ZERO
                   MOVE  -1   TO M7ADSW1L
                   MOVE  1    TO FEHL-NR CA-FEHLNR
                   MOVE  1    TO SWFEHL CA-SWFEHL.
      *
      *
      **** ENDE PLAUSI DATEN
      *
       PL-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    VERARBEITUNG
      ******************************************************************
      *
       VERARB SECTION.
       VA-000.
      *
           IF CA-SCHRITT > ZERO
               GO TO VA-500.
      *
      *-------------------------------------------------------------
      ****                           V E R A R B   S C H R I T T   0
      *                              -------------------------------
      ****                           KEINE VERARBEITUNG IN SCHRITT 0
           GO TO VA-999.
      *
      *-------------------------------------------------------------
      ****                           V E R A R B   S C H R I T T   1
      *                              -------------------------------
       VA-500.
      *
      ****     MITTELS DATUM "IHR SCHREIBEN VOM" DEN KUNDENBRIEF
      ****     ANGEWAEHLT:
      ****     SOFORT DIE KUNDENADRESSE EINMALIG IN DIE ANGEZEIGTE
      ****     ADRESSE UEBERTRAGEN UND DEN CA-SCHRITT AUF 2 SETZEN,
      ****     DAMIT ES NUR EINMALIG GEMACHT WIRD
      ****
      *
           IF CA-SCHRITT NOT = 1
               GO TO VA-550.
           IF CA-LB-ISCHV = SPACES
               GO TO VA-550.
      *
           MOVE 2 TO CA-SCHRITT.
           MOVE SPACES TO CA-ADRESS-SWITCHES.
           MOVE CA-KDADRZ1 TO CA-ADRZ1.
           MOVE CA-KDADRZ2 TO CA-ADRZ2.
           MOVE CA-KDADRZ3 TO CA-ADRZ3.
           MOVE CA-KDADRZ4 TO CA-ADRZ4.
           MOVE CA-KDADRZ5 TO CA-ADRZ5.
           MOVE CA-KDANRED TO CA-ANRED.
           MOVE CA-KDANRCD TO CA-ANRCD.
      *
           IF CA-SACHB2 = SPACES
               MOVE 'Ihr Sachbearbeiter:'           TO CA-SACHBT
             ELSE
               MOVE 'Ihre Sachbearbeiter:'          TO CA-SACHBT.
      *
           IF CA-KDSPRCD = 2
               IF CA-SACHB2 = SPACES
                   MOVE 'Votre collaborateur:'      TO CA-SACHBT
                 ELSE
                   MOVE 'Vos collaborateurs:'       TO CA-SACHBT.
      *
           IF CA-KDSPRCD = 3                                            L02/HF
               IF CA-KDANRCD > 3                                        L02/HF
                   IF CA-SACHB2 = SPACES                                L02/HF
                       MOVE 'Il vostro consulente:' TO CA-SACHBT        L02/HF
                     ELSE                                               L02/HF
                       MOVE 'I vostri consulenti:' TO CA-SACHBT         L02/HF
               ELSE                                                     L02/HF
                   IF CA-SACHB2 = SPACES                                L02/HF
                       MOVE 'Il suo consulente:' TO CA-SACHBT           L02/HF
                     ELSE                                               L02/HF
                       MOVE 'I suoi consulenti:' TO CA-SACHBT.          L02/HF
      *                                                                 L02/HF
       VA-550.
      *
           MOVE ZERO TO CA-FEHLNR.
      *
           IF CA-SACHB1 = SPACES
               MOVE CA-SACHB2 TO CA-SACHB1
               MOVE SPACE     TO CA-SACHB2.
      *
      ****                              ABSENDER-LEERZEILEN ELIMINIEREN
      ****                              *******************************
           MOVE SPACES  TO P1-XM314.
           MOVE CA-ABS1 TO P1-XM314-EL (1).
           MOVE CA-ABS2 TO P1-XM314-EL (2).
           MOVE CA-ABS3 TO P1-XM314-EL (3).
           MOVE CA-ABS4 TO P1-XM314-EL (4).
      *
           MOVE K-XM314 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM314 P2-XM314.
           PERFORM MODULE.
      *
           MOVE P1-XM314-EL (1) TO CA-ABS1.
           MOVE P1-XM314-EL (2) TO CA-ABS2.
           MOVE P1-XM314-EL (3) TO CA-ABS3.
           MOVE P1-XM314-EL (4) TO CA-ABS4.
      *
      *                              ADRESS-LEERZEILEN ELIMINIEREN
      *                              *****************************
           PERFORM ADRKOMPR.
      *
      *                              GEWUENSCHTE LEERZEILEN INSERTEN
      *                              *******************************
           IF CA-ADRESS-SWITCHES NOT = SPACE
               PERFORM ADRINSERT.
      *
      *
           IF SWPF NOT = 11
               MOVE -1 TO M7SACHTL
               GO TO VA-999.
      *
      *                              PF 11: AUSDRUCKEN
      *                              *****************
           PERFORM PRGLINK.
      *
           IF CA-FEHLNR = ZEROES
               MOVE 253 TO CA-FEHLNR.
      *
           MOVE -1 TO M7SACHTL.
           MOVE 1 TO SWFEHL.
           MOVE CA-FEHLNR TO FEHL-NR.
      *
      ****                           ENDE VERARBEITUNG DER DATEN
       VA-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    DIVERSE - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    FUELLEN COMMON-AREA
      ******************************************************************
      *
       CAFILL SECTION.
       CA-000.
      *
           IF M7PRIDL  > ZERO
               MOVE M7PRIDI  TO CA-PRINTER.
           IF M7PRIDF  = X80
               MOVE SPACES   TO CA-PRINTER.
      *
           IF M7CANL   > ZERO
               MOVE M7CANI   TO CA-SCHACHTX.
           IF M7CANF   = X80
               MOVE ZEROES   TO CA-SCHACHT.
      *
           IF M7ABS1L  > ZERO
               MOVE M7ABS1I  TO CA-ABS1.
           IF M7ABS1F  = X80
               MOVE SPACES   TO CA-ABS1.
      *
           IF M7ABS2L  > ZERO
               MOVE M7ABS2I  TO CA-ABS2.
           IF M7ABS2F  = X80
               MOVE SPACES   TO CA-ABS2.
      *
           IF M7ABS3L  > ZERO
               MOVE M7ABS3I  TO CA-ABS3.
           IF M7ABS3F  = X80
               MOVE SPACES   TO CA-ABS3.
      *
           IF M7ABS4L  > ZERO
               MOVE M7ABS4I  TO CA-ABS4.
           IF M7ABS4F  = X80
               MOVE SPACES   TO CA-ABS4.
      *
           IF M7ADRZ1L > ZERO
               MOVE M7ADRZ1I TO CA-ADRZ1.
           IF M7ADRZ1F = X80
               MOVE SPACES   TO CA-ADRZ1.
      *
           IF M7ADRZ2L > ZERO
               MOVE M7ADRZ2I TO CA-ADRZ2.
           IF M7ADRZ2F = X80
               MOVE SPACES   TO CA-ADRZ2.
      *
           IF M7ADRZ3L > ZERO
               MOVE M7ADRZ3I TO CA-ADRZ3.
           IF M7ADRZ3F = X80
               MOVE SPACES   TO CA-ADRZ3.
      *
           IF M7ADRZ4L > ZERO
               MOVE M7ADRZ4I TO CA-ADRZ4.
           IF M7ADRZ4F = X80
               MOVE SPACES   TO CA-ADRZ4.
      *
           IF M7ADRZ5L > ZERO
               MOVE M7ADRZ5I TO CA-ADRZ5.
           IF M7ADRZ5F = X80
               MOVE SPACES   TO CA-ADRZ5.
      *
           IF M7ADSW1L > ZERO
               MOVE M7ADSW1I TO CA-ADRSW1.
           IF M7ADSW1F = X80
               MOVE SPACES   TO CA-ADRSW1.
      *
           IF M7ADSW2L > ZERO
               MOVE M7ADSW2I TO CA-ADRSW2.
           IF M7ADSW2F = X80
               MOVE SPACES   TO CA-ADRSW2.
      *
           IF M7ADSW3L > ZERO
               MOVE M7ADSW3I TO CA-ADRSW3.
           IF M7ADSW3F = X80
               MOVE SPACES   TO CA-ADRSW3.
      *
           IF M7ADSW4L > ZERO
               MOVE M7ADSW4I TO CA-ADRSW4.
           IF M7ADSW4F = X80
               MOVE SPACES   TO CA-ADRSW4.
      *
           IF M7SACHTL > ZERO
               MOVE M7SACHTI TO CA-SACHBT.
           IF M7SACHTF = X80
               MOVE SPACES   TO CA-SACHBT.
      *
           IF M7SACH1L > ZERO
               MOVE M7SACH1I TO CA-SACHB1.
           IF M7SACH1F = X80
               MOVE SPACES   TO CA-SACHB1.
      *
           IF M7SACH2L > ZERO
               MOVE M7SACH2I TO CA-SACHB2.
           IF M7SACH2F = X80
               MOVE SPACES   TO CA-SACHB2.
      *
           IF M7ANREDL > ZERO
               MOVE M7ANREDI TO CA-ANRED.
           IF M7ANREDF = X80
               MOVE SPACES   TO CA-ANRED.
      *
           IF M7ERDATL > ZERO
               MOVE M7ERDATI TO CA-LB-ERDAT.
           IF M7ERDATF = X80
               MOVE SPACES   TO CA-LB-ERDAT.
      *
           IF M7OBJL   > ZERO
               MOVE M7OBJI   TO CA-LB-OBJ.
           IF M7OBJF   = X80
               MOVE SPACES   TO CA-LB-OBJ.
      *
           IF M7POZKTL > ZERO
               MOVE M7POZKTI TO CA-LB-POZKT.
           IF M7POZKTF = X80
               MOVE SPACES   TO CA-LB-POZKT.
      *
           IF M7POZNRL > ZERO
               MOVE M7POZNRI TO CA-LB-POZNRX.
           IF M7POZNRF = X80
               MOVE ZEROS    TO CA-LB-POZNRX.
      *
           IF M7PARTNL > ZERO
               MOVE M7PARTNI TO CA-LB-PARTN.
           IF M7PARTNF = X80
               MOVE SPACES   TO CA-LB-PARTN.
      *
           IF M7FRDATL > ZERO
               MOVE M7FRDATI TO CA-LB-FRDAT.
           IF M7FRDATF = X80
               MOVE SPACES   TO CA-LB-FRDAT.
      *
           IF M7ISCHVL > ZERO
               MOVE M7ISCHVI TO CA-LB-ISCHV.
           IF M7ISCHVF = X80
               MOVE SPACES   TO CA-LB-ISCHV.
      *
           IF M7FZ1L   > ZERO
               MOVE M7FZ1I   TO CA-FZ-1.
           IF M7FZ1F   = X80
               MOVE SPACES   TO CA-FZ-1.
      *
           IF M7FZ2L   > ZERO
               MOVE M7FZ2I   TO CA-FZ-2.
           IF M7FZ2F   = X80
               MOVE SPACES   TO CA-FZ-2.
      *
           IF M7FZ3L   > ZERO
               MOVE M7FZ3I   TO CA-FZ-3.
           IF M7FZ3F   = X80
               MOVE SPACES   TO CA-FZ-3.
      *
           IF M7XJUMPL > ZERO
               PERFORM XJUMP.
      *
       CA-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    FEHLERMELDUNG HOLEN (XM181)
      ******************************************************************
      *
       FEHLMELD SECTION.
       FM-000.
      *
           MOVE CA-SPR  TO FEHL-SPR.
           EXEC CICS LINK PROGRAM  ('XM181')
                          COMMAREA (XM181-P)
                          LENGTH   (XM181L)
           END-EXEC.
           MOVE FEHL-MELD TO M7MSGO.
           MOVE SPACES TO FEHL-VAR1 FEHL-VAR2 FEHL-VAR3
                          FEHL-VAR4 FEHL-VAR5 FEHL-VAR6.
      *
       FM-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    MODULE-AUFRUF-INTERFACE (P008)
      ******************************************************************
      *
       MODULE SECTION.
       MO-000.
      *
           EXEC CICS LINK PROGRAM  ('P008')
                          COMMAREA (P-P008)
                          LENGTH   (P-P008L)
           END-EXEC.
      *
       MO-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    LINK-PROGRAMME AUFRUFEN
      ******************************************************************
      *
       PRGLINK  SECTION.
       PRG-000.
      *
           EXEC CICS LINK PROGRAM  ('DBRIP57')
                          COMMAREA (COMMAREA)
                          LENGTH   (CA-LENGTH)
           END-EXEC.
      *
       PRG-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    UEBERTRAGEN CA --> SCREEN
      ******************************************************************
      *
      ****                           (INDIVIDUELLE VERARBEITUNG)
      *
       SCREENFILL SECTION.
       SC-000.
      *
           MOVE 'Zedenten-Adresse' TO M7ADRTXO.
           IF CA-LB-ISCHV NOT = SPACES
               MOVE '  Kunden-Adresse' TO M7ADRTXO.
      *
           IF CA-SPR = 2
               MOVE '  Adresse cdant' TO M7ADRTXO
               IF CA-LB-ISCHV NOT = SPACES
                 MOVE '  Adresse client' TO M7ADRTXO.
      *
           MOVE CA-RKDN1X   TO M7REF1O.
           MOVE CA-RKDN2X   TO M7REF2O.
           MOVE CA-VNRX     TO M7VNRO.
      *
           MOVE CA-PRINTER  TO M7PRIDO.
           MOVE CA-SCHACHT  TO M7CANO.
           MOVE CA-BRIEF    TO M7BRIEFO.
      *
           MOVE CA-ABS1     TO M7ABS1O.
           MOVE CA-ABS2     TO M7ABS2O.
           MOVE CA-ABS3     TO M7ABS3O.
           MOVE CA-ABS4     TO M7ABS4O.
      *
           MOVE CA-ADRZ1    TO M7ADRZ1O.
           MOVE CA-ADRZ2    TO M7ADRZ2O.
           MOVE CA-ADRZ3    TO M7ADRZ3O.
           MOVE CA-ADRZ4    TO M7ADRZ4O.
           MOVE CA-ADRZ5    TO M7ADRZ5O.
      *
           MOVE CA-ADRSW1   TO M7ADSW1O.
           MOVE CA-ADRSW2   TO M7ADSW2O.
           MOVE CA-ADRSW3   TO M7ADSW3O.
           MOVE CA-ADRSW4   TO M7ADSW4O.
      *
           MOVE CA-SACHBT   TO M7SACHTO.
           MOVE CA-SACHB1   TO M7SACH1O.
           MOVE CA-SACHB2   TO M7SACH2O.
      *
           MOVE CA-ANRED    TO M7ANREDO.
           MOVE CA-LB-ERDAT TO M7ERDATO.
           MOVE CA-LB-OBJ   TO M7OBJO.
           MOVE CA-LB-POZKT TO M7POZKTO.
           MOVE CA-LB-POZNRX TO M7POZNRO.
           MOVE CA-LB-PARTN TO M7PARTNO.
           MOVE CA-LB-FRDAT TO M7FRDATO.
           MOVE CA-LB-ISCHV TO M7ISCHVO.
      *
           MOVE CA-FZ-1     TO M7FZ1O.
           MOVE CA-FZ-2     TO M7FZ2O.
           MOVE CA-FZ-3     TO M7FZ3O.
      *
       SC-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    IDENT-FELDER IN SCREEN FUELLEN
      ******************************************************************
      *
       SCRIDENT SECTION.
       SI-000.
      *
           MOVE EIBTRMID TO TID.
           MOVE EIBTIME  TO Z-TIME.
           MOVE K-XM278  TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 Z-DATE.
           PERFORM MODULE.
           MOVE TIMR1    TO HH.
           MOVE TIMR2    TO MI.
           MOVE TIMR3    TO SS.
           MOVE DATR0    TO TT   Z-DAT0.
           MOVE DATR1    TO MM   Z-DAT1.
           MOVE DATR2    TO YY   Z-DAT2.
           MOVE CA-KKZ   TO OPID.
           MOVE CA-BURO  TO GS.
           MOVE K-XM014A TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 CA-FIRMA FA.
           PERFORM MODULE.
           MOVE CA-TRANS TO TRANS.
           MOVE W-IDE    TO M7IDEO.
           MOVE W-IDA    TO M7IDAO.
      *
       SI-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    GEWUENSCHTE LEERZEILEN IN ADRESSE INSERTEN
      ******************************************************************
      *
       ADRINSERT SECTION.
       AI-000.
      *
           IF CA-ADRSW4 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE SPACE    TO CA-ADRZ4
             MOVE SPACE    TO CA-ADRSW4
             MOVE -1       TO M7ADRZ4L.
      *
           IF CA-ADRSW3 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE CA-ADRZ3 TO CA-ADRZ4
             MOVE SPACE    TO CA-ADRZ3
             MOVE SPACE    TO CA-ADRSW3
             MOVE -1       TO M7ADRZ3L.
      *
           IF CA-ADRSW2 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE CA-ADRZ3 TO CA-ADRZ4
             MOVE CA-ADRZ2 TO CA-ADRZ3
             MOVE SPACE    TO CA-ADRZ2
             MOVE SPACE    TO CA-ADRSW2
             MOVE -1       TO M7ADRZ2L.
      *
           IF CA-ADRSW1 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE CA-ADRZ3 TO CA-ADRZ4
             MOVE CA-ADRZ2 TO CA-ADRZ3
             MOVE CA-ADRZ1 TO CA-ADRZ2
             MOVE SPACE    TO CA-ADRZ1
             MOVE SPACE    TO CA-ADRSW1
             MOVE -1       TO M7ADRZ1L.
      *
       AI-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    LEERZEILEN AUS ADRESSE ELIMINIEREN UND SWITCHERS MITSCHIEBEN
      ******************************************************************
      *
       ADRKOMPR SECTION.
       AK-000.
      *
           MOVE CA-ADRSW1 TO P1-XM314-ADRSW (1).
           MOVE CA-ADRZ1  TO P1-XM314-ADRZ (1).
           MOVE CA-ADRSW2 TO P1-XM314-ADRSW (2).
           MOVE CA-ADRZ2  TO P1-XM314-ADRZ (2).
           MOVE CA-ADRSW3 TO P1-XM314-ADRSW (3).
           MOVE CA-ADRZ3  TO P1-XM314-ADRZ (3).
           MOVE CA-ADRSW4 TO P1-XM314-ADRSW (4).
           MOVE CA-ADRZ4  TO P1-XM314-ADRZ (4).
           MOVE SPACE     TO P1-XM314-ADRSW (5).
           MOVE CA-ADRZ5  TO P1-XM314-ADRZ (5).
      *
           MOVE K-XM314 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM314 P2-XM314.
           PERFORM MODULE.
      *
           MOVE P1-XM314-ADRSW (1) TO CA-ADRSW1.
           MOVE P1-XM314-ADRZ (1)  TO CA-ADRZ1.
           MOVE P1-XM314-ADRSW (2) TO CA-ADRSW2.
           MOVE P1-XM314-ADRZ (2)  TO CA-ADRZ2.
           MOVE P1-XM314-ADRSW (3) TO CA-ADRSW3.
           MOVE P1-XM314-ADRZ (3)  TO CA-ADRZ3.
           MOVE P1-XM314-ADRSW (4) TO CA-ADRSW4.
           MOVE P1-XM314-ADRZ (4)  TO CA-ADRZ4.
           MOVE P1-XM314-ADRZ (5)  TO CA-ADRZ5.
      *
       AK-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    C I C S - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    SENDEN SCREEN
      ******************************************************************
      *
       SENDEN SECTION.
       SE-000.
      *
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
      *
           MOVE -1 TO M7SACHTL.
      *
           IF CA-SPR = 2
               GO TO SE-100.
      *
           EXEC CICS SEND MAP    ('DBRIM7D')
                          MAPSET ('DBRIS7')
                          FROM   (DBRIM7DO)
                          FREEKB
                          CURSOR
                          WAIT ERASE
           END-EXEC.
           GO TO SE-999.
      *
       SE-100.
           EXEC CICS SEND MAP    ('DBRIM7F')
                          MAPSET ('DBRIS7')
                          FROM   (DBRIM7DO)
                          FREEKB
                          CURSOR
                          WAIT ERASE
           END-EXEC.
      *
       SE-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    SENDEN SCREEN MIT FEHLERMELDUNG
      ******************************************************************
      *
       SENDFEHL SECTION.
       SF-000.
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
      *
           IF M7MSGO = LOW-VALUES
               MOVE 'ABER...ABER...PROGRAMMIERFEHLER' TO M7MSGO.
      *
           IF CA-SPR = 2
               GO TO SF-100.
      *
           EXEC CICS SEND MAP    ('DBRIM7D')
                          MAPSET ('DBRIS7')
                          FROM   (DBRIM7DO)
                          CURSOR
                          FREEKB
                          WAIT ERASE
           END-EXEC.
           GO TO SF-999.
      *
       SF-100.
           EXEC CICS SEND MAP    ('DBRIM7F')
                          MAPSET ('DBRIS7')
                          FROM   (DBRIM7DO)
                          CURSOR
                          FREEKB
                          WAIT ERASE
           END-EXEC.
      *
       SF-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    SCREEN EMPFANGEN
      ******************************************************************
      *
       RECEIVEN SECTION.
       RE-000.
      *
           MOVE LOW-VALUES TO DBRIM7DI.
           IF CA-SPR = 2
               GO TO RE-100.
           EXEC CICS RECEIVE MAP    ('DBRIM7D')
                             MAPSET ('DBRIS7')
                             INTO   (DBRIM7DI)
           END-EXEC.
           GO TO RE-999.
      *
       RE-100.
           EXEC CICS RECEIVE MAP    ('DBRIM7F')
                             MAPSET ('DBRIS7')
                             INTO   (DBRIM7DI)
           END-EXEC.
      *
       RE-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    PROGRAMM MIT RETURN TRANSID VERLASSEN
      ******************************************************************
      *
       TRANSID SECTION.
       TR-000.
           EXEC CICS RETURN TRANSID  (CA-TRANS)
                            COMMAREA (COMMAREA)
                            LENGTH   (CA-LENGTH)
           END-EXEC.
       TR-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    PROGRAMM VERLASSEN
      ******************************************************************
      *
       XCTL SECTION.
       XC-000.
           MOVE 5        TO FEHL-NR   CA-FEHLNR.
           MOVE CA-TRANS TO FEHL-VAR1.
           PERFORM FEHLMELD.
           EXEC CICS SEND
                     FROM   (M7MSGO)
                     LENGTH (77)
                     WAIT
                     ERASE
           END-EXEC.
           EXEC CICS RETURN
           END-EXEC.
       XC-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    CROSS-JUMPER AUFRUFEN
      ******************************************************************
      *
       XJUMP SECTION.
       XJ-000.
           MOVE M7XJUMPI  TO P1-XM229.
           MOVE K-XM229   TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM229 P2-XM229 P3-XM229.
           PERFORM MODULE.
           MOVE P1-XM229  TO CA-CIXJUMP.
           MOVE CA-SPR    TO XM179-SPRCD.
           MOVE CA-CIXACT TO XM179-TRANS.
      *
           EXEC CICS LINK PROGRAM  ('XM179')
                          COMMAREA (XM179-P)
                          LENGTH   (XM179L)
           END-EXEC.
      *
           IF XM179-TEXT = SPACES
               MOVE 25        TO FEHL-NR   CA-FEHLNR
               MOVE CA-CIXACT TO FEHL-VAR1
               MOVE DFHBMBRY  TO M7XJUMPA
               MOVE -1        TO M7XJUMPL
               MOVE 1         TO SWFEHL    CA-SWFEHL
               GO TO XJ-999.
      *
      ****                         BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE ZERO    TO CA-SCHRITT.
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           IF CA-SWAC = 'C'
      ****                                           *** CONTISSIIMO ***
               EXEC CICS XCTL PROGRAM  ('D007')
                              COMMAREA (COMMAREA)
                              LENGTH   (1650)
               END-EXEC
             ELSE
      ****                                       *** AUFINA, UEBRIGE ***
               EXEC CICS XCTL PROGRAM  ('P007')
                              COMMAREA (COMMAREA)
                              LENGTH   (1650)
               END-EXEC.
      *
       XJ-999.
           EXIT.
      ******************************************************************
      ****                                           ENDE SOURCE DBRIP07
      ******************************************************************
