********** CNTRL
********** HISTO  AUFRI NEU----280292  AUFRI 051192-021292  AUDUS 120793-120793
********** HISTO
      ******************************************************************
      *
       IDENTIFICATION DIVISION.
      *
      ******************************************************************
       PROGRAM-ID.    DBRIP08.
      *AUTHOR.        BANK AUFINA
      *               5200 BRUGG.
      *DATE-WRITTEN.  DEC-1991.
      *DATE-COMPILED.
      *REMARKS.
      *     INPUT-FILES:
      *     OUTPUT-FILES:
      *     SCREENS:
      *       DBRIM8D      LEASING-OPTIONSBRIEFE / DEUTSCH
      *       DBRIM8F      LEASING-OPTIONSBRIEFE / FRANZOESISCH
      *     PROGRAM-DESCRIPTION:
      *     XCTLS:
      *       DBRIT        HAUPTPROGRAMM
      *       DBRIP08      ANZEIGEPROGRAMM FUER LEASING-OPTIONSBRIEFE
      *       DBRIP58      DRUCKPROGRAMM FUER LEASING-OPTIONSBRIEFE
      *     SUBROUTINE-DESCRIPTION:
      *     SWITCHES:
      *     INDEXES:
      * SPECIAL-REMARKS.
      *****************************************************************
      * 1.    PROGRAMM:
      * 1.1   NAME :      DBRIP08     A/PROGR:    H.P.FREI
      * 1.2   LANG.:      COBOL       E-DATUM:    DEZEMBER 1991
      * 1.3   P-ART:      ONLINE      TB/TRNS:    DBRI
      * 1.4   L.MUT:      17.11.1992  A/PROGR:    H.P.FREI
      *
      * 2.    PROGRAMMTEXT:
      *
      * 3.    FILES:
      * 3.0   ID:         D-ORG:   I/O/L/U:       DS-NAME:
      *
      *
      * 4.    OUTPUTLISTEN:
      * 4.0   L-NR.     FORM    EMPF-ABT  A-FRIST LISTENTITEL:
      *
      * 5.    MODULES:
      * 5.1   XM005       XM014A      XM016       XM229       XM246
      * 5.2   XM269       XM278       XM314
      *
      * 6.    DECISION-TABLES:
      *
      * 7.    COPY'S: (OHNE DECTAT)
      * 7.1   HEXA        DFHAID      DFHBMSCA    DBRIM8D     DBRICOMM
      *
      * 8.    MAPS FUER ON-LINE-PROGRAMME
      * 8.1   DBRIM8D     DBRIM8F
      *
      * 9.    UPSI-SWITCHES:
      *****************************************************************
      * END SPECIAL-REMARKS
      *     MODIFICATIONS:
      *       L01 17.11.1992 H.P.FREI
      *           SCHACHT-NR. 9 ZULASSEN, DAMIT DIE BRIEFE INS
      *           DW-FILE GESCHRIEBEN WERDEN KOENNEN.
      *       L02 R111   12-JULY-1993   CHR-DUSS                        L02
      *           CA AUF 6000 STELLEN ERWEITERT WEGEN INDIVIDUELLEM     L02
      *           BRIEF.                                                L02
      *    EJECT
      ******************************************************************
      *
       ENVIRONMENT DIVISION.
      *
      ******************************************************************
      *
      *
      ******************************************************************
      *
       DATA DIVISION.
      *
      ******************************************************************
       WORKING-STORAGE SECTION.
      *************************
       01  BEGINN-WS     PIC X(32)      VALUE
           'BEGINN WORKING-STORAGE DBRIP08-1'.
      *
      ******************************************************************
       01  KONSTANTEN.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>KONST<<'.
      *
           05  K-XM005   PIC X(8)       VALUE 'XM005'.
           05  K-XM014A  PIC X(8)       VALUE 'XM014A'.
           05  K-XM016   PIC X(8)       VALUE 'XM016'.
           05  K-XM229   PIC X(8)       VALUE 'XM229'.
           05  K-XM246   PIC X(8)       VALUE 'XM246'.
           05  K-XM269   PIC X(8)       VALUE 'XM269'.
           05  K-XM278   PIC X(8)       VALUE 'XM278'.
           05  K-XM314   PIC X(8)       VALUE 'XM314'.
      *
      ******************************************************************
      ***  HEX-KONSTANTEN
      ******************************************************************
       01  FILLER        PIC X(9)       VALUE '>>>HEX<<<'.
SNEED****  COPY HEXA   SUPPRESS.
      *    EJECT
      *
      ******************************************************************
       01  RECHENFELDER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>RECHF<<'.
           05  R-ADRSW   PIC 9(3)       VALUE ZERO.
           05  R-LEERZ   PIC 9(3)       VALUE ZERO.
           05  R-RNW     PIC S9(5)V99   VALUE ZERO.
           05  R-RATE    PIC S9(7)V99   VALUE ZERO    COMP-3.
           05  R-REST    PIC S9(5)V9999 VALUE ZERO.
      *
      ******************************************************************
       01  ZAEHLERFELDER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>ZAEHLER<'.
      *
      ******************************************************************
       01  SWITCHES.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>SWITCH<<'.
           05  SWFEHL    PIC 9          VALUE ZERO.
           05  SWPF      PIC 99         VALUE ZERO.
      *
      ******************************************************************
       01  INDEXES.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>INDEXE<<'.
           05  I-1       PIC 9          VALUE ZERO.
      *
      *    EJECT
      *
      ******************************************************************
      *    UHRZEIT
      ******************************************************************
      *
       01  Z-TIME        PIC 9(7).
       01  TIMR          REDEFINES      Z-TIME.
           05 FILLER     PIC X.
           05 TIMR1      PIC XX.
           05 TIMR2      PIC XX.
           05 TIMR3      PIC XX.
      *
      ******************************************************************
      *    DATUM
      ******************************************************************
      *
       01  Z-DATE        PIC X(8).
       01  DATR          REDEFINES      Z-DATE.
           05 DATR0      PIC XX.
           05 FILLER     PIC X.
           05 DATR1      PIC XX.
           05 FILLER     PIC X.
           05 DATR2      PIC XX.
      *
       01  Z-DAT6.
           05 Z-DAT0     PIC XX.
           05 Z-DAT1     PIC XX.
           05 Z-DAT2     PIC XX.
      *
       01  Z-CURRDATE    PIC X(10).
      *
       01  Z-CURR-BIN    PIC XX.
      *
       01  Z-MENDV-BIN   PIC XX.
      *
       01  Z-MENDZ-BIN   PIC XX.
      *
       01  Z-DUMMY6      PIC X(6).
      *
       01  Z-DUMMY8      PIC X(8).
      *
       01  Z-DUMMY10     PIC X(10).
      *
      *    EJECT
      *
      ******************************************************************
      *    DEFINITIONEN 1. ZEILE SCREEN
      ******************************************************************
      *
       01  W-IDA.
           05 FA         PIC X(12).
           05 FILLER     PIC XX         VALUE ' ,'.
           05 GS         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 TID        PIC XXXX.
           05 FILLER     PIC X          VALUE ','.
           05 OPID       PIC XXX.
      *
       01  W-IDE.
           05 TRANS      PIC XXXX.
           05 FILLER     PIC X          VALUE '-'.
           05 LEVEL      PIC XXX        VALUE 'L02'.                    L02
           05 FILLER     PIC X          VALUE ','.
           05 TT         PIC XX.
           05 MM         PIC XX.
           05 YY         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 HH         PIC XX.
           05 MI         PIC XX.
           05 SS         PIC XX.
      *
      ******************************************************************
      * 01 TABELLEN.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>TABLES<<'.
      *
           05  T-ADRESSE.
           10  T-ADRZ-EL    OCCURS 5.
           15  T-ADRZ-PLZ   PIC X(4).
           15  T-ADRZ-ORT   PIC X(26).
      *
      *    EJECT
      *
      ******************************************************************
       01  ZWISCHENSPEICHER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>ZWISP<<'.
      *
           05  Z-UEBET   PIC X(14)    VALUE SPACES.
      *
           05  Z-KAUTI   PIC X(14)    VALUE SPACES.
      *
           05  Z-ZGUT    PIC X(14)    VALUE SPACES.
      *
           05  Z-RATE    PIC X(14)    VALUE SPACES.
      *
      *
           05  Z-DATE6.
           10  Z-TT6     PIC XX.
           10  Z-MM6     PIC XX.
           10  Z-JJ6     PIC XX.
      *
           05  Z-DATE8.
           10  Z-TT8     PIC XX.
           10  Z-P18     PIC X.
           10  Z-MM8     PIC XX.
           10  Z-P28     PIC X.
           10  Z-JJ8     PIC XX.
      *
           05  Z-DATE10.                                                L01
           10  Z-TT10    PIC XX.                                        L01
           10  Z-P110    PIC X.                                         L01
           10  Z-MM10    PIC XX.                                        L01
           10  Z-P210    PIC X.                                         L01
           10  Z-JJ10.                                                  L01
           15  Z-JH10    PIC XX.                                        L01
           15  Z-JZ10    PIC XX.                                        L01
      *
      *
      **** ALLES ZUR BENUTZERFREUNDLICHKEIT ****
      **** DA DAS FORMAT FUER BETRAGSFELDER FREIGESTELLT IST, MUSS FUER
      **** ALLE FAELLE VORGESORGT WERDEN. DA IM FEHLERFALL DIE FALSCHE
      **** EINGABE GEZEIGT WIRD, UND MIT EINER MASKE NUR NUMERISCHE
      **** FELDER AUSGEGEBEN WERDEN KOENNEN, MUSS IM PROGRAMM DIE AUS-
      **** GABE GEHANDELT WERDEN. ANDERFALLS STELLEN SICH ASRAS EIN
      *
           05 MO-BETRAX.
           10 MO-BETRA   PIC Z,ZZZ,ZZ9.99-.
      *
      *
       01        Z-TESTDATUM.
         05      Z-TD-6OP.
           10    Z-TD-6OPX.
             15  Z-TD-6OPT   PIC XX.
             15  Z-TD-6OPM   PIC XX.
             15  Z-TD-6OPJ   PIC XX.
           10    Z-TD-6OPF   PIC X(4).
      *
         05      Z-TD-8OP    REDEFINES Z-TD-6OP.
           10    Z-TD-8OPX.
             15  Z-TD-8OPT   PIC XX.
             15  Z-TD-8OPM   PIC XX.
             15  Z-TD-8OPJ   PIC X(4).
           10    Z-TD-8OPF   PIC XX.
      *
         05      Z-TD-6MP    REDEFINES Z-TD-6OP.
           10    Z-TD-6MPX.
             15  Z-TD-6MPT   PIC XX.
             15  Z-TD-6MP1   PIC X.
             15  Z-TD-6MPM   PIC XX.
             15  Z-TD-6MP2   PIC X.
             15  Z-TD-6MPJ   PIC XX.
           10    Z-TD-6MPF   PIC XX.
      *
         05      Z-TD-8MP    REDEFINES Z-TD-6OP.
           10    Z-TD-8MPX.
             15  Z-TD-8MPT   PIC XX.
             15  Z-TD-8MP1   PIC X.
             15  Z-TD-8MPM   PIC XX.
             15  Z-TD-8MP2   PIC X.
             15  Z-TD-8MPJ   PIC X(4).
      *
      *
      *
      *    EJECT
      *
      ******************************************************************
       01  PARAMETER.
      ******************************************************************
      *
           05 FILLER     PIC X(10)      VALUE '>>PARAM<<'.
      *
       01  XM016-P.
           05 XM016-P1     PIC X(8).
           05 XM016-P2     PIC 9.
           05 XM016-P3     PIC X(10).
      *
       01  P-XM177L        PIC S9(4) COMP VALUE +25.
       01  P-XM177.
           05 P177-1.
           10 BER-FUNC     PIC X.
           05 P177-2.
           10 BER-RET1     PIC X.
           05 P177-3.
           10 BER-RET2     PIC X(8).
           05 P177-4.
           10 BER-SPR      PIC 9.
           05 P177-5.
           10 BER-KKZ      PIC X(3).
           05 P177-6.
           10 BER-FIRMA    PIC X.
           05 P177-7.
           10 BER-BURO     PIC XX.
           05 P177-8.
           10 BER-PRID1    PIC X(4).
           05 P177-9.
           10 BER-PRID2    PIC X(4).
      *
       01  P-XM177-R       REDEFINES P-XM177.
           05 P177-F1      PIC X(10).
           05 P177-10.
           10 BER-PRTID    PIC X(4).
           05 P177-F2      PIC X(11).
      *
       01  XM179L          PIC S9(4) COMP VALUE +35.
       01  XM179-P.
           05 XM179-1.
           10 XM179-SPRCD  PIC X.
           05 XM179-2.
           10 XM179-TRANS  PIC XXXX.
           05 XM179-3.
           10 XM179-TEXT   PIC X(30).
      *
       01  XM181L          PIC S9(4) COMP VALUE +212.
       01  XM181-P.
           05 XM181-1.
           10 FEHL-NR      PIC 9999       VALUE 0.
           10 FEHL-SPR     PIC 9.
           05 XM181-2.
           10 XM181-PROG   PIC X(8)       VALUE 'DBRIP08'.
           05 XM181-3.
           10 FEHL-MELD    PIC X(79).
           05 XM181-4.
           10 FEHL-VAR1    PIC X(20)      VALUE SPACES.
           05 XM181-5.
           10 FEHL-VAR2    PIC X(20)      VALUE SPACES.
           05 XM181-6.
           10 FEHL-VAR3    PIC X(20)      VALUE SPACES.
           05 XM181-7.
           10 FEHL-VAR4    PIC X(20)      VALUE SPACES.
           05 XM181-8.
           10 FEHL-VAR5    PIC X(20)      VALUE SPACES.
           05 XM181-9.
           10 FEHL-VAR6    PIC X(20)      VALUE SPACES.
      *
       01  P-XM200.
           05 P200-1       PIC X(8)       VALUE SPACES.
      *
       01  P-XM229.
           05 P1-XM229     PIC X(22).
           05 P2-XM229     PIC S9(6) COMP VALUE +22.
           05 P3-XM229     PIC X(8)       VALUE 'ENDXM229'.
      *
       01  XM246-P.
           05 XM246-P1     PIC X(16)      VALUE 'Z,14,07.2,M'.
      *
       01  P-XM269.
           05 P1-XM269     PIC X          VALUE 'G'.
      *
       01  P-XM314.
           05 P1-XM314.
           10 P1-XM314-EL    OCCURS 5.
           15 P1-XM314-ADRSW PIC X.
           15 P1-XM314-ADRZ  PIC X(30).
      *
           05 P2-XM314.
           10 P2-XM314-1     PIC X          VALUE '1'.
           10 P2-XM314-2     PIC X          VALUE LOW-VALUE.
           10 P2-XM314-3     PIC 9(4) COMP  VALUE 31.
           10 P2-XM314-4     PIC 9(4) COMP  VALUE 5.
           10 P2-XM314-5     PIC X(8)       VALUE LOW-VALUE.
      *
       01  P-P008L           PIC S9(4) COMP VALUE +124.
       01  P-P008.
           05 P008-1         PIC S9(8) COMP OCCURS  31.
      *
      *    EJECT
      *
      ******************************************************************
      *    DATENBEREICHE DER GENERIERTEN SUBROUTINEN
      ******************************************************************
      *
      * WORK-ITEMS
      *
      ******************************************************************
      *    COMMAREA
      ******************************************************************
      *
SNEED****                COPY   DBRICOMM.
       01 COMMAREA.
           02  CA-LENGTH        PIC 9999.
           02  CA-TRANS         PIC X(8).
           02  CA-CIXACT        PIC X(8).
           02  CA-CIXJUMP       PIC X(8).
           02  CA-KKZ           PIC XX.
           02  CA-BURO          PIC XX.
           02  CA-FIRMA         PIC X(8).
           02  CA-SCHRITT       PIC 9.
           02  CA-SWPF          PIC 9.
           02  CA-SWAC          PIC X.
           02  CA-SWFEHL        PIC 99.
           02  CA-FEHLNR        PIC 99.
           02  CA-PRINTER       PIC XXXX.
           02  CA-SCHACHTX      PIC XXXX.
           02  CA-SCHACHT       PIC XXXX.
           02  CA-SACHBT        PIC XXXX.
           02  CA-SACHB1        PIC XXXX.
           02  CA-SACHB2        PIC XXXX.
           02  CA-ANRED         PIC XXXX.
           02  CA-LB-OBJ        PIC XXXX.
           02  CA-LB-ANZRAX     PIC XXXX.
           02  CA-LB-SALDO      PIC 9999.
           02  CA-LB-ANZRA      PIC 9999.
           02  CA-LB-UEBET      PIC 9999.
           02  CA-LB-RATE       PIC 9999.
           02  CA-LB-ZGUT       PIC 9999.
           02  CA-LB-MENDV      PIC 999999.
           02  CA-LB-MENDZ      PIC 999999.
           02  CA-LB-ERDAT      PIC 999999.
           02  CA-LB-KAUTI      PIC XX.
           02  CA-FZ-1          PIC XX.
           02  CA-FZ-2          PIC XX.
           02  CA-FZ-3          PIC XX.
           02  CA-SPR           PIC XX.
           02  CA-RKDN1X        PIC X(8).
           02  CA-RKDN2X        PIC X(8).
           02  CA-VNRX          PIC XXXX.
           02  CA-BRIEF         PIC XXXX.
           02  CA-ABRZ.
               03  CA-ABRZ1     PIC X.
               03  CA-ABRZ2     PIC X.
               03  CA-ABRZ3     PIC X.
               03  CA-ABRZ4     PIC X.
               03  CA-ABRZ5     PIC X.
           02  CA-ADRZ.
               03  CA-ADRZ1     PIC X.
               03  CA-ADRZ2     PIC X.
               03  CA-ADRZ3     PIC X.
               03  CA-ADRZ4     PIC X.
               03  CA-ADRZ5     PIC X.
           02  CA-ABS.
               03  CA-ABS1      PIC X.
               03  CA-ABS2      PIC X.
               03  CA-ABS3      PIC X.
               03  CA-ABS4      PIC X.
           02  CA-ABRSW.
               03  CA-ABRSW1    PIC X.
               03  CA-ABRSW2    PIC X.
           02  CA-ADRESSE       PIC 9(8)  USAGE BINARY.
           02  CA-ADRESS-SWITCHES.
               03  CA-ADRSW1    PIC X.
               03  CA-ADRSW2    PIC X.
               03  CA-ADRSW3    PIC X.
               03  CA-ADRSW4    PIC X.
      *    EJECT
       01  FILLER        PIC X(9)       VALUE '>>>AID<<<'.
SNEED****                COPY   DFHBMSCA.
       01  DFHAREA.
           02  DFHBMBRY         PIC X(8).
           02  DFHBMBRX         PIC X(8).
       01  FILLER        PIC X(9)       VALUE '>>>SCA<<<'.
      *Work Area
       01 ARBEITSDATEN.
           02  X80              PIC X VALUE X'80'.
           02  M8CANA           PIC X.
           02  M8PRIDA          PIC X(8).
           02  M8ABS1A          PIC X(8).
           02  M8ABS2A          PIC X(8).
           02  M8ABS3A          PIC X(8).
           02  M8ABS4A          PIC X(8).
           02  M8ABRZ1A         PIC X(8).
           02  M8ABRZ2A         PIC X(8).
           02  M8ABRZ3A         PIC X(8).
           02  M8ABRZ4A         PIC X(8).
           02  M8ABRZ5A         PIC X(8).
           02  M8ABRW1A         PIC X(8).
           02  M8ABRW2A         PIC X(8).
           02  M8ABRW3A         PIC X(8).
           02  M8ABRW4A         PIC X(8).
           02  M8ABRZ5A         PIC X(8).
           02  M8ADRZ1A         PIC X(8).
           02  M8ADRZ2A         PIC X(8).
           02  M8ADRZ3A         PIC X(8).
           02  M8ADRZ4A         PIC X(8).
           02  M8ADRZ5A         PIC X(8).
           02  M8ADSW1A         PIC X(8).
           02  M8ADSW2A         PIC X(8).
           02  M8ADSW3A         PIC X(8).
           02  M8ADSW4A         PIC X(8).
           02  M8SACHTA         PIC X(8).
           02  M8SACH1A         PIC X(8).
           02  M8SACH2A         PIC X(8).
           02  M8ANREDA         PIC X(8).
           02  M8ERDATA         PIC X(6).
           02  M8MENDZA         PIC X(6).
           02  M8MENDVA         PIC X(6).
           02  M8OBJA           PIC X(8).
           02  M8UEBETA         PIC X(8).
           02  M8KAUTIA         PIC X(8).
           02  M8ZGUTA          PIC X(8).
           02  M8ANZRAA         PIC X(8).
           02  M8RATEA          PIC X(8).
           02  M8XJUMPA         PIC X(8).
      *    EJECT
      *
      ******************************************************************
      *    MAP DEFINITIONEN
      ******************************************************************
      *
       01  FILLER        PIC X(9)       VALUE '>>SCREN<<'.
SNEED****                COPY   DBRIM8D.
      *Input Map
       01 DBRIM8DI.
           02  FILLER           PIC X(40).
           02  M8PRIDI          PIC X(8).
           02  M8PRIDL          PIC 99.
           02  M8PRIDF          PIC X.
           02  M8CANI           PIC X(8).
           02  M8CANL           PIC 99.
           02  M8CANF           PIC X.
           02  M8ABS1I          PIC X(8).
           02  M8ABS1L          PIC 99.
           02  M8ABS1F          PIC X.
           02  M8ABS2I          PIC X.
           02  M8ABS2L          PIC 99.
           02  M8ABS2F          PIC X.
           02  M8ABS3I          PIC X.
           02  M8ABS3L          PIC 99.
           02  M8ABS3F          PIC X.
           02  M8ABS4I          PIC X.
           02  M8ABS4L          PIC 99.
           02  M8ABS4F          PIC X.
           02  M8ADRZ1I         PIC X.
           02  M8ADRZ1L         PIC 99.
           02  M8ADRZ1F         PIC X.
           02  M8ADRZ2I         PIC X.
           02  M8ADRZ2L         PIC 99.
           02  M8ADRZ2F         PIC X.
           02  M8ADRZ3I         PIC X.
           02  M8ADRZ3L         PIC 99.
           02  M8ADRZ3F         PIC X.
           02  M8ADRZ4I         PIC X.
           02  M8ADRZ4L         PIC 99.
           02  M8ADRZ4F         PIC X.
           02  M8ADRZ5I         PIC X.
           02  M8ADRZ5L         PIC 99.
           02  M8ADRZ5F         PIC X.
           02  M8ADSW1I         PIC X.
           02  M8ADSW1L         PIC 99.
           02  M8ADSW1F         PIC X.
           02  M8ADSW2I         PIC X.
           02  M8ADSW2L         PIC 99.
           02  M8ADSW2F         PIC X.
           02  M8ADSW3I         PIC X.
           02  M8ADSW3L         PIC 99.
           02  M8ADSW3F         PIC X.
           02  M8ADSW4I         PIC X.
           02  M8ADSW4L         PIC 99.
           02  M8ADSW4F         PIC X.
           02  M8SACHTI         PIC X.
           02  M8SACHTL         PIC 99.
           02  M8SACHTF         PIC X.
           02  M8SACH1I         PIC X.
           02  M8SACH1L         PIC 99.
           02  M8SACH1F         PIC X.
           02  M8SACH2I         PIC X.
           02  M8SACH2L         PIC 99.
           02  M8SACH2F         PIC X.
           02  M8ANREDI         PIC X.
           02  M8ANREDL         PIC 99.
           02  M8ANREDF         PIC X.
           02  M8ERDATI         PIC XXXXXX.
           02  M8ERDATL         PIC 99.
           02  M8ERDATF         PIC X.
           02  M8MENDZI         PIC XXXXXX.
           02  M8MENDZL         PIC 99.
           02  M8MENDZF         PIC X.
           02  M8MENDVI         PIC XXXXXX.
           02  M8MENDVL         PIC 99.
           02  M8MENDVF         PIC X.
           02  M8OBJI           PIC XXXX.
           02  M8OBJL           PIC 99.
           02  M8OBJF           PIC X.
           02  M8UEBETI         PIC X.
           02  M8UEBETL         PIC 99.
           02  M8UEBETF         PIC X.
           02  M8KAUTII         PIC X.
           02  M8KAUTIL         PIC 99.
           02  M8KAUTIF         PIC X.
           02  M8ZGUTI          PIC X.
           02  M8ZGUTL          PIC 99.
           02  M8ZGUTF          PIC X.
           02  M8ANZRAI         PIC X.
           02  M8ANZRAL         PIC 99.
           02  M8ANZRAF         PIC X.
           02  M8RATEI          PIC X.
           02  M8RATEL          PIC 99.
           02  M8RATEF          PIC X.
           02  M8FZ1I           PIC X.
           02  M8FZ1L           PIC 99.
           02  M8FZ1F           PIC X.
           02  M8FZ2I           PIC X.
           02  M8FZ2L           PIC 99.
           02  M8FZ2F           PIC X.
           02  M8FZ3I           PIC X.
           02  M8FZ3L           PIC 99.
           02  M8FZ3F           PIC X.
           02  M8XJUMPI         PIC X.
           02  M8XJUMPL         PIC 99.
           02  M8FJUMPF         PIC X.
      * Output Map
       01 M8MSGO                PIC X(20).
       01 DBRIM8DO.
           02  M8REF1O          PIC X(8).
           02  M8REF2O          PIC X(8).
           02  M8VNRO           PIC XXXX.
           02  M8PRIDO          PIC XXXX.
           02  M8CANO           PIC XXXX.
           02  M8BRIEFO         PIC XXXX.
           02  M8ABS1O          PIC X.
           02  M8ABS2O          PIC X.
           02  M8ABS3O          PIC X.
           02  M8ABS4O          PIC X.
           02  M8ADRZ1O         PIC X.
           02  M8ADRZ2O         PIC X.
           02  M8ADRZ3O         PIC X.
           02  M8ADRZ4O         PIC X.
           02  M8ADRZ5O         PIC X.
           02  M8ADSW1O         PIC X.
           02  M8ADSW2O         PIC X.
           02  M8ADSW3O         PIC X.
           02  M8ADSW4O         PIC X.
           02  M8SACHTO         PIC XXXX.
           02  M8SACH1O         PIC XXXX.
           02  M8SACH2O         PIC XXXX.
           02  M8ANREDO         PIC XXXX.
           02  M8ERDATO         PIC XXXXXX.
           02  M8MENDZO         PIC XXXXXX.
           02  M8MENDVO         PIC XXXXXX.
           02  M8OBJO           PIC XXXXXX.
           02  M8ZGUTO          PIC X(8).
           02  M8ANZRAO         PIC XXXX.
           02  M8RATEO          PIC XXXX.
           02  M8UEBETO         PIC XX.
           02  M8KAUTIO         PIC XX.
           02  M8FZ1O           PIC X.
           02  M8FZ2O           PIC X.
           02  M8FZ3O           PIC X.
           02  M8IDEO           PIC X.
           02  M8IDAO           PIC X.
      *
       01  ENDE-WS       PIC X(32)      VALUE
           'ENDE WORKING-STORAGE DBRIP08'.
      *    EJECT
      *
      ******************************************************************
      *
*********************  INSTRUMENT CICS TEXT ***************************
CICS  ***************************************************************** 01000000
CICS  *                                                                 01600000
CICS   77    DFHRESP   PIC  S9(8) USAGE COMPUTATIONAL OCCURS 8 TIMES.
CICS   01    DFHRESP-CODES.
CICS     02  NORMAL       PIC  S9(4) USAGE COMP  VALUE 00.
CICS     02  QIDERR       PIC  S9(4) USAGE COMP  VALUE 01.
CICS     02  RDATT        PIC  S9(4) USAGE COMP  VALUE 02.
CICS     02  WRBRK        PIC  S9(4) USAGE COMP  VALUE 03.
CICS     02  EOF          PIC  S9(4) USAGE COMP  VALUE 04.
CICS     02  EODS         PIC  S9(4) USAGE COMP  VALUE 05.
CICS     02  EOC          PIC  S9(4) USAGE COMP  VALUE 06.
CICS     02  INBFMH       PIC  S9(4) USAGE COMP  VALUE 07.
CICS     02  ENDINPT      PIC  S9(4) USAGE COMP  VALUE 08.
CICS     02  NONVAL       PIC  S9(4) USAGE COMP  VALUE 09.
CICS     02  NOSTART      PIC  S9(4) USAGE COMP  VALUE 10.
CICS     02  TERMIDERR    PIC  S9(4) USAGE COMP  VALUE 11.
CICS     02  FILENOTFOUND PIC  S9(4) USAGE COMP  VALUE 12.
CICS     02  NOTFND       PIC  S9(4) USAGE COMP  VALUE 13.
CICS     02  DUPREC       PIC  S9(4) USAGE COMP  VALUE 14.
CICS     02  DUPKEY       PIC  S9(4) USAGE COMP  VALUE 15.
CICS     02  INVREQ       PIC  S9(4) USAGE COMP  VALUE 16.
CICS     02  IOERR        PIC  S9(4) USAGE COMP  VALUE 17.
CICS     02  NOSPACE      PIC  S9(4) USAGE COMP  VALUE 18.
CICS     02  NOTOPEN      PIC  S9(4) USAGE COMP  VALUE 19.
CICS     02  ENDFILE      PIC  S9(4) USAGE COMP  VALUE 20.
CICS     02  ILLOGIC      PIC  S9(4) USAGE COMP  VALUE 21.
CICS     02  LENGERR      PIC  S9(4) USAGE COMP  VALUE 22.
CICS     02  QZERO        PIC  S9(4) USAGE COMP  VALUE 23.
CICS     02  SIGNAL       PIC  S9(4) USAGE COMP  VALUE 24.
CICS     02  QBUSY        PIC  S9(4) USAGE COMP  VALUE 25.
CICS     02  ITEMERR      PIC  S9(4) USAGE COMP  VALUE 26.
CICS     02  PGMIDERR     PIC  S9(4) USAGE COMP  VALUE 27.
CICS     02  TRANSIDERR   PIC  S9(4) USAGE COMP  VALUE 28.
CICS     02  ENDDATA      PIC  S9(4) USAGE COMP  VALUE 29.
CICS     02  INVTSREQ     PIC  S9(4) USAGE COMP  VALUE 30.
CICS     02  EXPIRED      PIC  S9(4) USAGE COMP  VALUE 31.
CICS     02  RETPAGE      PIC  S9(4) USAGE COMP  VALUE 32.
CICS     02  RTEFAIL      PIC  S9(4) USAGE COMP  VALUE 33.
CICS     02  RTESOME      PIC  S9(4) USAGE COMP  VALUE 34.
CICS     02  TSIOERR      PIC  S9(4) USAGE COMP  VALUE 35.
CICS     02  MAPFAIL      PIC  S9(4) USAGE COMP  VALUE 36.
CICS     02  INVERRTERM   PIC  S9(4) USAGE COMP  VALUE 37.
CICS     02  INVMPSZ      PIC  S9(4) USAGE COMP  VALUE 38.
CICS     02  IGREQID      PIC  S9(4) USAGE COMP  VALUE 39.
CICS     02  OVERFLOWED   PIC  S9(4) USAGE COMP  VALUE 40.
CICS     02  INVLDC       PIC  S9(4) USAGE COMP  VALUE 41.
CICS     02  NOSTG        PIC  S9(4) USAGE COMP  VALUE 42.
CICS     02  JIDERR       PIC  S9(4) USAGE COMP  VALUE 43.
CICS     02  QIDERR       PIC  S9(4) USAGE COMP  VALUE 44.
CICS     02  NOJBUFSP     PIC  S9(4) USAGE COMP  VALUE 45.
CICS     02  DSSTAT       PIC  S9(4) USAGE COMP  VALUE 46.
CICS     02  SELNERR      PIC  S9(4) USAGE COMP  VALUE 47.
CICS     02  FUNCERR      PIC  S9(4) USAGE COMP  VALUE 48.
CICS     02  UNEXPIN      PIC  S9(4) USAGE COMP  VALUE 49.
CICS     02  NOPASSBKRD   PIC  S9(4) USAGE COMP  VALUE 50.
CICS     02  NOPASSBKWR   PIC  S9(4) USAGE COMP  VALUE 51.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 52.
CICS     02  SYSIDERR     PIC  S9(4) USAGE COMP  VALUE 53.
CICS     02  ISCINVREQ    PIC  S9(4) USAGE COMP  VALUE 54.
CICS     02  ENQBUSY      PIC  S9(4) USAGE COMP  VALUE 55.
CICS     02  ENVDEFERR    PIC  S9(4) USAGE COMP  VALUE 56.
CICS     02  IGREQCD      PIC  S9(4) USAGE COMP  VALUE 57.
CICS     02  SESSIONERR   PIC  S9(4) USAGE COMP  VALUE 58.
CICS     02  SYSBUSY      PIC  S9(4) USAGE COMP  VALUE 59.
CICS     02  SESBUSY      PIC  S9(4) USAGE COMP  VALUE 60.
CICS     02  NOTALLOC     PIC  S9(4) USAGE COMP  VALUE 61.
CICS     02  CBIDERR      PIC  S9(4) USAGE COMP  VALUE 62.
CICS     02  INVEXITREQ   PIC  S9(4) USAGE COMP  VALUE 63.
CICS     02  INVPARTNSET  PIC  S9(4) USAGE COMP  VALUE 64.
CICS     02  INVPARTN     PIC  S9(4) USAGE COMP  VALUE 65.
CICS     02  PARTNFAIL    PIC  S9(4) USAGE COMP  VALUE 66.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 67.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 68.
CICS     02  USERIDERR    PIC  S9(4) USAGE COMP  VALUE 69.
CICS     02  NOTAUTH      PIC  S9(4) USAGE COMP  VALUE 70.
CICS     02  VOLIDERR     PIC  S9(4) USAGE COMP  VALUE 71.
CICS     02  SUPPRESSED   PIC  S9(4) USAGE COMP  VALUE 72.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 73.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 74.
CICS     02  RESIDERR     PIC  S9(4) USAGE COMP  VALUE 75.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 76.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 77.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 78.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 79.
CICS     02  NOSPOOL      PIC  S9(4) USAGE COMP  VALUE 80.
CICS     02  TERMERR      PIC  S9(4) USAGE COMP  VALUE 81.
CICS     02  ROLLEDBACK   PIC  S9(4) USAGE COMP  VALUE 82.
CICS     02  ENDED        PIC  S9(4) USAGE COMP  VALUE 83.
CICS     02  DISABLED     PIC  S9(4) USAGE COMP  VALUE 84.
CICS     02  ALLOCERR     PIC  S9(4) USAGE COMP  VALUE 85.
CICS     02  STRELERR     PIC  S9(4) USAGE COMP  VALUE 86.
CICS     02  OPENERR      PIC  S9(4) USAGE COMP  VALUE 87.
CICS     02  SPOLBUSY     PIC  S9(4) USAGE COMP  VALUE 88.
CICS     02  SPOLERR      PIC  S9(4) USAGE COMP  VALUE 89.
CICS     02  NODEIDERR    PIC  S9(4) USAGE COMP  VALUE 90.
CICS     02  TASKIDERR    PIC  S9(4) USAGE COMP  VALUE 91.
CICS     02  TCIDERR      PIC  S9(4) USAGE COMP  VALUE 92.
CICS     02  DSNNOTFOUND  PIC  S9(4) USAGE COMP  VALUE 93.
CICS     02  LOADING      PIC  S9(4) USAGE COMP  VALUE 94.
CICS     02  MODELIDERR   PIC  S9(4) USAGE COMP  VALUE 95.
CICS     02  OUTDESCRERR  PIC  S9(4) USAGE COMP  VALUE 96.
CICS     02  PARTNERIDERR PIC  S9(4) USAGE COMP  VALUE 97.
CICS     02  PROFILEIDERR PIC  S9(4) USAGE COMP  VALUE 98.
CICS     02  NETNAMEIDERR PIC  S9(4) USAGE COMP  VALUE 99.
CICS  ***************************************************************** 97000000
CICS  ***************************************************************** 97000000
COPY  *    COPY DFHEIBLK.                                               04260000
CICS  *                                                                 02000000
CICS  *   COPYRIGHT = 5655-018 (C) COPYRIGHT IBM CORP. 1985  =          02100000
CICS  *               THIS MODULE IS "RESTRICTED MATERIALS OF=IBM"      02200000
CICS  *               LICENSED MATERIALS - PROPERTY OF IBM   =          02300000
CICS  *               REFER TO COPYRIGHT INSTRUCTIONS        =          02400000
CICS  *               FORM NUMBER G120-2083                  =          02500000
CICS  *                                                                 02600000
CICS  *     EIBLK EXEC INTERFACE BLOCK                                  03000000
CICS   01   EIBLK.                                                      04000000
CICS  *        EIBTIME    TIME IN 0HHMMSS FORMAT                        06000000
CICS        02 EIBTIME    PICTURE S9(7) USAGE COMPUTATIONAL-3.          08000000
CICS  *        EIBDATE    DATE IN 0CYYDDD FORMAT, where C is the        10000000
CICS  *                   century indicator (0=1900, 1=2000 etc),       10600000
CICS  *                   YY is the year and DDD is the day number.     11300000
CICS        02 EIBDATE    PICTURE S9(7) USAGE COMPUTATIONAL-3.          12000000
CICS  *        EIBTRNID   TRANSACTION IDENTIFIER                        14000000
CICS        02 EIBTRNID   PICTURE X(4).                                 16000000
CICS  *        EIBTASKN   TASK NUMBER                                   18000000
CICS        02 EIBTASKN   PICTURE S9(7) USAGE COMPUTATIONAL-3.          20000000
CICS  *        EIBTRMID   TERMINAL IDENTIFIER                           22000000
CICS        02 EIBTRMID   PICTURE X(4).                                 24000000
CICS  *        DFHEIGDI   RESERVED                                      26000000
CICS        02 DFHEIGDI   PICTURE S9(4) USAGE COMPUTATIONAL.            28000000
CICS  *        EIBCPOSN   CURSOR POSITION                               30000000
CICS        02 EIBCPOSN   PICTURE S9(4) USAGE COMPUTATIONAL.            32000000
CICS  *        EIBCALEN   COMMAREA LENGTH                               34000000
CICS        02 EIBCALEN   PICTURE S9(4) USAGE COMPUTATIONAL.            36000000
CICS  *        EIBAID     ATTENTION IDENTIFIER                          38000000
CICS        02 EIBAID     PICTURE X(1).                                 40000000
CICS  *        EIBFN      FUNCTION CODE                                 42000000
CICS        02 EIBFN      PICTURE X(2).                                 44000000
CICS  *        EIBRCODE   RESPONSE CODE                                 46000000
CICS        02 EIBRCODE   PICTURE X(6).                                 48000000
CICS  *        EIBDS      DATASET NAME                                  50000000
CICS        02 EIBDS      PICTURE X(8).                                 52000000
CICS  *        EIBREQID   REQUEST IDENTIFIER                            54000000
CICS        02 EIBREQID   PICTURE X(8).                                 56000000
CICS  *        EIBRSRCE   RESOURCE NAME                                 58000000
CICS        02 EIBRSRCE   PICTURE X(8).                                 60000000
CICS  *        EIBSYNC    X'FF' - SYNCPOINT REQUESTED                   62000000
CICS        02 EIBSYNC    PICTURE X.                                    64000000
CICS  *        EIBFREE    X'FF' - FREE REQUESTED                        66000000
CICS        02 EIBFREE    PICTURE X.                                    68000000
CICS  *        EIBRECV    X'FF' - RECEIVE REQUIRED                      70000000
CICS        02 EIBRECV    PICTURE X.                                    73000000
CICS  *        EIBSEND    RESERVED                                      76000000
CICS        02 EIBSEND    PICTURE X.                                    79000000
CICS  *        EIBATT     X'FF' - ATTACH DATA RECEIVED                  82000000
CICS        02 EIBATT     PICTURE X.                                    85000000
CICS  *        EIBEOC     X'FF' - EOC RECEIVED                          88000000
CICS        02 EIBEOC     PICTURE X.                                    91000000
CICS  *        EIBFMH     X'FF' - FMHS RECEIVED                         94000000
CICS        02 EIBFMH     PICTURE X.                                    97000000
CICS  *        EIBCOMPL   X'FF' - DATA COMPLETE                         97200000
CICS        02 EIBCOMPL   PICTURE X(1).                                 97400000
CICS  *        EIBSIG     X'FF' - SIGNAL RECEIVED                       97600000
CICS        02 EIBSIG     PICTURE X(1).                                 97900000
CICS  *        EIBCONF    X'FF' - CONFIRM REQUESTED                     98200000
CICS        02 EIBCONF    PICTURE X(1).                                 98500000
CICS  *        EIBERR     X'FF' - ERROR RECEIVED                        98800000
CICS        02 EIBERR     PICTURE X(1).                                 99100000
CICS  *        EIBERRCD  ERROR CODE RECEIVED                            99400000
CICS        02 EIBERRCD  PICTURE X(4).                                  99700000
CICS  *        EIBSYNRB   X'FF' - SYNC ROLLBACK REQUESTED               99800000
CICS        02 EIBSYNRB   PICTURE X.                                    99900000
CICS  *        EIBNODAT   X'FF' - NO APPL DATA RECEIVED                 99910000
CICS        02 EIBNODAT   PICTURE X.                                    99920000
CICS  *        EIBRESP    INTERNAL CONDITION NUMBER                     99930000
CICS        02 EIBRESP    PICTURE S9(8) USAGE COMPUTATIONAL.            99940000
CICS  *        EIBRESP2   MORE DETAILS ON SOME RESPONSES                99950000
CICS        02 EIBRESP2   PICTURE S9(8) USAGE COMPUTATIONAL.            99960000
CICS  *        EIBRLDBK   ROLLED BACK                                   99970000
CICS        02 EIBRLDBK   PICTURE X(1).                                 99980000
CICS  *********************  End of CICS EIBLK Copy *******************
CICS  *****************************************************************
COBINS*
COBINS 77  X-CICS-REC-LNG           PIC 9999 BINARY VALUE 2048.
COBINS 77  X-CICS-MAP-LNG           PIC 9999 BINARY VALUE 2060.
COBINS 01  X-CICS-PARAMS.
COBINS    05  X-CICS-FUNCTION          PIC XX.
COBINS        88 X-OPEN                VALUE 'OP'.
COBINS        88 X-READ                VALUE 'RD'.
COBINS        88 X-READNEXT            VALUE 'RN'.
COBINS        88 X-READPREV            VALUE 'RP'.
COBINS        88 X-START               VALUE 'ST'.
COBINS        88 X-WRITE               VALUE 'WR'.
COBINS        88 X-REWRITE             VALUE 'RW'.
COBINS        88 X-DELETE              VALUE 'DL'.
COBINS        88 X-CLOSE               VALUE 'CL'.
COBINS        88 X-SEND                VALUE 'SN'.
COBINS        88 X-RECEIVE             VALUE 'RC'.
COBINS        88 X-SEND-MAP            VALUE 'SM'.
COBINS        88 X-RECEIVE-MAP         VALUE 'RM'.
COBINS        88 X-LINK                VALUE 'LN'.
COBINS        88 X-XCTL                VALUE 'XC'.
COBINS    05  X-CICS-KEY               PIC XX.
COBINS        88 X-PA1                 VALUE '01'.
COBINS        88 X-PA2                 VALUE '02'.
COBINS        88 X-PA3                 VALUE '03'.
COBINS        88 X-PF1                 VALUE '04'.
COBINS        88 X-PF2                 VALUE '05'.
COBINS        88 X-PF3                 VALUE '06'.
COBINS        88 X-PF4                 VALUE '07'.
COBINS        88 X-PF5                 VALUE '08'.
COBINS        88 X-PF6                 VALUE '09'.
COBINS        88 X-PF7                 VALUE '10'.
COBINS        88 X-PF8                 VALUE '11'.
COBINS        88 X-PF9                 VALUE '12'.
COBINS        88 X-PF10                VALUE '13'.
COBINS        88 X-PF11                VALUE '14'.
COBINS        88 X-PF12                VALUE '15'.
COBINS        88 X-PF13                VALUE '16'.
COBINS        88 X-PF14                VALUE '17'.
COBINS        88 X-PF15                VALUE '18'.
COBINS        88 X-PF16                VALUE '19'.
COBINS        88 X-PF17                VALUE '20'.
COBINS        88 X-PF18                VALUE '21'.
COBINS        88 X-PF19                VALUE '22'.
COBINS        88 X-PF20                VALUE '23'.
COBINS        88 X-PF21                VALUE '24'.
COBINS        88 X-PF22                VALUE '25'.
COBINS        88 X-PF23                VALUE '26'.
COBINS        88 X-PF24                VALUE '27'.
COBINS        88 X-ENTER               VALUE '28'.
COBINS        88 X-CLEAR               VALUE '29'.
COBINS        88 X-ANYKEY              VALUE '30'.
COBINS    05  X-CICS-RETCODE           PIC XX.
COBINS        88 X-MAPOK               VALUE '00'.
COBINS        88 X-MAPFAIL             VALUE '40'.
XMLINS 01 XML-PARAMS.
XMLINS    05  XML-FUNCODE              PIC XX.
XMLINS    05  XML-RETCODE              PIC 99.
XMLINS    05  XML-FILNAME              PIC X(8).
IDLINS 01 IDL-PARAMS.
IDLINS    05  IDL-FUNCODE              PIC XX.
IDLINS    05  IDL-RETCODE              PIC 99.
IDLINS    05  IDL-FILNAME              PIC X(8).
*********************  INSTRUMENT CICS TEXT *********************
       LINKAGE SECTION.
      *
      ******************************************************************
      *
       01  DFHCOMMAREA.
           05 FILLER     PIC X(6000).                                   L02
      *
      *    EJECT
      ******************************************************************
      *
       PROCEDURE DIVISION.
      *
      ******************************************************************
      *
      ******************************************************************
      *     STEUER PROCEDURE
      ******************************************************************
      *
       STEUER SECTION.
       ST-000.
      *
           PERFORM VORVERARB.
      *
       ST-100.
           PERFORM HAUPTVERARB.
      *
       ST-990.
           IF SWPF = 99
               PERFORM XCTL
             ELSE
               MOVE +6000  TO CA-LENGTH
               PERFORM TRANSID.
      *
       ST-999.
           GOBACK.
      *    EJECT
      *
      ******************************************************************
      *     VORVERARBEITUNG
      ******************************************************************
      *
       VORVERARB SECTION.
      *
       VV-000.
           MOVE DFHCOMMAREA TO COMMAREA.
           MOVE +6000       TO CA-LENGTH.
           MOVE LOW-VALUES  TO DBRIM8DI.
      *
       VV-100.
           IF CA-SCHRITT = ZERO
               GO TO VV-999.
      *
       VV-700.
      ****                           HANDLE AID UND CONDITION
      *
WRAP  *    EXEC CICS HANDLE CONDITION MAPFAIL (VV-860)
WRAP  *    END-EXEC.
      *
      ****                            HANDLE AID 1. TEIL
      *
WRAP  *    EXEC CICS HANDLE AID       PF1     (VV-710)
WRAP  *                               PF2     (VV-720)
WRAP  *                               PF3     (VV-730)
WRAP  *                               PF10    (VV-800)
WRAP  *                               PF11    (VV-810)
WRAP  *                               PF12    (VV-820)
WRAP  *                               CLEAR   (VV-840)
WRAP  *                               ANYKEY  (VV-850)
WRAP  *    END-EXEC.
      ****                           R E C E I V E
           PERFORM RECEIVEN.
      ****                           ENTER-TASTE
           MOVE 13 TO SWPF.
           GO TO VV-999.
      *
       VV-710.
      ****                           PF1-TASTE
           MOVE 1 TO SWPF.
           GO TO VV-999.
      *
       VV-720.
      ****                           PF2-TASTE
           MOVE 2 TO SWPF.
           GO TO VV-999.
      *
       VV-730.
      ****                           PF3-TASTE
           MOVE 3 TO SWPF.
           GO TO VV-999.
      *
       VV-800.
      ****                           PF10-TASTE
           MOVE 10 TO SWPF.
           GO TO VV-999.
      *
       VV-810.
      ****                           PF11-TASTE
           MOVE 11 TO SWPF.
           GO TO VV-999.
      *
       VV-820.
      ****                           PF12-TASTE
           MOVE 12 TO SWPF.
           GO TO VV-999.
      *
       VV-840.
      ****                           CLEAR-TASTE
           MOVE 14 TO SWPF.
           GO TO VV-999.
      *
       VV-850.
      ****                           ANYKEY-TASTE
           MOVE 15 TO SWPF.
           GO TO VV-999.
      *
       VV-860.
      ****                           M A P F A I L
           MOVE 16 TO SWPF.
      *
       VV-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    HAUPTVERARBEITUNG
      ******************************************************************
      *
       HAUPTVERARB SECTION.
      *
       HV-000.
      *
           IF CA-SCHRITT = ZERO
               GO TO HV-500.
      *
       HV-050.
      *
      ****                           HANDLING PF-FUNKTIONEN
      *
           GO TO HV-81
                 HV-82
                 HV-83
                 HV-84
                 HV-85
                 HV-86
                 HV-87
                 HV-88
                 HV-89
                 HV-90
                 HV-91
                 HV-92
                 HV-93
                 HV-94
                 HV-95
                 HV-96      DEPENDING ON SWPF.
      *
       HV-81.
      ****                           PF1-TASTE (HELP-PROGRAMM)
           GO TO HV-95.
      *
       HV-82.
      ****                           PF2-TASTE / PRINTER-AUFRUF
           MOVE 2 TO CA-SWPF.
           MOVE 0 TO CA-SCHRITT.
WRAP  *    EXEC CICS LINK PROGRAM ('D154')
WRAP  *    END-EXEC.
WRAP       CALL 'D154' USING X-CICS-PARAMS
WRAP       CONTINUE.
           GO TO HV-999.
      *
       HV-83.
      ****                           PF3-TASTE
           MOVE 3 TO CA-SWPF.
           MOVE 0 TO CA-SCHRITT.
WRAP  *    EXEC CICS XCTL PROGRAM  ('DBRIT')
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'DBRIT' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
       HV-84.
      ****                           PF4-TASTE
           GO TO HV-95.
      *
       HV-85.
      ****                           PF5-TASTE
           GO TO HV-95.
      *
       HV-86.
      ****                           PF6-TASTE
           GO TO HV-95.
      *
       HV-87.
      *                              PF7-TASTE
      ****                           RUECKWAERTS BLAETTERN (INDIV.)
      *
           GO TO HV-95.
      *
       HV-88.
      *                              PF8-TASTE
      ****                           VORWAERTS BLAETTERN (INDIV.)
      *
           GO TO HV-95.
      *
       HV-89.
      ****                           PF9-TASTE
           GO TO HV-95.
      *
       HV-90.
      ****                           PF10-TASTE
      *
      ****                           BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           MOVE ZEROES TO CA-LENGTH.
WRAP  *    EXEC CICS XCTL PROGRAM  ('PF10T')
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'PF10T' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
       HV-91.
      ****                           PF11-TASTE
      *
      ****                           AUSDRUCKEN: ZUERST NORMALE VER-
      ****                           ARBEITUNG (PLAUSI ETC.)
           GO TO HV-200.
      *
       HV-92.
      ****                           PF12 - ENDE DER TRANSAKTION
      *
      ****                           BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
           MOVE 99 TO SWPF.
           GO TO HV-999.
      *
       HV-93.
      ****                           ENTER (EMPFANGEN SCREEN)
           GO TO HV-200.
      *
       HV-94.
      ****                           CLEAR  (SENDEN LEERE MASKE)
           GO TO HV-83.
      *
       HV-95.
      ****                           ANYKEY (FALSCHE FUNKTIONS-TASTE)
           PERFORM CAFILL.
      *
           IF SWFEHL > ZERO
               GO TO HV-900.
      *
           MOVE LOW-VALUES TO DBRIM8DI.
           MOVE  1 TO FEHL-NR   CA-FEHLNR.
           MOVE -1 TO M8SACHTL.
           GO TO HV-900.
      *
       HV-96.
      ****                           MAPFAIL   (KEINE EINGABE)
           GO TO HV-200.
      *
       HV-97.
      ****                           AUFRUF AUS CROSS-JUMPER
           GO TO HV-200.
      *
       HV-100.
      *
      ****                           INITIALISIEREN SCREEN
      *
           MOVE LOW-VALUES TO DBRIM8DO.
           GO TO HV-800.
      *
       HV-200.
      *
      ****                           COMMONAREA MIT SCREENDATEN LADEN
      *
           PERFORM CAFILL.
           IF SWFEHL > ZERO
               GO TO HV-900.
      *
       HV-300.
      *
      ****                           INPUT PRUEFEN
      *
           PERFORM PLAUSI.
      *
      ****                           WENN KEINE FEHLER IN PLAUSI
      *                              WEITER ZU HV-500
           IF SWFEHL = ZERO
               GO TO HV-500.
      *                              FEHLERMELDUNG 3 HEISST ALLGEMEIN
      ****                           'FALSCHE EINGABE'. EVENTUELL WEG-
      *                              LASSEN UND DURCH DETAILLIERTE
      *                              FEHLERMELDUNG IN PLAUSI ERSETZEN.
           IF FEHL-NR = 0
               MOVE 3 TO FEHL-NR   CA-FEHLNR.
           GO TO HV-900.
      *
       HV-500.
      *
      ****                           AUFRUF DER VERARBEITUNG
      *                              NACH ERFOLGREICHEN PLAUS-TESTS
           PERFORM VERARB.
           IF SWFEHL > ZERO
               GO TO HV-900.
       HV-800.
      *
      ****                           SENDEN SCREEN
      *
           PERFORM SENDEN.
           IF CA-SCHRITT = 0
               MOVE 1 TO CA-SCHRITT.
           MOVE 80 TO SWPF.
           GO TO  HV-999.
      *
       HV-900.
      *
      ****                           FEHLER
      *
           PERFORM FEHLMELD.
           PERFORM SENDFEHL.
           MOVE 90 TO SWPF.
       HV-999.
           EXIT.
      *    EJECT
      ******************************************************************
      ******************************************************************
      *
      *    PROGRAMM - SUBROUTINEN     --->  PLAUSI UND VERARB  <---
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    PLAUSIBILITAET
      ******************************************************************
      *
       PLAUSI SECTION.
       PL-000.
      *
           MOVE ZERO    TO SWFEHL   CA-SWFEHL.
      *
           IF CA-SCHRITT > ZERO
               GO TO PL-500.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   0
      *                              -------------------------------
       PL-100.
      *
           MOVE 1 TO CA-SCHRITT.
      *
           GO TO PL-999.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   1
      *                              -------------------------------
       PL-500.
      *
      ********                       PRINTER PRUEFEN
      ********                       ***************
           IF CA-PRINTER = SPACES
               MOVE DFHBMBRY TO M8PRIDA
               MOVE -1       TO M8PRIDL
               MOVE 3        TO FEHL-NR CA-FEHLNR
               MOVE 1        TO SWFEHL
               GO TO PL-510.
      *
      *                              PRINTER AUF GROSS UMSETZEN
           MOVE CA-PRINTER TO P1-XM229.
           MOVE K-XM229    TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM229 P2-XM229 P3-XM229.
           PERFORM MODULE.
           MOVE P1-XM229   TO CA-PRINTER.
           MOVE 'G'        TO BER-FUNC.
           MOVE CA-PRINTER TO BER-PRTID.
      *
WRAP  *    EXEC CICS LINK PROGRAM  ('XM177')
WRAP  *                   COMMAREA (P-XM177)
WRAP  *                   LENGTH   (P-XM177L)
WRAP  *    END-EXEC.
WRAP       CALL 'XM177' USING X-CICS-PARAMS
WRAP                                P-XM177
WRAP                                P-XM177L
WRAP       CONTINUE.
      *
           IF BER-RET1 = '1'
               MOVE DFHBMBRY TO M8PRIDA
               IF SWFEHL = ZERO
                   MOVE -1   TO M8PRIDL
                   MOVE 1    TO SWFEHL
                   MOVE 96   TO FEHL-NR CA-FEHLNR.
      *
       PL-510.
      *
      ********                       SCHACHT PRUEFEN
      ********                       ***************
           IF CA-SCHACHTX NOT NUMERIC
               MOVE 'Q' TO M8CANA
               IF SWFEHL = ZERO
                   MOVE -1  TO M8CANL
                   MOVE 1   TO SWFEHL
                   MOVE 52  TO FEHL-NR CA-FEHLNR.
      *
           IF  CA-SCHACHTX > '0'
           AND CA-SCHACHTX < '4'
               GO TO PL-520.
      *
      ***************************************************************** L01/HF
      **** DAMIT DIE BRIEFE INS DW-FILE GESCHRIEBEN WERDEN KOENNEN **** L01/HF
      ***************************************************************** L01/HF
           IF CA-SCHACHTX = '9'                                         L01/HF
               GO TO PL-520.                                            L01/HF
      *
           MOVE 'Q' TO M8CANA.
           IF SWFEHL = ZERO
               MOVE -1  TO M8CANL
               MOVE 1   TO SWFEHL
               MOVE 3   TO FEHL-NR CA-FEHLNR.
      *
       PL-520.
      *
      ********                       MIND. 1 ABSENDERZEILE
      ********                       *********************
      *
           IF CA-ABS1 = SPACE
           AND CA-ABS2 = SPACE
           AND CA-ABS3 = SPACE
           AND CA-ABS4 = SPACE
                MOVE DFHBMBRY TO M8ABS1A  M8ABS2A  M8ABS3A M8ABS4A
                IF SWFEHL = ZERO
                    MOVE -1   TO M8ABS1L
                    MOVE 74   TO FEHL-NR CA-FEHLNR
                    MOVE 1    TO SWFEHL.
      *
      ********                       ADRESSE VORHANDEN ?
      ********                       *******************
      *
           IF CA-ADRESSE = SPACES
               MOVE DFHBMBRY TO M8ADRZ1A  M8ADRZ2A  M8ADRZ3A
               MOVE DFHBMBRY TO M8ADRZ4A  M8ADRZ5A
               IF SWFEHL = ZERO
                   MOVE -1   TO M8ADRZ1L
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       ADRESSZEILENSWITCHERS PRUEFEN
      ********                       *****************************
           MOVE ZERO TO R-ADRSW R-LEERZ.
      *
           IF CA-ADRESS-SWITCHES = SPACE
               GO TO PL-530.
      *
           IF CA-ADRSW1 NOT = SPACE
               ADD 1 TO R-ADRSW.
           IF CA-ADRSW2 NOT = SPACE
               ADD 1 TO R-ADRSW.
           IF CA-ADRSW3 NOT = SPACE
               ADD 1 TO R-ADRSW.
           IF CA-ADRSW4 NOT = SPACE
               ADD 1 TO R-ADRSW.
      *
           IF CA-ADRZ1 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ2 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ3 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ4 = SPACE
               ADD 1 TO R-LEERZ.
           IF CA-ADRZ5 = SPACE
               ADD 1 TO R-LEERZ.
      *
           IF R-ADRSW > R-LEERZ
               MOVE DFHBMBRY TO M8ADSW1A M8ADSW2A M8ADSW3A M8ADSW4A
               IF SWFEHL = ZERO
                   MOVE -1   TO M8ADSW1L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW1 NOT = SPACE
             IF CA-ADRZ1 = SPACE
               MOVE DFHBMBRY TO M8ADSW1A M8ADRZ1A
               IF SWFEHL = ZERO
                   MOVE -1   TO M8ADSW1L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW2 NOT = SPACE
             IF CA-ADRZ2 = SPACE
               MOVE DFHBMBRY TO M8ADSW2A M8ADRZ2A
               IF SWFEHL = ZERO
                   MOVE -1   TO M8ADSW2L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW3 NOT = SPACE
             IF CA-ADRZ3 = SPACE
               MOVE DFHBMBRY TO M8ADSW3A M8ADRZ3A
               IF SWFEHL = ZERO
                   MOVE -1   TO M8ADSW3L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
           IF CA-ADRSW4 NOT = SPACE
             IF CA-ADRZ4 = SPACE
               MOVE DFHBMBRY TO M8ADSW4A M8ADRZ4A
               IF SWFEHL = ZERO
                   MOVE -1   TO M8ADSW4L
                   MOVE 03   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
       PL-530.
      *
      ********                       UNTERSTE ADR-ZEILE MUSS PLZ HABEN
      ********                       *********************************
           MOVE CA-ADRESSE TO T-ADRESSE.
           MOVE 5 TO I-1.
      *
       PL-540.
           IF I-1 < 2
               GO TO PL-550.
           IF T-ADRZ-EL (I-1) = SPACE
               SUBTRACT 1 FROM I-1
               GO TO PL-540.
           IF T-ADRZ-PLZ (I-1) NUMERIC
               GO TO PL-560.
      *
       PL-550.
           MOVE DFHBMBRY TO M8ADRZ1A M8ADRZ2A M8ADRZ3A M8ADRZ4A
                            M8ADRZ5A.
           IF SWFEHL = ZERO
               MOVE -1   TO M8ADRZ1L
               MOVE 1    TO SWFEHL
               MOVE 319  TO FEHL-NR CA-FEHLNR.
      *
       PL-560.
      *
      ********                       IHRE SACHBEARBEITER-TEXT
      ********                       ************************
           IF CA-SACHBT = SPACES
               MOVE DFHBMBRY TO M8SACHTA
               IF SWFEHL = ZERO
                   MOVE -1   TO M8SACHTL
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       SACHBEARBEITER PRUEFEN
      ********                       **********************
           IF  CA-SACHB1 = SPACES
           AND CA-SACHB2 = SPACES
               MOVE DFHBMBRY TO M8SACH1A M8SACH2A
               IF SWFEHL = ZERO
                   MOVE -1   TO M8SACH1L
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       ANREDE PRUEFEN
      ********                       **************
           IF CA-ANRED = SPACES
               MOVE DFHBMBRY TO M8ANREDA
               IF SWFEHL = ZERO
                   MOVE -1   TO M8ANREDL
                   MOVE 74   TO FEHL-NR CA-FEHLNR
                   MOVE 1    TO SWFEHL.
      *
      ********                       VERTRAGS-DATUM
      ********                       **************
           MOVE ZEROES        TO XM016-P1.
           MOVE ZEROES        TO XM016-P2.
           MOVE CA-LB-ERDAT   TO XM016-P3.
           MOVE K-XM016       TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3.
           PERFORM MODULE.
      *
           IF XM016-P2 NOT = ZERO
               MOVE  DFHBMBRY TO M8ERDATA
               IF SWFEHL = ZERO
                   MOVE  73       TO FEHL-NR   CA-FEHLNR
                   MOVE  -1       TO M8ERDATL
                   MOVE  1        TO SWFEHL    CA-SWFEHL
                   GO TO PL-590
               ELSE
                   GO TO PL-590.
      *
      ****                           TEST-DATUM = 'TTMMJJ    '
      ****                           ODER         'TTMMJJJJ  '
      ****                           ODER         'TT.MM.JJ  '
      ****                           ODER         'TT.MM.JJJJ'
      ****                           *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.
           MOVE CA-LB-ERDAT   TO Z-TESTDATUM.
      *
      ****                           TEST-DATUM = 'TTMMJJ    '
      ****                           *************************
           IF Z-TD-6OPF = SPACES
               MOVE Z-TD-6OPT TO Z-TT10
               MOVE Z-TD-6OPM TO Z-MM10
               MOVE Z-TD-6OPJ TO Z-JZ10
               IF   Z-TD-6OPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-580
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-580.
      *
      ****                           TEST-DATUM = 'TT.MM.JJJJ'
      ****                           *************************
           IF Z-TD-8MPJ NUMERIC
               MOVE Z-TD-8MPX TO Z-DATE10
               GO TO PL-580.
      *
      ****                           TEST-DATUM = 'TT.MM.JJ  '
      ****                           *************************
           IF  Z-TD-6MP1 = '.'
           AND Z-TD-6MP2 = '.'
               MOVE Z-TD-6MPT TO Z-TT10
               MOVE Z-TD-6MPM TO Z-MM10
               MOVE Z-TD-6MPJ TO Z-JZ10
               IF   Z-TD-6MPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-580
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-580.
      *
      ****                           ELSE
      ****                           TEST-DATUM = 'TTMMJJJJ  '
      ****                           *************************
           MOVE Z-TD-8OPT TO Z-TT10.
           MOVE Z-TD-8OPM TO Z-MM10.
           MOVE Z-TD-8OPJ TO Z-JJ10.
      *
       PL-580.
      *
           MOVE '.'      TO Z-P110   Z-P210.
           MOVE Z-DATE10 TO CA-LB-ERDAT.
      *
       PL-590.
      *
      ********                       DATUM LAEUFT AM .... AB
      ********                       ***********************
           IF CA-LB-MENDZ = ZEROES
               GO TO PL-620.
      *
           MOVE ZEROES        TO XM016-P1.
           MOVE ZEROES        TO XM016-P2.
           MOVE CA-LB-MENDZ   TO XM016-P3.
           MOVE K-XM016       TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3.
           PERFORM MODULE.
      *
           IF XM016-P2 NOT = ZERO
               MOVE  73       TO FEHL-NR   CA-FEHLNR
               MOVE  -1       TO M8MENDZL
               MOVE  DFHBMBRY TO M8MENDZA
               MOVE  1        TO SWFEHL    CA-SWFEHL
               GO TO PL-620.
      *
      ****                           TEST-DATUM = 'TTMMJJ    '
      ****                           ODER         'TTMMJJJJ  '
      ****                           ODER         'TT.MM.JJ  '
      ****                           ODER         'TT.MM.JJJJ'
      ****                           *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.
           MOVE CA-LB-MENDZ   TO Z-TESTDATUM.
      *
      ****                           TEST-DATUM = 'TTMMJJ    '
      ****                           *************************
           IF Z-TD-6OPF = SPACES
               MOVE Z-TD-6OPT TO Z-TT10
               MOVE Z-TD-6OPM TO Z-MM10
               MOVE Z-TD-6OPJ TO Z-JZ10
               IF   Z-TD-6OPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-610
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-610.
      *
      ****                           TEST-DATUM = 'TT.MM.JJJJ'
      ****                           *************************
           IF Z-TD-8MPJ NUMERIC
               MOVE Z-TD-8MPX TO Z-DATE10
               GO TO PL-610.
      *
      ****                           TEST-DATUM = 'TT.MM.JJ  '
      ****                           *************************
           IF  Z-TD-6MP1 = '.'
           AND Z-TD-6MP2 = '.'
               MOVE Z-TD-6MPT TO Z-TT10
               MOVE Z-TD-6MPM TO Z-MM10
               MOVE Z-TD-6MPJ TO Z-JZ10
               IF   Z-TD-6MPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-610
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-610.
      *
      ****                           ELSE
      ****                           TEST-DATUM = 'TTMMJJJJ  '
      ****                           *************************
           MOVE Z-TD-8OPT TO Z-TT10.
           MOVE Z-TD-8OPM TO Z-MM10.
           MOVE Z-TD-8OPJ TO Z-JJ10.
      *
       PL-610.
      *
           MOVE '.'      TO Z-P110   Z-P210.
           MOVE Z-DATE10 TO CA-LB-MENDZ.
      *
       PL-620.
      *
      ********                       DATUM IST AM .... ABGELAUFEN
      ********                       ****************************
           IF CA-LB-MENDV = SPACES
               GO TO PL-650.
      *
           MOVE ZEROES        TO XM016-P1.
           MOVE ZEROES        TO XM016-P2.
           MOVE CA-LB-MENDV   TO XM016-P3.
           MOVE K-XM016       TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 XM016-P1 XM016-P2 XM016-P3.
           PERFORM MODULE.
      *
           IF XM016-P2 NOT = ZERO
               MOVE  73       TO FEHL-NR   CA-FEHLNR
               MOVE  -1       TO M8MENDVL
               MOVE  DFHBMBRY TO M8MENDVA
               MOVE  1        TO SWFEHL    CA-SWFEHL
               GO TO PL-650.
      *
      ****                           TEST-DATUM = 'TTMMJJ    '
      ****                           ODER         'TTMMJJJJ  '
      ****                           ODER         'TT.MM.JJ  '
      ****                           ODER         'TT.MM.JJJJ'
      ****                           *************************
           MOVE SPACES        TO Z-TESTDATUM   Z-DATE10.
           MOVE CA-LB-MENDV   TO Z-TESTDATUM.
      *
      ****                           TEST-DATUM = 'TTMMJJ    '
      ****                           *************************
           IF Z-TD-6OPF = SPACES
               MOVE Z-TD-6OPT TO Z-TT10
               MOVE Z-TD-6OPM TO Z-MM10
               MOVE Z-TD-6OPJ TO Z-JZ10
               IF   Z-TD-6OPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-640
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-640.
      *
      ****                           TEST-DATUM = 'TT.MM.JJJJ'
      ****                           *************************
           IF Z-TD-8MPJ NUMERIC
               MOVE Z-TD-8MPX TO Z-DATE10
               GO TO PL-640.
      *
      ****                           TEST-DATUM = 'TT.MM.JJ  '
      ****                           *************************
           IF  Z-TD-6MP1 = '.'
           AND Z-TD-6MP2 = '.'
               MOVE Z-TD-6MPT TO Z-TT10
               MOVE Z-TD-6MPM TO Z-MM10
               MOVE Z-TD-6MPJ TO Z-JZ10
               IF   Z-TD-6MPJ > 80
                   MOVE    19 TO Z-JH10
                   GO TO PL-640
               ELSE
                   MOVE    20 TO Z-JH10
                   GO TO PL-640.
      *
      ****                           ELSE
      ****                           TEST-DATUM = 'TTMMJJJJ  '
      ****                           *************************
           MOVE Z-TD-8OPT TO Z-TT10.
           MOVE Z-TD-8OPM TO Z-MM10.
           MOVE Z-TD-8OPJ TO Z-JJ10.
      *
       PL-640.
      *
           MOVE '.'      TO Z-P110   Z-P210.
           MOVE Z-DATE10 TO CA-LB-MENDV.
      *
       PL-650.
      *
      ********                       OBJEKT-TEXT
      ********                       ***********
           IF CA-LB-OBJ = SPACES
               MOVE  DFHBMBRY TO M8OBJA
               IF SWFEHL = ZERO
                   MOVE -1    TO M8OBJL
                   MOVE 74    TO FEHL-NR CA-FEHLNR
                   MOVE 1     TO SWFEHL CA-SWFEHL.
      *
      ********                       UEBERNAHME-WERT
      ********                       ***************
           IF Z-UEBET = SPACE
               GO TO PL-660.
           MOVE DFHBMBRY TO M8UEBETA.
           IF SWFEHL = ZERO
               MOVE -1 TO M8UEBETL
               MOVE 52 TO FEHL-NR CA-FEHLNR
               MOVE 1  TO SWFEHL CA-SWFEHL.
      *
       PL-660.
      *                              ... IST OBLIGATORISCH
      ********                       *********************
           IF CA-LB-UEBET = ZERO
               MOVE DFHBMBRY TO M8UEBETA
               IF SWFEHL = ZERO
                   MOVE -1 TO M8UEBETL
                   MOVE 74 TO FEHL-NR CA-FEHLNR
                   MOVE 1  TO SWFEHL CA-SWFEHL.
      *
      ********                       KAUTION
      ********                       *******
           IF Z-KAUTI = SPACE
               GO TO PL-670.
           MOVE DFHBMBRY TO M8KAUTIA.
           IF SWFEHL = ZERO
               MOVE -1 TO M8KAUTIL
               MOVE 52 TO FEHL-NR CA-FEHLNR
               MOVE 1  TO SWFEHL CA-SWFEHL.
      *
       PL-670.
      *
      ********                       ZINSGUTSCHRIFT
      ********                       **************
           IF Z-ZGUT = SPACE
               GO TO PL-680.
           MOVE DFHBMBRY TO M8ZGUTA.
           IF SWFEHL = ZERO
               MOVE -1 TO M8ZGUTL
               MOVE 52 TO FEHL-NR CA-FEHLNR
               MOVE 1  TO SWFEHL CA-SWFEHL.
      *
       PL-680.
      *
      ********                       ANZAHL RATEN
      ********                       ************
           IF CA-LB-ANZRAX NOT NUMERIC
               MOVE DFHBMBRY TO M8ANZRAA
               IF SWFEHL = ZERO
                   MOVE -1  TO M8ANZRAL
                   MOVE 52  TO FEHL-NR CA-FEHLNR
                   MOVE 1   TO SWFEHL CA-SWFEHL.
      *
      ********                       RATENBETRAG
      ********                       ***********
           IF Z-RATE = SPACE
               GO TO PL-690.
           MOVE DFHBMBRY TO M8RATEA.
           IF SWFEHL = ZERO
               MOVE -1 TO M8RATEL
               MOVE 52 TO FEHL-NR CA-FEHLNR
               MOVE 1  TO SWFEHL CA-SWFEHL.
      *
       PL-690.
      *
           IF SWFEHL NOT = ZERO
               GO TO PL-999.
      *
      *
      ********
      ********                       ABHAENGIGKEITEN DER FELDER:
      ********                       ***************************
      *
       PL-800.
      *
      ********                       EIN ABLAUFDATUM OBLIGATORISCH
      ********                       *****************************
      *
           IF CA-LB-MENDV = ZEROES
            IF CA-LB-MENDZ = ZEROES
               MOVE  DFHBMBRY TO M8MENDZA M8MENDVA
               MOVE -1 TO M8MENDZL
               MOVE 74 TO FEHL-NR CA-FEHLNR
               MOVE 1  TO SWFEHL CA-SWFEHL
               GO TO PL-999.
      *
      ********                       UND WIRKLICH NUR EINES ....
      ********                       ***************************
      *
           IF CA-LB-MENDV NOT = ZEROES
            IF CA-LB-MENDZ NOT = ZEROES
               MOVE  DFHBMBRY TO M8MENDZA M8MENDVA
               MOVE -1 TO M8MENDZL
               MOVE 30 TO FEHL-NR CA-FEHLNR
               MOVE 1  TO SWFEHL CA-SWFEHL
               GO TO PL-999.
      *
      ********                       TAGESDATUM KOMPRIMIEREN
      ********                       ***********************
           MOVE K-XM278  TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 Z-DATE Z-CURRDATE.
           PERFORM MODULE.
      *
           MOVE K-XM005  TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 Z-DUMMY6 Z-CURR-BIN
                               Z-CURRDATE.
           PERFORM MODULE.
      *
      ********                       VERGANGENHEIT: NICHT > CURRENT-DATE
      ********                       ***********************************
           IF CA-LB-MENDV = SPACE
               GO TO PL-810.
      *
           MOVE K-XM005  TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 Z-DUMMY6 Z-MENDV-BIN
                               CA-LB-MENDV.
           PERFORM MODULE.
      *
           IF Z-MENDV-BIN > Z-CURR-BIN
               MOVE DFHBMBRY TO M8MENDVA
               IF SWFEHL = ZERO
                   MOVE -1 TO M8MENDVL
                   MOVE 03 TO FEHL-NR CA-FEHLNR
                   MOVE 1  TO SWFEHL CA-SWFEHL.
      *
       PL-810.
      *
      ********                       ZUKUNFT: > CURRENT-DATE
      ********                       ***********************
           IF CA-LB-MENDZ = ZEROES
               GO TO PL-820.
      *
           MOVE K-XM005  TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 Z-DUMMY6 Z-MENDZ-BIN
                               CA-LB-MENDZ.
           PERFORM MODULE.
      *
           IF Z-MENDZ-BIN NOT > Z-CURR-BIN
               MOVE DFHBMBRY TO M8MENDZA
               IF SWFEHL = ZERO
                   MOVE -1 TO M8MENDZL
                   MOVE 03 TO FEHL-NR CA-FEHLNR
                   MOVE 1  TO SWFEHL CA-SWFEHL.
      *
       PL-820.
      *
      ********                       ANZRA UND RATE BEIDE NULL ODER
      ********                       BEIDE NICHT NULL
      ********                       ******************************
      *
           IF CA-LB-ANZRA = ZERO
             IF CA-LB-RATE = ZERO
               GO TO PL-830.
      *
           IF CA-LB-ANZRA NOT = ZERO
             IF CA-LB-RATE NOT = ZERO
               GO TO PL-830.
      *
           MOVE 'Q'      TO M8ANZRAA.
           MOVE DFHBMBRY TO M8RATEA.
           MOVE -1 TO M8ANZRAL.
           MOVE 30 TO FEHL-NR CA-FEHLNR.
           MOVE 1  TO SWFEHL CA-SWFEHL.
           GO TO PL-999.
      *
       PL-830.
      *
      ********                       ZINSGUTSCHRIFT UND RATEN
      ********                       SCHLIESSEN SICH AUS
      ********                       ************************
           IF CA-LB-ZGUT NOT = ZERO
            IF CA-LB-RATE NOT = ZERO
               MOVE 'Q'      TO M8ANZRAA
               MOVE DFHBMBRY TO M8RATEA M8ZGUTA
               MOVE -1 TO M8ZGUTL
               MOVE 30 TO FEHL-NR CA-FEHLNR
               MOVE 1  TO SWFEHL CA-SWFEHL
               GO TO PL-999.
      *
      ********                       ADRESS-SWITCHERS + PF11 = FEHLER
      ********                       ********************************
           IF SWPF = 11
             IF CA-ADRESS-SWITCHES NOT = SPACE
               MOVE  DFHBMBRY TO M8ADSW1A M8ADSW2A M8ADSW3A M8ADSW4A
               IF SWFEHL = ZERO
                   MOVE  -1   TO M8ADSW1L
                   MOVE  1    TO FEHL-NR CA-FEHLNR
                   MOVE  1    TO SWFEHL CA-SWFEHL.
      *
      *
      **** ENDE PLAUSI DATEN
      *
       PL-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    VERARBEITUNG
      ******************************************************************
      *
       VERARB SECTION.
       VA-000.
      *
           IF CA-SCHRITT > ZERO
               GO TO VA-500.
      *
      *-------------------------------------------------------------
      ****                           V E R A R B   S C H R I T T   0
      *                              -------------------------------
      ****
           MOVE 1 TO CA-SCHRITT.
      *
      ********                       WARNMELDUNG AUSGEBEN, WENN ANZAHL
      ********                       RATEN NICHT AUFGEHT
      ********                       *********************************
           DIVIDE CA-LB-SALDO BY CA-LB-RATE GIVING CA-LB-ANZRA
                                            REMAINDER R-REST.
           IF R-REST NOT = ZERO
               MOVE 'Q'      TO M8ANZRAA
               MOVE DFHBMBRY TO M8RATEA
               MOVE -1       TO M8ANZRAL
               MOVE 349      TO FEHL-NR CA-FEHLNR
               MOVE 1        TO SWFEHL.
      *
           GO TO VA-999.
      *
      *-------------------------------------------------------------
      ****                           V E R A R B   S C H R I T T   1
      *                              -------------------------------
       VA-500.
      *
      ****       PERFORM DRUCKPROGRAMM, RETURN-CODE MIT QUITTUNG
      ****       AN BENUETZER ZURUECKGEBEN (NUR BEI PF11)
      *
           MOVE ZERO TO CA-FEHLNR.
      *
           IF CA-SACHB1 = SPACES
               MOVE CA-SACHB2 TO CA-SACHB1
               MOVE SPACE     TO CA-SACHB2.
      *
      ****                           ABSENDER-LEERZEILEN ELIMINIEREN
      ****                           *******************************
           MOVE SPACES  TO P1-XM314.
           MOVE CA-ABS1 TO P1-XM314-EL (1).
           MOVE CA-ABS2 TO P1-XM314-EL (2).
           MOVE CA-ABS3 TO P1-XM314-EL (3).
           MOVE CA-ABS4 TO P1-XM314-EL (4).
      *
           MOVE K-XM314 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM314 P2-XM314.
           PERFORM MODULE.
      *
           MOVE P1-XM314-EL (1) TO CA-ABS1.
           MOVE P1-XM314-EL (2) TO CA-ABS2.
           MOVE P1-XM314-EL (3) TO CA-ABS3.
           MOVE P1-XM314-EL (4) TO CA-ABS4.
      *
      *                              ADRESS-LEERZEILEN ELIMINIEREN
      *                              *****************************
           PERFORM ADRKOMPR.
      *
      *                              GEWUENSCHTE LEERZEILEN INSERTEN
      *                              *******************************
           IF CA-ADRESS-SWITCHES NOT = SPACE
               PERFORM ADRINSERT.
      *
      *
           IF SWPF NOT = 11
               MOVE -1 TO M8SACHTL
               GO TO VA-999.
      *
      *                              PF 11: AUSDRUCKEN
      *                              *****************
           PERFORM PRGLINK.
      *
           IF CA-FEHLNR = ZEROES
               MOVE 253 TO CA-FEHLNR.
      *
           MOVE -1 TO M8SACHTL.
           MOVE 1 TO SWFEHL.
           MOVE CA-FEHLNR TO FEHL-NR.
      *
      ****                           ENDE VERARBEITUNG DER DATEN
       VA-999.
           EXIT.
      *    EJECT
      ******************************************************************
      ******************************************************************
      *
      *    DIVERSE - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    FUELLEN COMMON-AREA
      ******************************************************************
      *
       CAFILL SECTION.
       CA-000.
      *
           IF M8PRIDL  > ZERO
               MOVE M8PRIDI  TO CA-PRINTER.
           IF M8PRIDF  = X80
               MOVE SPACES   TO CA-PRINTER.
      *
           IF M8CANL   > ZERO
               MOVE M8CANI   TO CA-SCHACHTX.
           IF M8CANF   = X80
               MOVE ZEROES   TO CA-SCHACHT.
      *
           IF M8ABS1L  > ZERO
               MOVE M8ABS1I  TO CA-ABS1.
           IF M8ABS1F  = X80
               MOVE SPACES   TO CA-ABS1.
      *
           IF M8ABS2L  > ZERO
               MOVE M8ABS2I  TO CA-ABS2.
           IF M8ABS2F  = X80
               MOVE SPACES   TO CA-ABS2.
      *
           IF M8ABS3L  > ZERO
               MOVE M8ABS3I  TO CA-ABS3.
           IF M8ABS3F  = X80
               MOVE SPACES   TO CA-ABS3.
      *
           IF M8ABS4L  > ZERO
               MOVE M8ABS4I  TO CA-ABS4.
           IF M8ABS4F  = X80
               MOVE SPACES   TO CA-ABS4.
      *
           IF M8ADRZ1L > ZERO
               MOVE M8ADRZ1I TO CA-ADRZ1.
           IF M8ADRZ1F = X80
               MOVE SPACES   TO CA-ADRZ1.
      *
           IF M8ADRZ2L > ZERO
               MOVE M8ADRZ2I TO CA-ADRZ2.
           IF M8ADRZ2F = X80
               MOVE SPACES   TO CA-ADRZ2.
      *
           IF M8ADRZ3L > ZERO
               MOVE M8ADRZ3I TO CA-ADRZ3.
           IF M8ADRZ3F = X80
               MOVE SPACES   TO CA-ADRZ3.
      *
           IF M8ADRZ4L > ZERO
               MOVE M8ADRZ4I TO CA-ADRZ4.
           IF M8ADRZ4F = X80
               MOVE SPACES   TO CA-ADRZ4.
      *
           IF M8ADRZ5L > ZERO
               MOVE M8ADRZ5I TO CA-ADRZ5.
           IF M8ADRZ5F = X80
               MOVE SPACES   TO CA-ADRZ5.
      *
           IF M8ADSW1L > ZERO
               MOVE M8ADSW1I TO CA-ADRSW1.
           IF M8ADSW1F = X80
               MOVE SPACES   TO CA-ADRSW1.
      *
           IF M8ADSW2L > ZERO
               MOVE M8ADSW2I TO CA-ADRSW2.
           IF M8ADSW2F = X80
               MOVE SPACES   TO CA-ADRSW2.
      *
           IF M8ADSW3L > ZERO
               MOVE M8ADSW3I TO CA-ADRSW3.
           IF M8ADSW3F = X80
               MOVE SPACES   TO CA-ADRSW3.
      *
           IF M8ADSW4L > ZERO
               MOVE M8ADSW4I TO CA-ADRSW4.
           IF M8ADSW4F = X80
               MOVE SPACES   TO CA-ADRSW4.
      *
           IF M8SACHTL > ZERO
               MOVE M8SACHTI TO CA-SACHBT.
           IF M8SACHTF = X80
               MOVE SPACES   TO CA-SACHBT.
      *
           IF M8SACH1L > ZERO
               MOVE M8SACH1I TO CA-SACHB1.
           IF M8SACH1F = X80
               MOVE SPACES   TO CA-SACHB1.
      *
           IF M8SACH2L > ZERO
               MOVE M8SACH2I TO CA-SACHB2.
           IF M8SACH2F = X80
               MOVE SPACES   TO CA-SACHB2.
      *
           IF M8ANREDL > ZERO
               MOVE M8ANREDI TO CA-ANRED.
           IF M8ANREDF = X80
               MOVE SPACES   TO CA-ANRED.
      *
           IF M8ERDATL > ZERO
               MOVE M8ERDATI TO CA-LB-ERDAT.
           IF M8ERDATF = X80
               MOVE ZEROES   TO CA-LB-ERDAT.
      *
           IF M8MENDZL > ZERO
               MOVE M8MENDZI TO CA-LB-MENDZ.
           IF M8MENDZF = X80
               MOVE ZEROES   TO CA-LB-MENDZ.
      *
           IF M8MENDVL > ZERO
               MOVE M8MENDVI TO CA-LB-MENDV.
           IF M8MENDVF = X80
               MOVE ZEROES   TO CA-LB-MENDV.
      *
           IF M8OBJL   > ZERO
               MOVE M8OBJI   TO CA-LB-OBJ.
           IF M8OBJF   = X80
               MOVE SPACES   TO CA-LB-OBJ.
      *
           IF M8UEBETL > ZERO
               MOVE K-XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 XM246-P1 M8UEBETI
                                  CA-LB-UEBET Z-UEBET
               PERFORM MODULE.
      *
           IF M8UEBETF = X80
               MOVE ZERO     TO CA-LB-UEBET
               MOVE SPACE    TO Z-UEBET.
      *
           IF M8KAUTIL > ZERO
               MOVE K-XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 XM246-P1 M8KAUTII
                                  CA-LB-KAUTI Z-KAUTI
               PERFORM MODULE.
      *
           IF M8KAUTIF = X80
               MOVE ZERO     TO CA-LB-KAUTI
               MOVE SPACE    TO Z-KAUTI.
      *
           IF M8ZGUTL  > ZERO
               MOVE K-XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 XM246-P1 M8ZGUTI
                                  CA-LB-ZGUT Z-ZGUT
               PERFORM MODULE.
      *
           IF M8ZGUTF  = X80
               MOVE ZERO     TO CA-LB-ZGUT
               MOVE SPACE    TO Z-ZGUT.
      *
           IF M8ANZRAL > ZERO
               MOVE M8ANZRAI TO CA-LB-ANZRA.
           IF M8ANZRAF = X80
               MOVE ZERO     TO CA-LB-ANZRA.
      *
           IF M8RATEL > ZERO
               MOVE K-XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 XM246-P1 M8RATEI
                                  R-RATE Z-RATE
               PERFORM MODULE
               MOVE R-RATE TO CA-LB-RATE.
      *
           IF M8RATEF = X80
               MOVE ZERO     TO CA-LB-RATE
               MOVE SPACE    TO Z-RATE.
      *
           IF M8FZ1L   > ZERO
               MOVE M8FZ1I   TO CA-FZ-1.
           IF M8FZ1F   = X80
               MOVE SPACES   TO CA-FZ-1.
      *
           IF M8FZ2L   > ZERO
               MOVE M8FZ2I   TO CA-FZ-2.
           IF M8FZ2F   = X80
               MOVE SPACES   TO CA-FZ-2.
      *
           IF M8FZ3L   > ZERO
               MOVE M8FZ3I   TO CA-FZ-3.
           IF M8FZ3F   = X80
               MOVE SPACES   TO CA-FZ-3.
      *
           IF M8XJUMPL > ZERO
               PERFORM XJUMP.
      *
       CA-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    FEHLERMELDUNG HOLEN (XM181)
      ******************************************************************
      *
       FEHLMELD SECTION.
       FM-000.
      *
           MOVE CA-SPR  TO FEHL-SPR.
WRAP  *    EXEC CICS LINK PROGRAM  ('XM181')
WRAP  *                   COMMAREA (XM181-P)
WRAP  *                   LENGTH   (XM181L)
WRAP  *    END-EXEC.
WRAP       CALL 'XM181' USING X-CICS-PARAMS
WRAP                                XM181-P
WRAP                                XM181L
WRAP       CONTINUE.
           MOVE FEHL-MELD TO M8MSGO.
           MOVE SPACES TO FEHL-VAR1 FEHL-VAR2 FEHL-VAR3
                          FEHL-VAR4 FEHL-VAR5 FEHL-VAR6.
      *
       FM-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    MODULE-AUFRUF-INTERFACE (P008)
      ******************************************************************
      *
       MODULE SECTION.
       MO-000.
      *
WRAP  *    EXEC CICS LINK PROGRAM  ('P008')
WRAP  *                   COMMAREA (P-P008)
WRAP  *                   LENGTH   (P-P008L)
WRAP  *    END-EXEC.
WRAP       CALL 'P008' USING X-CICS-PARAMS
WRAP                                P-P008
WRAP                                P-P008L
WRAP       CONTINUE.
      *
       MO-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    LINK-PROGRAMME AUFRUFEN
      ******************************************************************
      *
       PRGLINK  SECTION.
       PRG-000.
      *
WRAP  *    EXEC CICS LINK PROGRAM  ('DBRIP58')
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'DBRIP58' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
       PRG-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    UEBERTRAGEN CA --> SCREEN
      ******************************************************************
      *
      ****                           (INDIVIDUELLE VERARBEITUNG)
      *
       SCREENFILL SECTION.
       SC-000.
      *
           MOVE CA-RKDN1X   TO M8REF1O.
           MOVE CA-RKDN2X   TO M8REF2O.
           MOVE CA-VNRX     TO M8VNRO.
      *
           MOVE CA-PRINTER  TO M8PRIDO.
           MOVE CA-SCHACHT  TO M8CANO.
           MOVE CA-BRIEF    TO M8BRIEFO.
      *
           MOVE CA-ABS1     TO M8ABS1O.
           MOVE CA-ABS2     TO M8ABS2O.
           MOVE CA-ABS3     TO M8ABS3O.
           MOVE CA-ABS4     TO M8ABS4O.
      *
           MOVE CA-ADRZ1    TO M8ADRZ1O.
           MOVE CA-ADRZ2    TO M8ADRZ2O.
           MOVE CA-ADRZ3    TO M8ADRZ3O.
           MOVE CA-ADRZ4    TO M8ADRZ4O.
           MOVE CA-ADRZ5    TO M8ADRZ5O.
      *
           MOVE CA-ADRSW1   TO M8ADSW1O.
           MOVE CA-ADRSW2   TO M8ADSW2O.
           MOVE CA-ADRSW3   TO M8ADSW3O.
           MOVE CA-ADRSW4   TO M8ADSW4O.
      *
           MOVE CA-SACHBT   TO M8SACHTO.
           MOVE CA-SACHB1   TO M8SACH1O.
           MOVE CA-SACHB2   TO M8SACH2O.
      *
           MOVE CA-ANRED    TO M8ANREDO.
           MOVE CA-LB-ERDAT TO M8ERDATO.
           MOVE CA-LB-MENDZ TO M8MENDZO.
           MOVE CA-LB-MENDV TO M8MENDVO.
           MOVE CA-LB-OBJ   TO M8OBJO.
      *
           IF Z-UEBET = SPACES
              IF CA-LB-UEBET = ZEROES
                 MOVE SPACES TO M8UEBETO
              ELSE
                 MOVE CA-LB-UEBET TO MO-BETRA
                 MOVE MO-BETRAX TO M8UEBETO
           ELSE
              MOVE Z-UEBET TO M8UEBETO.
      *
           IF Z-KAUTI = SPACES
              IF CA-LB-KAUTI = ZEROES
                 MOVE SPACES TO M8KAUTIO
              ELSE
                 MOVE CA-LB-KAUTI TO MO-BETRA
                 MOVE MO-BETRAX TO M8KAUTIO
           ELSE
              MOVE Z-KAUTI TO M8KAUTIO.
      *
           IF Z-ZGUT = SPACES
              IF CA-LB-ZGUT = ZEROES
                 MOVE SPACES TO M8ZGUTO
              ELSE
                 MOVE CA-LB-ZGUT TO MO-BETRA
                 MOVE MO-BETRAX TO M8ZGUTO
           ELSE
              MOVE Z-ZGUT TO M8ZGUTO.
      *
           MOVE CA-LB-ANZRA TO M8ANZRAO.
      *
           IF Z-RATE = SPACES
              IF CA-LB-RATE = ZEROES
                 MOVE SPACES TO M8RATEO
              ELSE
                 MOVE CA-LB-RATE TO MO-BETRA
                 MOVE MO-BETRAX TO M8RATEO
           ELSE
              MOVE Z-RATE TO M8RATEO.
      *
           MOVE CA-FZ-1     TO M8FZ1O.
           MOVE CA-FZ-2     TO M8FZ2O.
           MOVE CA-FZ-3     TO M8FZ3O.
      *
       SC-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    IDENT-FELDER IN SCREEN FUELLEN
      ******************************************************************
      *
       SCRIDENT SECTION.
       SI-000.
      *
           MOVE EIBTRMID TO TID.
           MOVE EIBTIME  TO Z-TIME.
           MOVE K-XM278  TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 Z-DATE.
           PERFORM MODULE.
           MOVE TIMR1    TO HH.
           MOVE TIMR2    TO MI.
           MOVE TIMR3    TO SS.
           MOVE DATR0    TO TT   Z-DAT0.
           MOVE DATR1    TO MM   Z-DAT1.
           MOVE DATR2    TO YY   Z-DAT2.
           MOVE CA-KKZ   TO OPID.
           MOVE CA-BURO  TO GS.
           MOVE K-XM014A TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 CA-FIRMA FA.
           PERFORM MODULE.
           MOVE CA-TRANS TO TRANS.
           MOVE W-IDE    TO M8IDEO.
           MOVE W-IDA    TO M8IDAO.
      *
       SI-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    GEWUENSCHTE LEERZEILEN IN ADRESSE INSERTEN
      ******************************************************************
      *
       ADRINSERT SECTION.
       AI-000.
      *
           IF CA-ADRSW4 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE SPACE    TO CA-ADRZ4
             MOVE SPACE    TO CA-ADRSW4
             MOVE -1       TO M8ADRZ4L.
      *
           IF CA-ADRSW3 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE CA-ADRZ3 TO CA-ADRZ4
             MOVE SPACE    TO CA-ADRZ3
             MOVE SPACE    TO CA-ADRSW3
             MOVE -1       TO M8ADRZ3L.
      *
           IF CA-ADRSW2 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE CA-ADRZ3 TO CA-ADRZ4
             MOVE CA-ADRZ2 TO CA-ADRZ3
             MOVE SPACE    TO CA-ADRZ2
             MOVE SPACE    TO CA-ADRSW2
             MOVE -1       TO M8ADRZ2L.
      *
           IF CA-ADRSW1 NOT = SPACE
             MOVE CA-ADRZ4 TO CA-ADRZ5
             MOVE CA-ADRZ3 TO CA-ADRZ4
             MOVE CA-ADRZ2 TO CA-ADRZ3
             MOVE CA-ADRZ1 TO CA-ADRZ2
             MOVE SPACE    TO CA-ADRZ1
             MOVE SPACE    TO CA-ADRSW1
             MOVE -1       TO M8ADRZ1L.
      *
       AI-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    LEERZEILEN AUS ADRESSE ELIMINIEREN UND SWITCHERS MITSCHIEBEN
      ******************************************************************
      *
       ADRKOMPR SECTION.
       AK-000.
      *
           MOVE CA-ADRSW1 TO P1-XM314-ADRSW (1).
           MOVE CA-ADRZ1  TO P1-XM314-ADRZ (1).
           MOVE CA-ADRSW2 TO P1-XM314-ADRSW (2).
           MOVE CA-ADRZ2  TO P1-XM314-ADRZ (2).
           MOVE CA-ADRSW3 TO P1-XM314-ADRSW (3).
           MOVE CA-ADRZ3  TO P1-XM314-ADRZ (3).
           MOVE CA-ADRSW4 TO P1-XM314-ADRSW (4).
           MOVE CA-ADRZ4  TO P1-XM314-ADRZ (4).
           MOVE SPACE     TO P1-XM314-ADRSW (5).
           MOVE CA-ADRZ5  TO P1-XM314-ADRZ (5).
      *
           MOVE K-XM314 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM314 P2-XM314.
           PERFORM MODULE.
      *
           MOVE P1-XM314-ADRSW (1) TO CA-ADRSW1.
           MOVE P1-XM314-ADRZ (1)  TO CA-ADRZ1.
           MOVE P1-XM314-ADRSW (2) TO CA-ADRSW2.
           MOVE P1-XM314-ADRZ (2)  TO CA-ADRZ2.
           MOVE P1-XM314-ADRSW (3) TO CA-ADRSW3.
           MOVE P1-XM314-ADRZ (3)  TO CA-ADRZ3.
           MOVE P1-XM314-ADRSW (4) TO CA-ADRSW4.
           MOVE P1-XM314-ADRZ (4)  TO CA-ADRZ4.
           MOVE P1-XM314-ADRZ (5)  TO CA-ADRZ5.
      *
       AK-999.
           EXIT.
      *    EJECT
      ******************************************************************
      ******************************************************************
      *
      *    C I C S - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    SENDEN SCREEN
      ******************************************************************
      *
       SENDEN SECTION.
       SE-000.
      *
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
      *
           MOVE -1 TO M8SACHTL.
      *
           IF CA-SPR = 2
               GO TO SE-100.
      *
WRAP  *    EXEC CICS SEND MAP    ('DBRIM8D')
WRAP  *                   MAPSET ('DBRIS8')
WRAP  *                   FROM   (DBRIM8DO)
WRAP  *                   FREEKB
WRAP  *                   CURSOR
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DBRIM8D' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DBRIM8D ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DBRIM8DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
           GO TO SE-999.
      *
       SE-100.
WRAP  *    EXEC CICS SEND MAP    ('DBRIM8F')
WRAP  *                   MAPSET ('DBRIS8')
WRAP  *                   FROM   (DBRIM8DO)
WRAP  *                   FREEKB
WRAP  *                   CURSOR
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DBRIM8F' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DBRIM8F ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DBRIM8DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
      *
       SE-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    SENDEN SCREEN MIT FEHLERMELDUNG
      ******************************************************************
      *
       SENDFEHL SECTION.
       SF-000.
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
      *
           IF M8MSGO = LOW-VALUES
               MOVE 'ABER...ABER...PROGRAMMIERFEHLER' TO M8MSGO.
      *
           IF CA-SPR = 2
               GO TO SF-100.
      *
WRAP  *    EXEC CICS SEND MAP    ('DBRIM8D')
WRAP  *                   MAPSET ('DBRIS8')
WRAP  *                   FROM   (DBRIM8DO)
WRAP  *                   CURSOR
WRAP  *                   FREEKB
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DBRIM8D' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DBRIM8D ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DBRIM8DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
           GO TO SF-999.
      *
       SF-100.
WRAP  *    EXEC CICS SEND MAP    ('DBRIM8F')
WRAP  *                   MAPSET ('DBRIS8')
WRAP  *                   FROM   (DBRIM8DO)
WRAP  *                   CURSOR
WRAP  *                   FREEKB
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DBRIM8F' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DBRIM8F ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DBRIM8DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
      *
       SF-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    SCREEN EMPFANGEN
      ******************************************************************
      *
       RECEIVEN SECTION.
       RE-000.
      *
           MOVE LOW-VALUES TO DBRIM8DI.
           IF CA-SPR = 2
               GO TO RE-100.
WRAP  *    EXEC CICS RECEIVE MAP    ('DBRIM8D')
WRAP  *                      MAPSET ('DBRIS8')
WRAP  *                      INTO   (DBRIM8DI)
WRAP  *    END-EXEC.
WRAP       MOVE 'RD' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DBRIM8D' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DBRIM8D ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DBRIM8DI,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
WRAP       EVALUATE TRUE
WRAP         WHEN X-MAPFAIL
WRAP           GO TO VV-860
WRAP         WHEN X-PF1
WRAP           GO TO VV-710
WRAP         WHEN X-PF2
WRAP           GO TO VV-720
WRAP         WHEN X-PF3
WRAP           GO TO VV-730
WRAP         WHEN X-PF10
WRAP           GO TO VV-800
WRAP         WHEN X-PF11
WRAP           GO TO VV-810
WRAP         WHEN X-PF12
WRAP           GO TO VV-820
WRAP         WHEN X-CLEAR
WRAP           GO TO VV-840
WRAP         WHEN X-ANYKEY
WRAP           GO TO VV-850
WRAP       END-EVALUATE.
           GO TO RE-999.
      *
       RE-100.
WRAP  *    EXEC CICS RECEIVE MAP    ('DBRIM8F')
WRAP  *                      MAPSET ('DBRIS8')
WRAP  *                      INTO   (DBRIM8DI)
WRAP  *    END-EXEC.
WRAP       MOVE 'RD' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DBRIM8F' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DBRIM8F ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DBRIM8DI,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
WRAP       EVALUATE TRUE
WRAP         WHEN X-MAPFAIL
WRAP           GO TO VV-860
WRAP         WHEN X-PF1
WRAP           GO TO VV-710
WRAP         WHEN X-PF2
WRAP           GO TO VV-720
WRAP         WHEN X-PF3
WRAP           GO TO VV-730
WRAP         WHEN X-PF10
WRAP           GO TO VV-800
WRAP         WHEN X-PF11
WRAP           GO TO VV-810
WRAP         WHEN X-PF12
WRAP           GO TO VV-820
WRAP         WHEN X-CLEAR
WRAP           GO TO VV-840
WRAP         WHEN X-ANYKEY
WRAP           GO TO VV-850
WRAP       END-EVALUATE.
      *
       RE-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    PROGRAMM MIT RETURN TRANSID VERLASSEN
      ******************************************************************
      *
       TRANSID SECTION.
       TR-000.
WRAP  *    EXEC CICS RETURN TRANSID  (CA-TRANS)
WRAP  *                     COMMAREA (COMMAREA)
WRAP  *                     LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'RETURN' USING X-CICS-PARAMS
WRAP                                CA-TRANS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
       TR-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    PROGRAMM VERLASSEN
      ******************************************************************
      *
       XCTL SECTION.
       XC-000.
           MOVE 5        TO FEHL-NR   CA-FEHLNR.
           MOVE CA-TRANS TO FEHL-VAR1.
           PERFORM FEHLMELD.
WRAP  *    EXEC CICS SEND
WRAP  *              FROM   (M8MSGO)
WRAP  *              LENGTH (77)
WRAP  *              WAIT
WRAP  *              ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'dbrip08' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'dbrip08 ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             M8MSGO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
WRAP  *    EXEC CICS RETURN
WRAP  *    END-EXEC.
WRAP       CALL 'RETURN' USING X-CICS-PARAMS
WRAP       CONTINUE.
       XC-999.
           EXIT.
      *    EJECT
      *
      ******************************************************************
      *    CROSS-JUMPER AUFRUFEN
      ******************************************************************
      *
       XJUMP SECTION.
       XJ-000.
           MOVE M8XJUMPI  TO P1-XM229.
           MOVE K-XM229   TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM229 P2-XM229 P3-XM229.
           PERFORM MODULE.
           MOVE P1-XM229  TO CA-CIXJUMP.
           MOVE CA-SPR    TO XM179-SPRCD.
           MOVE CA-CIXACT TO XM179-TRANS.
      *
WRAP  *    EXEC CICS LINK PROGRAM  ('XM179')
WRAP  *                   COMMAREA (XM179-P)
WRAP  *                   LENGTH   (XM179L)
WRAP  *    END-EXEC.
WRAP       CALL 'XM179' USING X-CICS-PARAMS
WRAP                                XM179-P
WRAP                                XM179L
WRAP       CONTINUE.
      *
           IF XM179-TEXT = SPACES
               MOVE 25        TO FEHL-NR   CA-FEHLNR
               MOVE CA-CIXACT TO FEHL-VAR1
               MOVE DFHBMBRY  TO M8XJUMPA
               MOVE -1        TO M8XJUMPL
               MOVE 1         TO SWFEHL    CA-SWFEHL
               GO TO XJ-999.
      *
      ****                         BILDSCHIRM AUF GROSS UMSCHALTEN
      *
           MOVE ZERO    TO CA-SCHRITT.
           MOVE 'G'     TO P1-XM269.
           MOVE K-XM269 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM269.
           PERFORM MODULE.
      *
      ****                                           *** CONTISSIIMO ***
           IF CA-SWAC = 'C'
WRAP  *        EXEC CICS XCTL PROGRAM  ('D007')
WRAP  *                       COMMAREA (COMMAREA)
WRAP  *                       LENGTH   (1650)
WRAP  *        END-EXEC
WRAP       CALL 'D007' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                1650
      ****                                       *** AUFINA, UEBRIGE ***
             ELSE
WRAP  *        EXEC CICS XCTL PROGRAM  ('P007')
WRAP  *                       COMMAREA (COMMAREA)
WRAP  *                       LENGTH   (1650)
WRAP  *        END-EXEC.
WRAP       CALL 'P007' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                1650
WRAP       CONTINUE.
      *
       XJ-999.
           EXIT.
      ******************************************************************
      ****                                           ENDE SOURCE DBRIP08
      ******************************************************************
