/*      TEST STUB FOR  TRAM100  IMS  TRANSACTIONS        */

/* ----- standard Includes ------- */
#include <stdio.h>
#include <string.h>
/* ----- DVG Includes ------------ */
/* #include <tranin.h>     */
/* #include <tranout.h>    */
/* #include <dvg1in.h>     */
/* #include <dvg1out.h>    */
/* #include <logkopf.h>    */
/* intended for Host Test  */
/* #include <cvgifbib.h>   */
/* #include <cvgisys.h>    */
/* #include <cvgipvb.h>    */


/* ----- Function Prototypes ---------- */

/*  int CSTUB (char* Param);   */

int CSTUB_std(char* Param)


/* ----- Global Data for Link Test ------ */
/*  struct TRANIN_KOPF Test_Params;       */
    typedef struct  
       int  ils;
       int  ires;
       int  segnr;
       int  tls;
       char tvk;
       char tfnr;
       char trans9;
       char transx2;
       char innr4;
       char term4;
       char tart;
       char tkomp8;
       char wun;
       char steuer;
     TRANIN_TEST;

 /*----------------  main Program data ----------------------------*/
    int TestCase_Index = 0;
    static int TestCase_Nr = 3;
    int RetCode = 0;
    int I;
    char* Param_Char;

    TRANIN_TEST TestCase3 = 
    6,1,3,40,'A','1','TRANCODE1','T1','1111','TERM','1','KOMPONTE','1','A',
    6,1,3,40,'B','2','TRANCODE2','T2','2222','TERM','2','KOMPONTE','2','B',
    6,1,3,40,'C','3','TRANCODE3','T3','3333','TERM','3','KOMPONTE','3','C'
    ;

 /*----------------  check DVG Data Structures --------------------*/
    puts (" ------------------------------------------------------- ");
    puts (" ---------------------WrapTest Started ----------------- ");
    puts ("                                                         ");
    puts ("   Check current Interface Data Structures               ");
    puts ("                                                         ");
    puts("DVGTEST: TRANIN   is ok");  /* verify compilation */
    puts("DVGTEST: TRANOUT  is ok");  /* verify compilation */
    puts("DVGTEST: DVG1IN   is ok");  /* verify compilation */
    puts("DVGTEST: DVG1OUT  is ok");  /* verify compilation */
    puts("DVGTEST: LOGKOPF  is ok");  /* verify compilation */
    puts ("                                                         ");

 /*----------------  create TestCases for TRAM101 -----------------*/

    TestCase_Index = 1;
    Param = (char*)&TestCaseTestCase_Index;
    Param_Char = (char*)&TestCaseTestCase_Index;
 /*----------------  Kludge for character assigment ---------------*/
    switch (TestCase_Index) 
    case 0:
       strcpy (TestCaseTestCase_Index.trans,   "TRANCODE1");
       strcpy (TestCaseTestCase_Index.transx,  "T1");
       strcpy (TestCaseTestCase_Index.innr,    "1111");
       strcpy (TestCaseTestCase_Index.term,    "TERM");
       strcpy (TestCaseTestCase_Index.tkomp,   "KOMPONTE");
       break;
    case 1:
       strcpy (TestCaseTestCase_Index.trans,   "TRANCODE2");
       strcpy (TestCaseTestCase_Index.transx,  "T2");
       strcpy (TestCaseTestCase_Index.innr,    "2222");
       strcpy (TestCaseTestCase_Index.term,    "TERM");
       strcpy (TestCaseTestCase_Index.tkomp,   "KOMPONTE");
       break;
    case 2:
       strcpy (TestCaseTestCase_Index.trans,   "TRANCODE3");
       strcpy (TestCaseTestCase_Index.transx,  "T3");
       strcpy (TestCaseTestCase_Index.innr,    "3333");
       strcpy (TestCaseTestCase_Index.term,    "TERM");
       strcpy (TestCaseTestCase_Index.tkomp,   "KOMPONTE");
       break;
    default:
       break;
    ;
 /*----------------  call  TRAM103 with TRAMIN --------------------*/

    puts (" ------------------TestCase Started ----------------- ");
    puts   (" Param is: ");
    for (I = 0; I < 40; I++)
        putchar (Param_CharI);

    fflush(stdout);
    puts ("                                                      ");
    puts (" ------------------Control Returned ----------------- ");
    printf (" Return_Code: %0d", RetCode);
    puts ("                                                      ");
    puts (" ------------------TestCase Complete----------------- ");
    fflush(stdout);
    return 0;



  EXEC AMSTART
       LOGAK CSTUB     INST std
       ;
/************************ End of Source ***************************/
