         TITLE ' KV0226N - BESTABRECHNUNG '                             00010000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * *             00020000
*      DOKUMENTATION-ANFANG:                                            00030000
*      PROGRAMMKENNDATEN:                                               00040000
*      ARBEITSGEBIET:        VERBRAUCHSREBUEHREN ABRECHNUNG             00050000
*                                                                       00060000
*      VERFAHRENS-NAME:      VGA                                        00070000
*                                                                       00080000
*      PGM-NAME:             KV0226N                                    00090000
*                                                                       00100000
*      VERFAHRENS-TITEL:     VGA-ABRECHNUNG                             00110000
*                                                                       00120000
*      PGM-TITEL:            BESTABRECHNUNG                             00130000
*                                                                       00140000
*      AUTOR:                BLAY/GR.8                                  00150000
*                                                                       00160000
*      AUFTRAG:                                                         00160010
*      APL-NR.          DATUM        GRUND                              00160020
*      8----------------25-----------38----------------------------70   00160030
*      410 834 016 0618              BESTABRECHNUNG                     00160040
*                                    ERSTELLT/BLAY                      00160050
*      420 834 001 8596 V. 11.09.85  NEUE FREIMENGENREGELUNG            00160060
*                                    + ERWEITERUNG FREIM.-              00160070
*                                    BERECHNUNG                         00160080
*                                    ERWEITERT/KRAMER                   00160090
*      420 834 001 9549 V. 13.04.87  ERWEITERUNG BESTTABELLE            00160100
*                                    /KERSCHBAUMER                      00160110
*      437 834 001 0146 V. 11.10.91  BTO-NEU / HSL (F HOES0146)        00160120
*      436 834 001 0162 V. 14.01.92  ABSTURZ 0CB BECKER                 00160121
*      436 834 001 0165 V. 27.01.92  FEHLER WENN LIN-KOMP (HOES0165)    00160121
*      432 834 000 6666 V. 07.10.92  NEUE MAKRO WEGEN PLZ-6STELLIG      00160121
*                                    (HOES6666)                         00160121
*      436 834 000 0466 V. 23.08.94  NEUE MAKRO WEGEN MWST
*      A C H T U N G :  ABFRAGE T010F471 NACH INHALT 3 KANN AB          00160130
*                       1993 ENTFALLEN (GLEICHZEITIGE AENDERUNG VON     00160140
*                       V100600 UND V100500 NOTWENDIG)                  00160150
*                                                                       00180000
*      PVG-WALK-THROUGH:     BLAY,GAERBER(GR.8) GRAEB,NEUST.SAALE       00190000
*                                                                       00200000
*      ZUSTAENDIGKEIT:       BLAY/GR.8                                  00210000
*                                                                       00220000
*      BETRIEBSSYSTEM:       IBM/0S                                     00230000
*                                                                       00240000
*      UNTERPROGRAMM-AUFRUFE:    KV0212,KV0213,KV0202                   00250000
*                                                                       00260000
*      VORGABE-TYP:          MODUL                                      00270000
*                                                                       00280000
*      SPRACHE:              ASSEMBLER                                  00290000
*                                                                       00300000
*      BETRIEBSART:          STAPEL                                     00310000
*                                                                       00320000
*      PGM/MODUL-ART:        NOROOT                                     00330000
*                                                                       00340000
*      PGM/MODUL-UMWELT:     KV0203                                     00350000
*                                                                       00360000
*      KURZBESCHREIBUNG:     BEWERTEN DER STROM-GEB.SAETZE VOR          00370000
*                            DER ABRECHNUNG(ABSCHLAG)                   00380000
*                                                                       00390000
*      DATEN:                                                           00400000
*      DATEI-ID:             SYS030 (V100600)                           00410000
*                                                                       00420000
*      DATEI-BEZ.:           BESTTABELLEN (ALLE BEH.)                   00430000
*                                                                       00440000
*      DATEI-ART:            STAMMDATEI                                 00450000
*                                                                       00460000
*      DATEI-VERWENDUNG:     INPUT (LESEN)                              00470000
*                                                                       00480000
*      WEG:                  1                                          00490000
*                                                                       00500000
*      SORT:                 1. BEHOERDENNR. (1,5)                      00510000
*                            2. TAB.KZ       (6,1)                      00520000
*                            3. TAB.KZ       (7,3)                      00530000
*                                                                       00540000
*      ORDNUNGSBEGRIFF:BEHOERDENNR.                                     00550000
*                                                                       00560000
*      BLOCKUNG:             7500 (1.FACH)                              00570000
*                                                                       00580000
*      SPEICHERUNGSFORM:     SEQUENTIELL                                00590000
*                                                                       00600000
*      SATZ-FORM:            FIX                                        00610000
*                                                                       00620000
*      SATZART-FELD:         TAB.KZ                                     00630000
*                                                                       00640000
*      SATZ-ID:              SYS030 (V100600)                           00650000
*                                                                       00660000
*      SATZ-BEZ.:            BESTTAB-SATZ                               00670000
*                                                                       00680000
*      SATZ-ART:             1 (STROM)                                  00690000
*                                                                       00700000
*      SATZ-LAENGE:          7500(F)                                    00710000
*                                                                       00720000
*      SATZ-HAEUFIGKEIT:     N (JE TARIF-MOEGLICHKEIT)                  00730000
*                                                                       00740000
*      SATZ-AUFBAU:          DATENBASIS IM PROG.DEF.                    00750000
*                                                                       00760000
*      DRUCK-ID:             KV0202                                     00770000
*                                                                       00780000
*      DRUCK-BEZ.:           EINGABE UND PRUEFLISTE                     00790000
*                                                                       00800000
*      FEHLERTEXTE:          IM PROG.DEF.                               00810000
*                                                                       00820000
*                                                                       00830000
*      AUFGABENBESCHREIBUNG:                                            00840000
*                                                                       00850000
*      VERARBEITUNG:        SIEHE ABLAUFDIAGRAMM                        00860000
*                                                                       00870000
*      UNTERPROGRAMME:                                                  00880000
*      UP-1:                ERMITTELN SUMMEN ALLER GEB.SAETZE           00890000
*                           UND ALLER TARIFE (1,2,3)                    00900000
*                                                                       00910000
*      UP-2:                ERMITTELN BESTEN TARIF UND EVTL.            00920000
*                           NEU ZUORDNEN                                00930000
*                                                                       00940000
*      PROGRAMMAUFBAU:                                                  00950000
*      PROGRAMM-STRUKTUR:   VORPROGR.,HAUPTPROGR.,UNTERPROGR.,          00960000
*                           DEFINITIONEN,DESECT                         00970000
*                                                                       00980000
*      MAKROS:              YVDS          (EXTERN)                      00990000
*                                                                       01000000
*      DSECT:               ARB,T010,T025 (EXTERN)                      01010000
*                           BTF,BESTSA    (INTERN)                      01020000
*                                                                       01030000
*      REGISTER:            R3 = ARB                                    01040000
*                           R4 = T010                                   01050000
*                           R5 = T025                                   01060000
*                           R6 = BESTSA                                 01070000
*                           R7 = BTF(TARLFE)                            01080000
*                           R8 = ALLGEMEIN                              01090000
*                           R9 = REFTA 1-3                              01100000
*                           R10= ADR IN SAV T025                        01110000
*                                                                       01120000
*      TEST:                                                            01130000
*      TEST-HINWEISE:       PROGR. IST IMMER IM V100600 GEBUNDEN        01140000
*                                                                       01150000
*      TEST-VERFAHREN:      MIT TEST-PROZ. V99L0020                     01160000
*                                                                       01170000
*      TEST-DATEN:          VDAT03 (COPYLIB)                            01180000
*                                                                       01190000
*      BEDIENUNG:                                                       01200000
*      PARAMETER:           R1 (ARB)                                    01210000
*                                                                       01220000
*      DOKUMENTATION-ENDE:                                              01230000
         EJECT                                                          01240000
*                          __________                                   01250000
*                         ! TARIF    !                                  01260000
*                         !(Z.B. EH1)!                                  01270000
*                         !__________!                                  01280000
*                           /   !   !                                   01290000
*                         /     !     !                                 01300000
*                       /       !       !                               01310000
*                     /         !         !                             01320000
*                   /           !           !                           01330000
*            __________    __________    __________                     01340000
*           ! 1.GEB.   !  ! 2.GEB.   !  ! 3.GEB.   !                    01350000
*           !   SATZ   !  !   SATZ   !  !   SATZ   !                    01360000
*           !__________!  !__________!  !__________!                    01370000
*             /   !   !        !              !                         01380000
*           /     !     !    S.1.GEB.    SIEHE 1.GEB.                   01390000
*         /       !       !      SATZ        SATZ                       01400000
*       /         !         !                                           01410000
*     /           !           !                                         01420000
* __________    __________    __________                                01430000
*! 1.BEM.   !  ! 2.BEM.   !  ! 3.BEM.   !                               01440000
*!   ZAHL   !  !   ZAHL   !  !   ZAHL   !                               01450000
*!__________!  !__________!  !__________!                               01460000
*     !             !         /   !   !                                 01470000
* SIEHE 3.BEM.  S.3.BEM.    /     !     !                               01480000
*     ZAHL       ZAHL     /       !       !                             01490000
*                       /         !         !                           01500000
*                     /           !           !                         01510000
*              __________    __________    __________                   01520000
*             ! TARIF I  !  ! TARIF II !  ! TARIF KL.!                  01530000
*             ! BERECHNEN!  ! BERECHNEN!  ! BERECHNEN!                  01540000
*             !__________!  !__________!  !__________!                  01550000
*                                                                       01560000
*______________________________________________________________________ 01570000
*               !  !  /        !  !  /      !  !  /                     01580000
*                ! ! /          ! ! /        ! ! /                      01590000
*                 !!/            !!/          !!/                       01600000
*              ____!_____    _____!____    ____!_____                   01610000
*             ! ALLE BER.!  ! ALLE BER.!  ! ALLE BER.!                  01620000
*             ! TARIFE I !  ! TARIFE II!  ! TARIFE KL!                  01630000
*             !__________!  !__________!  !__________!                  01640000
*                  !              !              !                      01650000
*                    !            !            !                        01660000
*                      !          !          !                          01670000
*                        !        !        !                            01680000
*                          !      !      !                              01690000
*                            !    !    !                                01700000
*                              !  !  !                                  01710000
*                                !!!                                    01720000
*                           ______!_____                                01730000
*                          ! ERMITTELN  !                               01740000
*                          ! BEST.TARIF !                               01750000
*                          ! EVTL.LIN.KO!                               01760000
*                          !____________!                               01770000
*                                 !                                     01780000
*                                 !                                     01790000
*                           ______!_____                                01800000
*                          ! AENDERN    !                               01810000
*                          ! ALLE GEB.S.!                               01820000
*                          ! NACH BEST.T!                               01830000
*                          !____________!                               01840000
         EJECT                                                          01850000
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *   01860000
*        REGISTER:                                                      01870000
*                                                                       01880000
*        R3 = ARB                                                       01890000
*        R4 = T010                                                      01900000
*        R5 = T025                                                      01910000
*        R6 = BESTSA1                                                   01920000
*        R7 = BTF(TARLFE)                                               01930000
*        R8 = ALLGEMEIN                                                 01940000
*        R9 = REFTA1-3                                                  01950000
*        R10 =ADR IN SAVT025                                            01960000
         SPACE                                                          01970000
* IM FELD  T 0 2 5 F 3 6  SIND FOLGENDE KENNUNGEN GESETZT :             01980000
*                                                                       01990000
*          B = KEINE BESTABRECHNUNG                                     02000000
*          L = KEINE LIN.KOMPO.                                         02010000
*            = KEINE KENNUNG                                            02020000
*                                                                       02030000
* BEIDE KENNUNGEN MUESSEN ERHALTEN BLEIBEN (AUCH NACH BESTABRECHNG.)    02040000
*---------------------------------------------------------------------- 02050000
*                                                                       02060000
* INTERN WIRD DAS FELD FUER WEITERE KENNUNGEN BENUTZT. DIESE KENNUNGEN  02070000
* WERDEN WAEHREND UND NACH DER BESTABR. GELOESCHT ODER UMGESETZ.        02080000
* ES GIBT FOLGENDE MOEGLICHKEITEN :                                     02090000
*                                                                       02100000
*  1.  B = BLEIBT VOR, WAEHREN UND NACH BESTABR. UNVERAENDERT.          02110000
*                                                                       02120000
*  2.  BESTABRECHNUNG MIT LIN.KOMPO.                                    02130000
*---------------------------------------------------------------------- 02140000
*                                                                       02150000
*      GESETZT WIRD, WENN T025F36 = LEER IST :                          02160000
*                                                                       02170000
*  A = TARIF WURDE IN BESTTAB. GEFUNDEN UND DIE BESTABR. DURCH-         02180000
*      GEFUEHRT. WIRD BEIM ERMITTELN DES BESTEN TARIFES KEIN TARIF-     02190000
*      WECHSEL FESTGESTELLT (ALT=NEU) ODER IST KEIN GRUND-/VERBRAUCHS-  02200000
*      PREIS VORHANDEN, SO WIRD DIE KENNUNG IN 'C' (KEIN BETRAG ODER    02210000
*      WECHSEL) UMGESETZT.                                              02220000
*                                                                       02230000
*  C = TARIF WURDE IN BESTTAB. NICHT GEFUNDEN (FEHLER), KENNUNG 'A'     02240000
*      WIRD IN 'C' UMGESETZT.                                           02250000
*                                                                       02260000
*  E = BESTABR. WURDE FEHLERFREI DURCHGEFUEHRT UND TARIFWECHSEL         02270000
*      ERKANNT. KENNUNG 'A' WIRD IN 'E' UMGESETZT.                      02280000
*                                                                       02290000
*                                                                       02300000
*                                                                       02310000
*  3.  BESTABRECHNUNG OHNE LIN.KOMPO.                                   02320000
*---------------------------------------------------------------------- 02330000
*                                                                       02340000
*      GESETZT WIRD, WENN T025F36 = L IST :                             02350000
*                                                                       02360000
*  D = TARIF WURDE IN BESTTAB. GEFUNDEN UND DIE BESTABR. DURCH-         02370000
*      GEFUEHRT. WIRD BEIM ERMITTELN DES BESTEN TARIFES KEIN TARIF-     02380000
*      WECHSEL FESTGESTELLT (ALT=NEU) ODER IST KEIN GRUND-/VERBRAUCHS-  02390000
*      PREIS VORHANDEN, SO WIRD DIE KENNUNG IN 'G' (KEIN BETRAG ODER    02400000
*      WECHSEL) UMGESETZT.                                              02410000
*                                                                       02420000
*  G = TARIF WURDE IN BESTTAB. NICHT GEFUNDEN (FEHLER), KENNUNG 'D'     02430000
*      WIRD IN 'G' UMGESETZT.                                           02440000
*                                                                       02450000
*  F = BESTABR. WURDE FEHLERFREI DURCHGEFUEHRT UND TARIFWECHSEL         02460000
*      ERKANNT. KENNUNG 'D' WIRD IN 'F' UMGESETZT.                      02470000
*                                                                       02480000
*                                                                       02490000
*                                                                       02500000
         EJECT                                                          02510000
         PRINT NOGEN                                                    02520000
KV0226N  ZSTRT BASIS=R11,REGS=2                                         02530000
         L     R3,0(R1)                                                 02540000
         USING ARB,R3                                                   02550000
         L     R10,SAVA            SAVE-BEREICH T025                    02560000
         L     R5,WT025A                                                02570000
         USING T025F01,R5                                               02580000
         L     R4,WT010A                                                02610100
         USING T010F01,R4                                               02610200
         CLC   T010F01,SBEH         NEUE  BEH.                          02610300
         BE    Z2261                                                    02620000
         MVC   SBEH,T010F01                                             02630000
         BAL   R14,Z226U1           EINLESEN BEST-TAB                   02640000
         CLI   T010F471,C'1'        NOCH BEST-ABR ?   HOES0146          02650000
         BE    Z2261                JA                HOES0146          02660000
         CLI   T010F471,C'3'        NOCH BEST-ABR ?   HOES0146          02660001
         BE    Z2261                JA                HOES0146          02660010
         B     Z22692               NEIN              HOES0146          02660100
         SPACE                                                          02670000
Z2261    DS    0H                                                       02680000
         SPACE                                                          02690000
         CLI   T025F021,C'E'        STROM                               02700000
         BNE   Z2269                ENDE,KEINE STROM GEB.SAETZE         02710000
         CLI   T025F86,C'3'         VERARB.KZ= ABR                      02720000
         BNE   Z2268                ERH.UM 1 GEB.SATZ                   02730000
         CLI   T025F36,C'D'         BESTABR. GEB.SATZ GEWUENSCHT        02740000
         BNE   Z2263                ABER KEIN TARIFWECHSEL              02750000
*        MVC   FEHLTEXT(L'Z22FEHL8),Z22FEHL8                            02760000
*        MVC   FEHLTEXT+L'Z22FEHL8-4(L'T025F03),T025F03                 02770000
*        BAL   R14,Z22PROT                                              02780000
         MVI   T025F36,C'G'                                             02790000
         B     Z2268                JA                                  02800000
Z2263    DS    0H                                                       02810000
         CLI   T025F36,C'A'         BESTABR. GEB.SATZ GEWUENSCHT,       02820000
         BNE   Z2262                ABER KEIN VERBR.- + GRUNDPREIS,     02830000
*        MVC   FEHLTEXT(L'Z22FEHL8),Z22FEHL8  ODER KEIN TARIFWECHSEL    02840000
*        MVC   FEHLTEXT+L'Z22FEHL8-4(L'T025F03),T025F03                 02850000
*        BAL   R14,Z22PROT                                              02860000
         MVI   T025F36,C'C'                                             02870000
         B     Z2268                JA                                  02880000
Z2262    DS    0H                                                       02890000
         CLI   T025F36,C'B'         KEINE BESTABR.                      02900000
         BE    Z2268                JA                                  02910000
         CLI   T025F36,C'E'         WURDE BEREITS BESTABGER.            02920000
         BE    Z2268                JA                                  02930000
         CLI   T025F36,C'C'         KEINE BESTABR. DA FEHLER            02940000
         BE    Z2268                JA                                  02950000
         CLI   T025F36,C'F'         ABGERECHNET OHNE LIN.KOMPO.         02960000
         BE    Z2268                JA                                  02970000
         CLI   T025F36,C'G'         KEINE BESTABR. OHNE LIN.KOMPO.      02980000
         BE    Z2268                JA                                  02990000
         SPACE                                                          03000000
* LOESCHEN  FELDER PRO TARIF (ALLE GEB.SAETZE) *                        03010000
         XC    GEBA1,GEBA1                                              03020000
         XC    GEBA2,GEBA2                                              03030000
         MVI   ZUSCHL1,C' '                                             03040000
         MVI   KZLIN0,C' '                                              03050000
         MVC   ZUSCHL1+1(L'BZAEHL1-1),ZUSCHL1                           03060000
         ZAP   KZZUS,KP0                                                03070000
         ZAP   ZUBEL,KP0                                                03080000
         ZAP   REFTA1,KP0                                               03090000
         ZAP   REFTA2,KP0                                               03100000
         ZAP   REFTA3,KP0                                               03110000
         ZAP   REFTA4,KP0                                               03120000
         ZAP   REFLI,KP0                                                03130000
         ZAP   KZTAA,KP0                                                03140000
         ZAP   KZTAN,KP0                                                03150000
         ZAP   SMENG,KP0                                                03160000
         ZAP   LMENG,KP0                                                03170000
         XC    KZLK,KZLK                                                03180000
         XC    KZBM,KZBM                                                03190000
         ZAP   RF1,KP0                                                  03200000
         ZAP   SPREI,KP0                                                03210000
         XC    BKZE,BKZE                                                03220000
         SPACE                                                          03230000
         BAL   R14,Z226U2           ERMITTELN SUM ALLER TARIFE          03240000
         BAL   R14,Z226U3          UP VEGL. 3 TARIFE                    03250000
         L     R5,WT025A                                                03260000
         L     R10,SAVA                                                 03270000
         B     Z22681                                                   03280000
Z2268    DS    0H                                                       03290000
         A     R5,WLT025                                                03300000
         A     R10,WLT025                                               03310000
Z22681   DS    0H                                                       03320000
         C     R5,WT025                                                 03330000
         BNL   Z2269                                                    03340000
Z2267    DS    0H                                                       03350000
         B     Z2261                                                    03360000
Z2269    DS    0H                                                       03370000
         SPACE                                                          03380000
** LOESCHUNG ALLER INTERNEN KENNUNGEN (T035F36)                         03390000
         L     R5,WT025A                                                03400000
Z22693   DS    0H                                                       03410000
         CLI   T025F021,C'E'               STROM ?                      03420000
         BNE   Z22692                      NEIN                         03430000
         CLI   T025F36,C'B'                KEINE BESTABR. ?             03440000
         BE    Z22691                      JA                           03450000
         CLI   T025F86,C'3'                ABGERECHNET ?                03460000
         BNE   Z22691                      NEIN                         03470000
         AP    WACC3,KP1                   ZAEHLEN SAETZE F.ACCOUNT     03480000
         CLI   T025F36,C'G'                KEINE BESTABR. ?             03490000
         BE    Z22696                      JA                           03500000
         CLI   T025F36,C'F'                KEINE LIN.KOMPO. ?           03510000
         BNE   Z22694                      NEIN                         03520000
Z22696   DS    0H                                                       03530000
         MVI   T025F36,C'L'                KEINE LIN.KOMPO.             03540000
         B     Z22691                                                   03550000
Z22694   DS    0H                                                       03560000
         XC    T025F36,T025F36             LOESCHEN INT.KZ.             03570000
Z22691   DS    0H                                                       03580000
         A     R5,WLT025                                                03590000
         C     R5,WT025                                                 03600000
         BNL   Z22692                                                   03610000
         B     Z22693                                                   03620000
Z22692   DS    0H                                                       03630000
         ZEND                                                           03640000
         EJECT                                                          03650000
* E I N L E S E N  D E R   B E S T - T A B                              03660000
         DS    F                                                        03670000
Z226U1   ST    R14,Z226U1-4                                             03680000
         PACK  RF1,T010F01                                              03690000
         MP    RF1,KP10                                                 03700000
         MVC   BHNR,RF1+L'RF1-L'BHNR-1                                  03710000
         ZGKY  SYS030,BQU,WRAB,BHNR,BHNR                                03720000
         CLI   BQU,C'0'                                                 03730000
         BE    Z226U12             VORHANDEN                            03740000
         XC    T010F471,T010F471        LOESCHEN KZ-BEST                03750000
         MVC   FEHLTEXT(L'Z22FEHL0),Z22FEHL0                            03760000
         BAL   R14,Z22PROT                                              03770000
         MVI   BKZE,C'1'                KZ=KEINE BESTABR                03780000
         B     Z226U19                                                  03790000
Z226U12  DS    0H                                                       03800000
         L     R14,WRAB                                                 03810000
         A     R14,LBST                                                 03820000
         ST    R14,WREB                                                 03830000
Z226U19  DS    0H                                                       03840000
         L     R14,Z226U1-4                                             03850000
         BR    R14                                                      03860000
         EJECT                                                          03870000
* E R M I T T E L N   S U M M E N    A L L E R  G E B . S A E T Z E     03880000
* ( P R O   T A R I F )                                                 03890000
         DS    F                                                        03900000
Z226U2   ST    R14,Z226U2-4                                             03910000
         L     R6,WRAB                                                  03920000
         USING BESTSA,R6           TABELLE BEST-ABR.                    03930000
         LA    R7,BZAEHL1                                               03940000
         USING BTF,R7              TARIF                                03950000
         L     R15,SAVA                                                 03960000
         L     R14,WT025A                                               03970000
         ZMVCL R15,SAV,R14             SICHERN  T025                    03980000
         B     Z226U254                                                 03990000
         SPACE                                                          04000000
* BERECHNEN DER 1.BEMESSUNGSZAHL(TARIF I - KLEINSTVERBRAUCHER)          04010000
*                                                                       04020000
Z226U253 DS    0H                                                       04030000
         BAL   R14,Z22T025      ZURUECKUEBERTRAGEN BEM. ZAHL 1 T025     04030010
Z226U254 DS    0H                                                       04080000
         MVI   SBEMZ1,C' '                                              04090100
         MVI   SBEMZ2,C' '                                              04100000
         MVI   SBEMZ3,C' '                                              04110000
         MVI   KZLIN1,C' '                                              04120000
         MVI   KZLIN2,C' '                                              04130000
         MVI   KZLIN3,C' '                                              04140000
         ZAP   KZTAA1,KP0                                               04150000
         ZAP   KZTAA2,KP0                                               04160000
         ZAP   KZTAA3,KP0                                               04170000
         L     R6,WRAB                                                  04180000
         CLI   T025F27,X'00'               ZEILEN NR. BELEGT?           04190000
         BE    Z226U25                     NEIN                         04200000
         LA    R15,0                                                    04210000
         LA    R7,L'BESTSA1                                             04220000
         IC    R15,T025F27                 ZEILEN NR.                   04230000
         BCTR  R15,0                                                    04240000
         MR    R14,R7                                                   04250000
         AR    R6,R15                                                   04260000
         B     Z226U251                                                 04270000
Z226U25  DS    0H                                                       04280000
         C     R6,WREB                                                  04290000
         BNL   Z226U26                                                  04300000
         CP    T025F042,KP0                ANZ. BELEGT ?                04310000
         BNE   Z226U252                    JA                           04320000
         DROP  R5                                                       04330000
         USING T025F01,R10                 SAVE-BEREICH                 04340000
         XC    T025F041,T025F041           LOESCHEN ZEI.NR. BEM.ZAHL    04350000
         XC    T025F27,T025F27             LOESCHEN ZEI.NR. BEM.ZAHL    04360000
         DROP  R10                                                      04370000
         USING T025F01,R5                  BEST-BEREICH                 04380000
         B     Z226U26                     NEIN                         04390000
Z226U252 DS    0H                                                       04400000
         CLC   BZAEHL1(L'BZAEHL1),LEER     ZEILE IN BESTAB NICHT BELEGT 04410000
         BE    Z226U28                                                  04420000
Z226U251 DS    0H                                                       04430000
         LA    R7,BZAEHL1                                               04440000
         MVC   BT025+3(1),T025F041        UEBERTRAGEN                   04450000
         MVC   BT025+4(1),T025F08                                       04460000
         MVC   BT025+5(2),T025F40       AUS T025  FUER                  04470000
         MVC   BT025(3),T025F03         1.GEB.SATZ                      04480000
         MVC   GEBA1,T025F03            SICHERN TARIF SCHLUESSEL        04490000
         LA    R14,4                    TARIF SUCHEN (AUCH LIN.KOMPO)   04500000
Z226U27  DS    0H                                                       04510000
         ST    R14,SR14                                                 04520000
         CLC   BTF00,BT025              BEST=T025                       04530000
         BNE   Z226U24                                                  04540000
         MVC   KZLIN1,BLIKZ             LIN.KOMPO.1.BEMZ.               04550000
         AP    KZTAA1,KP1               KZ TARIF ALT (1.BEMZ.)          04560000
         LA    R7,BZAEHL1                                               04570000
         ST    R7,SBANF                 1. TARIF /1.GEB.SATZ            04580000
         LA    R9,REFTA1                RECHF. TARIF I                  04590000
         LA    R14,3                   3 TARIFE                         04600000
         ZAP   WACC1,KP1               FUER SAVE UNTERZ.TAB.            04610000
Z226U21  DS    0H                                                       04620000
         ST    R14,SR14                                                 04630000
         XC    T025F07,T025F07         MESSPREIS NICHT FUER BEST        04640000
         XC    T025F051,T025F051       LOESCHEN                         04650000
         XC    T025F061,T025F061       LOESCHEN                         04660000
         MVC   T025F08,BTF04           PR.EINH.                         04670000
         MVC   T025F041,BTF01          UEBERTR. FUER                    04680000
         SPACE                                                          04690000
         CLI   T025F08,0               PREIS/EINHEIT ?                  04700000
         BE    Z226U215                                                 04710000
         CLI   T025F023,240            HAUPTZAEHLER ?                   04720000
         BE    Z226U219                JA                               04730000
         ZAP   WACC2,KP0               NEIN UNTERZAEHLER                04740000
         B     Z226U220                                                 04750000
Z226U219 DS    0H                                                       04760000
         AP    WACC2,KP1               FUER SAVE UNTERZ.TAB.(ALLE 3     04770000
Z226U220 DS    0H                      TARIFE VERBR.UZ.ABZIEHEN)        04780000
         MVI   QHI,C' '                FUER   KV0213                    04790000
         ST    R5,AFUEB                FUER   KV0213                    04800000
         ZCALL KV0213,/ARB             VERBRPR. ERMITTELN               04810000
         AP    0(L'REFTA1,R9),T025F72  VERBRAUSPREIS                    04820100
         ZAP   WACC1,KP0               FUER SAVE UNTERZ.TAB.            04830000
Z226U212 DS    0H                                                       04840000
         C     R7,SBANF                TARIF I                          04850000
         BH    Z226U217                NEIN                             04860000
         DROP  R5                                                       04870000
         USING T025F01,R10              SAVE T025                       04880000
         CLI   T025F36,C'L'             LIN.KOMPO.? (KEINE)             04890000
         BE    Z226U217                 JA                              04900000
         DROP  R10                                                      04910000
         USING T025F01,R5                                               04920000
         AP    REFTA4,T025F72          BETRAG VERBR. FUER DURCHSCH.     04930000
Z226U217 DS    0H                                                       04940000
         LA    R15,2                   2.TARIF                          04950000
         C     R15,SR14                BRECHNUNG ?                      04960000
         BNE   Z226U215                                                 04970000
         ZAP   PREIST2,T025F61         PREIS         HOES0165           05050410
         MP    PREIST2,KP100000                      HOES0165           05050420
         DP    PREIST2,KP100000                      HOES0165           05050422
         DROP  R5                                                       04980000
         USING T025F01,R10              SAVE T025                       04990000
         CLI   T025F36,C'L'             LIN.KOMPO.? (KEINE)             05000000
         BNE   Z226U216                                                 05010000
         DROP  R10                                                      05020000
         USING T025F01,R5                                               05030000
         AP    REFLI,T025F72           BETRAG FUER 'KEINE LIN.KOMPO'    05040000
         AP    LMENG,T025F38           MENGE FUER KEINE LIN.KOMPO.      05050000
         ZAP   PREIST2,T025F61         PREIS         HOES0165           05050410
         MP    PREIST2,KP100000                      HOES0165           05050420
         DP    PREIST2,KP100000                      HOES0165           05050422
Z226U216 DS    0H                                                       05060000
         AP    SMENG,T025F38           MENGE FUER LI.KOMPO.             05070000
Z226U215 DS    0H                                                       05080000
         ZAP   WACC1,KP0               FUER SAVE UNTERZ.TAB.            05090000
Z226U218 DS    0H                                                       05100000
         CLI   T025F041,0                                               05110000
         BE    Z226U211                 NAECHSTER TARIF                 05120000
         MVI   QHI,C' '                 FUER   KV0212                   05130000
         ST    R5,AFUEB                 FUER   KV0212                   05140000
         ZCALL KV0212,/ARB             GRUNDPR. ERMITTELN               05150000
         AP    0(L'REFTA1,R9),T025F70  GRUNDPREIS                       05160000
         LA    R15,2                   2.TARIF                          05170000
         C     R15,SR14                BRECHNUNG ?                      05180000
         BNE   Z226U211                                                 05190000
         DROP  R5                                                       05200000
         USING T025F01,R10              SAVE T025                       05210000
         CLI   T025F36,C'L'             LIN.KOMPO.? (KEINE)             05220000
         BNE   Z226U211                                                 05230000
         DROP  R10                                                      05240000
         USING T025F01,R5                                               05250000
         AP    REFLI,T025F70           BETRAG FUER 'KEINE LIN.KOMPO'    05260000
Z226U211 DS    0H                                                       05270000
         LA    R9,L'REFTA1(R9)         ERHOEHEN RECHF.                  05280000
         LA    R7,L'BTF00(R7)          ERHOEHEN TARIF                   05290000
         L     R14,SR14                                                 05300000
         BCT   R14,Z226U21                                              05310000
         PACK  DOWO,BZEI            FUER NAECHSTE ABRECHNUNG            05320000
         CVB   R14,DOWO                                                 05330000
         DROP  R5                                                       05340000
         USING T025F01,R10                                              05350000
         STC   R14,T025F27          ZEILEN NR-BEM.ZAHL 1                05360000
         CLI   T025F36,C'L'             LIN.KOMPO.? (KEINE)             05370000
         BNE   Z226U213                                                 05380000
         MVI   T025F36,C'D'       BESTABR.ABER KEINE LIN.KOMPO.         05390000
         MVI   KZLIN1,C' '        KEINE LIN.KOMPO.                      05400000
         B     Z226U214                                                 05410000
Z226U213 DS    0H                                                       05420000
         MVI   T025F36,C'A'            BESTARB.FUER GEB.SATZ            05430000
Z226U214 DS    0H                                                       05440000
         B     Z226U8                                                   05450000
         DROP  R10                                                      05460000
         USING T025F01,R5                                               05470000
Z226U24  DS    0H                                                       05480000
         LA    R7,L'BTF00(R7)                                           05490000
         AP    KZTAA1,KP1               KZ TARIF ALT (1.BEMZ.)          05500000
         L     R14,SR14                                                 05510000
         BCT   R14,Z226U27                                              05520000
Z226U28  DS    0H                                                       05530000
         ZAP   KZTAA1,KP0                                               05540000
         LA    R6,L'BESTSA1(R6)         NAECHSTE ZEILE BESTAB           05550000
         B     Z226U25                                                  05560000
         SPACE                                                          05570000
*  KEIN GUELTIGER  TARIF  IN BESTAB  FUER 1. BEM.ZAHL                   05580000
*                                                                       05590000
Z226U26  DS    0H                                                       05600000
         CLI   T025F041,0                                               05610000
         BE    Z226U263                                                 05620000
         L     R10,SAVA                                                 05630000
         L     R5,WT025A                                                05640000
Z226U262 DS    0H                                                       05650000
         C     R5,WT025                                                 05660000
         BNL   Z226U29                                                  05670000
         CLC   GEBA1,T025F03           GLEICHER TARIF ?                 05680000
         BNE   Z226U261                                                 05690000
         MVC   FEHLTEXT(L'Z22FEHL1),Z22FEHL1      KEINE BESTAB.         05700000
         MVC   FEHLTEXT+L'Z22FEHL1-4(L'T025F03),T025F03                 05710000
         MVI   FEHLTEXT+L'Z22FEHL1,C'1'                                 05720000
         BAL   R14,Z22PROT                                              05730000
         DROP  R5                                                       05740000
         USING T025F01,R10                                              05750000
         CLI   T025F36,C'B'            KEINE BESTABR.(GLEICHER TARIF)   05760000
         BE    Z226U266                JA,NICHT AENDERN                 05770000
         CLI   T025F36,C'L'            KEINE LIN.KOMPO.                 05780000
         BNE   Z226U264                                                 05790000
         MVI   T025F36,C'G'            KEINE BESTABR. KEINE LIN.KOMPO.  05800000
         B     Z226U266                                                 05810000
Z226U264 DS    0H                                                       05820000
         CLI   T025F36,C'D'            WAR BESTABR. KEINE LIN.KOMPO.    05830000
         BNE   Z226U265                                                 05840000
         MVI   T025F36,C'G'            KEINE BESTABR. KEINE LIN.KOMPO.  05850000
         B     Z226U266                                                 05860000
Z226U265 DS    0H                                                       05870000
         MVI   T025F36,C'C'            KEINE BESTABR.                   05880000
Z226U266 DS    0H                                                       05890000
         DROP  R10                                                      05900000
         USING T025F01,R5                                               05910000
         ZAP   REFTA1,KP0              KEIN ERMITTEL BESTTARIF          05920000
         ZAP   REFTA2,KP0                                               05930000
         ZAP   REFTA3,KP0                                               05940000
Z226U261 DS    0H                                                       05950000
         A     R10,WLT025              FUER  T025F36  IM SAVT025        05960000
         A     R5,WLT025                                                05970000
         B     Z226U262                                                 05980000
Z226U263 DS    0H                                                       05990000
         MVI   SBEMZ1,C'1'         BEMZ.1 NICHT IN BESTAB OD. LEER      06000000
         EJECT                                                          06010000
* BERECHNEN DER 2.BEMESSUNGSZAHL(TARIF I - KLEINSTVERBRAUCHER)          06020000
*                                                                       06030000
Z226U8   DS    0H                                                       06040000
         BAL   R14,Z22T025      ZURUECKUEBERTRAGEN BEM. ZAHL 2 T025     06040010
         L     R6,WRAB                                                  06090000
         CLI   T025F28,X'00'               ZEILEN NR. BELEGT?           06100000
         BE    Z226U85                     NEIN                         06110000
         LA    R15,0                                                    06120000
         LA    R7,L'BESTSA1                                             06130000
         IC    R15,T025F28                 ZEILEN NR.                   06140000
         BCTR  R15,0                                                    06150000
         MR    R14,R7                                                   06160000
         AR    R6,R15                                                   06170000
         B     Z226U851                                                 06180000
Z226U85  DS    0H                                                       06190000
         C     R6,WREB                                                  06200000
         BNL   Z226U86                                                  06210000
         CP    T025F052,KP0                ANZ. BELEGT ?                06220000
         BNE   Z226U852                    JA                           06230000
         DROP  R5                                                       06240000
         USING T025F01,R10                 SAVE-BEREICH                 06250000
         XC    T025F051,T025F051           LOESCHEN ZEI.NR.             06260000
         XC    T025F28,T025F28             LOESCHEN ZEI.NR.             06270000
         DROP  R10                                                      06280000
         USING T025F01,R5                  BEST-BEREICH                 06290000
         B     Z226U86                     NEIN                         06300000
Z226U852 DS    0H                                                       06310000
         CLC   BZAEHL1(L'LEER),LEER        ZEILE IN BESTAB NICHT BELEGT 06320000
         BE    Z226U88                                                  06330000
Z226U851 DS    0H                                                       06340000
         LA    R7,BZAEHL1                                               06350000
         MVC   BT025+3(1),T025F051        UEBERTRAGEN                   06360000
         MVC   BT025+4(1),T025F08                                       06370000
         MVC   BT025+5(2),T025F40       AUS T025  FUER                  06380000
         MVC   BT025(3),T025F03         1.GEB.SATZ                      06390000
         MVC   GEBA1,T025F03            SICHERN TARIF SCHLUESSEL        06400000
         LA    R14,4                    TARIF SUCHEN (AUCH LIN.KOMPO.)  06410000
Z226U87  DS    0H                                                       06420000
         ST    R14,SR14                                                 06430000
         CLC   BTF00,BT025              BEST=T025                       06440000
         BNE   Z226U84                                                  06450000
         MVC   KZLIN2,BLIKZ             LIN.KOMPO.2.BEMZ.               06460000
         AP    KZTAA2,KP1               KZ TARIF ALT (2.BEMZ.)          06470000
         LA    R7,BZAEHL1                                               06480000
         ST    R7,SBANF                 1. TARIF /1.GEB.SATZ            06490000
         LA    R9,REFTA1                RECHF. TARIF I                  06500000
         LA    R14,3                                                    06510000
         ZAP   WACC1,KP1              FUER UNTERZAEHLER-TAB             06520000
Z226U81  DS    0H                                                       06530000
         ST    R14,SR14                                                 06540000
         XC    T025F07,T025F07         MESSPREIS NICHT FUER BEST        06550000
         XC    T025F041,T025F041        LOESCHEN                        06560000
         XC    T025F061,T025F061        LOESCHEN                        06570000
         MVC   T025F08,BTF04            PR.EINH.                        06580000
         MVC   T025F051,BTF01          UEBERTR. FUER                    06590000
         SPACE                                                          06600000
         CLI   SBEMZ1,C'1'             1. BEMSZ.LEER ODER NICHT IN      06610000
         BNE   Z226U814                BESTAB                           06620000
         CLI   T025F08,0               PREIS/EINHEIT ?                  06630000
         BE    Z226U814                                                 06640000
         CLI   T025F023,240            HAUPTZAEHLER ?                   06650000
         BE    Z226U820                JA                               06660000
         ZAP   WACC2,KP0               NEIN UNTERZAEHLER                06670000
         B     Z226U821                                                 06680000
Z226U820 DS    0H                                                       06690000
         AP    WACC2,KP1               FUER SAVE UNTERZ.TAB.(ALLE 3     06700000
Z226U821 DS    0H                      TARIFE VERBR.UZ.ABZIEHEN)        06710000
         MVI   QHI,C' '                FUER   KV0213                    06720000
         ST    R5,AFUEB                FUER   KV0213                    06730000
         ZCALL KV0213,/ARB             VERBRPR. ERMITTELN               06740000
         AP    0(L'REFTA1,R9),T025F72  VERBRAUSPREIS                    06750000
         C     R7,SBANF                TARIF I                          06760000
         BH    Z226U816                NEIN                             06770000
         DROP  R5                                                       06780000
         USING T025F01,R10             SAVE T025                        06790000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     06800000
         BE    Z226U816                                                 06810000
         CLI   T025F36,C'L'            LIN.KOMPO.? (KEINE)              06820000
         BE    Z226U816                                                 06830000
         DROP  R10                                                      06840000
         USING T025F01,R5                                               06850000
         AP    REFTA4,T025F72          BETRAG VERBR. FUER DURCHSCH.     06860000
Z226U816 DS    0H                                                       06870000
         LA    R15,2                   2.TARIF                          06880000
         C     R15,SR14                BRECHNUNG ?                      06890000
         BNE   Z226U814                                                 06900000
         DROP  R5                                                       06910000
         USING T025F01,R10             SAVE T025                        06920000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     06930000
         BE    Z226U818                                                 06940000
         CLI   T025F36,C'L'            LIN.KOMPO.? (KEINE)              06950000
         BNE   Z226U815                                                 06960000
         DROP  R10                                                      06970000
         USING T025F01,R5                                               06980000
Z226U818 DS    0H                                                       06990000
         AP    REFLI,T025F72           BETRAG FUER 'KEINE LIN.KOMPO'    07000000
         AP    LMENG,T025F38           MENGE FUER KEINE LIN.KOMPO.      07010000
Z226U815 DS    0H                                                       07020000
         AP    SMENG,T025F38           MENGE FUER LI.KOMPO.             07030000
Z226U814 DS    0H                                                       07040000
         ZAP   WACC1,KP0               FUER UNTERZAEHLER-TAB            07050000
         CLI   T025F051,0                                               07060000
         BE    Z226U811                    NAECHSTER TARIF              07070000
         MVI   QHI,C' '                FUER   KV0212                    07080000
         ST    R5,AFUEB                FUER   KV0212                    07090000
         ZCALL KV0212,/ARB             GRUNDPR. ERMITTELN               07100000
         AP    0(L'REFTA1,R9),T025F70  GRUNDPREIS                       07110000
         LA    R15,2                   2.TARIF                          07120000
         C     R15,SR14                BRECHNUNG ?                      07130000
         BNE   Z226U811                                                 07140000
         DROP  R5                                                       07150000
         USING T025F01,R10             SAVE T025                        07160000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     07170000
         BE    Z226U819                                                 07180000
         CLI   T025F36,C'L'            LIN.KOMPO.? (KEINE)              07190000
         BNE   Z226U811                                                 07200000
         DROP  R10                                                      07210000
         USING T025F01,R5                                               07220000
Z226U819 DS    0H                                                       07230000
         AP    REFLI,T025F70           BETRAG FUER 'KEINE LIN.KOMPO'    07240000
Z226U811 DS    0H                                                       07250000
         LA    R9,L'REFTA1(R9)      ERHOEHEN RECHF.                     07260000
         LA    R7,L'BTF00(R7)       ERHOEHEN TARIF                      07270000
         L     R14,SR14                                                 07280000
         BCT   R14,Z226U81                                              07290000
         PACK  DOWO,BZEI            FUER NAECHSTE ABRECHNUNG            07300000
         CVB   R14,DOWO                                                 07310000
         DROP  R5                                                       07320000
         USING T025F01,R10                                              07330000
         STC   R14,T025F28          ZEILEN NR-BEM.ZAHL 2                07340000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     07350000
         BE    Z226U817                                                 07360000
         CLI   T025F36,C'L'            LIN.KOMPO.? (KEINE)              07370000
         BNE   Z226U812                                                 07380000
         MVI   T025F36,C'D'            BESTABR.ABER KEINE LIN.KOMPO.    07390000
Z226U817 DS    0H                                                       07400000
         MVI   KZLIN2,C' '             KEINE LIN.KOMPO.                 07410000
         B     Z226U813                                                 07420000
Z226U812 DS    0H                                                       07430000
         MVI   T025F36,C'A'            BESTARB.FUER GEB.SATZ            07440000
Z226U813 DS    0H                                                       07450000
         B     Z226U9                                                   07460000
         DROP  R10                                                      07470000
         USING T025F01,R5                                               07480000
Z226U84  DS    0H                                                       07490000
         LA    R7,L'BTF00(R7)                                           07500000
         AP    KZTAA2,KP1               KZ TARIF ALT (2.BEMZ.)          07510000
         L     R14,SR14                                                 07520000
         BCT   R14,Z226U87                                              07530000
Z226U88  DS    0H                                                       07540000
         ZAP   KZTAA2,KP0                                               07550000
         LA    R6,L'BESTSA1(R6)         NAECHSTE ZEILE BESTAB           07560000
         B     Z226U85                                                  07570000
         SPACE                                                          07580000
*  KEIN GUELTIGER  TARIF  IN BESTAB  FUER 2. BEM.ZAHL                   07590000
*                                                                       07600000
Z226U86  DS    0H                                                       07610000
         CLI   T025F051,0                                               07620000
         BE    Z226U863                                                 07630000
         L     R10,SAVA                                                 07640000
         L     R5,WT025A                                                07650000
Z226U862 DS    0H                                                       07660000
         C     R5,WT025                                                 07670000
         BNL   Z226U29                                                  07680000
         CLC   GEBA1,T025F03           GLEICHER TARIF ?                 07690000
         BNE   Z226U861                                                 07700000
         MVC   FEHLTEXT(L'Z22FEHL1),Z22FEHL1                            07710000
         MVC   FEHLTEXT+L'Z22FEHL1-4(L'T025F03),T025F03                 07720000
         MVI   FEHLTEXT+L'Z22FEHL1,C'2'                                 07730000
         BAL   R14,Z22PROT                                              07740000
         DROP  R5                                                       07750000
         USING T025F01,R10                                              07760000
         CLI   T025F36,C'B'            KEINE BESTABR.(GLEICHER TARIF)   07770000
         BE    Z226U864                JA,NICHT AENDERN                 07780000
         CLI   T025F36,C'L'            KEINE LIN.KOMPO.                 07790000
         BNE   Z226U865                                                 07800000
         MVI   T025F36,C'G'            KEINE BESTABR. KEINE LIN.KOMPO.  07810000
         B     Z226U864                                                 07820000
Z226U865 DS    0H                                                       07830000
         CLI   T025F36,C'D'            WAR BESTABR. KEINE LIN.KOMPO.    07840000
         BNE   Z226U866                                                 07850000
         MVI   T025F36,C'G'            KEINE BESTABR. KEINE LIN.KOMPO.  07860000
         B     Z226U864                                                 07870000
Z226U866 DS    0H                                                       07880000
         MVI   T025F36,C'C'            KEINE BESTABR.                   07890000
Z226U864 DS    0H                                                       07900000
         DROP  R10                                                      07910000
         USING T025F01,R5                                               07920000
         ZAP   REFTA1,KP0              KEIN ERMITTEL BESTTARIF          07930000
         ZAP   REFTA2,KP0                                               07940000
         ZAP   REFTA3,KP0                                               07950000
Z226U861 DS    0H                                                       07960000
         A     R10,WLT025              FUER  T025F36  IM SAVT025        07970000
         A     R5,WLT025                                                07980000
         B     Z226U862                                                 07990000
Z226U863 DS    0H                                                       08000000
         MVI   SBEMZ2,C'1'         BEMZ.2 NICHT IN BESTAB OD. LEER      08010000
         EJECT                                                          08020000
* BERECHNEN DER 3.BEMESSUNGSZAHL(TARIF I - KLEINSTVERBRAUCHER)          08030000
*                                                                       08040000
Z226U9   DS    0H                                                       08050000
         BAL   R14,Z22T025      ZURUECKUEBERTRAGEN BEM. ZAHL 3 T025     08050010
         L     R6,WRAB                                                  08100000
         CLI   T025F29,X'00'               ZEILEN NR. BELEGT?           08110000
         BE    Z226U95                     NEIN                         08120000
         LA    R15,0                                                    08130000
         LA    R7,L'BESTSA1                                             08140000
         IC    R15,T025F29                 ZEILEN NR.                   08150000
         BCTR  R15,0                                                    08160000
         MR    R14,R7                                                   08170000
         AR    R6,R15                                                   08180000
         B     Z226U951                                                 08190000
Z226U95  DS    0H                                                       08200000
         C     R6,WREB                                                  08210000
         BNL   Z226U96                                                  08220000
         MVC   GEBA1,T025F03             SICHERN TARIF SCHLUESSEL       08230000
         CP    T025F062,KP0                ANZ. BELEGT ?                08240000
         BNE   Z226U952                    JA                           08250000
         DROP  R5                                                       08260000
         USING T025F01,R10                 SAVE-BEREICH                 08270000
         XC    T025F061,T025F061           LOESCHEN ZEI.NR.             08280000
         XC    T025F29,T025F29             LOESCHEN ZEI.NR.             08290000
         DROP  R10                                                      08300000
         USING T025F01,R5                  BEST-BEREICH                 08310000
         B     Z226U96                     NEIN                         08320000
Z226U952 DS    0H                                                       08330000
         CLC   BZAEHL1(L'LEER),LEER        ZEILE IN BESTAB NICHT BELEGT 08340000
         BE    Z226U98                                                  08350000
Z226U951 DS    0H                                                       08360000
         LA    R7,BZAEHL1                                               08370000
         MVC   BT025+3(1),T025F061        UEBERTRAGEN                   08380000
         MVC   BT025+4(1),T025F08                                       08390000
         MVC   BT025+5(2),T025F40       AUS T025  FUER                  08400000
         MVC   BT025(3),T025F03         1.GEB.SATZ                      08410000
         MVC   GEBA1,T025F03             SICHERN TARIF SCHLUESSEL       08420000
         LA    R14,4                    TARIF SUCHEN (AUCH LIN.KOMPO.)  08430000
Z226U97  DS    0H                                                       08440000
         ST    R14,SR14                                                 08450000
         CLC   BTF00,BT025              BEST=T025                       08460000
         BNE   Z226U94                                                  08470000
         MVC   KZLIN3,BLIKZ             LIN.KOMPO.3.BEMZ.               08480000
         AP    KZTAA3,KP1                KZ TARIF ALT (3.BEMZ.)         08490000
         LA    R7,BZAEHL1                                               08500000
         ST    R7,SBANF                 1. TARIF /1.GEB.SATZ            08510000
         LA    R9,REFTA1                RECHF. TARIF I                  08520000
         LA    R14,3                                                    08530000
         ZAP   WACC1,KP1               FUER UNTERZAEHLER-TAB            08540000
Z226U91  DS    0H                                                       08550000
         ST    R14,SR14                                                 08560000
         XC    T025F07,T025F07         MESSPREIS NICHT FUER BEST        08570000
         XC    T025F041,T025F041       LOESCHEN                         08580000
         XC    T025F051,T025F051       LOESCHEN                         08590000
         MVC   T025F061,BTF01          UEBERTR. FUER                    08600000
         MVC   T025F08,BTF04                                            08610000
         SPACE                                                          08620000
         CLC   SBEMZ1(L'EINS-1),EINS   1.+2. BEMSZ.LEER ODER NICHT IN   08630000
         BNE   Z226U90                 BESTAB                           08640000
         CLI   T025F08,0               PREIS/EINHEIT ?                  08650000
         BE    Z226U90                                                  08660000
         CLI   T025F023,240            HAUPTZAEHLER ?                   08670000
         BE    Z226U919                JA                               08680000
         ZAP   WACC2,KP0               NEIN UNTERZAEHLER                08690000
         B     Z226U920                                                 08700000
Z226U919 DS    0H                                                       08710000
         AP    WACC2,KP1               FUER SAVE UNTERZ.TAB.(ALLE 3     08720000
Z226U920 DS    0H                      TARIFE VERBR.UZ.ABZIEHEN)        08730000
         MVI   QHI,C' '                FUER   KV0213                    08740000
         ST    R5,AFUEB                FUER   KV0213                    08750000
         ZCALL KV0213,/ARB             VERBRPR. ERMITTELN               08760000
         AP    0(L'REFTA1,R9),T025F72  VERBRAUSPREIS                    08770000
         C     R7,SBANF                TARIF I                          08780000
         BH    Z226U915                NEIN                             08790000
         DROP  R5                                                       08800000
         USING T025F01,R10             SAVE T025                        08810000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     08820000
         BE    Z226U915                                                 08830000
         CLI   T025F36,C'L'            LIN.KOMPO.? (KEINE)              08840000
         BE    Z226U915                                                 08850000
         DROP  R10                                                      08860000
         USING T025F01,R5                                               08870000
         AP    REFTA4,T025F72          BETRAG VERBR. FUER DURCHSCH.     08880000
Z226U915 DS    0H                                                       08890000
         LA    R15,2                   2.TARIF                          08900000
         C     R15,SR14                BRECHNUNG ?                      08910000
         BNE   Z226U90                                                  08920000
         DROP  R5                                                       08930000
         USING T025F01,R10             SAVE T025                        08940000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     08950000
         BE    Z226U917                                                 08960000
         CLI   T025F36,C'L'            LIN.KOMPO.? (KEINE)              08970000
         BNE   Z226U912                                                 08980000
         DROP  R10                                                      08990000
         USING T025F01,R5                                               09000000
Z226U917 DS    0H                                                       09010000
         AP    REFLI,T025F72           BETRAG FUER 'KEINE LIN.KOMPO'    09020000
         AP    LMENG,T025F38           MENGE FUER KEINE LIN.KOMPO.      09030000
Z226U912 DS    0H                                                       09040000
         AP    SMENG,T025F38           MENGE FUER LI.KOMPO.             09050000
Z226U90  DS    0H                                                       09060000
         ZAP   WACC1,KP0               FUER UNTERZAEHLER-TAB            09070000
         CLI   T025F061,0              GRUNDPREIS ?                     09080000
         BE    Z226U911                NAECHSTER TARIF                  09090000
         MVI   QHI,C' '                FUER   KV0212                    09100000
         ST    R5,AFUEB                FUER   KV0212                    09110000
         ZCALL KV0212,/ARB             GRUNDPR. ERMITTELN               09120000
         AP    0(L'REFTA1,R9),T025F70  GRUNDPREIS                       09130000
         LA    R15,2                   2.TARIF                          09140000
         C     R15,SR14                BRECHNUNG ?                      09150000
         BNE   Z226U911                                                 09160000
         DROP  R5                                                       09170000
         USING T025F01,R10             SAVE T025                        09180000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     09190000
         BE    Z226U918                                                 09200000
         CLI   T025F36,C'L'            LIN.KOMPO.? (KEINE)              09210000
         BNE   Z226U911                                                 09220000
         DROP  R10                                                      09230000
         USING T025F01,R5                                               09240000
Z226U918 DS    0H                                                       09250000
         AP    REFLI,T025F70           BETRAG FUER 'KEINE LIN.KOMPO'    09260000
Z226U911 DS    0H                                                       09270000
         LA    R9,L'REFTA1(R9)      ERHOEHEN RECHF.                     09280000
         LA    R7,L'BTF00(R7)       ERHOEHEN TARIF                      09290000
         L     R14,SR14                                                 09300000
         BCT   R14,Z226U91                                              09310000
         PACK  DOWO,BZEI            FUER NAECHSTE ABRECHNUNG            09320000
         CVB   R14,DOWO                                                 09330000
         DROP  R5                                                       09340000
         USING T025F01,R10                                              09350000
         STC   R14,T025F29          ZEILEN NR-BEM.ZAHL 3                09360000
         CLI   T025F36,C'D'      KEINE LIN.KOMPO. BEREITS GESETZT ?     09370000
         BE    Z226U916                                                 09380000
         CLI   T025F36,C'L'           LIN.KOMPO.? (KEINE)               09390000
         BNE   Z226U913                                                 09400000
         MVI   T025F36,C'D'            BESTABR.ABER KEINE LIN.KOMPO.    09410000
Z226U916 DS    0H                                                       09420000
         MVI   KZLIN3,C' '             KEINE LIN.KOMPO.                 09430000
         B     Z226U914                                                 09440000
Z226U913 DS    0H                                                       09450000
         MVI   T025F36,C'A'            BESTABR. FUER GEB.SATZ           09460000
Z226U914 DS    0H                                                       09470000
         B     Z226U7                                                   09480000
         DROP  R10                                                      09490000
         USING T025F01,R5                                               09500000
Z226U94  DS    0H                                                       09510000
         LA    R7,L'BTF00(R7)                                           09520000
         AP    KZTAA3,KP1               KZ TARIF ALT (3.BEMZ.)          09530000
         L     R14,SR14                                                 09540000
         BCT   R14,Z226U97                                              09550000
Z226U98  DS    0H                                                       09560000
         ZAP   KZTAA3,KP0                                               09570000
         LA    R6,L'BESTSA1(R6)         NAECHSTE ZEILE BESTAB           09580000
         B     Z226U95                                                  09590000
         SPACE                                                          09600000
*  KEIN GUELTIGER  TARIF  IN BESTAB  FUER 3. BEM.ZAHL                   09610000
*                                                                       09620000
Z226U96  DS    0H                                                       09630000
         CLI   T025F061,0                                               09640000
         BE    Z226U963                                                 09650000
Z226U964 DS    0H                                                       09660000
         L     R10,SAVA                                                 09670000
         L     R5,WT025A                                                09680000
Z226U962 DS    0H                                                       09690000
         C     R5,WT025                                                 09700000
         BNL   Z226U29                                                  09710000
         CLC   GEBA1,T025F03           GLEICHER TARIF ?                 09720000
         BNE   Z226U961                                                 09730000
         MVC   FEHLTEXT(L'Z22FEHL1),Z22FEHL1                            09740000
         MVC   FEHLTEXT+L'Z22FEHL1-4(L'T025F03),T025F03                 09750000
         MVI   FEHLTEXT+L'Z22FEHL1,C'3'                                 09760000
         BAL   R14,Z22PROT                                              09770000
         DROP  R5                                                       09780000
         USING T025F01,R10                                              09790000
         CLI   T025F36,C'B'            KEINE BESTABR.(GLEICHER TARIF)   09800000
         BE    Z226U965                JA,NICHT AENDERN                 09810000
         CLI   T025F36,C'L'            KEINE LIN.KOMPO.                 09820000
         BNE   Z226U966                                                 09830000
         MVI   T025F36,C'G'            KEINE BESTABR. KEINE LIN.KOMPO.  09840000
         B     Z226U965                                                 09850000
Z226U966 DS    0H                                                       09860000
         CLI   T025F36,C'D'            WAR BESTABR. KEINE LIN.KOMPO.    09870000
         BNE   Z226U967                                                 09880000
         MVI   T025F36,C'G'            KEINE BESTABR. KEINE LIN.KOMPO.  09890000
         B     Z226U965                                                 09900000
Z226U967 DS    0H                                                       09910000
         MVI   T025F36,C'C'            KEINE BESTABR.                   09920000
Z226U965 DS    0H                                                       09930000
         DROP  R10                                                      09940000
         USING T025F01,R5                                               09950000
         ZAP   REFTA1,KP0              KEIN ERMITTEL BESTTARIF          09960000
         ZAP   REFTA2,KP0                                               09970000
         ZAP   REFTA3,KP0                                               09980000
Z226U961 DS    0H                                                       09990000
         A     R10,WLT025              FUER  T025F36  IM SAVT025        10000000
         A     R5,WLT025                                                10010000
         B     Z226U962                                                 10020000
Z226U963 DS    0H                                                       10030000
         MVI   SBEMZ3,C'1'         BEMZ.3 NICHT IN BESTAB OD. LEER      10040000
         CLC   SBEMZ1(L'SBEMZ1+L'SBEMZ2),EINS    ALLE BEMZ.NICHT IN     10050000
         BNE   Z226U7                            BESTAB + LEER ?        10060000
         MVC   FEHLTEXT(L'Z22FEHLA),Z22FEHLA                            10070000
         MVC   FEHLTEXT+1(L'T025F03),T025F03                            10080000
         BAL   R14,Z22PROT                                              10090000
         B     Z226U964                                                 10100000
         SPACE                                                          10110000
*  VERGL.BEM.ZAHLEN 1,2,3, AUF GLEICHEN TARIF                           10120000
*                                                                       10130000
Z226U7   DS    0H                                                       10140000
         CP    KZTAA1,KP0             TARIF ALT 1. BEMZ.                10150000
         BNE   Z226U77                                                  10160000
         CP    KZTAA2,KP0             TARIF ALT 2. BEMZ.                10170000
         BNE   Z226U776                                                 10180000
         CP    KZTAA,KP0              TARIF ALT LEER                    10190000
         BE    Z226U781                                                 10200000
         CP    KZTAA,KZTAA3           TARIF ALT = ERMITTELT TAR.ALT     10210000
         BNE   Z226U775               NEIN,FEHLER                       10220000
Z226U781 DS    0H                                                       10230000
         ZAP   KZTAA,KZTAA3                                             10240000
         B     Z226U779                                                 10250000
Z226U77  DS    0H                                                       10260000
         CP    KZTAA2,KP0                                               10270000
         BNE   Z226U773                                                 10280000
Z226U774 DS    0H                                                       10290000
         CP    KZTAA3,KP0                                               10300000
         BNE   Z226U771                                                 10310000
Z226U772 DS    0H                                                       10320000
         CP    KZTAA,KP0                                                10330000
         BE    Z226U782                                                 10340000
         CP    KZTAA,KZTAA1                                             10350000
         BNE   Z226U775                                                 10360000
Z226U782 DS    0H                                                       10370000
         ZAP   KZTAA,KZTAA1                                             10380000
         B     Z226U779              TARIF ALT OK.                      10390000
Z226U771 DS    0H                                                       10400000
         CP    KZTAA1,KZTAA3                                            10410000
         BNE   Z226U775               FEHLER,ENDE                       10420000
         B     Z226U772                                                 10430000
Z226U773 DS    0H                                                       10440000
         CP    KZTAA1,KZTAA2                                            10450000
         BE    Z226U774                                                 10460000
Z226U775 DS    0H                                                       10470000
         L     R10,SAVA                                                 10480000
         L     R5,WT025A                                                10490000
         ZAP   REFTA1,KP0                                               10500000
         ZAP   REFTA2,KP0                                               10510000
         ZAP   REFTA3,KP0                                               10520000
Z226U770 DS    0H                                                       10530000
         C     R5,WT025                                                 10540000
         BNL   Z226U29                                                  10550000
         CLC   GEBA1,T025F03           GLEICHER TARIF ?                 10560000
         BNE   Z226U785                                                 10570000
         MVC   FEHLTEXT(L'Z22FEHL5),Z22FEHL5    BEMZ. NICHT GL.TAR.     10580000
         MVC   FEHLTEXT+L'Z22FEHL5-4(L'GEBA1),GEBA1                     10590000
         BAL   R14,Z22PROT                                              10600000
         DROP  R5                                                       10610000
         USING T025F01,R10                                              10620000
         CLI   T025F36,C'B'            KEINE BESTABR. ?                 10630000
         BE    Z226U785                JA                               10640000
         CLI   T025F36,C'D'            BESTABR. KEINE LIN.KOMPO.        10650000
         BE    Z226U766                JA                               10660000
         MVI   T025F36,C'C'            KEINE BESTABR.                   10670000
         B     Z226U785                                                 10680000
Z226U766 DS    0H                                                       10690000
         MVI   T025F36,C'G'            KEINE BESTABR.                   10700000
         DROP  R10                                                      10710000
         USING T025F01,R5                                               10720000
Z226U785 DS    0H                                                       10730000
         A     R10,WLT025              FUER  T025F36  IM SAVT025        10740000
         A     R5,WLT025                                                10750000
         B     Z226U770                                                 10760000
Z226U776 DS    0H                                                       10770000
         CP    KZTAA3,KP0                                               10780000
         BNE   Z226U777                                                 10790000
Z226U778 DS    0H                                                       10800000
         CP    KZTAA,KP0                                                10810000
         BE    Z226U783                                                 10820000
         CP    KZTAA,KZTAA2                                             10830000
         BNE   Z226U775                                                 10840000
Z226U783 DS    0H                                                       10850000
         ZAP   KZTAA,KZTAA2                                             10860000
         B     Z226U779                                                 10870000
Z226U777 DS    0H                                                       10880000
         CP    KZTAA2,KZTAA3                                            10890000
         BNE   Z226U775                                                 10900000
         B     Z226U778                                                 10910000
* PRUEFEN OB ALLE BEM.ZAHLEN LIN.KOMPO. HABEN / NICHT HABEN.            10920000
Z226U779 DS    0H                                                       10930000
         CLC   KZLIN1(L'EINS),EINS          ALLE BEMZ.LIN.KOM.?         10940000
         BE    Z226U784                     JA                          10950000
         CLC   KZLIN1(L'EINS),LEER          KEINE BEMZ.LIN.KOM.         10960000
         BE    Z226U788                     JA                          10970000
         CLI   KZLIN1,C' '                  1.BEMZ.                     10980000
         BE    Z226U762                                                 10990000
         CLI   KZLIN1,C'1'                                              11000000
         BE    Z226U763                                                 11010000
         CLC   KZLIN1,KZLIN2                                            11020000
         BE    Z226U761                                                 11030000
         CLI   KZLIN2,C'1'                                              11040000
         BE    Z226U786                     FEHLER                      11050000
Z226U761 DS    0H                                                       11060000
         CLI   KZLIN3,C' '                                              11070000
         BE    Z226U765                     O.K. KEINE LIN.KOMPO.       11080000
         CLC   KZLIN1,KZLIN3                                            11090000
         BE    Z226U788                     O.K. KEINE LIN.KOMPO.       11100000
         B     Z226U786                     FEHLER                      11110000
Z226U762 DS    0H                                                       11120000
         CLI   KZLIN2,C'1'                                              11130000
         BE    Z226U764                                                 11140000
         CLI   KZLIN2,C'0'                                              11150000
         BE    Z226U765                                                 11160000
         CLI   KZLIN3,C' '                                              11170000
         BE    Z226U788                     O.K. KEINE LIN.KOMPO.       11180000
         CLI   KZLIN3,C'1'                                              11190000
         BE    Z226U784                     O.K. LIN.KOMPO.             11200000
         B     Z226U788                     O.K. KEINE LIN.KOMPO.       11210000
Z226U763 DS    0H                                                       11220000
         CLC   KZLIN1,KZLIN2                                            11230000
         BE    Z226U764                                                 11240000
         CLI   KZLIN2,C' '                                              11250000
         BE    Z226U764                                                 11260000
         B     Z226U786                     FEHLER                      11270000
Z226U764 DS    0H                                                       11280000
         CLC   KZLIN2,KZLIN3                                            11290000
         BE    Z226U784                     O.K. LIN.KOMPO.             11300000
         CLI   KZLIN3,C'0'                                              11310000
         BNE   Z226U784                     O.K. LIN.KOMPO.             11320000
         B     Z226U786                     FEHLER                      11330000
Z226U765 DS    0H                                                       11340000
         CLC   KZLIN2,KZLIN3                                            11350000
         BE    Z226U788                     O.K. KEINE LIN.KOMPO.       11360000
         CLI   KZLIN3,C' '                                              11370000
         BE    Z226U788                     O.K. KEINE LIN.KOMPO.       11380000
Z226U786 DS    0H                                                       11390000
         L     R10,SAVA                                                 11400000
         L     R5,WT025A                                                11410000
         ZAP   REFTA1,KP0                                               11420000
         ZAP   REFTA2,KP0                                               11430000
         ZAP   REFTA3,KP0                                               11440000
Z226U789 DS    0H                                                       11450000
         C     R5,WT025                                                 11460000
         BNL   Z226U29                                                  11470000
         CLC   GEBA1,T025F03           GLEICHER TARIF ?                 11480000
         BNE   Z226U787                                                 11490000
         MVC   FEHLTEXT(L'Z22FEHL9),Z22FEHL9    LIN.KOMPO.NICHT IN      11500000
         MVC   FEHLTEXT+L'Z22FEHL9-4(L'GEBA1),GEBA1  ALLEN BEMZ.        11510000
         BAL   R14,Z22PROT                                              11520000
         DROP  R5                                                       11530000
         USING T025F01,R10                                              11540000
         CLI   T025F36,C'B'            KEINE BESTABR. ?                 11550000
         BE    Z226U787                JA                               11560000
         CLI   T025F36,C'D'            BESTABR. KEINE LIN.KOMPO.        11570000
         BE    Z226U767                JA                               11580000
         MVI   T025F36,C'C'            KEINE BESTABR.                   11590000
         B     Z226U787                                                 11600000
Z226U767 DS    0H                                                       11610000
         MVI   T025F36,C'G'            KEINE BESTABR.                   11620000
         DROP  R10                                                      11630000
         USING T025F01,R5                                               11640000
Z226U787 DS    0H                                                       11650000
         A     R10,WLT025              FUER  T025F36  IM SAVT025        11660000
         A     R5,WLT025                                                11670000
         B     Z226U789                                                 11680000
Z226U784 DS    0H                                                       11690000
         MVI   KZLIN0,C'1'             LIN.KOMPO.FUER TARIF             11700000
         SPACE                                                          11710000
Z226U788 DS    0H                                                       11720000
         A     R5,WLT025                                                11730000
         A     R10,WLT025              FUER T025F36 IN SAVT025          11740000
         C     R5,WT025                                                 11750000
         BNL   Z226U29                                                  11760000
         CLC   T025F03,GEBA1           GLEICHER TARIF ?                 11770000
         BNE   Z226U788                                                 11780000
         CLI   T025F36,C'B'            KEINE BESTABRECHNG. ?            11790000
         BE    Z226U788                                                 11800000
         CLI   T025F86,C'3'            KEINE ABRECHNG. ?                11810000
         BNE   Z226U788                NEIN                             11820000
         B     Z226U253                                                 11830000
         EJECT                                                          11840000
* ALLE GEB.SAETZE EINES GLEICHEN TARIF BERECHNET ODER FEHLENDER TARIF   11850000
Z226U29  DS    0H                                                       11860000
         BAL   R14,Z22T025      ZURUECKUEB. GLEICH/FEHLENDER TAR. T025  11860010
         L     R14,Z226U2-4                                             11910000
         BR    R14                                                      11920000
         EJECT                                                          11930000
*  VERGLEICHEN  ALLER  TARIFE  EVTL. NEU ZUORDNEN                       11940000
*  (AUCH LINEARE KOMPONENTE UND ZUSCHLAEGE)                             11950000
         DS    F                                                        11960000
Z226U3   ST    R14,Z226U3-4                                             11970000
         LA    R14,REFTA1                                               11980000
         LA    R15,3                                                    11990000
Z226U31  DS    0H                                                       12000000
         CP    0(L'REFTA1,R14),KP0   RECHENFELDER  LEER ?               12010000
         BNE   Z226U311                                                 12020000
         LA    R14,L'REFTA1(R14)                                        12030000
         BCT   R15,Z226U31                                              12040000
         B     Z226U39               ENDE,KEINE BESTABR.                12050000
Z226U311 DS    0H                                                       12060000
         ZAP   PREISDT1,REFTA1                           HOES0146       12070080
         MP    PREISDT1,KP100                            HOES0146       12070081
         CP    SMENG,KP0                                 HOES0165       12070083
         BNE   Z226U31X                BECKER 162                       12070084
         DP    PREISDT1,VERBR1         BECKER 162                       12070085
         B     Z226U31Y                BECKER 162                       12070086
Z226U31X DS    0H                      BECKER 162                       12070087
         DP    PREISDT1,SMENG                            HOES0146       12070082
Z226U31Y DS    0H                      BECKER 162                       12070089
*        ZTYP  'ENTSCHEIDUNG:'                           HOES0146       12070083
*        ZTYP  /REFTA1                                   HOES0146       12070100
*        ZTYP  /PREISDT1                                 HOES0146       12070104
*        ZTYP  /PREIST2                                  HOES0146       12070110
*        ZTYP  SMENG                                     HOES0165       12070110
         CLC   PREISDT1,PREIST2                          HOES0146       12070200
         BH    Z226U31B                                  HOES0146       12080000
Z226U31A DS    0H                                        HOES0146       12220000
         ZAP   KZTAN,KP1                                 HOES0146       12220010
         B     Z226U316                                  HOES0146       12220011
Z226U31B DS    0H                                        HOES0146       12220020
         ZAP   KZTAN,KP2                                 HOES0146       12220030
Z226U316 DS    0H                                                       12220100
         CP    KZTAN,KP2           TARIF 2 FUER LIN.KOMPO.              12230000
         BE    Z226U33                                                  12240000
         CP    KZTAN,KZTAA         TARIF ALT=NEU                        12250000
         BNE   Z226U32             NEIN,TARIF AENDERN                   12260000
Z226U39  DS    0H                                                       12270000
         L     R14,Z226U3-4                                             12280000
         BR    R14                                                      12290000
         SPACE                                                          12300000
* PRUEFEN OB LINEARE KOMPONENTE                                         12310000
Z226U33  DS    0H                                                       12320000
         CLI   KZLIN0,C'1'          LI.KOMPO.FUER TARIF ?               12330000
         BNE   Z226U330             NEIN                                12340000
*    ERMITTELN DURCHSCHNITTSPREIS (PRO EINHEIT) AUS TARIF I             12350000
         SP    SMENG,LMENG          KEINE LIN.KOMPO.                    12360000
         CP    SMENG,KP0            KEINE MENGE ?                       12370000
         BE    Z226U330             JA                                  12380000
         CP    REFTA4,KP0           KEIN BETRAG ?                       12390000
         BE    Z226U330             JA                                  12400000
         ZAP   RF1,REFTA4           BETRAG TARIF I                      12410000
         MP    RF1,KP1000                                               12420000
         DP    RF1,SMENG                    DIV./ EINHEITEN             12430000
         AP    RF1(L'RF1-L'SMENG),KP5       RUNDEN                      12440000
         MVO   RF1,RF1(L'RF1-L'SMENG-1)                                 12450000
         ZAP   SPREI,RF1                    DURSCH.PREIS TAR.I          12460000
*    ERMITTELN LINIARE KOMPONENTE                                       12470000
         SP    REFTA2,REFLI         KEINE LIN.KOMPO.                    12480000
         CP    REFTA2,KP0           KEIN BETRAG ?                       12490000
         BE    Z226U330             JA                                  12500000
         ZAP   RF1,REFTA2                   BETRAG TARIF II             12510000
         MP    RF1,KP1000                                               12520000
         DP    RF1,SMENG                    DIV./ EINHEITEN             12530000
         AP    RF1(L'RF1-L'SMENG),KP5       RUNDEN                      12540000
         MVO   RF1,RF1(L'RF1-L'SMENG-1)                                 12550000
         CP    RF1,SPREI                                                12560000
         BL    Z226U331                     KLEINER PR./EINH.(TARIF II) 12570000
Z226U330 DS    0H                                                       12580000
         CP    KZTAN,KZTAA                  TARIF ALT = NEU ?           12590000
         BE    Z226U39                      NEIN,KEINE AENDERUNG        12600000
         B     Z226U32                                                  12610000
Z226U331 DS    0H                                                       12620000
         CP    KZTAA,KP4                    TARIF ALT = NEU ?           12630000
         BE    Z226U39                      JA,KEINE AENDERUNG          12640000
         MVI   KZLK,C'1'                    LINIARE KOMPONENTE          12650000
         MVC   FEHLTEXT(L'Z22FEHL3),Z22FEHL3                            12660000
         MVC   FEHLTEXT+L'Z22FEHL3-5(L'GEBA1),GEBA1                     12670000
         MVC   FEHLTEXT+L'Z22FEHL3-1(L'ALT),ALT                         12680000
         UNPK  FEHLTEXT+L'Z22FEHL3+3(1),KZTAA                           12690000
         OI    FEHLTEXT+L'Z22FEHL3+3,X'F0'                              12700000
         MVC   FEHLTEXT+L'Z22FEHL3+5(L'NEU),NEU                         12710000
         UNPK  FEHLTEXT+L'Z22FEHL3+9(1),KZTAN                           12720000
         OI    FEHLTEXT+L'Z22FEHL3+9,X'F0'                              12730000
         MVC   FEHLTEXT+L'Z22FEHL3+10(L'LIN),LIN                        12740000
         BAL   R14,Z22PROT                                              12750000
         B     Z226U317                                                 12760000
         SPACE                                                          12770000
Z226U32  DS    0H                                                       12780000
         MVC   FEHLTEXT(L'Z22FEHL3),Z22FEHL3                            12790000
         MVC   FEHLTEXT+L'Z22FEHL3-5(L'GEBA1),GEBA1                     12800000
         MVC   FEHLTEXT+L'Z22FEHL3+1(L'ALT),ALT                         12810000
         UNPK  FEHLTEXT+L'Z22FEHL3+5(1),KZTAA                           12820000
         OI    FEHLTEXT+L'Z22FEHL3+5,X'F0'                              12830000
         MVC   FEHLTEXT+L'Z22FEHL3+7(L'NEU),NEU                         12840000
         UNPK  FEHLTEXT+L'Z22FEHL3+11(1),KZTAN                          12850000
         OI    FEHLTEXT+L'Z22FEHL3+11,X'F0'                             12860000
         BAL   R14,Z22PROT                                              12870000
Z226U317 DS    0H                                                       12880000
         L     R5,WT025A                                                12890000
Z226U321 DS    0H                                                       12900000
         CLI   T025F021,C'E'         STROM                              12910000
         BNE   Z226U39               NEIN,ENDE ABN.                     12920000
         CLI   T025F86,C'3'          ABRECHNUNG                         12930000
         BNE   Z226U322              NEIN                               12940000
         CLI   T025F36,C'A'          WURDE GEB.SATZ BESTABGER.?         12950000
         BE    Z226U310              JA                                 12960000
         CLI   T025F36,C'D'          KEINE LIN.KOMPO.                   12970000
         BNE   Z226U322                                                 12980000
Z226U310 DS    0H                                                       12990000
         CLC   T025F03,GEBA1         1.GEB.SATZ                         13000000
         BE    Z226U323              JA                                 13010000
Z226U322 DS    0H                                                       13020000
         CLI   T025F36,C'A'                                             13030000
         BE    Z226U325                                                 13040000
         CLI   T025F36,C'B'                                             13050000
         BE    Z226U327                                                 13060000
         CLI   T025F36,C'L'          BEI ABSCHL.POS.                    13070000
         BE    Z226U327                                                 13080000
         CLI   T025F36,C'D'          KEINE LIN.KOMPO.                   13090000
         BNE   Z226U327                                                 13100000
         MVI   T025F36,C'F'                                             13110000
         B     Z226U327                                                 13120000
Z226U325 DS    0H                                                       13130000
         MVI   T025F36,C'E'                                             13140000
Z226U327 DS    0H                                                       13150000
         A     R5,WLT025                                                13160000
         C     R5,WT025                                                 13170000
         BNL   Z226U39               ENDE                               13180000
         B     Z226U321                                                 13190000
         SPACE                                                          13200000
* UEBERTRAGEN  TARIF NACH BEM.ZAHL1                                     13210000
Z226U323 DS    0H                                                       13220000
         MVC   ZUSCHL1(L'LEER),LEER    LOESCHEN ZUSCHLAGSFELDER         13230000
         XC    KZBM,KZBM                                                13240000
         ZAP   KZZUS,KP0               LOESCHEN                         13250000
         CLI   T025F27,0               KEINE ZEILE ?                    13260000
         BE    Z226U343                                                 13270000
         LA    R9,0                                                     13280000
         IC    R9,T025F27                                               13290000
         BCTR  R9,0                                                     13300000
         L     R7,WRAB                  ANFANG BESTAB                   13310000
         LA    R14,L'BESTSA1                                            13320000
         MR    R8,R14                                                   13330000
         AR    R7,R9                                                    13340000
         LR    R6,R7                 BASIS BESTAB                       13350000
         ZAP   DOWO,KZTAN            TARIF NEU                          13360000
         CLI   KZLK,C'1'             LIN.KOMPO. ERMITTELT ?             13370000
         BNE   Z226U324                                                 13380000
         CLI   T025F36,C'D'          GEB.SATZ KEINE LIN.KOMPO. ?        13390000
         BE    Z226U324              JA                                 13400000
         ZAP   DOWO,KP4              IN BESTAB LIN.KOMPO.               13410000
Z226U324 DS    0H                                                       13420000
         CVB   R15,DOWO                                                 13430000
         BCTR  R15,0                                                    13440000
         LA    R10,L'BTF00           LAENGE TARIF                       13450000
         MR    R14,R10                                                  13460000
         AR    R7,R15                TARIF NEU IN BESTAB                13470000
         LA    R14,L'BESTSA2                                            13480000
         AR    R7,R14                                                   13490000
         MVC   T025F041,BTF01       UEBERTRAGEN  WERTE                  13500000
         MVC   ZUSCHL1,BZUSCHL                                          13510000
         MVC   T025F08,BTF04        (TARIF AENDERUNG)                   13520000
         MVC   T025F40,BTF05                                            13530000
         MVC   T025F03,BTF06                                            13540000
         SPACE                                                          13550000
* UEBERTRAGEN  TARIF NACH BEM.ZAHL 2                                    13560000
Z226U343 DS    0H                                                       13570000
         CLI   T025F28,0               KEINE ZEILE ?                    13580000
         BE    Z226U353                                                 13590000
         LA    R9,0                                                     13600000
         IC    R9,T025F28                                               13610000
         BCTR  R9,0                                                     13620000
         L     R7,WRAB                 ANFANG BESTAB                    13630000
         LA    R14,L'BESTSA1                                            13640000
         MR    R8,R14                                                   13650000
         AR    R7,R9                                                    13660000
         LR    R6,R7                 BASIS BESTAB                       13670000
         ZAP   DOWO,KZTAN            TARIF NEU                          13680000
         CLI   KZLK,C'1'               LIN.KOMPO. ERMITTELT ?           13690000
         BNE   Z226U344                                                 13700000
         CLI   T025F36,C'D'          GEB.SATZ KEINE LIN.KOMPO. ?        13710000
         BE    Z226U344              JA                                 13720000
         ZAP   DOWO,KP4                IN BESTAB LIN.KOMPO.             13730000
Z226U344 DS    0H                                                       13740000
         CVB   R15,DOWO                                                 13750000
         BCTR  R15,0                                                    13760000
         LA    R10,L'BTF00           LAENGE TARIF                       13770000
         MR    R14,R10                                                  13780000
         AR    R7,R15                TARIF NEU IN BESTAB                13790000
         LA    R14,L'BESTSA2                                            13800000
         AR    R7,R14                                                   13810000
         MVC   T025F051,BTF01       UEBERTRAGEN  WERTE                  13820000
         MVC   ZUSCHL2,BZUSCHL                                          13830000
         MVC   T025F08,BTF04        (TARIF AENDERUNG)                   13840000
         MVC   T025F40,BTF05                                            13850000
         MVC   T025F03,BTF06                                            13860000
         SPACE                                                          13870000
* UEBERTRAGEN  TARIF NACH BEM.ZAHL 3                                    13880000
Z226U353 DS    0H                                                       13890000
         CLI   T025F29,0               KEINE ZEILE ?                    13900000
         BE    Z226U351                                                 13910000
         LA    R9,0                                                     13920000
         IC    R9,T025F29                                               13930000
         BCTR  R9,0                                                     13940000
         L     R7,WRAB               ANLANG BESTAB                      13950000
         LA    R14,L'BESTSA1                                            13960000
         MR    R8,R14                                                   13970000
         AR    R7,R9                                                    13980000
         LR    R6,R7                 BASIS BESTAB                       13990000
         ZAP   DOWO,KZTAN            TARIF NEU                          14000000
         CLI   KZLK,C'1'               LIN.KOMPO. ERMITTELT ?           14010000
         BNE   Z226U354                                                 14020000
         CLI   T025F36,C'D'          GEB.SATZ KEINE LIN.KOMPO. ?        14030000
         BE    Z226U354              JA                                 14040000
         ZAP   DOWO,KP4                IN BESTAB LIN.KOMPO.             14050000
Z226U354 DS    0H                                                       14060000
         CVB   R15,DOWO                                                 14070000
         BCTR  R15,0                                                    14080000
         LA    R10,L'BTF00           LAENGE TARIF                       14090000
         MR    R14,R10                                                  14100000
         AR    R7,R15                TARIF NEU IN BESTAB                14110000
         LA    R14,L'BESTSA2                                            14120000
         AR    R7,R14                                                   14130000
         MVC   T025F061,BTF01       UEBERTRAGEN  WERTE                  14140000
         MVC   ZUSCHL3,BZUSCHL                                          14150000
         MVC   T025F08,BTF04        (TARIF AENDERUNG)                   14160000
         MVC   T025F40,BTF05                                            14170000
         MVC   T025F03,BTF06                                            14180000
         SPACE                                                          14190000
* GEB.SATZ ( NT-ZUSCHLAG) IN ERMITTELTEN TARIF AENDERN *                14200000
Z226U351 DS    0H                                                       14210000
         CLC   ZUSCHL1(L'BZAEHL1),LEER         KEINE ZUSCHLAEGE ?       14220000
         BE    Z226U322             JA                                  14230000
         CLC   ZUSCHL1,LEER                    VERGLEICHEN ALLE         14240000
         BE    Z226U357                        ZUSCHLAEGE,BEI           14250000
         CLC   ZUSCHL2,LEER                    GLEICH-LOESCHEN.         14260000
         BE    Z226U356                                                 14270000
         CLC   ZUSCHL1,ZUSCHL2                                          14280000
         BNE   Z226U355                                                 14290000
         MVC   ZUSCHL2,LEER                                             14300000
         B     Z226U356                                                 14310000
Z226U355 DS    0H                                                       14320000
         CLC   ZUSCHL3,LEER                                             14330000
         BE    Z226U359                                                 14340000
Z226U356 DS    0H                                                       14350000
         CLC   ZUSCHL1,ZUSCHL3                                          14360000
         BE    Z226U358                                                 14370000
         CLC   ZUSCHL2,ZUSCHL3                                          14380000
         BNE   Z226U359                                                 14390000
Z226U358 DS    0H                                                       14400000
         MVC   ZUSCHL3,LEER                                             14410000
         B     Z226U359                                                 14420000
Z226U357 DS    0H                                                       14430000
         CLC   ZUSCHL2,LEER                                             14440000
         BE    Z226U359                                                 14450000
         B     Z226U355                                                 14460000
Z226U359 DS    0H                                                       14470000
         LA    R8,ZUSCHL1           NT-ZUSCHLAG                         14480000
         LA    R9,3                 3 MAL                               14490000
Z226U347 DS    0H                                                       14500000
         CLC   0(L'ZUSCHL1,R8),LEER                                     14510000
         BE    Z226U348                                                 14520000
         AP    ZUBEL,KP1            ZUSCHLAG BELEGUNR (ANZ)             14530000
Z226U348 DS    0H                                                       14540000
         LA    R8,L'ZUSCHL1(R8)                                         14550000
         BCT   R9,Z226U347                                              14560000
         LA    R8,ZUSCHL1           NT-ZUSCHLAG                         14570000
         LA    R9,3                 3 MAL                               14580000
Z226U335 DS    0H                                                       14590000
         CLC   0(L'ZUSCHL1,R8),LEER                                     14600000
         BE    Z226U333                                                 14610000
         AP    KZZUS,KP1            1.ZUSCHLAGS-FELD                    14620000
         B     Z226U334                                                 14630000
Z226U333 DS    0H                                                       14640000
         AP    KZZUS,KP1            1.ZUSCHLAGS-FELD                    14650000
Z226U352 DS    0H                                                       14660000
         LA    R8,L'ZUSCHL1(R8)                                         14670000
         BCT   R9,Z226U335                                              14680000
         B     Z226U322                                                 14690000
         SPACE                                                          14700000
* SUCHEN TARIF (ZUSCHLAG) IN BESTAB UEBER ZUSCHL1-3 *                   14710000
Z226U334 DS    0H                                                       14720000
         L     R6,WRAB                     ANFANG BESTAB                14730000
Z226U337 DS    0H                                                       14740000
         C     R6,WREB                                                  14750000
         BNL   Z226U42                     KEIN ZUSCHLAG IN BESTAB      14760000
         CLC   BZAEHL1(L'LEER),LEER        LEER-ZEILE                   14770000
         BE    Z226U338                                                 14780000
         CLC   BZAEHL1(L'BTF00),0(R8)      BESTAB = ZUSCHL ?            14790000
         BE    Z226U339                                                 14800000
Z226U338 DS    0H                                                       14810000
         LA    R6,L'BESTSA1(R6)                                         14820000
         B     Z226U337                                                 14830000
Z226U42  DS    0H                           SUCHEN TARIF ALT            14840000
         MVC   FEHLTEXT(L'Z22FEHL2),Z22FEHL2                            14850000
         MVC   FEHLTEXT+L'Z22FEHL2-4(L'T025F03),0(R8)  TARIF ZUSCHL     14860000
         MVC   FEHLTEXT+L'Z22FEHL2(L'T025F03),T025F02  GEB.SATZ         14870000
         BAL   R14,Z22PROT                                              14880000
         B     Z226U322                                                 14890000
Z226U339 DS    0H                           SUCHEN TARIF ALT            14900000
         LA    R7,BZAEHL1                                               14910000
         LA    R2,L'BTF00                   BERECHNEN                   14920000
         ZAP   DOWO,KZTAA                   BESTAB FUER                 14930000
         CVB   R15,DOWO                     ZUSCHLAG                    14940000
         BCTR  R15,0                        ADR.TARIF(1-3) ALT          14950000
         MR    R14,R2                                                   14960000
         AR    R7,R15                      ALTER TARIF                  14970000
         SPACE                                                          14980000
*  SUCHEN GEB.SATZ (TARIF ALT) UEBER BESTAB  *                          14990000
         ST    R5,SR5               SICHERN R5                          15000000
         L     R5,WT025A                                                15010000
Z226U346 DS    0H                                                       15020000
         CLC   T025F03,BTF06        GEB.SATZ = BESTAB                   15030000
         BNE   Z226U345                                                 15040000
         CLC   T025F08,BTF04        PR./EINH.= BESTAB                   15050000
         BNE   Z226U345                                                 15060000
         CLC   T025F40,BTF05        TAR.U.GR.= BESTAB                   15070000
         BNE   Z226U345                                                 15080000
         CLI   T025F36,C'B'         ZUSCHLAG-GEB.SATZ ?                 15090000
         BE    Z226U342             JA,OK                               15100000
Z226U345 DS    0H                                                       15110000
         A     R5,WLT025                                                15120000
         C     R5,WT025                                                 15130000
         BNL   Z226U336                                                 15140000
         B     Z226U346                                                 15150000
Z226U336 DS    0H                                                       15160000
         MVC   FEHLTEXT(L'Z22FEHL4),Z22FEHL4                            15170000
         MVC   FEHLTEXT+L'Z22FEHL4-4(L'T025F03),0(R8)  TARIF ZUSCHL     15180000
         BAL   R14,Z22PROT                                              15190000
         B     Z226U48                                                  15200000
         SPACE                                                          15210000
* SUCHEN BEMESSUNGS-ZAHL IM GEB.SATZ UEBER BESTAB *                     15220000
Z226U342 DS    0H                                                       15230000
         MVC   GEBA2,BTF06                ZUSCHLAG                      15240000
         CLC   T025F041,BTF01             1.BEM.ZAHL ?                  15250000
         BNE   Z226U4                     (GEB.SATZ ALT-BESTAB)         15260000
         MVI   KZBM,C'1'                                                15270000
         B     Z226U43                                                  15280000
Z226U4   DS    0H                                                       15290000
         CLC   T025F051,BTF01             2.BEM.ZAHL ?                  15300000
         BNE   Z226U41                                                  15310000
         MVI   KZBM,C'2'                                                15320000
         B     Z226U43                                                  15330000
Z226U41  DS    0H                                                       15340000
         CLC   T025F061,BTF01             3.BEM.ZAHL ?                  15350000
         BE    Z226U49                                                  15360000
         MVC   FEHLTEXT(L'Z22FEHL6),Z22FEHL6                            15370000
         MVC   FEHLTEXT+L'Z22FEHL6-4(L'T025F03),0(R8)  TARIF ZUSCHL     15380000
         BAL   R14,Z22PROT                                              15390000
         B     Z226U48                                                  15400000
Z226U49  DS    0H                                                       15410000
         MVI   KZBM,C'3'                                                15420000
Z226U43  DS    0H                           SUCHEN TARIF NEU            15430000
         LA    R7,BZAEHL1                   TARIFE IN BESTAB            15440000
         LA    R2,L'BTF00                   BERECHNEN                   15450000
         ZAP   DOWO,KZTAN                   BESTAB FUER                 15460000
         CVB   R15,DOWO                     ZUSCHLAG                    15470000
         BCTR  R15,0                        ADR.TARIF(1-3)              15480000
         MR    R14,R2                                                   15490000
         AR    R7,R15                      NEUER TARIF                  15500000
         CLI   KZBM,C'1'                                                15510000
         BNE   Z226U44                                                  15520000
         MVC   T025F041,BTF01              1.BEM-ZAHL                   15530000
         B     Z226U46                                                  15540000
Z226U44  DS    0H                                                       15550000
         CLI   KZBM,C'2'                                                15560000
         BNE   Z226U45                                                  15570000
         MVC   T025F051,BTF01              2.BEM-ZAHL                   15580000
         B     Z226U46                                                  15590000
Z226U45  DS    0H                                                       15600000
         MVC   T025F061,BTF01              3.BEM-ZAHL                   15610000
Z226U46  DS    0H                                                       15620000
         SP    ZUBEL,KP1                   TARIF-SCHL. DARF ERST        15630000
         CP    ZUBEL,KP0                   BEI LETZTER BM-ZAHL          15640000
         BH    Z226U461                    UEBERTRAGEN WERDEN.          15650000
         MVC   T025F03,BTF06                                            15660000
Z226U461 DS    0H                                                       15670000
         MVC   T025F40,BTF05                                            15680000
         MVC   T025F08,BTF04                                            15690000
         MVC   FEHLTEXT(L'Z22FEHL7),Z22FEHL7                            15700000
         MVC   FEHLTEXT+L'Z22FEHL7-4(L'GEBA1),GEBA2                     15710000
         MVC   FEHLTEXT+L'Z22FEHL7+1(L'ALT),ALT                         15720000
         UNPK  FEHLTEXT+L'Z22FEHL7+5(1),KZTAA                           15730000
         OI    FEHLTEXT+L'Z22FEHL7+5,X'F0'                              15740000
         MVC   FEHLTEXT+L'Z22FEHL7+7(L'NEU),NEU                         15750000
         UNPK  FEHLTEXT+L'Z22FEHL7+11(1),KZTAN                          15760000
         OI    FEHLTEXT+L'Z22FEHL7+11,X'F0'                             15770000
         BAL   R14,Z22PROT                                              15780000
         CP    KZZUS,KP1                   1.ZUSCHLAG ABGEARBEITET ?    15790000
         BE    Z226U47                                                  15800000
         CP    KZZUS,KP2                   2.ZUSCHLAG ABGEARBEITET ?    15810000
         BE    Z226U47                                                  15820000
Z226U48  DS    0H                                                       15830000
         L     R5,SR5                                                   15840000
         B     Z226U322                    ENDE                         15850000
Z226U47  DS    0H                                                       15860000
         L     R5,SR5                      SUCHEN NAECHSTEN             15870000
         B     Z226U352                    TARIF IN BESTAB              15880000
         EJECT                                                          15890000
* A U S G E B E N   P R O T O K O L L                                   15900000
         DS    F                                                        15910000
Z22PROT  ST    R14,Z22PROT-4                                            15920000
         ZCALL KV0202,/ARB                                              15930000
         L     R14,Z22PROT-4                                            15940000
         BR    R14                                                      15950000
         EJECT                                                          15950010
* Z U R U E C K U E B E R T R A G E N  T 0 2 5                          15950020
         DS    F                                                        15950030
Z22T025  ST    R14,Z22T025-4                                            15950040
         ST    R2,Z26R2                 SICHERN REGISTER                15950050
         L     R15,WT025A               ANFANGSADRESSE T025             15950060
         L     R14,WT025                ENDADRESSE T025                 15950070
         S     R14,WT025A               ANFANGSADRESSE T025             15950080
         L     R2,SAVA                  LADEN ADRESSE ST025             15950090
         ZMVCL R15,:R14,R2              AUSGEBEN T025                   15950100
         L     R2,Z26R2                 LADEN REGISTER                  15950110
         L     R14,Z22T025-4                                            15950120
         BR    R14                                                      15950130
         EJECT                                                          15960000
WRAB     DS    F                   ANFANG BEST-TAB                      15970000
WREB     DS    F                   ENDE BEST-TAB                        15980000
BKZE     DS    CL1                 KZ=1 BEH.KEINE BESTABR.              15990000
BQU      DS    CL4                 QUITTUNG LESEN                       16000000
         DC    C'SKPNUP'           SKPNUP   LESEN                       16010000
         DS    CL10                QUITTUNG LESEN                       16020000
BHNR     DS    XL5                                                      16030000
Z22FEHL0 DC    C'*KEINE TAB. FUER BESTABR. BEH.KZ.GELOE'                16040000
Z22FEHL1 DC    C'*TARIF NICHT IN BESTTAB.       '                       16050000
Z22FEHL2 DC    C'*ZUSCHLAG-TARIF NICHT IN BESTAB     '                  16060000
Z22FEHL3 DC    C'*TARIFWECHSEL      '                                   16070000
Z22FEHL4 DC    C'*ZUSCHLAG-TARIF NICHT IM GEB.SATZ      '               16080000
Z22FEHL5 DC    C'*BEM.ZAHLEN NICHT IM GLEICHEN TAR.     '               16090000
Z22FEHL6 DC    C'*BEM.ZAHL IM ZUS-GEB.NICHT GEFUND.     '               16100000
Z22FEHL7 DC    C'*TARIFWECHSL.ZUSCHLAG     '                            16110000
Z22FEHL8 DC    C'*KEIN(VERBR.+GRUNDPR./TARIFWECHSEL)     '              16120000
Z22FEHL9 DC    C'*LIN.KOMPO.IN ALLEN BEMZ.UNGLEICH      '               16130000
Z22FEHLA DC    C'*    KEIN RAUM IM BEM.ZAHLEN BZW.'                     16140000
         SPACE                                                          16150000
REFTA1   DC    PL5'0'              RECHENFELD TARIF 1                   16160000
REFTA2   DC    PL5'0'              RECHENFELD TARIF 2                   16170000
REFTA3   DC    PL5'0'              RECHENFELD TARIF KL                  16180000
REFTA4   DC    PL5'0'              RECHENFELD TARIF 1 VERBR.PREIS       16190000
         SPACE                                                          16200000
KP100000 DC    PL5'100000'                                HOES0146      16210001
VERBR1   DC    PL5'1'    VERBRAUCH ALLER GEB-SAETZE       HOES0146      16210003
PREIST2  DC    PL12'0'   PREIS TARIF2-BEST-TAB =          HOES0146      16210010
*                        DURCHSCHNITTSPREISHOECHSTGRENZE  HOES0146      16210100
PREISDT1 DC    PL12'0'   DURCHSCHNITTSPREIS               HOES0146      16210101
*                        LT. TARIF1-BEST-TAB              HOES0146      16210102
         SPACE                                                          16210110
GEBA1    DS    CL3                 GEB.ART BESTAB                       16210200
GEBA2    DS    CL3                 GEB.ART ZUSCHLAG                     16220000
ZUSCHL1  DS    CL7                 NT ZUSCHLAG 1. BM.ZA.                16230000
ZUSCHL2  DS    CL7                 NT ZUSCHLAG 2. BM.ZA.                16240000
ZUSCHL3  DS    CL7                 NT ZUSCHLAG 3. BM.ZA.                16250000
NEU      DC    C'NEU'                                                   16260000
ALT      DC    C'ALT'                                                   16270000
LIN      DC    C' LIN.KOMPO. '                                          16280000
         SPACE                                                          16290000
KZLIN0   DS    CL1                 KZ FUER LIN.KOMP. TARIF (ALLE GEB.S) 16300000
KZLIN1   DS    CL1                 KZ FUER LIN.KOMP. BEMZ.1             16310000
KZLIN2   DS    CL1                 KZ FUER LIN.KOMP. BEMZ.2             16320000
KZLIN3   DS    CL1                 KZ FUER LIN.KOMP. BEMZ.3             16330000
KZTAA1   DC    PL1'0'              KZ FUER TARIF ALT BEMZ.1             16340000
KZTAA2   DC    PL1'0'              KZ FUER TARIF ALT BEMZ.2             16350000
KZTAA3   DC    PL1'0'              KZ FUER TARIF ALT BEMZ.3             16360000
KZTAA    DC    PL1'0'              KZ FUER TARIF ALT GES.               16370000
KZTAN    DC    PL1'0'              KZ FUER TARIF NEU                    16380000
KZZUS    DS    PL1'0'              KZ FUER ZUSCHLAG 1-3                 16390000
KZLK     DS    CL1                 KZ FUER LIN.KOMPO                    16400000
KZBM     DS    CL1                 KZ FUER BEM.ZAHL                     16410000
ZUBEL    DC    PL1'0'              ANZ. BELEGTER ZUSCHLAEGE             16420000
         SPACE                                                          16430000
REFLI    DC    PL5'0'              BETRAG FUER NICHT LK                 16440000
SMENG    DC    PL5'0'              MENGE  FUER LK                       16450000
LMENG    DC    PL5'0'              MENGE  FUER KEINE LIN.KOMPO.         16460000
SPREI    DC    PL5'0'              SICHERN PREIS/EINHEIT                16470000
SBEMZ1   DS    CL1                 SICHERN BEM.ZAHL1                    16480000
SBEMZ2   DS    CL1                 SICHERN BEM.ZAHL2                    16490000
SBEMZ3   DS    CL1                 SICHERN BEM.ZAHL3                    16500000
SBEH     DC    CL10'0000000000'    FUER WECHSEL BEH.NR                  16510000
LEER     DC    CL21' '                                                  16520000
KC00     DC    XL3'0'                                                   16530000
BT025    DS    CL7                 TARIF IN T025                        16540000
EINS     DC    C'111'                                                   16550000
Z26R2    DS    F                        SAVE R2                         16550010
         SPACE                                                          16560000
LBST     DC    F'7500'             LAENGE BESTAB                        16570000
SBANF    DS    F                   ADR.BESTSA1                          16580000
ST025A   DS    F                   ADR.NAESTER GEB.SATZ                 16590000
SR5      DS    F                                                        16610000
DOWO     DS    D                                                        16630000
         SPACE                                                          16650000
* DSECT FUER TARIFE                                                     16660000
BTF      DSECT                                                          16670000
BTF00    DS    0CL7           TARIF I-KL                                16680000
BTF06    DS    CL3            TARIF-SCHLUESSEL                          16690000
BTF01    DS    BL1            BEMESSUNGS-ZAHL                           16700000
BTF04    DS    BL1            PREIS/EINHEIT                             16710000
BTF05    DS    CL2            TARIF-UNTERGRUPPE                         16720000
         SPACE                                                          16730000
*  DSECT DER TABELLE FUER DIE BEST-ABRECHNUNG                           16740000
BESTSA   DSECT                                                          16750000
BESTSA1  DS    0CL50                                                    16760000
BESTSA2  DS    0CL12                                                    16770000
BBEH     DS    XL5                 BEH.NR.                              16780000
BTKZ     DS    CL1                 TAB.KENNUNG                          16790000
BZEI     DS    CL3                 ZEILEN-NR.                           16800000
BAEN1    DS    CL1                 AENDERUNGS-KZ 1.ZAEHLER              16810000
BAEN2    DS    CL1                 AENDERUNGS-KZ 2.ZAEHLER              16820000
BLIKZ    DS    CL1                 LINEARE KOMPONENTE                   16830000
BZAEHL1  DS    CL21                ZAEHLER (3 TARIFE)                   16840000
BLIKO    DS    CL7                 FUER LIN.KOMPO.                      16850000
BZUSCHL  DS    CL7                 ZUSCHLAG NT                          16860000
BREST    DS    CL3                 REST LEER                            16870000
*                                                                       16880000
*                                                                       16890000
         PRINT GEN                                                      16900000
         YVDS  DSECT,ARB,ARB                                            16910000
         YVDS  DSECT,T01A,T01                                           16920000
         YVDS  DSECT,T02A,T02                                           16930000
         END   KV0226N                                                  16940000
