         TITLE 'KV0289'                                            1185 00000100
*****************************************************************  1185 00000200
*                                                                  1185 00000300
*         ERMITTELN ABZUZIEHENDER UNTERZAEHLERVERBRAUCH            1185 00000400
*                                                                  1185 00000500
*         BEISPIEL: - VERBR.UZ-GES = 1000                          1185 00000600
*                   - VERBR.HZ-GES = 1200 (ZT1=800,ZT2=400)        1185 00000700
*                                                                  1185 00000800
*                   BERECHNUNG:                                    1185 00000900
*                      ZT1:  800 = 66% VON 1200                    1185 00001000
*                            66% VON 1000 = 666                    1185 00001100
*                            800 - 666 = 134   (RF2 = 666)         1185 00001200
*                      ZT2:  REST = 66.                            1185 00001300
*                      KONTROLLE: 134+66=200   (1200-1000).        1185 00001400
*                                                                  1185 00001500
*****************************************************************  1185 00001600
* 420 834 001 1185  V.03.03.88 ERSTELLUNG / HOESL                  1185 00001620
* 420 834 001 1845  V.03.01.90 ABSTURZ SC03 / HOESL                1845 00001630
* 420 834 001 0009  V.08.02.90 ABSTURZ SC07 / HOESL                0009 00001630
* 436 834 000 0466  V.23.08.94 NEUE MAKRO WEGEN MWST / HOESL
*****************************************************************  1185 00001600
         PRINT NOGEN                                               1185 00001700
KV0289   ZSTRT BASIS=R11,REGS=2                                    1185 00001800
         L     R3,0(R1)             ARBEITSBEREICH ADRESSIEREN     1185 00001900
         USING ARB,R3                                              1185 00002000
         L     R5,WT025A            ABNEHMERSTAMM  ADRESSIEREN     1185 00002100
         USING T025F01,R5                                          1185 00002200
KVST10   DS    0F                                                  1185 00002300
         L     R5,F1                LADEN AKT.SATZ                 1185 00002400
         ZAP   RUZ,RF2              RUZ = VERBRAUCH UZ-GESAMT      1185 00002500
         ZAP   SHZ,T025F17          SHZ = VERBR-ZT1 HAUPTZAEHLER   1185 00002600
         MVC   VGEB,T025F02         GEB-SATZ-VERGLEICHSFELD        1185 00002700
         A     R5,WLT025            NAECHSTER GEB.SATZ             1185 00002800
         C     R5,WT025             ENDE T025 ?                    1185 00002900
         BNL   KVST50               JA                             1185 00003000
         CLC   VGEB,T025F02         NAECHSTER GEB.SATZ GLEICH ?    1185 00003100
         BNE   KVST50               JA                             1185 00003200
         PACK  RF1,T025F81          RF1 = ABLESE-ZT2               1185 00003300
         OI    RF1+15,X'0F'         VORZEICHEN                     0009 00003300
         SP    RF1,T025F14          RF1 = ABLESE-ZT2 - MONTAGE     1185 00003400
         AP    SHZ,RF1              SHZ = VERBR-ZT1 + ZT2          1185 00003500
KVST50   DS    0H                                                  1185 00003600
         CP    SHZ,KP0              SUMME HAUPTZAEHLER 0 ?         1845 00003700
         BNE   KVST55                                              1845 00003800
         ZAP   SHZ,KP1                                             1845 00003900
KVST55   DS    0H                                                  1845 00004000
         L     R5,F1                AKTUELLER GEB.SATZ             1185 00003700
         ZAP   RHZ,T025F17          RHZ = VERBR-ZT1                1185 00003800
         MP    RHZ,KP100            RHZ = VERBR-ZT1 * 100          1185 00003900
         MP    RHZ,KP10000          WEGEN RUNDUNGSFEHLER           1185 00004000
         DP    RHZ,SHZ              RHZ = VERBR-ZT1 * 100 / SHZ    1185 00004100
         ZAP   RP1,RHZ(L'SHZ)       RP1 = % ZT1 VON SHZ            1185 00004200
         MP    RUZ,RP1              RUZ = ZT1-UZ * % ZT1 VON SHZ   1185 00004300
         DP    RUZ,KP10000          WEGEN RUNDUNGSFEHLER           1185 00004400
         ZAP   RF2,RUZ(L'RUZ-L'KP10000) = ZT1-UZ * % ZT1 VON SHZ   1185 00004500
         DP    RF2,KP100            RF2 = ANTEIL UNTERZAEHLER ZT1  1185 00004600
KVST99   DS    0H                                                  1185 00004700
         ZEND                                                      1185 00004800
         LTORG                                                     1185 00004900
***************************************************************    1185 00005000
VGEB     DS    CL3                                                 1185 00005100
SHZ      DS    PL8                                                 1185 00005200
SUZ      DS    PL8                                                 1185 00005300
RHZ      DS    PL16                                                1185 00005400
RUZ      DS    PL16                                                1185 00005500
RP1      DS    PL6                                                 1185 00005600
***************************************************************    1185 00005700
         PRINT GEN                                                 1185 00005800
         YVDS  DSECT,ARB,ARB                                       1185 00005900
         YVDS  DSECT,T02A,T02                                      1185 00006000
         LTORG                                                     1185 00006100
         END   KV0289                                              1185 00006200
