#if !defined(__dirs_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde.
#define __dirs_h

/*  Projekt cobwrap
	 SES GmbH
	 Copyright  1997 Alle Rechte vorbehalten.

	 SYSTEM:       cobwrap.exe Application
	 DATEI:        dirs.h
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ========
	 Klassendefinition fuer redocAboutDlg (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "plwrpapp.rh"                  // Definition aller Ressourcen.

//{{TDialog = TDirs}}
class TDirs : public TDialog {

public:
	 char out  [MAX_PATH];
	 char in  [MAX_PATH];
	 char work[MAX_PATH];
	 LPSTR ptrTIn;
	 LPSTR ptrTWork;
	 LPSTR ptrTOut;
public:
	 TDirs (TWindow* parent, LPSTR TIn, LPSTR TOut,
			  LPSTR TWork, TResId resId = DIALOG_DIR, TModule* module = 0);
	 virtual ~TDirs ();

	 virtual void HandleIn();
	 virtual void HandleWork();
	 virtual void HandleOut();
	 virtual int  SetPath(LPSTR);

	 virtual void HandleOk();

	 void SetupWindow();

	 DECLARE_RESPONSE_TABLE(TDirs);

 };    //{{TOpenDir}}

#endif                                      // __rdcabtdl_h sentry.
