#if !defined(__selectf_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde.
#define __selectf_h

/*  Projekt redoc
	 SES GmbH
	 Copyright  1995 Alle Rechte vorbehalten.

	 SYSTEM:       redoc.exe Application
	 DATEI:        selectf.h
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ========
	 Klassendefinition fuer redocAboutDlg (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "plwrpapp.rh"                  // Definition aller Ressourcen.

//{{TDialog = TSelect}}
class TSelectFiles : public TDialog {

public:
	 char pathext[MAX_PATH];
	 LPSTR ptrTPathext;
	 char pathext2[MAX_PATH];
	 LPSTR ptrTPathext2;
	 char input[MAX_PATH];
	 LPSTR ptrinput;

	 int selitems;
	 DWORD maxItems;
	 DWORD dwIndex_S;
	 DWORD dwIndex;
	 DWORD wNotifyCode;

	 WPARAM wParam;
	 LPARAM lParam;

	 char szFile[12];
	 int err;
	 int xz;
	 char outline[80];

public:
	 TSelectFiles (TWindow* parent, LPSTR TPathext, LPSTR TPathext2, LPSTR inputdir,
						TResId resId = DIALOG_SELECTFILES, TModule* module = 0);
	 virtual ~TSelectFiles ();

	 virtual void HandleListBox ();
	 virtual void HandleOk();
	 virtual void HandleCopy();
	 virtual void word_toupper(char *, int);

	 void SetupWindow();

	 DECLARE_RESPONSE_TABLE(TSelectFiles);

 };    //{{TOpenDir}}


#endif                                      // __selectf_h sentry.
