#if !defined(__selobj_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde.
#define __selobj_h

/*  Projekt redoc
	 SES GmbH
	 Copyright  1995 Alle Rechte vorbehalten.

	 SYSTEM:       redoc.exe Application
	 DATEI:        selpara.h
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ========
	 Klassendefinition fuer redocAboutDlg (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "plwrpapp.rh"                  // Definition aller Ressourcen.
#include "ctype.h"
#include "stdio.h"

#define HEADER_BEGIN      0
#define HEADER_END        6
#define BODY_BEGIN        7
#define BODY_END         71

#define MAX_FILE_LN      160
#define MAX_COBFILE_LN   160
#define MAX_FILE_NAME     8
#define MAX_PATH          80

//----------------------------------------------------------------------------
//{{TDialog = TSelectObj}}
class TSelectObj : public TDialog {

public:
   FILE *fp;

   int handle;

	char xbuf[MAX_PATH];

	char outline   [MAX_COBFILE_LN];
	/* read_line */
	int  read_stat;
   int  errlist;

public:
	 char objname[MAX_NAME];
	 char filename[MAX_PATH];
	 char inputdir[MAX_PATH];


public:
	 TSelectObj(TWindow* parent, LPSTR inputDir, LPSTR fileName, TResId resId = DIALOG_SELECTOBJ, TModule* module = 0);
	 virtual ~TSelectObj();
	 void SetupWindow();
	 void HandleOk();
	 void HandleAll();
	 void HandleCC();
	 void HandleListBox();

	 DECLARE_RESPONSE_TABLE(TSelectObj);

 };    //{{TSelectObj}}

#endif // end
