/*  Projekt pliwrap
	 SES GmbH
	 Copyright  1999 Alle Rechte vorbehalten.

	 SYSTEM:       pliwrap.exe Application
	 DATEI:        dirs.cpp
	 AUTOR:        Helmuth C. Bahr


	 UEBERBLICK
	 ==========
	 Quelltextdatei fuer die Implementation von redocAboutDlg (TDialog).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "editor.h"
#include "plwrpapp.h"
#include <windows.h>
#include <dir.h>
DEFINE_RESPONSE_TABLE1(TEditor, TDialog)
  EV_COMMAND (IDC_BITMAP_EDITOR, HandleEdt),
  EV_COMMAND (IDOK, HandleOk),
END_RESPONSE_TABLE;

//{{TOpenDir Implementation}}
TEditor::TEditor (TWindow* parent, LPSTR TEdt, TResId resId, TModule* module):
	 TDialog(parent, resId, module)
{
	 // INSERT>> Your constructor code here.
	 strcpy (edt, TEdt);
	 ptrTEdt = TEdt;
}


TEditor::~TEditor ()
{
	 Destroy();

	 // INSERT>> Your destructor code here.
}

void TEditor::HandleOk ()
{
 TPliwrapApp *theApp = TYPESAFE_DOWNCAST(GetApplication(), TPliwrapApp);
 theApp->select=1;

 GetDlgItemText (IDC_EDIT_EDITOR, edt, MAX_PATH);
 strcpy (ptrTEdt, edt);

 CloseWindow ();
}


void TEditor::SetupWindow ()
{
 SetDlgItemText (IDC_EDIT_EDITOR, edt);
}

void TEditor::HandleEdt ()
{
 TPliwrapApp *theApp = TYPESAFE_DOWNCAST(GetApplication(), TPliwrapApp);

 *(theApp->FileData.FileName) = 0;
 if (TFileOpenDialog(this, theApp->FileData).Execute() != IDOK) return;

 strcpy (edt, theApp->FileData.FileName);
 SetDlgItemText (IDC_EDIT_EDITOR, edt);
}

