//----------------------------------------------------------------------------
//  Project Pliwrap
//  BahrData / SES GmbH
//  Copyright  1999. All Rights Reserved.
//
//  SUBSYSTEM:    Pliwrap Application
//  FILE:         plwrmdi1.cpp
//  AUTHOR:       Helmuth C. Bahr
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TPliwrapMDIChild (TMDIChild).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include "plwrpapp.h"
#include "plwrplsb.h"
#include "plwrmdi1.h"


//{{TPliwrapMDIChild Implementation}}


//--------------------------------------------------------
// TPliwrapMDIChild
// ~~~~~~~~~~
// Construction/Destruction handling.
//
TPliwrapMDIChild::TPliwrapMDIChild(TMDIClient& parent, const char far* title, TWindow* clientWnd, bool shrinkToClient, TModule* module)
:
  TMDIChild(parent, title, !clientWnd ? new TPliwrapListBox(0, 0, 0, 0, 100, 100) : clientWnd, shrinkToClient, module)
{
  // INSERT>> Your constructor code here.

}


TPliwrapMDIChild::~TPliwrapMDIChild()
{
  Destroy();

  // INSERT>> Your destructor code here.

}
