//----------------------------------------------------------------------------
//  Project Pliwrap
//  BahrData / SES GmbH
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    Pliwrap Application
//  FILE:         plwrpabd.h
//  AUTHOR:       Helmuth C. Bahr
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TPliwrapAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(plwrpabd_h)              // Sentry, use file only if it's not already included.
#define plwrpabd_h

#include <owl/static.h>

#include "plwrpapp.rh"                  // Definition of all resources.


//{{TDialog = TPliwrapAboutDlg}}
class TPliwrapAboutDlg : public TDialog {
  public:
    TPliwrapAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT, TModule* module = 0);
    virtual ~TPliwrapAboutDlg();

//{{TPliwrapAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TPliwrapAboutDlgVIRTUAL_END}}
};    //{{TPliwrapAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion {
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPSTR& prodName);
    bool GetProductVersion(LPSTR& prodVersion);
    bool GetCopyright(LPSTR& copyright);
    bool GetDebug(LPSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // plwrpabd_h sentry.
