//----------------------------------------------------------------------------
//  Project Pliwrap
//  BahrData / SES GmbH
//  Copyright  1999. All Rights Reserved.
//
//  SUBSYSTEM:    Pliwrap Application
//  FILE:         plwrplsb.cpp
//  AUTHOR:       Helmuth C. Bahr
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TPliwrapListBox (TListBox).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include "plwrpapp.h"
#include "plwrplsb.h"
#include "plwrplsb.h"

#include <stdio.h>


//{{TPliwrapListBox Implementation}}


//--------------------------------------------------------
// TPliwrapListBox
// ~~~~~~~~~~
// Construction/Destruction handling.
//
TPliwrapListBox::TPliwrapListBox(TWindow* parent, int id, int x, int y, int w, int h, TModule* module)
:
  TListBox(parent, id, x, y, w, h, module)
{
  Attr.Style &= ~LBS_SORT;                    // Don't sort the list its a file.
  Attr.Style |= LBS_NOINTEGRALHEIGHT;         // Don't let it adjust within the frame

  // INSERT>> Your constructor code here.

}


TPliwrapListBox::~TPliwrapListBox()
{
  Destroy();

  // INSERT>> Your destructor code here.

}
