********** CNTRL
********** HISTO  AUGRR NEU----180990  AUGRR 111290-111290  AUGRR 221191-111291
********** HISTO  AUFLU 210992-021292  AUGRR 021292-071292  AUGRR 040193-050193
********** HISTO  AUDUS 220993-211093
       IDENTIFICATION DIVISION.
       PROGRAM-ID.    DDEAP06.
       AUTHOR.        BANK AUFINA
                      5200 BRUGG.
       DATE-WRITTEN.  JUNE-87.
       DATE-COMPILED.
       REMARKS.
            INPUT-FILES:
             MTZD       MARKEN-TYPEN VERZEICHNIS
            OUTPUT-FILES:
            SCREENS:
              DDEAM7D   GEGENSTANDSBILD DEUTSCH
              DDEAM7F   GEGENSTANDSBILD FRANZOESISCH
            PROGRAM-DESCRIPTION:
              DER SCREEN ZUR ERFASSUNG DER GEGENSTANDSANGABEN TZ,LEASING
              EINGEGEBENE FELDER WERDEN AUF FORMALE RICHTIGKEIT (NUM.
              CHECK-DIGIT EINGAE-LAENGE) GEPRUEFT. FALSCHE FELDER WERDEN
              ANGEZEIGT. MIT PF3 PF7 PF8 PF11 ODER ENTER UND BILDNUMMER
              KANN MIT XCTL VERZWIEGEN WERDEN.
            ***********************************************************
            * ACHTUNG ACHTUNG                                         *
            * DA IM COPY DFHBMSCA KEIN WERT FUER HIGH-LIGHT UND NUME- *
            * RISCH EXISTIERT WIRD IM FEHLERFALL BEI NUM. FELDERN IM- *
            * MER Q INS ATTRIBUT FELD GEMOVET                         *
            ***********************************************************
            SUBROUTINE-DESCRIPTION:
             S10  LESEN MT-FILE UND FUELLEN CA-FELDER
             S20  MELDUNGEN AUF MASTERCONSOLE GEBEN
            SWITCHES:
            INDEXES:
      * SPECIAL-REMARKS.
      *****************************************************************
      * 1.    PROGRAMM:
      * 1.1   NAME :      DDEAP06     A/PROGR:    R.GRAF
      * 1.2   LANG.:      COBOL       E-DATUM:    JUNI 1987
      * 1.3   P-ART:      ONLINE      TB/TRNS:    DDEN
      * 1.4   L.MUT:      09.09.1992  A/PROGR:    FLUECKIGER
      *
      * 2.    PROGRAMMTEXT:
      * 2.1   EINGABE UND FORMALE PRUEFUNG DER GEGENSTANDSEINGABEN BEI
      * 2.2   TZ UND LEASING-VERTRAEGEN
      *
      * 3.    FILES:
      * 3.0   ID:         D-ORG:   I/O/L/U:       DS-NAME:
      *
      * 3.1   MTZD        INDX-SEQ.   I           AUP.MT
      *
      * 4.    OUTPUTLISTEN:
      * 4.0   L-NR.     FORM    EMPF-ABT  A-FRIST LISTENTITEL:
      *
      * 5.    MODULES:
      * 5.1   XM007       XM014A      XM134       XM238       XM246
      * 5.2   XM278       XM005
      *
      * 6.    DECISION-TABLES:
      *
      * 7.    COPY'S: (OHNE DECTAT)
      * 7.1   MINIHEXA    YDDEAPRO    YMTIWA      YCADDEA     DFHAID
      * 7.2   DFHBMSCA    DDEAM7D
      *
      * 8.    MAPS FUER ON-LINE-PROGRAMME
      * 8.1   DDEAM7D     DDEAM7F
      *
      * 9.    UPSI-SWITCHES:
      *****************************************************************
      * END SPECIAL-REMARKS
            MODIFICATIONS:
            L01 03.03.88 R.GRAF                                         L01/GR
                SCHNITTSTELLE FUER PF1 (HELP-TASTE) EINBAUEN  MODULE    L01/GR
                NAMEN FUER P008 UEBER KONSTANTEN WEITERGEBEN            L01/GR
            L02 05.12.88 R.GRAF                                         L02/GR
                FALLS EINE VERSICHERUNGSKLASSE > 31 IST VSKLA NICHT EIN-L02/GR
                SETZEN AUS MARKEN/TYPEN VERZEICHNIS                     L02/GR
            L03 21.02.89 R.GRAF                                         L03/GR
                NEUER PARAMETER FUER XM007                              L03/GR
            L04 21.02.90 R.GRAF                                         L04/GR
                NEUES EINGABEFELD IMPORTEURCODE (IMPCO)                 L04/GR
            L05 11.12.90 R.GRAF                                         L05/GR
                IMPORTEURCODE AUCH FUER VART 34 UND 35 ZULASSEN         L05/GR
            L06 22.11.91 R.GRAF                                         L06/GR
                KATALOGPREIS MIT BARPREIS INITEN FALLS KPR 0            L06/GR
            L07 23.09.92 FLUECKIGER                                     L06/GR
                EINGABE CHASSIS-NR PRFEN AUF 'C=/S=' (CHASSIS/         L06/GR
                STAMM-NR),FALLS S= PRFEN AUF FORMAT 999.999.999
                AKTIVIEREN AUF 01.01.93
           EJECT
       ENVIRONMENT DIVISION.
      ******************************************************************
      *
      *
       DATA DIVISION.
      *
      *
      ******************************************************************
       WORKING-STORAGE SECTION.
      *
       01  BEGINN-WS     PIC X(35)      VALUE
           'BEGINN WORKING-STORAGE DDEAP06 L07'.                        L07/FL
      *
      ******************************************************************
       01  KONSTANTEN.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>KONST<<'.
      *
      **** MODULE NAMEN ALS KONSTANTEN FUER P008 ***
           05 XM005      PIC X(8)       VALUE 'XM005'.                  L07/FL
           05 XM007      PIC X(8)       VALUE 'XM007'.                  L01/GR
           05 XM014A     PIC X(8)       VALUE 'XM014A'.                 L01/GR
           05 XM134      PIC X(8)       VALUE 'XM134'.                  L01/GR
           05 XM238      PIC X(8)       VALUE 'XM238'.                  L01/GR
           05 XM246      PIC X(8)       VALUE 'XM246'.                  L01/GR
           05 XM278      PIC X(8)       VALUE 'XM278'.                  L04/GR
      *
       01  FILLER        PIC X(9)       VALUE '>>>HEX<<<'.
                         COPY           MINIHEXA.
      *
      ***  PROGRAMM TABELLE ***
           COPY YDDEAPRO.
           EJECT
      *
      ******************************************************************
       01  RECHENFELDER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>RECHF<<'.
           EJECT
      *
      ******************************************************************
       01  SWITCHES.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>SWITCH<<'.
           05  SWFEHL    PIC 9          VALUE ZERO.
           05  SWPF      PIC 99         VALUE ZERO.
           05  SWMAP     PIC 9          VALUE ZERO.
      *
      ******************************************************************
       01  INDICES.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>INDEX<<'.
           05  I1        PIC 999        COMP-3    VALUE 0.
           EJECT
      *
      ******************************************************************
      *    UHRZEIT
      ******************************************************************
      *
       01  Z-TIME        PIC 9(7).
       01  TIMR          REDEFINES      Z-TIME.
           05 FILLER     PIC X.
           05 TIMR1      PIC XX.
           05 TIMR2      PIC XX.
           05 TIMR3      PIC XX.
      *
      ******************************************************************
      *    DATUM
      ******************************************************************
      *
       01  Z-START       PIC X(08) VALUE '01.01.93'.                    l07/fl
       01  Z-BIN-START   PIC XX.                                        l07/fl
       01  Z-BIN-DAT     PIC XX.                                        l07/fl
       01  Z-DATE        PIC X(8).
       01  DATR          REDEFINES      Z-DATE.
           05 DATR0      PIC XX.
           05 FILLER     PIC X.
           05 DATR1      PIC XX.
           05 FILLER     PIC X.
           05 DATR2      PIC XX.
           EJECT
      *
      ******************************************************************
      *    DEFINITIONEN 1. ZEILE SCREEN
      ******************************************************************
      *
       01  W-IDA.
           05 FA         PIC X(12).
           05 FILLER     PIC XX         VALUE ' ,'.
           05 GS         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 TID        PIC XXXX.
           05 FILLER     PIC X          VALUE ','.
           05 OPID       PIC XXX.
      *
       01  W-IDE.
           05 TRANS      PIC XXXX.
           05 FILLER     PIC X          VALUE '-'.
           05 LEVEL      PIC XXX        VALUE 'L07'.                    L07/FL
           05 FILLER     PIC X          VALUE ','.
           05 TT         PIC XX.
           05 MM         PIC XX.
           05 YY         PIC XX.
           05 FILLER     PIC X          VALUE ','.
           05 HH         PIC XX.
           05 MI         PIC XX.
           05 SS         PIC XX.
           EJECT
      *
      ******************************************************************
       01  ZWISCHENSPEICHER.
      ******************************************************************
      *
           05  FILLER    PIC X(10)      VALUE '>>ZWISP<<'.
           05  Z-XM007   PIC 9(7).
           05  FILLER    REDEFINES Z-XM007.
           10  Z-XM0076  PIC 9(6).
           10  Z-XM007C  PIC 9.
      *
      **** ALLES ZUR BENUTZERFREUNDLICHKEIT ****
      **** DA DAS FORMAT FUER BETRAGSFELDER FREIGESTELLT IST, MUSS FUER
      **** ALLE FAELLE VORGESORGT WERDEN. DA IM FEHLERFALL DIE FALSCHE
      **** EINGABE GEZEIGT WIRD, UND MIT EINER MASKE NUR NUMERISCHE
      **** FELDER AUSGEGEBEN WERDEN KOENNEN, MUSS IM PROGRAMM DIE AUS-
      **** GABE GEHANDELT WERDEN. ANDERFALLS STELLEN SICH ASRAS EIN
      *
           05 MO-PSX.
           10 MO-PS      PIC ZZZ9.99.
           05 MO-KMANX.
           10 MO-KMAN    PIC Z9.99.
           05 MO-KPRX.
           10 MO-KPR     PIC ZZ,ZZZ,ZZ9.
           05 MO-ZUBPRX.
           10 MO-ZUBPR   PIC ZZZZ,ZZZ,ZZ9.99-.
      *****WORKFELDER FR PRFUNG OB STAMM-NR KORREKT EINGEGEBEN WURDE  L07/FL
           05    Z-STAMMNR.                                             L07/FL
           10    Z-STAMMT1 PIC X(2).                                    L07/FL
           10    Z-STAMMTA PIC X(3).                                    L07/FL
           10    Z-STAMMP1 PIC X(1).                                    L07/FL
           10    Z-STAMMTB PIC X(3).                                    L07/FL
           10    Z-STAMMP2 PIC X(1).                                    L07/FL
           10    Z-STAMMTC PIC X(3).                                    L07/FL
           10    Z-STAMMRE PIC X(7).                                    L07/FL
      *                                                                 L07/FL
      ******************************************************************
       01  PARAMETER.
      ******************************************************************
      *
           05 FILLER     PIC X(10)      VALUE '>>PARAM<<'.
      *
       01  P-XM007.
           05 P1-XM007.
           10 P-XM0079   PIC 9(9).
           10 P-XM007C   PIC 9.
           05 P2-XM007.                                                 L03/GR
           10 P2-CHECK2  PIC 9.                                         L03/GR
           10 FILLER     PIC X.                                         L03/GR
      *
       01  P-XM134.
           05 P1-XM134.
           10 Z-KNAME   PIC X(30).
           10 Z-KORT    PIC X(15).
           05 P2-XM134.
           10 FILLER    PIC S9(4)       COMP     VALUE +30.
           10 FILLER    PIC S9(4)       COMP     VALUE +15.
           10 FILLER    PIC X           VALUE HIGH-VALUE.
           05 P4-XM134.
           10 FILLER    PIC S9(4)       COMP     VALUE +47.
           10 FILLER    PIC S9(4)       COMP.
           10 FILLER    PIC X           VALUE ','.
           10 FILLER    PIC X           VALUE '1'.
           10 FILLER    PIC X           VALUE '1'.
      *
       01  P-XM177L      PIC S9(4)      COMP     VALUE +17.
       01  P-XM177.
           05 P177-1.
           10 BER-FUNC   PIC X.
           05 P177-2.
           10 BER-RET1   PIC X.
           05 P177-3.
           10 BER-RET2   PIC X(8).
           05 P177-4.
           10 BER-SPR    PIC 9.
           05 P177-5.
           10 BER-KKZ    PIC XXX.
           05 P177-6.
           10 BER-FIRMA  PIC X.
           05 P177-7.
           10 BER-BURO   PIC XX.
      *
       01  P-XM179L      PIC S9(4)      COMP     VALUE +35.
       01  P-XM179.
           05 P179-1.
           10 TRA-SPRCD  PIC X.
           05 P179-2.
           10 TRA-TRANS  PIC XXXX.
           05 P179-3.
           10 TRA-TEXT   PIC X(30).
      *
       01  P-XM181L      PIC S9(4)      COMP     VALUE +212.
       01  P-XM181.
           05 P181-1.
           10 FEHL-NR    PIC 9999       VALUE 0.
           10 FEHL-SPR   PIC 9.
           05 P181-2.
           10 FEHL-PROG  PIC X(8)       VALUE 'DDEAP06'.
           05 P181-3.
           10 FEHL-MELD  PIC X(79).
           05 P181-4.
           10 FEHL-VAR1  PIC X(20)      VALUE SPACES.
           05 P181-5.
           10 FEHL-VAR2  PIC X(20)      VALUE SPACES.
           05 P181-6.
           10 FEHL-VAR3  PIC X(20)      VALUE SPACES.
           05 P181-7.
           10 FEHL-VAR4  PIC X(20)      VALUE SPACES.
           05 P181-8.
           10 FEHL-VAR5  PIC X(20)      VALUE SPACES.
           05 P181-9.
           10 FEHL-VAR6  PIC X(20)      VALUE SPACES.
      *
       01  P-XM200.
           05 P200-1     PIC X(8)       VALUE SPACES.
      *
       01  P-XM238.
           05 PA-XM238   PIC X(70)
              VALUE '+************* HUUP  HUUP  HUUP HUUP ***********+'.
           05 PB-XM238.
           10 FILLER     PIC X(20) VALUE '+*** DDEAP06 / FILE '.
           10 Z-CLOFIL   PIC XXXX.
           10 FILLER     PIC X(17) VALUE ' IST GESCHLOSSEN+'.
      *
       01  P-XM246.
           05 P1-3V2     PIC X(16)      VALUE 'P,07,03V2, '.
           05 P1-1V2     PIC X(16)      VALUE 'P,05,01V2, '.
           05 P1-7V0     PIC X(16)      VALUE 'P,10,07V0, '.
           05 P1-9V2     PIC X(16)      VALUE 'P,16,09V2,M'.
      *
       01  P-P008L       PIC S9(4)      COMP     VALUE +124.
       01  P-P008.
           05 P008-1     PIC S9(8)      COMP     OCCURS  31.
           EJECT
      *
      ******************************************************************
      *    DATENBEREICHE DER GENERIERTEN SUBROUTINEN
      ******************************************************************
      *
      * WORK-ITEMS
      *
      ******************************************************************
      *    DEFINITIONEN DER FATAL ROUTINE
      ******************************************************************
      *
      ****                           FILE-STATUS
      *
       01  FILE-STATUS.
           05 OK         PIC XX         VALUE '00'.
           05 EOF        PIC XX         VALUE '10'.
           05 DUP-KEY    PIC XX         VALUE '22'.
           05 NOT-FND    PIC XX         VALUE '23'.
           05 NOT-OPN    PIC XX         VALUE '24'.
      *
      ****                           DEFINITON OF FATAL-RECORD
      ****                           FOR DUMP AND SCREEN
      *
       01  FILLER        PIC X(9)       VALUE '>>FATAL<<'.
       01  FAT-DUMP.
           05 FILLER     PIC X(20)      VALUE ALL '*'.
           05 FILLER     PIC X(19)      VALUE '*** FATAL ERROR ***'.
           05 FILLER     PIC X(15)      VALUE '   IN PROGRAMM:'.
           05 FILLER     PIC X(8)       VALUE 'DDEAP06'.
           05 FILLER     PIC X(8)       VALUE '  EIBFN='.
           05 FAT-EIBFN  PIC XX         VALUE SPACE.
           05 FILLER     PIC X(8)       VALUE '  EIBDS='.
           05 FAT-EIBDS  PIC X(8)       VALUE SPACE.
           05 FILLER     PIC X(11)      VALUE '  EIBRCODE='.
           05 FAT-EIBRCODE              PIC X(6)   VALUE SPACE.
           05 FILLER     PIC X(6)       VALUE '  KEY='.
           05 FAT-KEY    PIC X(20)      VALUE SPACE.
           05 FILLER     PIC X(20)      VALUE ALL '*'.
           EJECT
      *
      ******************************************************************
      *    RECORD-DEFINITION YMTIWA
      ******************************************************************
      *
       01  MTI.
           05 FILLER     PIC X(8)       VALUE '>>MTI<<'.
           05 MTI-STATUS PIC XX.
           05 LENGTH-MTI PIC S9(4)      COMP.
                         COPY           YMTIWA.
           EJECT
      *
      *
      ******************************************************************
      *    COMMAREA
      ******************************************************************
      *
       01  FILLER        PIC X(9)       VALUE '>>COMM1<<'.
       01  COMMAREA.
      *
      *    ALLGEMEINER TEIL AUS BERECHTIGUNG ETC.
      *    --------------------------------------
           05 CA-LENGTH  PIC S9999      COMP.
           05 CA-KOPF.
           10 CA-SCHRITT PIC 9.
           10 CA-SPR     PIC 9.
           10 CA-KKZ     PIC XXX.
           10 CA-BURO    PIC XX.
           10 CA-FIRMA   PIC X.
           10 CA-TRANS   PIC XXXX.
      *    INFO FUER HELP TASTE     ***                                 L01/GR
           10 CH-SWPF1   PIC 9.                                         L01/GR
           10 CH-PRGNAM  PIC X(8).                                      L01/GR
           10 CH-FEHL    OCCURS 20.                                     L01/GR
           15 CH-FEHLNR  PIC 9(5)       COMP-3.                         L01/GR
           10 CH-INDEX   PIC 9(3)       COMP-3.                         L01/GR
           05 FILLER     PIC X(15).
      *
      *    CA-EINTEILUNG FUER CROSS-JUMPER P007
      *    ------------------------------------
           05 CA-XJUMP.
      *
      *    GENERAL INFORMATION
      *    -------------------
           10 CA-GENINF.
           15 CA-GIFA    PIC 9.
           15 CA-GIKDNR  PIC 9(7)       COMP-3.
           15 CA-GIVNR   PIC 999        COMP-3.
           15 CA-GIZNR   PIC 9(7)       COMP-3.
           15 CA-GIVERK  PIC 999        COMP-3.
           15 CA-GIEHNR  PIC 9(7)       COMP-3.
           15 CA-GIEHNLN PIC 999        COMP-3.
           15 CA-GIOBNR  PIC 9(7)       COMP-3.
           15 FILLER     PIC X(27).
      *
      *    CALL INFORMATION P007
      *    ---------------------
           10 CA-CALLINF.
           15 CA-CIXJUMP.
           20 CA-CIXACT  PIC XXXX.
           20 CA-CIXACTI PIC X(18).
           15 FILLER     PIC X(32).
           15 CA-CIBIKEY.
           20 CA-CIFA    PIC X.
           20 FILLER     PIC X(29).
           15 FILLER     PIC X(16).
      *
      *    ENTRY INFORMATION P007
      *    ----------------------
           10 CA-ENTINF.
           15 CA-EIXACT  PIC XXXX.
           15 CA-EIACTIN.
           20 FILLER     PIC X(14).
           20 CA-EIACT1  PIC X.
           20 CA-EIACTF  PIC X.
           15 FILLER     PIC X(34).
           15 CA-EIBIKEY PIC X(30).
           15 CA-EIZUSAZ.
           20 FILLER     PIC XX.
           20 FILLER     PIC X(48).
           15 FILLER     PIC X(66).
      *
      *    XACT TABELLE P007
      *    -----------------
           10 CA-XACT.
           15 CA-XTAB    OCCURS 30      INDEXED BY XTAB.
           20 CA-XTXACT  PIC XXXX.
           20 CA-XTBIKEY PIC X(30).
           20 CA-XTSTAT  PIC XX.
           20 FILLER     PIC XXXX.
      *
      *    TRANSAKTIONSINTERNE CA
      *    ----------------------
           05 FILLER     PIC X(14)      VALUE '>>>TRANS-CA<<<'.
           05 CA.
           COPY YCADDEA.
      *
      *    ENDE COMMAREA
      *
           EJECT
       01  FILLER        PIC X(9)       VALUE '>>>AID<<<'.
                         COPY           DFHAID.
           EJECT
       01  FILLER        PIC X(9)       VALUE '>>>SCA<<<'.
                         COPY           DFHBMSCA.
           EJECT
      *
      ******************************************************************
      *    MAP DEFINITIONEN
      ******************************************************************
      *
       01  FILLER        PIC X(9)       VALUE '>>SCREN<<'.
                         COPY           DDEAM7D.
      *
       01  ENDE-WS       PIC X(32)      VALUE
           'ENDE WORKING-STORAGE DDEAP06'.
           EJECT
      *
      ******************************************************************
      *
*********************  INSTRUMENT CICS TEXT ***************************
CICS  ***************************************************************** 01000000
CICS  *                                                                 01600000
CICS   77    DFHRESP   PIC  S9(8) USAGE COMPUTATIONAL OCCURS 8 TIMES.
CICS   01    DFHRESP-CODES.
CICS     02  NORMAL       PIC  S9(4) USAGE COMP  VALUE 00.
CICS     02  QIDERR       PIC  S9(4) USAGE COMP  VALUE 01.
CICS     02  RDATT        PIC  S9(4) USAGE COMP  VALUE 02.
CICS     02  WRBRK        PIC  S9(4) USAGE COMP  VALUE 03.
CICS     02  EOF          PIC  S9(4) USAGE COMP  VALUE 04.
CICS     02  EODS         PIC  S9(4) USAGE COMP  VALUE 05.
CICS     02  EOC          PIC  S9(4) USAGE COMP  VALUE 06.
CICS     02  INBFMH       PIC  S9(4) USAGE COMP  VALUE 07.
CICS     02  ENDINPT      PIC  S9(4) USAGE COMP  VALUE 08.
CICS     02  NONVAL       PIC  S9(4) USAGE COMP  VALUE 09.
CICS     02  NOSTART      PIC  S9(4) USAGE COMP  VALUE 10.
CICS     02  TERMIDERR    PIC  S9(4) USAGE COMP  VALUE 11.
CICS     02  FILENOTFOUND PIC  S9(4) USAGE COMP  VALUE 12.
CICS     02  NOTFND       PIC  S9(4) USAGE COMP  VALUE 13.
CICS     02  DUPREC       PIC  S9(4) USAGE COMP  VALUE 14.
CICS     02  DUPKEY       PIC  S9(4) USAGE COMP  VALUE 15.
CICS     02  INVREQ       PIC  S9(4) USAGE COMP  VALUE 16.
CICS     02  IOERR        PIC  S9(4) USAGE COMP  VALUE 17.
CICS     02  NOSPACE      PIC  S9(4) USAGE COMP  VALUE 18.
CICS     02  NOTOPEN      PIC  S9(4) USAGE COMP  VALUE 19.
CICS     02  ENDFILE      PIC  S9(4) USAGE COMP  VALUE 20.
CICS     02  ILLOGIC      PIC  S9(4) USAGE COMP  VALUE 21.
CICS     02  LENGERR      PIC  S9(4) USAGE COMP  VALUE 22.
CICS     02  QZERO        PIC  S9(4) USAGE COMP  VALUE 23.
CICS     02  SIGNAL       PIC  S9(4) USAGE COMP  VALUE 24.
CICS     02  QBUSY        PIC  S9(4) USAGE COMP  VALUE 25.
CICS     02  ITEMERR      PIC  S9(4) USAGE COMP  VALUE 26.
CICS     02  PGMIDERR     PIC  S9(4) USAGE COMP  VALUE 27.
CICS     02  TRANSIDERR   PIC  S9(4) USAGE COMP  VALUE 28.
CICS     02  ENDDATA      PIC  S9(4) USAGE COMP  VALUE 29.
CICS     02  INVTSREQ     PIC  S9(4) USAGE COMP  VALUE 30.
CICS     02  EXPIRED      PIC  S9(4) USAGE COMP  VALUE 31.
CICS     02  RETPAGE      PIC  S9(4) USAGE COMP  VALUE 32.
CICS     02  RTEFAIL      PIC  S9(4) USAGE COMP  VALUE 33.
CICS     02  RTESOME      PIC  S9(4) USAGE COMP  VALUE 34.
CICS     02  TSIOERR      PIC  S9(4) USAGE COMP  VALUE 35.
CICS     02  MAPFAIL      PIC  S9(4) USAGE COMP  VALUE 36.
CICS     02  INVERRTERM   PIC  S9(4) USAGE COMP  VALUE 37.
CICS     02  INVMPSZ      PIC  S9(4) USAGE COMP  VALUE 38.
CICS     02  IGREQID      PIC  S9(4) USAGE COMP  VALUE 39.
CICS     02  OVERFLOWED   PIC  S9(4) USAGE COMP  VALUE 40.
CICS     02  INVLDC       PIC  S9(4) USAGE COMP  VALUE 41.
CICS     02  NOSTG        PIC  S9(4) USAGE COMP  VALUE 42.
CICS     02  JIDERR       PIC  S9(4) USAGE COMP  VALUE 43.
CICS     02  QIDERR       PIC  S9(4) USAGE COMP  VALUE 44.
CICS     02  NOJBUFSP     PIC  S9(4) USAGE COMP  VALUE 45.
CICS     02  DSSTAT       PIC  S9(4) USAGE COMP  VALUE 46.
CICS     02  SELNERR      PIC  S9(4) USAGE COMP  VALUE 47.
CICS     02  FUNCERR      PIC  S9(4) USAGE COMP  VALUE 48.
CICS     02  UNEXPIN      PIC  S9(4) USAGE COMP  VALUE 49.
CICS     02  NOPASSBKRD   PIC  S9(4) USAGE COMP  VALUE 50.
CICS     02  NOPASSBKWR   PIC  S9(4) USAGE COMP  VALUE 51.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 52.
CICS     02  SYSIDERR     PIC  S9(4) USAGE COMP  VALUE 53.
CICS     02  ISCINVREQ    PIC  S9(4) USAGE COMP  VALUE 54.
CICS     02  ENQBUSY      PIC  S9(4) USAGE COMP  VALUE 55.
CICS     02  ENVDEFERR    PIC  S9(4) USAGE COMP  VALUE 56.
CICS     02  IGREQCD      PIC  S9(4) USAGE COMP  VALUE 57.
CICS     02  SESSIONERR   PIC  S9(4) USAGE COMP  VALUE 58.
CICS     02  SYSBUSY      PIC  S9(4) USAGE COMP  VALUE 59.
CICS     02  SESBUSY      PIC  S9(4) USAGE COMP  VALUE 60.
CICS     02  NOTALLOC     PIC  S9(4) USAGE COMP  VALUE 61.
CICS     02  CBIDERR      PIC  S9(4) USAGE COMP  VALUE 62.
CICS     02  INVEXITREQ   PIC  S9(4) USAGE COMP  VALUE 63.
CICS     02  INVPARTNSET  PIC  S9(4) USAGE COMP  VALUE 64.
CICS     02  INVPARTN     PIC  S9(4) USAGE COMP  VALUE 65.
CICS     02  PARTNFAIL    PIC  S9(4) USAGE COMP  VALUE 66.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 67.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 68.
CICS     02  USERIDERR    PIC  S9(4) USAGE COMP  VALUE 69.
CICS     02  NOTAUTH      PIC  S9(4) USAGE COMP  VALUE 70.
CICS     02  VOLIDERR     PIC  S9(4) USAGE COMP  VALUE 71.
CICS     02  SUPPRESSED   PIC  S9(4) USAGE COMP  VALUE 72.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 73.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 74.
CICS     02  RESIDERR     PIC  S9(4) USAGE COMP  VALUE 75.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 76.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 77.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 78.
CICS     02  FILLER       PIC  S9(4) USAGE COMP  VALUE 79.
CICS     02  NOSPOOL      PIC  S9(4) USAGE COMP  VALUE 80.
CICS     02  TERMERR      PIC  S9(4) USAGE COMP  VALUE 81.
CICS     02  ROLLEDBACK   PIC  S9(4) USAGE COMP  VALUE 82.
CICS     02  ENDED        PIC  S9(4) USAGE COMP  VALUE 83.
CICS     02  DISABLED     PIC  S9(4) USAGE COMP  VALUE 84.
CICS     02  ALLOCERR     PIC  S9(4) USAGE COMP  VALUE 85.
CICS     02  STRELERR     PIC  S9(4) USAGE COMP  VALUE 86.
CICS     02  OPENERR      PIC  S9(4) USAGE COMP  VALUE 87.
CICS     02  SPOLBUSY     PIC  S9(4) USAGE COMP  VALUE 88.
CICS     02  SPOLERR      PIC  S9(4) USAGE COMP  VALUE 89.
CICS     02  NODEIDERR    PIC  S9(4) USAGE COMP  VALUE 90.
CICS     02  TASKIDERR    PIC  S9(4) USAGE COMP  VALUE 91.
CICS     02  TCIDERR      PIC  S9(4) USAGE COMP  VALUE 92.
CICS     02  DSNNOTFOUND  PIC  S9(4) USAGE COMP  VALUE 93.
CICS     02  LOADING      PIC  S9(4) USAGE COMP  VALUE 94.
CICS     02  MODELIDERR   PIC  S9(4) USAGE COMP  VALUE 95.
CICS     02  OUTDESCRERR  PIC  S9(4) USAGE COMP  VALUE 96.
CICS     02  PARTNERIDERR PIC  S9(4) USAGE COMP  VALUE 97.
CICS     02  PROFILEIDERR PIC  S9(4) USAGE COMP  VALUE 98.
CICS     02  NETNAMEIDERR PIC  S9(4) USAGE COMP  VALUE 99.
CICS  ***************************************************************** 97000000
CICS  ***************************************************************** 97000000
COPY  *    COPY DFHEIBLK.                                               04260000
CICS  *                                                                 02000000
CICS  *   COPYRIGHT = 5655-018 (C) COPYRIGHT IBM CORP. 1985  =          02100000
CICS  *               THIS MODULE IS "RESTRICTED MATERIALS OF=IBM"      02200000
CICS  *               LICENSED MATERIALS - PROPERTY OF IBM   =          02300000
CICS  *               REFER TO COPYRIGHT INSTRUCTIONS        =          02400000
CICS  *               FORM NUMBER G120-2083                  =          02500000
CICS  *                                                                 02600000
CICS  *     EIBLK EXEC INTERFACE BLOCK                                  03000000
CICS   01   EIBLK.                                                      04000000
CICS  *        EIBTIME    TIME IN 0HHMMSS FORMAT                        06000000
CICS        02 EIBTIME    PICTURE S9(7) USAGE COMPUTATIONAL-3.          08000000
CICS  *        EIBDATE    DATE IN 0CYYDDD FORMAT, where C is the        10000000
CICS  *                   century indicator (0=1900, 1=2000 etc),       10600000
CICS  *                   YY is the year and DDD is the day number.     11300000
CICS        02 EIBDATE    PICTURE S9(7) USAGE COMPUTATIONAL-3.          12000000
CICS  *        EIBTRNID   TRANSACTION IDENTIFIER                        14000000
CICS        02 EIBTRNID   PICTURE X(4).                                 16000000
CICS  *        EIBTASKN   TASK NUMBER                                   18000000
CICS        02 EIBTASKN   PICTURE S9(7) USAGE COMPUTATIONAL-3.          20000000
CICS  *        EIBTRMID   TERMINAL IDENTIFIER                           22000000
CICS        02 EIBTRMID   PICTURE X(4).                                 24000000
CICS  *        DFHEIGDI   RESERVED                                      26000000
CICS        02 DFHEIGDI   PICTURE S9(4) USAGE COMPUTATIONAL.            28000000
CICS  *        EIBCPOSN   CURSOR POSITION                               30000000
CICS        02 EIBCPOSN   PICTURE S9(4) USAGE COMPUTATIONAL.            32000000
CICS  *        EIBCALEN   COMMAREA LENGTH                               34000000
CICS        02 EIBCALEN   PICTURE S9(4) USAGE COMPUTATIONAL.            36000000
CICS  *        EIBAID     ATTENTION IDENTIFIER                          38000000
CICS        02 EIBAID     PICTURE X(1).                                 40000000
CICS  *        EIBFN      FUNCTION CODE                                 42000000
CICS        02 EIBFN      PICTURE X(2).                                 44000000
CICS  *        EIBRCODE   RESPONSE CODE                                 46000000
CICS        02 EIBRCODE   PICTURE X(6).                                 48000000
CICS  *        EIBDS      DATASET NAME                                  50000000
CICS        02 EIBDS      PICTURE X(8).                                 52000000
CICS  *        EIBREQID   REQUEST IDENTIFIER                            54000000
CICS        02 EIBREQID   PICTURE X(8).                                 56000000
CICS  *        EIBRSRCE   RESOURCE NAME                                 58000000
CICS        02 EIBRSRCE   PICTURE X(8).                                 60000000
CICS  *        EIBSYNC    X'FF' - SYNCPOINT REQUESTED                   62000000
CICS        02 EIBSYNC    PICTURE X.                                    64000000
CICS  *        EIBFREE    X'FF' - FREE REQUESTED                        66000000
CICS        02 EIBFREE    PICTURE X.                                    68000000
CICS  *        EIBRECV    X'FF' - RECEIVE REQUIRED                      70000000
CICS        02 EIBRECV    PICTURE X.                                    73000000
CICS  *        EIBSEND    RESERVED                                      76000000
CICS        02 EIBSEND    PICTURE X.                                    79000000
CICS  *        EIBATT     X'FF' - ATTACH DATA RECEIVED                  82000000
CICS        02 EIBATT     PICTURE X.                                    85000000
CICS  *        EIBEOC     X'FF' - EOC RECEIVED                          88000000
CICS        02 EIBEOC     PICTURE X.                                    91000000
CICS  *        EIBFMH     X'FF' - FMHS RECEIVED                         94000000
CICS        02 EIBFMH     PICTURE X.                                    97000000
CICS  *        EIBCOMPL   X'FF' - DATA COMPLETE                         97200000
CICS        02 EIBCOMPL   PICTURE X(1).                                 97400000
CICS  *        EIBSIG     X'FF' - SIGNAL RECEIVED                       97600000
CICS        02 EIBSIG     PICTURE X(1).                                 97900000
CICS  *        EIBCONF    X'FF' - CONFIRM REQUESTED                     98200000
CICS        02 EIBCONF    PICTURE X(1).                                 98500000
CICS  *        EIBERR     X'FF' - ERROR RECEIVED                        98800000
CICS        02 EIBERR     PICTURE X(1).                                 99100000
CICS  *        EIBERRCD  ERROR CODE RECEIVED                            99400000
CICS        02 EIBERRCD  PICTURE X(4).                                  99700000
CICS  *        EIBSYNRB   X'FF' - SYNC ROLLBACK REQUESTED               99800000
CICS        02 EIBSYNRB   PICTURE X.                                    99900000
CICS  *        EIBNODAT   X'FF' - NO APPL DATA RECEIVED                 99910000
CICS        02 EIBNODAT   PICTURE X.                                    99920000
CICS  *        EIBRESP    INTERNAL CONDITION NUMBER                     99930000
CICS        02 EIBRESP    PICTURE S9(8) USAGE COMPUTATIONAL.            99940000
CICS  *        EIBRESP2   MORE DETAILS ON SOME RESPONSES                99950000
CICS        02 EIBRESP2   PICTURE S9(8) USAGE COMPUTATIONAL.            99960000
CICS  *        EIBRLDBK   ROLLED BACK                                   99970000
CICS        02 EIBRLDBK   PICTURE X(1).                                 99980000
CICS  *********************  End of CICS EIBLK Copy *******************
CICS  *****************************************************************
COBINS*
COBINS 77  X-CICS-REC-LNG           PIC 9999 BINARY VALUE 2048.
COBINS 77  X-CICS-MAP-LNG           PIC 9999 BINARY VALUE 2060.
COBINS 01  X-CICS-PARAMS.
COBINS    05  X-CICS-FUNCTION          PIC XX.
COBINS        88 X-OPEN                VALUE 'OP'.
COBINS        88 X-READ                VALUE 'RD'.
COBINS        88 X-READNEXT            VALUE 'RN'.
COBINS        88 X-READPREV            VALUE 'RP'.
COBINS        88 X-START               VALUE 'ST'.
COBINS        88 X-WRITE               VALUE 'WR'.
COBINS        88 X-REWRITE             VALUE 'RW'.
COBINS        88 X-DELETE              VALUE 'DL'.
COBINS        88 X-CLOSE               VALUE 'CL'.
COBINS        88 X-SEND                VALUE 'SN'.
COBINS        88 X-RECEIVE             VALUE 'RC'.
COBINS        88 X-SEND-MAP            VALUE 'SM'.
COBINS        88 X-RECEIVE-MAP         VALUE 'RM'.
COBINS        88 X-LINK                VALUE 'LN'.
COBINS        88 X-XCTL                VALUE 'XC'.
COBINS    05  X-CICS-KEY               PIC XX.
COBINS        88 X-PA1                 VALUE '01'.
COBINS        88 X-PA2                 VALUE '02'.
COBINS        88 X-PA3                 VALUE '03'.
COBINS        88 X-PF1                 VALUE '04'.
COBINS        88 X-PF2                 VALUE '05'.
COBINS        88 X-PF3                 VALUE '06'.
COBINS        88 X-PF4                 VALUE '07'.
COBINS        88 X-PF5                 VALUE '08'.
COBINS        88 X-PF6                 VALUE '09'.
COBINS        88 X-PF7                 VALUE '10'.
COBINS        88 X-PF8                 VALUE '11'.
COBINS        88 X-PF9                 VALUE '12'.
COBINS        88 X-PF10                VALUE '13'.
COBINS        88 X-PF11                VALUE '14'.
COBINS        88 X-PF12                VALUE '15'.
COBINS        88 X-PF13                VALUE '16'.
COBINS        88 X-PF14                VALUE '17'.
COBINS        88 X-PF15                VALUE '18'.
COBINS        88 X-PF16                VALUE '19'.
COBINS        88 X-PF17                VALUE '20'.
COBINS        88 X-PF18                VALUE '21'.
COBINS        88 X-PF19                VALUE '22'.
COBINS        88 X-PF20                VALUE '23'.
COBINS        88 X-PF21                VALUE '24'.
COBINS        88 X-PF22                VALUE '25'.
COBINS        88 X-PF23                VALUE '26'.
COBINS        88 X-PF24                VALUE '27'.
COBINS        88 X-ENTER               VALUE '28'.
COBINS        88 X-CLEAR               VALUE '29'.
COBINS        88 X-ANYKEY              VALUE '30'.
COBINS    05  X-CICS-RETCODE           PIC XX.
COBINS        88 X-MAPOK               VALUE '00'.
COBINS        88 X-MAPFAIL             VALUE '40'.
XMLINS 01 XML-PARAMS.
XMLINS    05  XML-FUNCODE              PIC XX.
XMLINS    05  XML-RETCODE              PIC 99.
XMLINS    05  XML-FILNAME              PIC X(8).
IDLINS 01 IDL-PARAMS.
IDLINS    05  IDL-FUNCODE              PIC XX.
IDLINS    05  IDL-RETCODE              PIC 99.
IDLINS    05  IDL-FILNAME              PIC X(8).
*********************  INSTRUMENT CICS TEXT *********************
       LINKAGE SECTION.
      *
      ******************************************************************
      *
       01  DFHCOMMAREA.
           05 FILLER     PIC X(4900).
      *
       PROCEDURE DIVISION.
           EJECT
      *
      ******************************************************************
      *     STEUER PROCEDURE
      ******************************************************************
      *
       STEUER SECTION.
       ST-000.
      *
           PERFORM VORVERARB.
      *
       ST-100.
           PERFORM HAUPTVERARB.
      *
       ST-990.
           IF SWPF = 99
               PERFORM XCTL
             ELSE
               PERFORM TRANSID.
      *
       ST-999.
           GOBACK.
           EJECT
      *
      ******************************************************************
      *     VORVERARBEITUNG
      ******************************************************************
      *
       VORVERARB SECTION.
      *
       VV-000.
           MOVE DFHCOMMAREA TO COMMAREA.
           MOVE +4900       TO CA-LENGTH.
           MOVE LOW-VALUES TO DDEAM7DI.
      *
       VV-100.
           IF CA-SCHRITT = 1
               MOVE 0 TO CA-SWPF
               GO TO VV-700.
      **** CA FELDER FUER PF1 LOESCHEN ***                              L01/GR
      **** BEI EINGANG AUS PF1 FEHLERMELDUNG IN PROG UEBERTRAGEN ***    L01/GR
           IF CH-SWPF1 > 0                                              L01/GR
               MOVE CH-FEHLNR (1) TO CA-FEHLNR.                         L01/GR
           PERFORM CA-HELPLOE.                                          L01/GR
      *
           GO TO VV-999.
      *
       VV-700.
      *
      ****                           HANDLE AID UND CONDITION
      *
WRAP  *    EXEC CICS HANDLE CONDITION MAPFAIL (VV-860)
WRAP  *    END-EXEC.
      *
      ****                            HANDLE AID 1. TEIL
      *
WRAP  *    EXEC CICS HANDLE AID       PF1     (VV-710)
WRAP  *                               PF2     (VV-720)
WRAP  *                               PF3     (VV-730)
WRAP  *                               PF7     (VV-770)
WRAP  *                               PF8     (VV-780)
WRAP  *                               PF11    (VV-810)
WRAP  *    END-EXEC.
      *
      ****                            HANDLE AID 2. TEIL
      *
WRAP  *    EXEC CICS HANDLE AID       CLEAR   (VV-840)
WRAP  *                               ANYKEY  (VV-850)
WRAP  *    END-EXEC.
      ****                           R E C E I V E
           PERFORM RECEIVEN.
      ****                           ENTER-TASTE
           MOVE 13 TO SWPF.
           GO TO VV-999.
      *
       VV-710.
      ****                           PF1-TASTE
           MOVE 1 TO SWPF.
           GO TO VV-999.
      *
       VV-720.
      ****                           PF2-TASTE
           MOVE 2 TO SWPF.
           GO TO VV-999.
      *
       VV-730.
      ****                           PF3-TASTE
           MOVE 3 TO SWPF.
           GO TO VV-999.
      *
       VV-740.
      ****                           PF4-TASTE
           MOVE 4 TO SWPF.
           GO TO VV-999.
      *
       VV-750.
      ****                           PF5-TASTE
           MOVE 5 TO SWPF.
           GO TO VV-999.
      *
       VV-760.
      ****                           PF6-TASTE
           MOVE 6 TO SWPF.
           GO TO VV-999.
      *
       VV-770.
      ****                           PF7-TASTE (RUECKWAERTS BLAETTERN)
           MOVE 7 TO SWPF.
           GO TO VV-999.
      *
       VV-780.
      ****                           PF8-TASTE (VORWAERTS BLAETTERN)
           MOVE 8 TO SWPF.
           GO TO VV-999.
      *
       VV-790.
      ****                           PF9-TASTE
           MOVE 9 TO SWPF.
           GO TO VV-999.
      *
       VV-800.
      ****                           PF10-TASTE
           MOVE 10 TO SWPF.
           GO TO VV-999.
      *
       VV-810.
      ****                           PF11-TASTE
           MOVE 11 TO SWPF.
           GO TO VV-999.
      *
       VV-820.
      ****                           PF12-TASTE
           MOVE 12 TO SWPF.
           GO TO VV-999.
      *
       VV-840.
      ****                           CLEAR-TASTE
           MOVE 14 TO SWPF.
           GO TO VV-999.
      *
       VV-850.
      ****                           ANYKEY-TASTE
           MOVE 15 TO SWPF.
           GO TO VV-999.
      *
       VV-860.
      ****                           M A P F A I L
           MOVE 16 TO SWPF.
      *
       VV-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    HAUPTVERARBEITUNG
      ******************************************************************
      *
       HAUPTVERARB SECTION.
      *
       HV-000.
      *
           IF CA-SCHRITT = 1
               GO TO HV-050.
           GO TO HV-100.
      *
       HV-050.
      *
      ****                           HANDLING PF-FUNKTIONEN
      *
           GO TO HV-81
                 HV-82
                 HV-83
                 HV-84
                 HV-85
                 HV-86
                 HV-87
                 HV-88
                 HV-89
                 HV-90
                 HV-91
                 HV-92
                 HV-93
                 HV-94
                 HV-95
                 HV-96      DEPENDING ON SWPF.
      *
       HV-81.
      ****                           PF1-TASTE
           MOVE 'DDEAP06' TO CH-PRGNAM.
           MOVE 0 TO CA-SCHRITT.
WRAP  *    EXEC CICS XCTL PROGRAM  ('PF1T')
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'PF1T' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
       HV-82.
      ****                           PF2-TASTE / PRINTER-AUFRUF
WRAP  *    EXEC CICS LINK PROGRAM ('D154')
WRAP  *    END-EXEC.
WRAP       CALL 'D154' USING X-CICS-PARAMS
WRAP       CONTINUE.
           GO TO HV-999.
      *
       HV-83.
      ****                           PF3-TASTE
           MOVE SWPF TO CA-SWPF.
WRAP  *    EXEC CICS XCTL PROGRAM  ('DDEAT')
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'DDEAT' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
       HV-84.
      ****                           PF4-TASTE
           GO TO HV-95.
      *
       HV-85.
      ****                           PF5-TASTE
           GO TO HV-95.
      *
       HV-86.
      ****                           PF6-TASTE
           GO TO HV-95.
      *
       HV-87.
      *                              PF7-TASTE
      ****                           RUECKWAERTS BLAETTERN (INDIV.)
      **** BEI FORMALEN FEHLERN DARF KEINE PF-TASTE GEDRUECKT WERDEN **
           IF CA-SWFEHF > 0
               MOVE 01 TO FEHL-NR
               GO TO HV-900.
       HV-871.
           SUBTRACT 1 FROM CA-IPROG.
           IF CA-IPROG < 1
               MOVE 1 TO SWFEHL
               MOVE 1 TO CA-IPROG
               MOVE -1 TO M7BILDL
               MOVE 24 TO FEHL-NR
               GO TO HV-900.
           IF T-BILD (CA-IVART CA-IPROG) = HIGH-VALUE
               GO TO HV-871.
           MOVE T-BILD (CA-IVART CA-IPROG) TO CA-BILNR9.
      **** BEI VERZWEIGEN IN EIN WEITERES UNTERPROGRAMM STETS SCHRITT
      **** AUF 0 SETZEN
           MOVE 0 TO CA-SCHRITT.
           MOVE T-PROG (CA-IVART CA-IPROG) TO CA-PROGN.
WRAP  *    EXEC CICS XCTL PROGRAM  (CA-PROGN)
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'CA-PROGN' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
      *
       HV-88.
      *                              PF8-TASTE
      ****                           VORWAERTS BLAETTERN (INDIV.)
      **** BEI FORMALEN FEHLERN DARF KEINE PF-TASTE GEDRUECKT WERDEN **
           IF CA-SWFEHF > 0
               MOVE 01 TO FEHL-NR
               GO TO HV-900.
       HV-881.
           ADD 1 TO CA-IPROG.
           IF CA-IPROG > 09
               MOVE 1 TO SWFEHL
               MOVE -1 TO M7BILDL
               MOVE 9 TO CA-IPROG
               MOVE 22 TO FEHL-NR
               GO TO HV-900.
           IF T-BILD (CA-IVART CA-IPROG) = HIGH-VALUE
               GO TO HV-881.
           MOVE T-BILD (CA-IVART CA-IPROG) TO CA-BILNR9.
      **** BEI VERZWEIGEN IN EIN WEITERES UNTERPROGRAMM STETS SCHRITT
      **** AUF 0 SETZEN
           MOVE 0 TO CA-SCHRITT.
           MOVE T-PROG (CA-IVART CA-IPROG) TO CA-PROGN.
WRAP  *    EXEC CICS XCTL PROGRAM  (CA-PROGN)
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'CA-PROGN' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
       HV-89.
      ****                           PF9-TASTE
           GO TO HV-95.
      *
       HV-90.
      ****                           PF10-TASTE
           GO TO HV-95.
      *
       HV-91.
      ****                           PF11-TASTE
      ****                           PLAUSI PROGRAMM AUFRUFEN
      *
      **** BEI FORMALEN FEHLERN DARF KEINE PF-TASTE GEDRUECKT WERDEN **
           IF CA-SWFEHF > 0
               MOVE 01 TO FEHL-NR
               GO TO HV-900.
      **** BEI VERZWEIGEN IN EIN WEITERES UNTERPROGRAMM STETS SCHRITT
      **** AUF 0 SETZEN
           MOVE 0 TO CA-SCHRITT.
           MOVE 10 TO CA-BILNR9.
           MOVE 'DDEAP10' TO CA-PROGN.
WRAP  *    EXEC CICS XCTL PROGRAM  (CA-PROGN)
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'CA-PROGN' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
      *
       HV-92.
      ****                           PF12 - ENDE DER TRANSAKTION
           GO TO HV-95.
      *
       HV-93.
      ****                           ENTER (EMPFANGEN SCREEN)
           GO TO HV-200.
      *
       HV-94.
      ****                           CLEAR  (SENDEN LEERE MASKE)
           GO TO HV-95.
      *
       HV-95.
      ****                           ANYKEY (FALSCHE FUNKTIONS-TASTE)
           PERFORM CAFILL.
           IF SWFEHL > ZERO
               GO TO HV-900.
           MOVE LOW-VALUES TO DDEAM7DI.
           MOVE 1 TO FEHL-NR.
           IF CA-SCHRITT = ZERO
               IF CA-VART = 04
                   MOVE -1 TO M7HKDNRL
               ELSE
                   MOVE -1 TO M7GEGCDL
           ELSE
               MOVE  1 TO SWFEHL
               IF CA-VART = 04
                   MOVE -1 TO M7HKDNRL
               ELSE
                   MOVE -1 TO M7GEGCDL.
           GO TO HV-900.
      *
       HV-96.
      ****                           MAPFAIL   (KEINE EINGABE)
           IF CA-PROGA = 'DDEAP10'
               GO TO HV-200.
           MOVE LOW-VALUES TO DDEAM7DI.
           MOVE 2 TO FEHL-NR.
           IF CA-SCHRITT = ZERO
               IF CA-VART = 04
                   MOVE -1 TO M7HKDNRL
               ELSE
                   MOVE -1 TO M7GEGCDL
           ELSE
               MOVE 1 TO SWFEHL
               IF CA-VART = 04
                   MOVE -1 TO M7HKDNRL
               ELSE
                   MOVE -1 TO M7GEGCDL.
           GO TO HV-200.
      *
       HV-100.
           IF CA-PROGN = SPACE
               NEXT SENTENCE
           ELSE
               MOVE CA-PROGN TO CA-PROGA
               MOVE SPACE TO CA-PROGN.
           MOVE LOW-VALUE TO DDEAM7DO.
           IF CA-FEHLNR > ZERO
               MOVE CA-FEHLNR TO FEHL-NR
               MOVE CA-FEHLVA1 TO FEHL-VAR1
               MOVE CA-FEHLVA2 TO FEHL-VAR2
               MOVE CA-FEHLVA3 TO FEHL-VAR3
               MOVE CA-FEHLVA4 TO FEHL-VAR4
               MOVE CA-FEHLVA5 TO FEHL-VAR5
               MOVE CA-FEHLVA6 TO FEHL-VAR6
               MOVE 1 TO SWFEHL
               MOVE 0 TO CA-FEHLNR
               MOVE SPACE TO CA-FEHLVA1 CA-FEHLVA2 CA-FEHLVA3
                             CA-FEHLVA4 CA-FEHLVA5 CA-FEHLVA6.
           IF SWFEHL > ZERO
               GO TO HV-900.
           GO TO HV-800.
      *
       HV-200.
      *
      ****                           COMMONAREA MIT SCREENDATEN LADEN
      *
           IF CA-PROGN = SPACE
               NEXT SENTENCE
           ELSE
               MOVE CA-PROGN TO CA-PROGA
               MOVE SPACE TO CA-PROGN.
           PERFORM CAFILL.
           IF CA-FEHLNR > ZERO
               MOVE CA-FEHLNR TO FEHL-NR
               MOVE CA-FEHLVA1 TO FEHL-VAR1
               MOVE CA-FEHLVA2 TO FEHL-VAR2
               MOVE CA-FEHLVA3 TO FEHL-VAR3
               MOVE CA-FEHLVA4 TO FEHL-VAR4
               MOVE CA-FEHLVA5 TO FEHL-VAR5
               MOVE CA-FEHLVA6 TO FEHL-VAR6
               MOVE 1 TO SWFEHL
               MOVE 0 TO CA-FEHLNR
               MOVE SPACE TO CA-FEHLVA1 CA-FEHLVA2 CA-FEHLVA3
                             CA-FEHLVA4 CA-FEHLVA5 CA-FEHLVA6.
           IF SWFEHL > ZERO
               GO TO HV-900.
      *
       HV-300.
      *
      ****                           INPUT PRUEFEN
      *
           PERFORM PLAUSI.
      *
      ****                           WENN KEINE FEHLER IN PLAUSI
      *                              WEITER ZU HV-500
           IF SWFEHL = ZERO
               GO TO HV-500.
      *                              FEHLERMELDUNG 3 HEISST ALLGEMEIN
      ****                           'FALSCHE EINGABE'. EVENTUELL WEG-
      *                              LASSEN UND DURCH DETAILLIERTE
      *                              FEHLERMELDUNG IN PLAUSI ERSETZEN.
           IF FEHL-NR = 0
               MOVE 3 TO FEHL-NR.
           GO TO HV-900.
      *
       HV-500.
      *
      ****                           AUFRUF DER VERARBEITUNG
      *                              NACH ERFOLGREICHEN PLAUS-TESTS
           PERFORM VERARB.
           IF SWFEHL > ZERO
               GO TO HV-900.
       HV-800.
      *
      ****                           SENDEN SCREEN
      *
           PERFORM SENDEN.
           IF CA-SCHRITT = 0
               MOVE 1 TO CA-SCHRITT.
           MOVE 80 TO SWPF.
           GO TO  HV-999.
      *
       HV-900.
      *
      ****                           FEHLER
      *
           PERFORM FEHLMELD.
           PERFORM SENDFEHL.
           MOVE 90 TO SWPF.
       HV-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    PROGRAMM - SUBROUTINEN     --->  PLAUSI UND VERARB  <---
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    PLAUSIBILITAET
      ******************************************************************
      *
       PLAUSI SECTION.
       PL-000.
      *
           IF CA-SWFEHF > 0 OR CA-SWFEHP > 0
               MOVE 0 TO CA-SWWARN.
           MOVE ZERO TO SWFEHL CA-SWFEHF CA-SWFEHP.
           MOVE SPACE TO CA-FBILD03.
           IF CA-SCHRITT > ZERO
               GO TO PL-500.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   0
      *                              -------------------------------
       PL-100.
      *
      ****                           PRUEFEN DER EINGEGEBENEN KEYS
      *                              (INDIVIDUELLE VERARBEITUNG)
      ***  KEINE PLAUSI FUER SCHRITT 0
      *
      **** ENDE PLAUSI KEYS
      *
           GO TO PL-900.
      *                              -------------------------------
      ****                           P L A U S I   S C H R I T T   1
      *                              -------------------------------
       PL-500.
      *
      **** BILDNR AUF GUELTIGKEIT PRUEFEN UND ANZUSPRINGENDES PROGRAMM
      **** AUSFINDIG MACHEN WENN EINE EINGABE IN BILDNR.
      **** WENN KEINE EINGABE WIRD DAS LETZTBEKANNTE PROG NACH CA-PROGN
      **** GEBRACHT
      *
           IF M7BILDL > ZERO
               NEXT SENTENCE
           ELSE
               GO TO PL-510.
      *
           IF CA-BILNR9 NOT NUMERIC
               MOVE 'Q' TO M7BILDA
               MOVE -1 TO M7BILDL
               MOVE 1 TO SWFEHL
               GO TO PL-999.
      *
           MOVE CA-BILNR9 TO CA-IPROG.
           IF T-PROG (CA-IVART CA-IPROG) = HIGH-VALUE
               MOVE 'Q' TO M7BILDA
               MOVE -1 TO M7BILDL
               MOVE  1 TO SWFEHL
               MOVE 80 TO FEHL-NR
               GO TO PL-999.
           MOVE T-PROG (CA-IVART CA-IPROG) TO CA-PROGN.
           GO TO PL-900.
      *
      ****  BEI FEHLERHAFTEN DATENFELDERN WIRD 'F' INS ENTSPRECHENDE
      ****  CA-FEHLER FELD GEMOVET
      *
      ****  1. FORMALE PRUEFUNG
      *
       PL-510.
           IF CA-GEGCD NOT NUMERIC
               MOVE 'F' TO CA-FGEGCD
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-MARKE NOT NUMERIC
               MOVE 'F' TO CA-FMARKE
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-TYPNR NOT NUMERIC
               MOVE 'F' TO CA-FTYPNR
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-KM NOT NUMERIC
               MOVE 'F' TO CA-FKM
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-JG NOT NUMERIC
               MOVE 'F' TO CA-FJG
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
      ********* PRFUNG, OB KONTROLLE DER STAMM-NR EINGABE ZU
      ********* AKTIVIEREN IST
           MOVE XM278 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 Z-DATE.
           PERFORM MODULE.
           MOVE XM005 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 Z-DATE Z-BIN-DAT.
           PERFORM MODULE.
           CALL 'XM200' USING P-P008 P200-1 Z-START Z-BIN-START.
           PERFORM MODULE.
           IF Z-BIN-DAT < Z-BIN-START OR
                (CA-KREND > LOW-VALUE AND < Z-BIN-START)
                GO TO PL-515.
      ***** PRFUNG, OB STAMM-NR. IN DER FORM "X=999.999.999"  VORLIEGT L07/FL
           MOVE CA-STAMM TO Z-STAMMNR.                                  L07/FL
           IF Z-STAMMT1 NOT = 'S=' AND                                  L07/FL
                        NOT = 's=' AND                                  L07/FL
                        NOT = 'C=' AND                                  L07/FL
                        NOT = 'c='                                      L07/FL
                        IF CA-VSTAT NOT = 10                            L07/FL
                            GO TO PL-515                                L07/FL
                        ELSE                                            L07/FL
                            MOVE DFHBMBRY TO M7STAMMA                   L07/FL
                            MOVE 1        TO SWFEHL                     L07/FL
                            MOVE -1       TO M7STAMML                   L07/FL
                            MOVE 375      TO FEHL-NR.                   L07/FL
                            IF SWFEHL > ZERO                            L07/FL
                            GO TO PL-999.                               L07/FL
           IF Z-STAMMT1  = 'C=' OR                                      L07/FL
                         = 'c='                                         L07/FL
              GO TO PL-515.                                             L07/FL
           IF Z-STAMMP1  = '.'   AND                                    L07/FL
              Z-STAMMP2  = '.'   AND                                    L07/FL
              Z-STAMMRE  = SPACE AND                                    L07/FL
              Z-STAMMTA NUMERIC AND                                     L07/FL
              Z-STAMMTB NUMERIC AND                                     L07/FL
              Z-STAMMTC NUMERIC                                         L07/FL
              GO TO PL-515.                                             L07/FL
           MOVE DFHBMBRY TO M7STAMMA                                    L07/FL
           MOVE 1        TO SWFEHL                                      L07/FL
           MOVE -1       TO M7STAMML                                    L07/FL
           MOVE 374      TO FEHL-NR.                                    L07/FL
           IF SWFEHL > ZERO                                             L07/FL
              GO TO PL-999.                                             L07/FL
      *
       PL-515.
           IF CA-FARBE NOT NUMERIC
               MOVE 'F' TO CA-FFARBE
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-CCM NOT NUMERIC
               MOVE 'F' TO CA-FCCM
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-POZNR NOT NUMERIC
               MOVE 'F' TO CA-FPOZNR
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           MOVE 0 TO I1.
       PL-520.
           ADD 1 TO I1.
           IF I1 > 10
               GO TO PL-530.
           IF CA-ZUBEH (I1) NOT NUMERIC
               MOVE 'F' TO CA-FZUBEH
               MOVE 1 TO SWFEHL CA-SWFEHF.
           GO TO PL-520.
      *
       PL-530.
           IF CA-IV NOT NUMERIC
               MOVE 'F' TO CA-FIV
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-KMLI NOT NUMERIC
               MOVE 'F' TO CA-FKMLI
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-KDNR3 NOT NUMERIC
               MOVE 'F' TO CA-FHKDNR
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-VNR3 NOT NUMERIC
               MOVE 'F' TO CA-FHVNR
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-SWFEHF > ZERO
               MOVE 52 TO FEHL-NR
               GO TO PL-999.
      *
      **** BETRAGSFELDER AUF GUELTIGE EINGABE PRUEFEN
           IF CA-PSX NOT = SPACE
               MOVE 'F' TO CA-FPS
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-KPRX NOT = SPACE
               MOVE 'F' TO CA-FKPR
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-ZUBPRX NOT = SPACE
               MOVE 'F' TO CA-FZUBPR
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF CA-KMANX NOT = SPACE
               MOVE 'F' TO CA-FKMAN
               MOVE 1 TO SWFEHL CA-SWFEHF.
      *
           IF SWFEHL > ZERO
               MOVE 146 TO FEHL-NR
               GO TO PL-999.
      *
      **** 2. PRUEFUNG AUF GUELTIGE WERTE ***
      **** CHECK-DIGIT DATUM GUELTIGKEIT  ***
      **** LAENGE DER EINGABE             ***
      *
       PL-600.
           IF CA-TYPNR > 0
               PERFORM S10.
      *                                                                 L04/GR
      ***  KATALOGPREIS MIT BARPREIS INITEN WENN NOCH KEINE DATEN VORH. L06/GR
           IF CA-KPR = 0                                                L06/GR
               MOVE CA-BARPR TO CA-KPR.                                 L06/GR
      *
           IF CA-VART NOT = 04
               GO TO PL-999.
      *
      **** CHECK-DIGIT PRUEFEN BEI HALTERWECHSEL
           IF CA-KDNR3 = 0
               GO TO PL-610.
           MOVE CA-KDNR3 TO Z-XM007.
           MOVE Z-XM0076 TO P-XM0079.
           MOVE XM007 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM007 P2-XM007.
           PERFORM MODULE.
           IF Z-XM007C = P-XM007C OR P2-CHECK2
               NEXT SENTENCE
           ELSE
               MOVE 'F' TO CA-FHKDNR
               MOVE '1' TO SWFEHL
               MOVE 43  TO FEHL-NR
               GO TO PL-999.
      *
       PL-610.
           GO TO PL-999.
      **** ABSPRUNG INS UNTERPROGRAMM ***
      *
       PL-900.
      **** IMMER 0 IN SCHRITTZAEHLER BEI ANSPRUNG VON UNTERPROGRAMMEN *
           MOVE 0 TO CA-SCHRITT.
WRAP  *    EXEC CICS XCTL PROGRAM  (CA-PROGN)
WRAP  *                   COMMAREA (COMMAREA)
WRAP  *                   LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'CA-PROGN' USING X-CICS-PARAMS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
       PL-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    VERARBEITUNG
      ******************************************************************
      *
       VERARB SECTION.
       VA-000.
      *
      ****  ES FINDET IN DIESEM PROGRAMM IN DIESER SECTION
      ****  KEINE VERARBEITUNG STATT
      *
       VA-999.
           EXIT.
           EJECT
      ******************************************************************
      ******************************************************************
      *
      *    DIVERSE - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************L01/GR
      *    COMMON-AREA INITIALISIEREN FUER HELP-PROGRAMM                L01/GR
      ******************************************************************L01/GR
      *                                                                 L01/GR
       CA-HELPLOE SECTION.                                              L01/GR
       CA-HL-000.                                                       L01/GR
      *                                                                 L01/GR
           MOVE SPACE TO CH-PRGNAM.                                     L01/GR
           MOVE 0 TO CH-INDEX CH-SWPF1.                                 L01/GR
       CA-HL-010.                                                       L01/GR
           ADD 1 TO CH-INDEX.                                           L01/GR
           IF CH-INDEX > 20                                             L01/GR
               MOVE 0 TO CH-INDEX                                       L01/GR
               GO TO CA-HL-999.                                         L01/GR
           MOVE 0 TO CH-FEHLNR (CH-INDEX).                              L01/GR
           GO TO CA-HL-010.                                             L01/GR
       CA-HL-999.                                                       L01/GR
           EXIT.                                                        L01/GR
           EJECT                                                        L01/GR
      ******************************************************************
      *    FUELLEN COMMON-AREA
      ******************************************************************
      *
      ***  BETRAGSFELDER MIT DEZIMALPUNKT UND/ODER TAUSENDER ABTRENNUNG
      ***  WERDEN DURCH EIN MODULE AUF GUELTIGES EINGABEFORMAT HIN UEBER
      ***  PRUEFT. IM FEHLERFALL WIRD DER EINGABEWERT IN EIN AN-FELD GE-
      ***  STELLT. DIESES AN FELD WIRD BEI X80 (LOESCH FELD) IMMER AUF
      ***  SPACE GESETZT.
      ****                           (INDIVIDUELLE VERARBEITUNG)
      *
       CAFILL SECTION.
       CA-000.
      *
           IF M7BILDL > ZERO
               MOVE M7BILDI TO CA-BILNR9.
           IF M7BILDF = X80
               MOVE 03 TO CA-BILNR9.
      ***
           IF CA-VART = 04
               GO TO CA-050.
      ***
           IF M7GEGCDL > ZERO
               MOVE M7GEGCDI TO CA-GEGCD.
           IF M7GEGCDF = X80
               MOVE '00' TO CA-GEGCD.
           IF M7MARKEL > ZERO
               MOVE M7MARKEI TO CA-MARKE.
           IF M7MARKEF = X80
               MOVE '00' TO CA-MARKE.
      ***
           IF M7IMPCOL > ZERO
               MOVE M7IMPCOI TO CA-IMPCO.
           IF M7IMPCOF = X80
               MOVE SPACE TO CA-IMPCO.
      ***
           IF M7TYPNRL > ZERO
               MOVE M7TYPNRI TO CA-TYPNR.
           IF M7TYPNRF = X80
               MOVE 0 TO CA-TYPNR.
           IF M7NEUL > ZERO
               MOVE M7NEUI TO CA-NEU.
           IF M7NEUF = X80
               MOVE 1 TO CA-NEU.
           IF M7KML > ZERO
               MOVE M7KMI TO CA-KM.
           IF M7KMF = X80
               MOVE 0 TO CA-KM.
      ***
           IF M7AUSL > ZERO
               MOVE M7AUSI TO CA-AUS.
           IF M7AUSF = X80
               MOVE SPACE TO CA-AUS.
      ***
           IF M7JGL > ZERO
               MOVE M7JGI TO CA-JG.
           IF M7JGF = X80
               MOVE 0 TO CA-JG.
           IF M7STAMML > ZERO
               MOVE M7STAMMI TO CA-STAMM.
           IF M7STAMMF = X80
               MOVE SPACE TO CA-STAMM.
      ***
           IF M7FARBEL > ZERO
               MOVE M7FARBEI TO CA-FARBE.
           IF M7FARBEF = X80
               MOVE '00' TO CA-FARBE.
           IF M7PSL > ZERO
               MOVE XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 P1-3V2 M7PSI CA-PS
                            CA-PSX
               PERFORM MODULE.
           IF M7PSF = X80
               MOVE 0 TO CA-PS
               MOVE SPACE TO CA-PSX.
           IF M7CCML > ZERO
               MOVE M7CCMI TO CA-CCM.
           IF M7CCMF = X80
               MOVE 0 TO CA-CCM.
      ***
           IF M7POZKTL > ZERO
               MOVE M7POZKTI TO CA-POZKT.
           IF M7POZKTF = X80
               MOVE SPACE TO CA-POZKT.
           IF M7POZNRL > ZERO
               MOVE M7POZNRI TO CA-POZNR.
           IF M7POZNRF = X80
               MOVE 0 TO CA-POZNR.
           IF M7IVL > ZERO
               MOVE M7IVI TO CA-IV.
           IF M7IVF = X80
               MOVE 0 TO CA-IV.
      ***
           IF M7RADIOL > ZERO
               MOVE M7RADIOI TO CA-RADIO.
           IF M7RADIOF = X80
               MOVE 0 TO CA-RADIO.
           IF M7AUTOML > ZERO
               MOVE M7AUTOMI TO CA-AUTOM.
           IF M7AUTOMF = X80
               MOVE 0 TO CA-AUTOM.
           IF M7WPNEUL > ZERO
               MOVE M7WPNEUI TO CA-WPNEU.
           IF M7WPNEUF = X80
               MOVE 0 TO CA-WPNEU.
      ***
           MOVE 0 TO I1.
       CA-010.
           ADD 1 TO I1.
           IF I1 > 10
               GO TO CA-020.
           IF M7ZUBEHL (I1) > ZERO
               MOVE M7ZUBEHI (I1) TO CA-ZUBEH (I1).
           IF M7ZUBEHF (I1) = X80
               MOVE 0 TO CA-ZUBEH (I1).
           GO TO CA-010.
      ***
       CA-020.
           IF M7KPRL > ZERO
               MOVE XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 P1-7V0 M7KPRI CA-KPR
                                  CA-KPRX
               PERFORM MODULE.
           IF M7KPRF = X80
               MOVE 0 TO CA-KPR
               MOVE SPACE TO CA-KPRX.
           IF M7ZUBPRL > ZERO
               MOVE XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 P1-9V2 M7ZUBPRI CA-ZUBPR
                                  CA-ZUBPRX
               PERFORM MODULE.
           IF M7ZUBPRF = X80
               MOVE 0 TO CA-ZUBPR
               MOVE SPACE TO CA-ZUBPRX.
      ***
           IF M7KMANL > ZERO
               MOVE XM246 TO P200-1
               CALL 'XM200' USING P-P008 P200-1 P1-1V2 M7KMANI CA-KMAN
                                  CA-KMANX
               PERFORM MODULE.
           IF M7KMANF = X80
               MOVE 0 TO CA-KMAN
               MOVE SPACE TO CA-KMANX.
           IF M7KMLIL > ZERO
               MOVE M7KMLII TO CA-KMLI.
           IF M7KMLIF = X80
               MOVE 0 TO CA-KMLI.
      ***
       CA-050.
      **** HALTERWECHSEL ***
           IF CA-VART NOT = 04
               GO TO CA-100.
      ***
           IF M7HKDNRL > ZERO
               MOVE M7HKDNRI TO CA-KDNR3.
           IF M7HKDNRF = X80
               MOVE 0 TO CA-KDNR3.
           IF M7HVNRL > ZERO
               MOVE M7HVNRI TO CA-VNR3.
           IF M7HVNRF = X80
               MOVE 0 TO CA-VNR3.
      ***
       CA-100.
      ***
           IF M7FINIL = 4
               MOVE M7FINII TO CA-FINI.
           IF M7FINIF = X80
               MOVE SPACE TO CA-FINI.
      ***
      ***  BEI EINGABE VON 'FINI' ODER EINER BILDNUMMER DARF KEIN FORMAL
      ***  FEHLER VORHANDEN SEIN.
           IF M7BILDL > 0 AND CA-SWFEHF > 0
               MOVE 1 TO SWFEHL
               GO TO CA-999.
           IF M7FINIL > 0 AND CA-SWFEHF > 0
               MOVE 1 TO SWFEHL
               GO TO CA-999.
      *
       CA-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    UEBERTRAGEN CA --> SCREEN
      ******************************************************************
      *
       SCREENFILL SECTION.
       SC-000.
           MOVE CA-MUTCD  TO M7MCO.
           MOVE CA-KVART9 TO M7VARTO.
           MOVE CA-KKDNR1 TO M7KDN1O.
           MOVE CA-KKDNR2 TO M7KDN2O.
           MOVE CA-KVNR   TO M7VNRO.
           IF CA-BILNR9 NUMERIC
               MOVE CA-BILNR9 TO M7BILDO
           ELSE
               MOVE CA-BILNRX TO M7BILDO.
           MOVE CA-NAME TO Z-KNAME.
           MOVE CA-ORT  TO Z-KORT.
           MOVE XM134 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 P1-XM134 P2-XM134 M7NAMEO
                              P4-XM134.
           PERFORM MODULE.
           IF CA-NAME = SPACE
               MOVE SPACE TO M7NAMEO.
      **** BEI VERTRAGSART HALTERWECHSEL WERDEN NUR DIE BETREFFENDEN
      **** FELDER GEFUELLT
           IF CA-VART = 04
               GO TO SC-050.
      ***
           MOVE CA-GEGCD  TO M7GEGCDO.
           MOVE CA-MARKE  TO M7MARKEO.
      ***
           MOVE CA-IMPCO TO M7IMPCOO.
      ***
           IF CA-TYPNRX NUMERIC
               IF CA-TYPNR = ZERO
                   NEXT SENTENCE
               ELSE
                   MOVE CA-TYPNR  TO M7TYPNRO
           ELSE
               MOVE CA-TYPNRX TO M7TYPNRO.
           MOVE CA-NEU  TO M7NEUO.
           IF CA-KMX NUMERIC
               IF CA-KM = ZERO
                   NEXT SENTENCE
               ELSE
                   MOVE CA-KM TO M7KMO
           ELSE
               MOVE CA-KMX TO M7KMO.
      ***
           MOVE CA-AUS TO M7AUSO.
      ***
           IF CA-JGX NUMERIC
               IF CA-JG = 0
                   NEXT SENTENCE
               ELSE
                   MOVE CA-JG TO M7JGO
           ELSE
               MOVE CA-JGX TO M7JGO.
           MOVE CA-STAMM TO M7STAMMO.
      ***
           IF CA-FARBE = 0
               NEXT SENTENCE
           ELSE
              MOVE CA-FARBE TO M7FARBEO.
           IF CA-PSX = SPACE
               IF CA-PS = ZERO
                   MOVE SPACE TO M7PSO
               ELSE
                   MOVE CA-PS TO MO-PS
                   MOVE MO-PSX TO M7PSO
           ELSE
               MOVE CA-PSX TO MO-PSX
               MOVE MO-PSX TO M7PSO.
           IF CA-CCMX NUMERIC
               IF CA-CCM = 0
                   NEXT SENTENCE
               ELSE
                   MOVE CA-CCM TO M7CCMO
           ELSE
               MOVE CA-CCMX TO M7CCMO.
      ***
           MOVE CA-POZKT TO M7POZKTO.
           IF CA-POZNRX NUMERIC
               IF CA-POZNR = 0
                   NEXT SENTENCE
               ELSE
                   MOVE CA-POZNR TO M7POZNRO
           ELSE
               MOVE CA-POZNRX TO M7POZNRO.
           IF CA-IVX NUMERIC
               IF CA-IV = 0
                   NEXT SENTENCE
               ELSE
                   MOVE CA-IV TO M7IVO
           ELSE
               MOVE CA-IVX TO M7IVO.
      ***
           MOVE CA-RADIO TO M7RADIOO.
           MOVE CA-AUTOM TO M7AUTOMO.
           MOVE CA-WPNEU TO M7WPNEUO.
      ***
           MOVE 0 TO I1.
       SC-010.
           ADD 1 TO I1.
           IF I1 > 10
               GO TO SC-020.
           IF CA-ZUBEHX (I1) NUMERIC
               IF CA-ZUBEH (I1) = ZERO
                   GO TO SC-010
               ELSE
                   MOVE CA-ZUBEH (I1) TO M7ZUBEHO (I1)
           ELSE
               MOVE CA-ZUBEHX (I1) TO M7ZUBEHO (I1).
           GO TO SC-010.
      ***
       SC-020.
           IF CA-KPRX = SPACE
               IF CA-KPR = ZERO
                   MOVE SPACE TO M7KPRO
               ELSE
                   MOVE CA-KPR TO MO-KPR
                   MOVE MO-KPRX TO M7KPRO
           ELSE
               MOVE CA-KPRX TO MO-KPRX
               MOVE MO-KPRX TO M7KPRO.
           IF CA-ZUBPRX = SPACE
               IF CA-ZUBPR = ZERO
                   MOVE SPACE TO M7ZUBPRO
               ELSE
                   MOVE CA-ZUBPR TO MO-ZUBPR
                   MOVE MO-ZUBPRX TO M7ZUBPRO
           ELSE
               MOVE CA-ZUBPRX TO MO-ZUBPRX
               MOVE MO-ZUBPRX TO M7ZUBPRO.
      ***
           IF CA-KMANX = SPACE
               IF CA-KMAN = ZERO
                   MOVE SPACE TO M7KMANO
               ELSE
                   MOVE CA-KMAN TO MO-KMAN
                   MOVE MO-KMANX TO M7KMANO
           ELSE
               MOVE CA-KMANX TO MO-KMANX
               MOVE MO-KMANX TO M7KMANO.
           IF CA-KMLIX NUMERIC
               IF CA-KMLI = ZERO
                   NEXT SENTENCE
               ELSE
                   MOVE CA-KMLI TO M7KMLIO
           ELSE
               MOVE CA-KMLIX TO M7KMLIO.
      ***
       SC-050.
           IF CA-VART NOT = 04
               GO TO SC-300.
           IF CA-KDNR3X NUMERIC
               IF CA-KDNR3 = ZERO
                   NEXT SENTENCE
               ELSE
                   MOVE CA-KDNR3 TO M7HKDNRO
           ELSE
               MOVE CA-KDNR3X TO M7HKDNRO.
           IF CA-VNR3X NUMERIC
               IF CA-VNR3 = ZERO
                   NEXT SENTENCE
               ELSE
                   MOVE CA-VNR3 TO M7HVNRO
           ELSE
               MOVE CA-VNR3X TO M7HVNRO.
      *
      ****  ZUM ABCHECKEN OB FEHLERHAFTE FELDER VORHANDEN SIND, WIRD DER
      ****  BILDSCHIRM VON UNTEN HER NOCHMALS UEBERARBEITET (IM FEHLER-
      ****  FALL)
      *
       SC-300.
           IF CA-FBILD03 = ALL SPACE
               GO TO SC-999.
      **** FALLS FEHLER VORHANDEN SIND AUS PLAUSI-PROGRAMM WIRD HIER
      **** DER SCHRITT-ZAEHLER GEGEBENENFALLS WIEDER AUF 1 GESETZT
           IF CA-SCHRITT = 0
               MOVE 1 TO CA-SCHRITT.
           IF CA-VART NOT = 04
               GO TO SC-350.
           IF CA-FHVNR = 'F'
               MOVE 'Q' TO M7HVNRA
               MOVE -1 TO M7HVNRL.
           IF CA-FHKDNR = 'F'
               MOVE 'Q' TO M7HKDNRA
               MOVE -1 TO M7HKDNRL.
       SC-350.
           IF CA-VART = 04
               GO TO SC-999.
           IF CA-FKMLI = 'F'
               MOVE 'Q' TO M7KMLIA
               MOVE -1 TO M7KMLIL.
           IF CA-FKMAN = 'F'
               MOVE DFHBMBRY TO M7KMANA
               MOVE -1 TO M7KMANL.
           IF CA-FZUBPR = 'F'
               MOVE DFHBMBRY TO M7ZUBPRA
               MOVE -1 TO M7ZUBPRL.
           IF CA-FKPR = 'F'
               MOVE DFHBMBRY TO M7KPRA
               MOVE -1 TO M7KPRL.
           IF CA-FZUBEH = 'F'
               MOVE 'Q' TO M7ZUBEHA (1) M7ZUBEHA (2) M7ZUBEHA (3)
                  M7ZUBEHA (4) M7ZUBEHA (5) M7ZUBEHA (6) M7ZUBEHA (7)
                  M7ZUBEHA (8) M7ZUBEHA (9) M7ZUBEHA (10)
               MOVE -1 TO M7ZUBEHL (1).
           IF CA-FWPNEU = 'F'
               MOVE 'Q' TO M7WPNEUA
               MOVE -1 TO M7WPNEUL.
           IF CA-FAUTOM = 'F'
               MOVE 'Q' TO M7AUTOMA
               MOVE -1 TO M7AUTOML.
           IF CA-FRADIO = 'F'
               MOVE 'Q' TO M7RADIOA
               MOVE -1 TO M7RADIOL.
           IF CA-FIV = 'F'
               MOVE 'Q' TO M7IVA
               MOVE -1 TO M7IVL.
           IF CA-FPOZNR = 'F'
               MOVE 'Q' TO M7POZNRA
               MOVE -1 TO M7POZNRL.
           IF CA-FPOZKT = 'F'
               MOVE DFHBMBRY TO M7POZKTA
               MOVE -1 TO M7POZKTL.
           IF CA-FCCM = 'F'
               MOVE 'Q' TO M7CCMA
               MOVE -1 TO M7CCML.
           IF CA-FPS = 'F'
               MOVE DFHBMBRY TO M7PSA
               MOVE -1 TO M7PSL.
           IF CA-FFARBE = 'F'
               MOVE 'Q' TO M7FARBEA
               MOVE -1 TO M7FARBEL.
           IF CA-FSTAMM = 'F'
               MOVE DFHBMBRY TO M7STAMMA
               MOVE -1 TO M7STAMML.
           IF CA-FJG = 'F'
               MOVE 'Q' TO M7JGA
               MOVE -1 TO M7JGL.
           IF CA-FAUS = 'F'
               MOVE DFHBMBRY TO M7AUSA
               MOVE -1 TO M7AUSL.
           IF CA-FKM = 'F'
               MOVE 'Q' TO M7KMA
               MOVE -1 TO M7KML.
           IF CA-FNEU = 'F'
               MOVE 'Q' TO M7NEUA
               MOVE -1 TO M7NEUL.
           IF CA-FTYPNR = 'F'
               MOVE 'Q' TO M7TYPNRA
               MOVE -1 TO M7TYPNRL.
           IF CA-FIMPCO = 'F'
               MOVE DFHBMBRY TO M7IMPCOA
               MOVE -1 TO M7IMPCOL.
           IF CA-FMARKE = 'F'
               MOVE 'Q' TO M7MARKEA
               MOVE -1 TO M7MARKEL.
           IF CA-FGEGCD = 'F'
               MOVE 'Q' TO M7GEGCDA
               MOVE -1 TO M7GEGCDL.
      *
       SC-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    IDENT-FELDER IN SCREEN FUELLEN
      ******************************************************************
      *
       SCRIDENT SECTION.
       SI-000.
      *
           MOVE EIBTRMID TO TID.
           MOVE EIBTIME  TO Z-TIME.
           MOVE XM278 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 Z-DATE.
           PERFORM MODULE.
           MOVE TIMR1    TO HH.
           MOVE TIMR2    TO MI.
           MOVE TIMR3    TO SS.
           MOVE DATR0    TO TT.
           MOVE DATR1    TO MM.
           MOVE DATR2    TO YY.
           MOVE CA-KKZ   TO OPID.
           MOVE CA-BURO  TO GS.
           MOVE XM014A TO P200-1.
           CALL 'XM200'  USING P-P008 P200-1 CA-FIRMA FA.
           PERFORM MODULE.
           MOVE CA-TRANS TO TRANS.
           MOVE W-IDE    TO M7IDEO.
           MOVE W-IDA    TO M7IDAO.
      *
       SI-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    FEHLERMELDUNG HOLEN (XM181)
      ******************************************************************
      *
       FEHLMELD SECTION.
       FM-000.
      *
           MOVE FEHL-NR TO CH-FEHLNR (1).
           MOVE CA-SPR TO FEHL-SPR.
WRAP  *    EXEC CICS LINK PROGRAM  ('XM181')
WRAP  *                   COMMAREA (P-XM181)
WRAP  *                   LENGTH   (P-XM181L)
WRAP  *    END-EXEC.
WRAP       CALL 'XM181' USING X-CICS-PARAMS
WRAP                                P-XM181
WRAP                                P-XM181L
WRAP       CONTINUE.
           MOVE FEHL-MELD TO M7MSGO.
           MOVE SPACES TO FEHL-VAR1 FEHL-VAR2 FEHL-VAR3
                          FEHL-VAR4 FEHL-VAR5 FEHL-VAR6.
      *
       FM-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    MODULE-AUFRUF-INTERFACE (P008)
      ******************************************************************
      *
       MODULE SECTION.
       MO-000.
      *
WRAP  *    EXEC CICS LINK PROGRAM  ('P008')
WRAP  *                   COMMAREA (P-P008)
WRAP  *                   LENGTH   (P-P008L)
WRAP  *    END-EXEC.
WRAP       CALL 'P008' USING X-CICS-PARAMS
WRAP                                P-P008
WRAP                                P-P008L
WRAP       CONTINUE.
      *
       MO-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    SCREEN-KEYFELDER PROTECT SETZEN
      ******************************************************************
      *
      ****                           (INDIVIDUELLE VERARBEITUNG)
      *
       KEY-PROTECT SECTION.
       KP-000.
      *
      ****                           PROTECT SETZEN ALLER KEY-FELDER
      *                                                   **********
           IF CA-SWFEHF > 0
               MOVE DFHBMPRO TO M7FINIA
               MOVE DFHBMPRO TO M7BILDA.
      *
       KP-999.
           EXIT.
      *
      ******************************************************************
      *    SCREEN-DATENFELDER PROTECT SETZEN
      ******************************************************************
      *
      ****                           (INDIVIDUELLE VERARBEITUNG)
      *
       PROTECT SECTION.
       PT-000.
      *
      ****                           PROTECT SETZEN ALLER DATENFELDER
      *                              --------->AUSSER KEYS<----------
      ***  BEI HALTERWECHSEL SPERREN ALLER NICHT BETROFFENEN FELDER
           IF CA-VART = 04
               MOVE DFHBMPRO TO M7GEGCDA M7MARKEA M7TYPNRA M7NEUA
                                M7KMA M7AUSA M7JGA M7STAMMA M7FARBEA
                                M7PSA M7CCMA M7POZKTA M7POZNRA M7IVA
                                M7RADIOA M7AUTOMA M7WPNEUA M7ZUBEHA (1)
                                M7ZUBEHA (2) M7ZUBEHA (3) M7ZUBEHA (4)
                                M7ZUBEHA (5) M7ZUBEHA (6) M7ZUBEHA (7)
                                M7ZUBEHA (8) M7ZUBEHA (9) M7ZUBEHA (10)
                                M7KPRA M7ZUBPRA M7KMANA M7KMLIA
                                M7IMPCOA
               GO TO PT-999.
      *
       PT-010.
           MOVE DFHBMPRO TO M7HKDNRA M7HVNRA.
      ***  BEI MOEBEL TZ (VART = 12) GEGENSTANDSFELDER FUER FAHRZEUGE
      ***  SPERREN
      ***  FAHRZEUGANGABEN SPERREN BEI VART 34 UND 35 ***
           IF CA-VART = 12 OR 34 OR 35
               MOVE DFHBMPRO TO M7MARKEA M7TYPNRA M7KMA M7FARBEA M7PSA
                                M7CCMA M7POZKTA M7POZNRA M7RADIOA M7IVA
                                M7AUTOMA M7WPNEUA M7ZUBEHA (1)
                                M7ZUBEHA (2) M7ZUBEHA (3) M7ZUBEHA (4)
                                M7ZUBEHA (5) M7ZUBEHA (6) M7ZUBEHA (7)
                                M7ZUBEHA (8) M7ZUBEHA (9) M7ZUBEHA (10)
                                M7ZUBPRA M7KMANA M7KMLIA.
      *
      ***  FELDER FUER LEASING SPERREN BEI TZ VERTRAGSARTEN
           IF CA-VART = 11 OR 12 OR 13
               MOVE DFHBMPRO TO M7KMANA M7KMLIA M7IMPCOA.
       PT-999.
           EXIT.
           EJECT
      ******************************************************************
      *    MARKENTYPEN VERZEICHNIS LESEN MIT EINGEGEBENER TYPENNR.
      ******************************************************************
       S10 SECTION.
      **** BEI PSEUDO-TYPENNUMMER NICHT LESEN ***
           IF CA-TYPNR = 999888
               GO TO S10EX.
           MOVE CA-TYPNR TO MTI-KY.
           PERFORM READD-MTI.
           IF MTI-STATUS = NOT-OPN
               MOVE -1 TO M7GEGCDL
               MOVE  1 TO SWFEHL
               MOVE 'MT' TO FEHL-VAR1
               MOVE 44 TO FEHL-NR
               MOVE 'MTZD' TO Z-CLOFIL
               PERFORM S20
               GO TO PL-999.
           IF MTI-STATUS = NOT-FND
               MOVE -1 TO M7TYPNRL
               MOVE 'F' TO CA-FTYPNR
               MOVE  1 TO SWFEHL
               MOVE 'MT' TO FEHL-VAR1
               MOVE 45 TO FEHL-NR
               GO TO PL-999.
      *
           IF MTI-STATUS = OK
               MOVE MTI-AUS TO CA-AUS
               MOVE MTI-GEGCD TO CA-GEGCD
               MOVE MTI-MARCD TO CA-MARKE
               MOVE MTI-PS    TO CA-PS
               MOVE SPACE     TO CA-PSX
               IF CA-VSKLA > '31'
                   NEXT SENTENCE
               ELSE
                   MOVE MTI-VKL TO CA-VSKLA.
       S10EX.
           EXIT.
      ******************************************************************
      **** MELDUNGEN AUF MASTER-KONSOLE GEBEN
      ******************************************************************
       S20 SECTION.
           MOVE XM238 TO P200-1.
           CALL 'XM200' USING P-P008 P200-1 PA-XM238.
           PERFORM MODULE.
           CALL 'XM200' USING P-P008 P200-1 PB-XM238.
           PERFORM MODULE.
           CALL 'XM200' USING P-P008 P200-1 PA-XM238.
           PERFORM MODULE.
       S20EX.
           EXIT.
      ******************************************************************
      ******************************************************************
      *
      *    C I C S - SUBROUTINEN
      *
      ******************************************************************
      ******************************************************************
      *
      ******************************************************************
      *    SENDEN SCREEN
      ******************************************************************
      *
       SENDEN SECTION.
       SE-000.
      *
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
      *
           PERFORM KEY-PROTECT.
           PERFORM PROTECT.
           IF CA-VART = 04
               IF CA-SCHRITT = 0
                   MOVE -1 TO M7HKDNRL
               ELSE
                   MOVE -1 TO M7BILDL
           ELSE
               IF CA-SCHRITT = 0
                   MOVE -1 TO M7GEGCDL
               ELSE
                   MOVE -1 TO M7BILDL.
      *
           IF CA-SPR = 2
               GO TO SE-100.
WRAP  *    EXEC CICS SEND MAP    ('DDEAM7D')
WRAP  *                   MAPSET ('DDEAS7')
WRAP  *                   FROM   (DDEAM7DO)
WRAP  *                   FREEKB
WRAP  *                   CURSOR
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DDEAM7D' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DDEAM7D ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DDEAM7DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
           GO TO SE-999.
      *
       SE-100.
WRAP  *    EXEC CICS SEND MAP    ('DDEAM7F')
WRAP  *                   MAPSET ('DDEAS7')
WRAP  *                   FROM   (DDEAM7DO)
WRAP  *                   FREEKB
WRAP  *                   CURSOR
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DDEAM7F' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DDEAM7F ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DDEAM7DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
      *
       SE-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    SENDEN SCREEN MIT FEHLERMELDUNG
      ******************************************************************
      *
       SENDFEHL SECTION.
       SF-000.
           PERFORM SCRIDENT.
           PERFORM SCREENFILL.
           IF M7MSGO = LOW-VALUES
               MOVE 'ABER...ABER...PROGRAMMIERFEHLER' TO M7MSGO.
      *
           PERFORM KEY-PROTECT.
           PERFORM PROTECT.
      *
           IF CA-SPR = 2
               GO TO SF-100.
WRAP  *    EXEC CICS SEND MAP    ('DDEAM7D')
WRAP  *                   MAPSET ('DDEAS7')
WRAP  *                   FROM   (DDEAM7DO)
WRAP  *                   CURSOR
WRAP  *                   FREEKB
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DDEAM7D' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DDEAM7D ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DDEAM7DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
           GO TO SF-999.
      *
       SF-100.
WRAP  *    EXEC CICS SEND MAP    ('DDEAM7F')
WRAP  *                   MAPSET ('DDEAS7')
WRAP  *                   FROM   (DDEAM7DO)
WRAP  *                   CURSOR
WRAP  *                   FREEKB
WRAP  *                   WAIT ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DDEAM7F' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DDEAM7F ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DDEAM7DO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
      *
       SF-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    SCREEN EMPFANGEN
      ******************************************************************
      *
       RECEIVEN SECTION.
       RE-000.
      *
           MOVE LOW-VALUES TO DDEAM7DI.
           IF CA-SPR = 2
               GO TO RE-100.
WRAP  *    EXEC CICS RECEIVE MAP    ('DDEAM7D')
WRAP  *                      MAPSET ('DDEAS7')
WRAP  *                      INTO   (DDEAM7DI)
WRAP  *    END-EXEC.
WRAP       MOVE 'RD' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DDEAM7D' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DDEAM7D ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DDEAM7DI,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
WRAP       EVALUATE TRUE
WRAP         WHEN X-MAPFAIL
WRAP           GO TO VV-860
WRAP         WHEN X-PF1
WRAP           GO TO VV-710
WRAP         WHEN X-PF2
WRAP           GO TO VV-720
WRAP         WHEN X-PF3
WRAP           GO TO VV-730
WRAP         WHEN X-PF7
WRAP           GO TO VV-770
WRAP         WHEN X-PF8
WRAP           GO TO VV-780
WRAP         WHEN X-PF11
WRAP           GO TO VV-810
WRAP         WHEN X-CLEAR
WRAP           GO TO VV-840
WRAP         WHEN X-ANYKEY
WRAP           GO TO VV-850
WRAP       END-EVALUATE.
           GO TO RE-999.
      *
       RE-100.
WRAP  *    EXEC CICS RECEIVE MAP    ('DDEAM7F')
WRAP  *                      MAPSET ('DDEAS7')
WRAP  *                      INTO   (DDEAM7DI)
WRAP  *    END-EXEC.
WRAP       MOVE 'RD' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'DDEAM7F' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'DDEAM7F ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             DDEAM7DI,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
WRAP       EVALUATE TRUE
WRAP         WHEN X-MAPFAIL
WRAP           GO TO VV-860
WRAP         WHEN X-PF1
WRAP           GO TO VV-710
WRAP         WHEN X-PF2
WRAP           GO TO VV-720
WRAP         WHEN X-PF3
WRAP           GO TO VV-730
WRAP         WHEN X-PF7
WRAP           GO TO VV-770
WRAP         WHEN X-PF8
WRAP           GO TO VV-780
WRAP         WHEN X-PF11
WRAP           GO TO VV-810
WRAP         WHEN X-CLEAR
WRAP           GO TO VV-840
WRAP         WHEN X-ANYKEY
WRAP           GO TO VV-850
WRAP       END-EVALUATE.
      *
       RE-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    PROGRAMM MIT RETURN TRANSID VERLASSEN
      ******************************************************************
      *
       TRANSID SECTION.
       TR-000.
WRAP  *    EXEC CICS RETURN TRANSID  (CA-TRANS)
WRAP  *                     COMMAREA (COMMAREA)
WRAP  *                     LENGTH   (CA-LENGTH)
WRAP  *    END-EXEC.
WRAP       CALL 'RETURN' USING X-CICS-PARAMS
WRAP                                CA-TRANS
WRAP                                COMMAREA
WRAP                                CA-LENGTH
WRAP       CONTINUE.
       TR-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    PROGRAMM VERLASSEN
      ******************************************************************
      *
       XCTL SECTION.
       XC-000.
           MOVE 5 TO FEHL-NR.
           MOVE CA-TRANS TO FEHL-VAR1.
           PERFORM FEHLMELD.
WRAP  *    EXEC CICS SEND
WRAP  *              FROM   (M7MSGO)
WRAP  *              LENGTH (77)
WRAP  *              WAIT
WRAP  *              ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'ddeap06' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'ddeap06 ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             M7MSGO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
WRAP  *    EXEC CICS RETURN
WRAP  *    END-EXEC.
WRAP       CALL 'RETURN' USING X-CICS-PARAMS
WRAP       CONTINUE.
       XC-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *    PROGRAMM VERLASSEN NACH 'KEINE BERECHTIGUNG'
      ******************************************************************
      *
       FXCTL SECTION.
       FXC-000.
           MOVE 4 TO FEHL-NR.
           MOVE CA-TRANS TO FEHL-VAR1.
           PERFORM FEHLMELD.
WRAP  *    EXEC CICS SEND
WRAP  *              FROM   (M7MSGO)
WRAP  *              LENGTH (77)
WRAP  *              WAIT
WRAP  *              ERASE
WRAP  *    END-EXEC.
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'ddeap06' TO XML-FILNAME
WRAP       MOVE 1920 TO X-CICS-MAP-LNG
WRAP       CALL 'ddeap06 ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             M7MSGO,
WRAP                             X-CICS-MAP-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
WRAP  *    EXEC CICS RETURN
WRAP  *    END-EXEC.
WRAP       CALL 'RETURN' USING X-CICS-PARAMS
WRAP       CONTINUE.
       FXC-999.
           EXIT.
      ******************************************************************
      *    VSAM-FILE LESEN (MTI)
      ******************************************************************
      *
       READD-MTI SECTION.
       RD-MTI-000.
           MOVE MTI-KY TO FAT-KEY.
           MOVE +80     TO  LENGTH-MTI.
           MOVE SPACES       TO MTI-RC072.
           MOVE OK           TO MTI-STATUS.
WRAP  *    EXEC CICS HANDLE CONDITION DUPKEY      (RD-MTI-800)
WRAP  *                               NOTFND      (RD-MTI-805)
WRAP  *                               NOTOPEN     (RD-MTI-810)
WRAP  *                               ERROR       (FAT-VSAM-000)
WRAP  *    END-EXEC.
WRAP  *    EXEC CICS READ DATASET      ('MTZD')
WRAP  *                   INTO         (MTI-RC072)
WRAP  *                   RIDFLD       (MTI-KY)
WRAP  *                   LENGTH       (LENGTH-MTI)
WRAP  *                   EQUAL
WRAP  *    END-EXEC.
WRAP       MOVE 'RD' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'MTZD' TO XML-FILNAME
WRAP       MOVE 2048 TO X-CICS-REC-LNG
WRAP       CALL 'MTZD    ' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             MTI-RC072,
WRAP                             X-CICS-REC-LNG
WRAP       MOVE XML-RETCODE TO EIBRESP.
      *
           IF MTI-FLAG = HIGH-VALUE
               MOVE NOT-FND TO MTI-STATUS.
           GO TO RD-MTI-999.
      *
       RD-MTI-800.
           MOVE DUP-KEY TO MTI-STATUS.
           GO TO RD-MTI-999.
      *
       RD-MTI-805.
           MOVE NOT-FND TO MTI-STATUS.
           GO TO RD-MTI-999.
      *
       RD-MTI-810.
           MOVE NOT-OPN TO MTI-STATUS.
      *
       RD-MTI-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      *     VSAM-FATAL-ERROR HANDLING
      ******************************************************************
      *
       FATAL-ERROR SECTION.
       FAT-VSAM-000.
      *
           MOVE EIBFN      TO FAT-EIBFN.
           MOVE EIBDS      TO FAT-EIBDS.
           MOVE EIBRCODE   TO FAT-EIBRCODE.
      *
      ****                           DUMPCODE = 1.STELLE: PROJEKT,
      *                              REST: PROGRAMM-NUMMER
WRAP  *    EXEC CICS DUMP
WRAP  *              DUMPCODE ('1DDEAP06')
WRAP  *              FROM     (FAT-DUMP)
WRAP  *              LENGTH   (151)
WRAP  *    END-EXEC.
WRAP       CALL 'DUMP' USING X-CICS-PARAMS
WRAP                                '1DDEAP06'
WRAP                                FAT-DUMP
WRAP                                151
WRAP       CONTINUE.
      *
           MOVE 6 TO FEHL-NR.
           MOVE CA-TRANS TO FEHL-VAR1.
           PERFORM FEHLMELD.
           MOVE -1 TO M7BILDL.
           PERFORM SENDFEHL.
      *
WRAP  *    EXEC CICS RETURN
WRAP  *    END-EXEC.
WRAP       CALL 'RETURN' USING X-CICS-PARAMS
WRAP       CONTINUE.
      *
       FAT-VSAM-999.
           EXIT.
           EJECT
      *
      ******************************************************************
      ******************************************************************
      *     ENDE SOURCE DDEAP06
      ******************************************************************
      *
