      *PARMMVS     COMPILER=COBOL2
      *PARMMVS     PARM.COB=(LIB,TRUNC(BIN),NODYN,RES,RENT,MAP,OFFSET)
      *PARMMVS     LNK.IN  ENTRY PQMC01K
      *PARMMVS     LNK.IN  ORDER DFHECI
      *PARMMVS     LNK.IN  LIBRARY *(DSNHLI)
      *PARMMVS     LNK.IN  INCLUDE SYSLIB(DSNCLI)
      *PARMMVS     LNK.IN  INCLUDE SYSLIB(DSNTIAR)
      *PARMMVS     LNK.IN  INCLUDE SYSLIB(DFHECI)
      *PARMMVS     LNK.IN  INCLUDE SYSLIB(UDAS0102)
      *PARMMVS     LNK.IN  INCLUDE SYSLIB(UDAS0600)
      *PARMMVS     PARM.LNK=(LET,AMODE(31),RMODE(ANY))
      *PARMMVS     DBRMNAME=PQMC01K
      *PARMMVS ENV=(CICS,DB2)
      *-OFFENER PUNKT :                           07.09.94 RIT
      *-1) 7-STELLIGE GRUNDNUMMER WIRD NUR MIT VORLAUFENDER NULL AKZEPTI
      *-
      *-2) WENN PROGRAMM BEI TSQ-VERARBEITUNG ERROR BEKOMMT, DARF IN
      *-   FEHLERROUTINE DER 'CALL DSNTIAR' NICHT ERFOLGEN, SONST
      *-   ERSCHEINEN STEUERZEICHEN AM SCREEN.
      *-   JYY02-ERROR-TEXT BZW. ISS10-ERROR1 UND -ERROR2 AUF SPACE SETZ
      *-
      *-
      *-
      *** CICS/ESA ANPASSUNG DURCHGEFUEHRT *********************
      *********************************
       IDENTIFICATION DIVISION.
      *********************************
       PROGRAM-ID.                     PQMC01K.
      *****************************************************************
      *  PROGRAMM                                                     *
      *  ALIAS DV      "PQMC01K"                                      *
      *       ,LANG    "MATCHCODE-SUCHE"                              *
      *  CATALOG       "AUSKUNFT"                                     *
      *               ,"BAUSPARER'                                    *
      *               ,"KUNDE"                                        *
      *               ,"VERTRAG"                                      *
      *  KURZBESCHREIBUNG                                             *
      *    "MATCHCODE-SUCHE"                                          *
      *  SPRACHE       COBOL                                          *
      *  PROGRAMM-ART  ONLINE                                         *
      *  DB-ART        DB2                                            *
      *  EINSATZ       TAEGLICH                                       *
      *  AUTOR         FROEHLICH / ALFERINK                           *
      *  UEBERGABEDATUM      01.07.93                                 *
      *  TRANSAKTIONSCODE    QMC1                                     *
      *  AKTION              .. .. .. ..                              *
      * PROTOKOLL                                                     *
      * LEVEL DATUM    AUTOR        AUFTRAG/BEGRUENDUNG               *
      * ------------------------------------------------------------- *
      * DMR NACH KVS-VERSAND  EINGEFUEGT -  ROG/HGM  31.08.92         *
      * ------------------------------------------------------------- *
      * 08    16.09.96 HGM          96046-6 ZUGREIFEN AUF ARCHIVDATEN
      *                             - IM AKTIONSKREIS 0210 NUR ARCHIV-
      *                               DATEN ANZEIGEN -
      *                             - DAS KENNZEICHEN FR "ARCHIVIERTE
      *                               GRUNDNUMMER" IST EINE A IM FELD
      *                               S310-MCBKZ. DIESES A WIRD AUF DEM
      *                               BILDSCHIRM ANGEZEIGT.
      *                               (SECTION G02        )
      *
      * '007  06.09.94 RITTER       BA395-26 OPTIMIERUNG,       '     *
      * '.                          KORREKTUR Q01-WRITEQ SECTION'     *
      * '006  06.09.94 RITTER       BA395-26 OPTIMIERUNG,       '     *
      * '.                          PF9-FUNKTION EINGEBAUT      '     *
      * '005  04.07.94 ZIMMER       BA395-20 EINBAU VORGANGSBE- '     *
      * '.                          ARBEITUNG UND OPTIMIERUNG   '     *
      * '.                          BEIM FOLGELESEN BER MATCH- '     *
      * '.                          CODE                        '     *
      * '004  12.02.93 DRH/STO      004/93-102 UMSTELLUNG       '     *
      * '.                          DB2 COBOL2 U. GRDNR         '     *
      * '003  12.08.92 H.G.MADERNER BA279 / 06 ERWEITERTEN GRUND -    *
      *                             NUMMERNBEREICH NUTZEN             *
      *                             010 000 BIS 090 000.              *
      *                                                               *
      *                                                               *
      *  HINWEIS   ??.                                                *
      *  SICHERHEITSKRITERIEN  ??.                                    *
      *  DATENSCHUTZKRITERIEN  ??.                                    *
      *  OFFENE-PUNKTE         ??.                                    *
      *  END                                                          *
      *****************************************************************
      *
      *AUTHOR.                         FROEHLICH - LANDESBANK.
      *
      *INSTALLATION.                   LANDESBANK KIEL.
      *
      *DATE-WRITTEN.                   APRIL 1983.
      *
      *DATE-COMPILED.
      *
      *REMARKS.
      ****MMVS     PARM.LNK=(LET,RENT,AMODE(31),RMODE(ANY))
       ENVIRONMENT DIVISION.
      *
       CONFIGURATION SECTION.
      *
       SPECIAL-NAMES.
            DECIMAL-POINT IS COMMA.
      *
      ****  COPY PQMC01KB.
      *
       DATA DIVISION.
       WORKING-STORAGE SECTION.
      *
SQL   **************************DB2-ERROR-HANDLING**********************
SQL    01  FILLER.
ADDCOP     03 IDSS10K.
ADDCOP*                                  UEBERGABEBEREICH DB2-ERROR
ADDCOP*                                  FUER ONLINE PROGRAMME
ADDCOP*                                  AUTOR: GUENSTER
ADDCOP*                                  AEND:
ADDCOP*                                  LEVEL: 000
ADDCOP       05 ISS10-DOUBLE            PIC 9(8)       COMP SYNC
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  AUSRICHTUNG AUF
ADDCOP*                                  DOPPELWORTGRENZE
ADDCOP       05 ISS10-PROGN             PIC X(8)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  PROGRAMMNAME
ADDCOP       05 ISS10-AKTION.
ADDCOP*                                  AKTIONS-FELD FUER DIE
ADDCOP*                                  DIALOG-STEUERUNG
ADDCOP*                                  GR00003
ADDCOP         07 ISS10-AKS1            PIC XX
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  ONLINE-/BATCH-KENNZEICHEN
ADDCOP*                                  01 = ONLINE-ANWENDUNG
ADDCOP*                                  99 = BATCH-ANWENDUNG
ADDCOP*                                  1. STUFE AKTIONSCHLUESSEL
ADDCOP         07 ISS10-AKS2            PIC XX
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  VORGANGSKREIS-NR
ADDCOP*                                  TEXTSCHLSSEL
ADDCOP*                                  2. STUFE AKTIONSCHLUESSEL
ADDCOP         07 ISS10-AKS3            PIC XX
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  VORGANGSKREIS-LFDNR
ADDCOP*                                  3. STUFE AKTIONSSCHLUESSEL
ADDCOP       05 ISS10-MITID             PIC X(4)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  MITARBEITER-IDENTIFIKATION
ADDCOP       05 ISS10-SYSDAT.
ADDCOP*                                  SYSTEM-TAGESDATUM
ADDCOP*                                  GR00068
ADDCOP         07 ISS10-TT              PIC 99
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  TAG
ADDCOP         07 ISS10-K2              PIC X
ADDCOP                                  VALUE '.'.
ADDCOP*                                  KONSTANTE
ADDCOP         07 ISS10-MM              PIC 99
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  MONAT
ADDCOP         07 ISS10-K2              PIC X
ADDCOP                                  VALUE '.'.
ADDCOP*                                  KONSTANTE
ADDCOP         07 ISS10-JJ34            PIC 99
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  JAHRESZAHL
ADDCOP       05 ISS10-SYSTIM.
ADDCOP*                                  SYSTEM-ZEIT
ADDCOP         07 ISS10-STD             PIC 99
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  STUNDE
ADDCOP         07 ISS10-DPP             PIC X
ADDCOP                                  VALUE ':'.
ADDCOP*                                  KONSTANTE
ADDCOP         07 ISS10-MIN             PIC 99
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  MINUTE
ADDCOP       05 ISS10-SQLCODE           PIC S999
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  RETURNCODE
ADDCOP       05 ISS10-DB2TAB            PIC X(8)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  TABELLENNAME
ADDCOP       05 ISS10-DB2OPER           PIC X(6)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  OPERATION, DIE ZUM ABBRUCH FH
ADDCOP*                                  RTE
ADDCOP       05 ISS10-DB2NR             PIC 99
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  NR DES SQL-BEFEHLS IM PROGRAMM
ADDCOP       05 ISS10-VERTNR            PIC X(11)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  VERTRAGS-NUMMER
ADDCOP       05 ISS10-ERROR1            PIC X(120)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  ERROR-TEXT(1) AUS DSNTIAR
ADDCOP       05 ISS10-ERROR2            PIC X(120)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  ERROR-TEXT(2) AUS DSNTIAR
ADDCOP       05 ISS10-WLENGTH           PIC S9(4)      COMP
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  LENGTH-FIELD FOR CICS-COMMANDS
ADDCOP       05 ISS10-TASKNR            PIC 9(4)
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  CICS-TASK-NR
ADDCOP***** INSERT LINES: 000092
COPY  *     COPY IDSS1001.
SQL    01  FILLER.
ADDCOP     03 JDYY0201.
ADDCOP*                                  DB2-FEHLERBEHANDLUNG UND
ADDCOP*                                  BERGABEBEREICH
ADDCOP*                                  FR BATCH-PROGRAMME
ADDCOP*                                  AUTOR: GUENSTER
ADDCOP*                                  AEND:
ADDCOP*                                  LEVEL: 000
ADDCOP       05 JYY02-FEHLER.
ADDCOP*                                  DB2-FEHLERBEHANDLUNG
ADDCOP*                                  GR-FEHLER
ADDCOP         07 JYY02-PGM-NAME        PIC X(8)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  PROGRAMMNAME
ADDCOP         07 JYY02-TEXT            PIC X(12)
ADDCOP                                  VALUE ' DB2-FEHLER '.
ADDCOP*                                  KONSTANTE
ADDCOP         07 JYY02-SQLCODE-TEXT    PIC X(9)
ADDCOP                                  VALUE 'SQLCODE  '.
ADDCOP*                                  KONSTANTE
ADDCOP         07 JYY02-SQLCODE         PIC -999
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  RETURNCODE
ADDCOP         07 JYY02-TAB-TEXT        PIC X(9)
ADDCOP                                  VALUE ' TABELLE '.
ADDCOP*                                  KONSTANTE
ADDCOP         07 JYY02-TAB             PIC X(8)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  KONSTANTE
ADDCOP         07 JYY02-OPER-TEXT       PIC X(11)
ADDCOP                                  VALUE ' OPERATION '.
ADDCOP*                                  KONSTANTE
ADDCOP         07 JYY02-OPER            PIC X(6)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                  SQL-ABFRAGETYP
ADDCOP         07 JYY02-NR-TEXT         PIC X(4)
ADDCOP                                  VALUE ' NR.'.
ADDCOP*                                  KONSTANTE
ADDCOP         07 JYY02-NR              PIC ZZ9
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                  LAUFENDE NUMMER
ADDCOP       05 JYY02-ERROR-MESSAGE.
ADDCOP*                                  BERGABEBEREICH
ADDCOP*                                  GR-ERROR-MESSAGE
ADDCOP         07 JYY02-ERROR-LEN       PIC S9(4)      COMP
ADDCOP                                  VALUE +960.
ADDCOP         07 JYY02-ERROR-TEXT      OCCURS 8 TIMES
ADDCOP                                  INDEXED ERROR-INDEX
ADDCOP                                  PIC X(120).
ADDCOP       05 JYY02-ERROR-TEXT-LEN    PIC S9(9)      COMP
ADDCOP                                  VALUE +120.
ADDCOP       05       JYY02-QTIME       PIC 9(7).
ADDCOP       05      FILLER          REDEFINES      JYY02-QTIME.
ADDCOP         10     FILLER            PIC X.
ADDCOP         10     JYY02-QHHMM.
ADDCOP           15   JYY02-EIBHOUR     PIC 99.
ADDCOP           15   JYY02-EIBMINUTE   PIC 99.
ADDCOP***** INSERT LINES: 000056
COPY  *     COPY JDYY0202.
SQL   **************************DB2-ERROR-HANDLING**********************
SQL   *
SQL    01  WAS00-PACKAGE-SET  PIC  X(08)  VALUE SPACE.
SQL   *
ADDCOP******************************************************************
ADDCOP*-------------------------------------------------------------   *
ADDCOP*  07.01.92 - JDSS00K  - TESTVERSION FUER COBOL2                 *
ADDCOP*  COPY     : JDSS0000 - ARBEITSFELDER  - ADRESSIERUNG DER       *
ADDCOP*                        COMMAREA-ABSCHNITTE                     *
ADDCOP*                                                                *
ADDCOP*----------------------------------------------------------------*
ADDCOP* JQDS00K                                                        *
ADDCOP* .         STANDARD-POINTERLIST FUER ONLINEPROGRAMME            *
ADDCOP* . ERSTELLT:  07.01.92    H.G.M.                                *
ADDCOP******************************************************************
ADDCOP*-------------------------------------------------------------
ADDCOP*                                                               *
ADDCOP*   +---------+---------+                                       *
ADDCOP*   ! ALT     ! NEU     !                                       *
ADDCOP*   +---------+---------+                                       *
ADDCOP*   ! ------- ! IDSS00K !                                       *
ADDCOP*   +---------+---------+                                       *
ADDCOP******************************************************************
ADDCOP 01  JDSS00K.
ADDCOP
ADDCOP   02   JSS00-PQAS90K-ADR     USAGE POINTER.
ADDCOP   02   JSS00-PQAS90K-WERT    REDEFINES JSS00-PQAS90K-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP   02   JSS00-PQAS91K-ADR     USAGE POINTER.
ADDCOP   02   JSS00-PQAS91K-WERT    REDEFINES JSS00-PQAS91K-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP   02   JSS00-PQAS92K-ADR     USAGE POINTER.
ADDCOP   02   JSS00-PQAS92K-WERT    REDEFINES JSS00-PQAS92K-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           **************************************
ADDCOP*                           * BEREICH DER ANGEMELDETEN SD-ID'S   *
ADDCOP*                           **************************************
ADDCOP   02   JSS00-QCSAADR        USAGE POINTER.
ADDCOP*                           * -- ADRESSE CSA                     *
ADDCOP   02   JSS00-QTWA-ADR        USAGE POINTER.
ADDCOP   02   JSS00-QTWA-WERT       REDEFINES JSS00-QTWA-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE TWA                     *
ADDCOP   02   JSS00-QUIB-ADR        USAGE POINTER.
ADDCOP   02   JSS00-QUIB-WERT       REDEFINES JSS00-QUIB-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE DLIUIB                  *
ADDCOP   02   JSS00-QCOMMADR-ADR     USAGE POINTER.
ADDCOP   02   JSS00-QCOMMADR-WERT    REDEFINES JSS00-QCOMMADR-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- IQSS01K  - ZUM ERMITTELN DER    *
ADDCOP*                           * -- ADRESSEN DER COMMAREA-ABSCHNITTE*
ADDCOP   02   JSS00-QCOMMUSER-ADR  USAGE POINTER.
ADDCOP   02   JSS00-QCOMMUSER-WERT REDEFINES JSS00-QCOMMUSER-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- 1. UNBEKANTER COMMAREA-ABSCHNITT*
ADDCOP   02   JSS00-QCOMMUSER1-ADR  USAGE POINTER.
ADDCOP   02   JSS00-QCOMMUSER1-WERT REDEFINES JSS00-QCOMMUSER1-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE IQAS02K - MEHRFACHMELD. *
ADDCOP   02   JSS00-QCOMMUSER2-ADR  USAGE POINTER.
ADDCOP   02   JSS00-QCOMMUSER2-WERT REDEFINES JSS00-QCOMMUSER2-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE IQAS03K - ADRESSANZEIGE *
ADDCOP*                           * -- NICHT IM EINSATZ - 08.01.92 HGM *
ADDCOP   02   JSS00-QCOMMUSER3-ADR  USAGE POINTER.
ADDCOP   02   JSS00-QCOMMUSER3-WERT REDEFINES JSS00-QCOMMUSER3-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE IQMC00K - MATCHCODESUCHE*
ADDCOP   02   JSS00-QCOMMUSER4-ADR  USAGE POINTER.
ADDCOP   02   JSS00-QCOMMUSER4-WERT REDEFINES JSS00-QCOMMUSER4-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE IQBF01K - BRIEFSCHREIBU.*
ADDCOP   02   JSS00-QTCTUA-ADR      USAGE POINTER.
ADDCOP   02   JSS00-QTCTUA-WERT     REDEFINES JSS00-QTCTUA-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE TCTUA                   *
ADDCOP   02   JSS00-QTCTTE-ADR      USAGE POINTER.
ADDCOP   02   JSS00-QTCTTE-WERT     REDEFINES JSS00-QTCTTE-ADR
ADDCOP                              USAGE COMP  PIC  S9(8).
ADDCOP*                           * -- ADRESSE TCTTE                   *
ADDCOP******************************************************************
ADDCOP***** INSERT LINES: 000078
COPY  *     COPY JDSS0000.
SQL    77           WAS00-CALEN    PIC S9(4)       COMP
SQL                                                   VALUE ZERO.
SQL   *
      *VO************************************************************
      *VO*  DEFINITION DER PROGRAMM-KONSTANTEN
      *VO*
       01           KONSTANTEN.
           05       WAS00-TAC       PIC X(4)       VALUE 'QMC1'.
           05       WAS00-PROGID    PIC X(8)       VALUE 'PQMC01K '.
           05       PROGRAMM-NAME   PIC X(8)       VALUE 'PQMC0107'.
           05       WAS00-QMAPSET   PIC X(7)       VALUE 'MQMC02K'.
           05       WAS00-QPSBN     PIC X(8)       VALUE 'BQAS01K'.
           05       WAS00-QTWALEN   PIC S9(4) COMP VALUE ZERO.
           05       WAS00-FFMAP     PIC 9          VALUE ZERO.
            88      MAP-KPLT        VALUE ZERO.
            88      DA-ONLY         VALUE 1.
      *VO*
      *VO************************************************************
      *VO*  DEFINITION RAHMENPROGRAMM-STEUERLEISTE
      *VO*
       01           WAS00-STEULEISTE.
           05       WAS00-STEU1     PIC 9          VALUE ZERO.
            88      WAS00-STEU1-XCTL       VALUE 1.
           05       WAS00-STEU2     PIC 9          VALUE ZERO.
            88      WAS00-STEU2-STEUPO     VALUE 1.
           05       WAS00-STEU3     PIC 9          VALUE ZERO.
            88      WAS00-STEU3-LOEVORG    VALUE 1.
           05       WAS00-STEU4     PIC 9          VALUE ZERO.
            88      WAS00-STEU4-LOESTEP    VALUE 1.
           05       WAS00-STEU5     PIC 9          VALUE ZERO.
            88      WAS00-STEU5-QTWA       VALUE 1.
           05       WAS00-STEU6     PIC 9          VALUE ZERO.
            88      WAS00-STEU6-LOESCHRI   VALUE 1.
           05       WAS00-STEU7     PIC 9          VALUE ZERO.
            88      WAS00-STEU71-UJA       VALUE 1.
           05       WAS00-STEU8     PIC 9          VALUE ZERO.
            88      WAS00-STEU81-UPF       VALUE 1.
      *VO*************************************************************
      *VO*  ZULAESSIGE PF-TASTEN
      *VO*    0 = WIRD IM RAHMEN BEHANDELT 1 = WIRD NICHT BEHANDELT
      *VO*************************************************************
       01           FILLER.
           05       WAS00-PF01      PIC 9          VALUE ZERO.
            88      WAS00-PF01-NEIN        VALUE 1.
           05       WAS00-PF02      PIC 9          VALUE ZERO.
            88      WAS00-PF02-NEIN        VALUE 1.
           05       WAS00-PF03      PIC 9          VALUE ZERO.
            88      WAS00-PF03-NEIN        VALUE 1.
           05       WAS00-PF04      PIC 9          VALUE ZERO.
            88      WAS00-PF04-NEIN        VALUE 1.
           05       WAS00-PF05      PIC 9          VALUE 1.
            88      WAS00-PF05-NEIN        VALUE 1.
           05       WAS00-PF06      PIC 9          VALUE 1.
            88      WAS00-PF06-NEIN        VALUE 1.
           05       WAS00-PF07      PIC 9          VALUE 1.
            88      WAS00-PF07-NEIN        VALUE 1.
           05       WAS00-PF08      PIC 9          VALUE 1.
            88      WAS00-PF08-NEIN        VALUE 1.
           05       WAS00-PF09      PIC 9          VALUE 1.
            88      WAS00-PF09-NEIN        VALUE 1.
           05       WAS00-PF10      PIC 9          VALUE ZERO.
            88      WAS00-PF10-NEIN        VALUE 1.
           05       WAS00-PF11      PIC 9          VALUE ZERO.
            88      WAS00-PF11-NEIN        VALUE 1.
           05       WAS00-PF12      PIC 9          VALUE ZERO.
            88      WAS00-PF12-NEIN        VALUE 1.
CICS  *VO*************************************************************
CICS  *VO*  AUFBEREITUNG EIB-UHRZEIT FUER MAP-KOPF
CICS  *VO*
CICS   01           WAS00-KOPFZEIT.
CICS       05       WAS00-QTIME     PIC 9(7) VALUE ZERO.
CICS        05      FILLER          REDEFINES      WAS00-QTIME.
CICS         10     FILLER          PIC X.
CICS         10     WAS00-QHHMM.
CICS          15    WAS00-EIBHOUR   PIC 99.
CICS          15    WAS00-EIBMINUTE PIC 99.
CICS         10     FILLER          PIC X(2).
CICS        05      FILLER          REDEFINES      WAS00-QTIME.
CICS         10     FILLER          PIC X.
CICS         10     WAS00-QPRETIM   PIC 9(4).
CICS         10     FILLER          PIC X(2).
CICS  *
CICS       05       WAS00-TIME.
CICS         10     WAS00-HOUR      PIC 99 VALUE ZERO.
CICS         10     FILLER          PIC X        VALUE ':'.
CICS         10     WAS00-MINUTE    PIC 99 VALUE ZERO.
CICS  *
CICS   01   WAS00-QMELDNR           PIC X(5)      VALUE SPACE.

DLI   ***************************************************************
DLI   *VO* BEREICH FUER DLI-ANTWORT
DLI   *VO*
DLI    01   TEXT-FILLER.
DLI      03 FILLER        PIC X(18) VALUE '-IQSS03K-ANFANG---'.
ADDCOP******************************************************************
ADDCOP*  IDSS0300 :  COBOL2   -  20.01.92                    H.G.M.    *
ADDCOP*              COPY FUER DLI-AUFRUFE UND ARBEITSFELDER           *
ADDCOP*                                                                *
ADDCOP******************************************************************
ADDCOP 03  IDSS03K.
ADDCOP      05 ISS03-QDOUBLE PIC 9(8) USAGE COMP SYNCHRONIZED.
ADDCOP*                                    AUSRICHTEN AUF DOPPELWORTGREN
ADDCOP      05 ISS03-QDLIFKT        PIC X(4).
ADDCOP*                                   DLI-FUNKTION BEI DLI-CALL
ADDCOP      05 ISS03-QPROGN         PIC X(8).
ADDCOP*                           *  PGM-NAME - AUCH FUER CICS-COMMANDS*
ADDCOP      05 ISS03-QAKTION.
ADDCOP*                                   AKTIONS-FELD FUER DIE
ADDCOP*                                   DIALOG-STEUERUNG
ADDCOP       07 ISS03-QAKS1         PIC XX.
ADDCOP*                                   1. STUFE AKTIONSCHLUESSEL
ADDCOP       07 ISS03-QAKS2         PIC XX.
ADDCOP*                                   2. STUFE AKTIONSCHLUESSEL
ADDCOP       07 ISS03-QAKS3         PIC XX.
ADDCOP*                                   3. STUFE AKTIONSCHLUESSEL
ADDCOP      05 ISS03-QPSBN          PIC X(8).
ADDCOP*                                   PSB-NAME
ADDCOP      05 ISS03-QMITID         PIC X(4).
ADDCOP*                                    MITARBEITER-IDENTIFIKATION
ADDCOP      05 ISS03-QSYSDAT.
ADDCOP*                                   SYSTEM-TAGESDATUM
ADDCOP       07 ISS03-QTT           VALUE ZERO
ADDCOP                              PIC 99.
ADDCOP*                                   TAG
ADDCOP       07 ISS03-QPUNKT        VALUE '.'
ADDCOP                              PIC X.
ADDCOP       07 ISS03-QMM           VALUE ZERO
ADDCOP                              PIC 99.
ADDCOP*                                   MONAT
ADDCOP       07 ISS03-QPUNKT        VALUE '.'
ADDCOP                              PIC X.
ADDCOP       07 ISS03-QJJ           VALUE ZERO
ADDCOP                              PIC 99.
ADDCOP*                                   JAHR
ADDCOP      05 ISS03-QSYSTIM.
ADDCOP*                                   SYSTEM-ZEIT
ADDCOP       07 ISS03-QSTD          PIC 99.
ADDCOP*                                   STUNDE
ADDCOP       07 ISS03-QDPP          VALUE ':'
ADDCOP                              PIC X.
ADDCOP       07 ISS03-QMIN          PIC 99.
ADDCOP*                                   MINUTE
ADDCOP      05 ISS03-QPCB.
ADDCOP*                                   DLI-RETURN-INFORMATIONEN
ADDCOP       07 ISS03-QDBDN         PIC X(8).
ADDCOP*                                   DATENBANKNAME
ADDCOP       07 ISS03-QSEGL         PIC XX.
ADDCOP*                                   SEGMENT-STUFEN-NUMMER
ADDCOP       07 ISS03-QSTAT         PIC XX.
ADDCOP*                                   DLI-STATUS-CODE
ADDCOP       07 ISS03-QPROC         PIC XXXX.
ADDCOP*                                   PROCESSING-OPTION
ADDCOP       07 ISS03-QFIL111       PIC X(4).
ADDCOP*                                     BEREICHSFILLER 4 STELLEN
ADDCOP       07 ISS03-QSEGN         PIC X(8).
ADDCOP*                                   SEGMENT-NAME
ADDCOP       07 ISS03-QLNGE USAGE COMP
ADDCOP                              PIC S9(8).
ADDCOP*                                   LAENGE DES VERKETTETEN SCHLUES
ADDCOP       07 ISS03-QSENS USAGE COMP
ADDCOP                              PIC S9(8).
ADDCOP*                                   ANZAHL DER SENSITIVEN SEGMENTE
ADDCOP       07 ISS03-QSCHL         PIC X(38).
ADDCOP*                                   KEY-FEEDBACK-AREA
ADDCOP      05 ISS03-QUIBFCT        PIC X.
ADDCOP*                                    UIB-RETURN-CODE - BYTE 1
ADDCOP*                                    X'00' - NORMAL RESPONSE
ADDCOP*                                    X'0C' - NOT OPEN
ADDCOP*                                    X'08' - INVALID REQUEST
ADDCOP*                                    X'10' - INVALID PCB ADDRESS
ADDCOP      05 ISS03-QUIBDLT        PIC X.
ADDCOP*                                    UIB-RETURN-CODE - BYTE 2
ADDCOP*                                    -----------------------------
ADDCOP*                                    BEDEUTUNG BEI BYTE 1 = X'0C'
ADDCOP*                                    X'00' - DATABASE NOT OPNEN, R
ADDCOP*                                            ISSUED IN OS/VS SYSTE
ADDCOP*                                    X'02' - INTENT SCHEDULING CON
ADDCOP*                                    -----------------------------
ADDCOP*                                    BEDEUTUNG BEI BYTE 1 = X'08'
ADDCOP*                                    X'00' - DATABASE NOT IN FCT,
ADDCOP*                                            NOT OPEN IN FCT OR
ADDCOP*                                            INVALID ARGUMENT PASS
ADDCOP*                                            TO DLI
ADDCOP*                                    X'01' - PSB NOT FOUND
ADDCOP*                                    X'03' - PSB ALREADY SCHEDULED
ADDCOP*                                    X'05' - PSB INITIALISATION FA
ADDCOP*                                    X'07' - TERMINATION UNSCHEDUL
ADDCOP*                                    X'08' - FUNCTION UNSCHEDULED
ADDCOP*                                    X'FF' - DLI NOT ACTIVE
ADDCOP      05 ISS03-QSSA1          PIC X(70).
ADDCOP*                                    SEGMENT-SEARCH-ARGUMENT LEVEL
ADDCOP      05 ISS03-QSSA2          PIC X(70).
ADDCOP*                                    SEGMENT-SEARCH-ARGUMENT LEVEL
ADDCOP      05 ISS03-QFPCB          VALUE 'PCB '
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'PCB'
ADDCOP      05 ISS03-QFGU           VALUE 'GU  '
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'GET UNIQUE'
ADDCOP      05 ISS03-QFGHU          VALUE 'GHU '
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'GET HOLD UNIQUE'
ADDCOP      05 ISS03-QFGN           VALUE 'GN  '
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'GET NEXT'
ADDCOP      05 ISS03-QFGHN          VALUE 'GHN '
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'GET HOLD NEXT'
ADDCOP      05 ISS03-QFGNP          VALUE 'GNP '
ADDCOP                              PIC X(4).
ADDCOP*                                    DLI-FUNKTION 'GET NEXT WITHIN
ADDCOP      05 ISS03-QFGHNP         VALUE 'GHNP'
ADDCOP                              PIC X(4).
ADDCOP*                                   'GET HOLD NEXT WITHIN PARENT'
ADDCOP      05 ISS03-QFISRT         VALUE 'ISRT'
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'INSERT'
ADDCOP      05 ISS03-QFREPL         VALUE 'REPL'
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'REPLACE'
ADDCOP      05 ISS03-QFDLET         VALUE 'DLET'
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'DELETE'
ADDCOP      05 ISS03-QFCHKP         VALUE 'CHKP'
ADDCOP                              PIC X(4).
ADDCOP*                                   DLI-FUNKTION 'CHECKPOINT'
ADDCOP      05 ISS03-QKLAMMA        VALUE '('
ADDCOP                              PIC X.
ADDCOP*                                   'KLAMMER-AUF'-DEFINITION
ADDCOP      05 ISS03-QKLAMMZ        VALUE ')'
ADDCOP                              PIC X.
ADDCOP*                                   'KLAMMER-ZU'-DEFINITION
ADDCOP      05 ISS03-QGLEICH        VALUE '='
ADDCOP                              PIC X.
ADDCOP*                                   'GLEICHHEITS'-ZEICHEN
ADDCOP      05 ISS03-QKLEIN         VALUE '<'
ADDCOP                              PIC X.
ADDCOP*                                   'KLEINER'-ZEICHEN
ADDCOP      05 ISS03-QGROSS         VALUE '>'
ADDCOP                              PIC X.
ADDCOP*                                   'GROESSER'-ZEICHEN
ADDCOP      05 ISS03-QV08LEN        VALUE +144 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   SATZLAENGE BATCH-ANSTOSS-DATEI
ADDCOP      05 ISS03-QV08ID         VALUE LOW-VALUE
ADDCOP                              PIC X(4).
ADDCOP*                                   KEY BATCH-ANSTOSS-DATEI
ADDCOP      05 ISS03-QWLENGTH       VALUE  ZERO USAGE COMP
ADDCOP                              PIC  S9(4).
ADDCOP*                           *  LENTH-FIELD FOR CICS-COMMANDS     *
ADDCOP***** INSERT LINES: 000156
COPY  *    COPY IDSS0300.
DLI      03 FILLER        PIC X(18) VALUE '-IQSS03K-ENDE-----'.
      /**************************************************************
      *VO* HIER FOLGEN  ARBEITSFELDER DES PROGRAMMS
      *VO* PREFIX : W UND 4STELLIG. PROGNAME
      *VO*
       01   FILLER        PIC X(18) VALUE '-ARBEITS-BEREICHE-'.
       01         TS-DATEN.
          05      TS-PROGID      PIC X(4)   VALUE 'MC01'.
          05      TS-TERMID      PIC X(4) VALUE LOW-VALUE.
      *
       01         TS-LAENGE          PIC S9(4) COMP VALUE +1564.
       01         TS-ITEM            PIC S9(4) COMP VALUE ZERO.
       01         WMC01-COUNT        PIC S9(4) COMP VALUE ZERO.
       01         WMC01-COUNT-TAB    PIC S9(4) COMP VALUE ZERO.

       01         WMC01-TABCOUNT     PIC X(25) VALUE SPACE.
       01         WMC01-TABCOUNT-R REDEFINES WMC01-TABCOUNT.
           03     WMC01-TABC-NUM     PIC 9999.
           03     FILLER             PIC X(21).
      *
       01  WMC01-ABTEILG.
           03 WMC01-ABTEILG1       PIC X VALUE LOW-VALUE.
           03 FILLER               PIC X(3) VALUE LOW-VALUE.

      *
      * NEUER MATCHCODE EINGEGEBEN
       01    WMC01-NEUER-KEY       PIC 9           VALUE 0.
      *
      *
      * BAUSPARERWECHSEL IN MATCHCODE-DB
       01    WMC01-BSP-WECHSEL     PIC 9           VALUE 0.
      *
      * MINDESTANZAHL STELLEN FUER MATCHCODE-NACHNAMEN
       01    WMC01-MC-MINIMUM      PIC 9           VALUE 2.
      *
      * INDEX FUER ANZAHL STELLEN EINGEGEBENER NACHNAME
       01    WMC01-IND1            PIC 99          VALUE ZERO.
      *
      * INDEX FUER ANZAHL STELLEN EINGEGEBENER VORNAME
       01    WMC01-IND2            PIC 99          VALUE ZERO.
      *
      * INDEX FUER ANZAHL STELLEN EINGEGEBENE POSTLEITZAHL
       01    WMC01-IND0            PIC 99          VALUE ZERO.
      *
      * INDEX FUER ZEILENZAEHLER BEI MAPAUSGABE
       01    WMC01-IND7            PIC 99          VALUE ZERO.
      *
      * ANZAHL STELLEN EINGEGEBENER NACHNAME
       01    WMC01-MCNAME-1        PIC X(16)       VALUE SPACE.
       01    FILLER REDEFINES WMC01-MCNAME-1.
         03  WMC01-MCNAME-EIN      PIC X           OCCURS 16.
      *
      * ANZAHL STELLEN EINGEGEBENER VORNAME
       01    WMC01-MCVNAME-1       PIC X(09)       VALUE SPACE.
       01    FILLER REDEFINES WMC01-MCVNAME-1.
         03  WMC01-MCVNAME-EIN     PIC X           OCCURS 09.
      *
      * EINGEGEBENE POSTLEITZAHL
       01    WMC01-MCPLZ-1         PIC X(05)       VALUE SPACE.
       01    FILLER REDEFINES WMC01-MCPLZ-1.
         03  WMC01-MCPLZ-EIN       PIC X           OCCURS 05.
      *
      * NUMERISCHE POSTLEITZAHL
       01    WMC01-MCPLZ-2         PIC X(05)       VALUE SPACE.
       01    FILLER REDEFINES WMC01-MCPLZ-2.
         03  WMC01-MCPLZ-NUM       PIC X           OCCURS 05.

       01    UNTERBR-KEY.
         03  UNTERBR-QOPI          PIC X(4) VALUE LOW-VALUE.
         03  UNTERBR-QTERM         PIC X(4) VALUE LOW-VALUE.

      *
      * ANZAHL ANGEZEIGTEN ZEILEN  CURSOR CBS310T
      *
       01    WMC01-NUM             PIC S9(5) COMP-3 VALUE ZERO.
      *********************************************
      * ZEILENAUSGABE FUER MASKE                  *
      *********************************************
       01    WMC01-ZEILE.
         03  WMC01-QGRDNR1         PIC 9(8) VALUE ZERO.
         03  FILLER                PIC XX          VALUE SPACE.
         03  WMC01-QBBZS           PIC 99 VALUE ZERO.
         03  FILLER                PIC XX          VALUE SPACE.
         03  WMC01-QMCNAME         PIC X(16) VALUE LOW-VALUE.
         03  FILLER                PIC X           VALUE SPACE.
         03  WMC01-QMCVORN         PIC X(09) VALUE LOW-VALUE.
         03  FILLER                PIC XX          VALUE SPACE.
         03  WMC01-QMCPLZ          PIC X(05) VALUE LOW-VALUE.
         03  FILLER                PIC X           VALUE SPACE.
         03  WMC01-QMCORT          PIC X(12) VALUE LOW-VALUE.
         03  FILLER                PIC XX          VALUE SPACE.
         03  WMC01-QMCSTR          PIC X(12) VALUE LOW-VALUE.
         03  FILLER                PIC XX          VALUE SPACE.
         03  WMC01-QMCBKZ          PIC X VALUE LOW-VALUE.
         03  FILLER                PIC X           VALUE SPACE.

       01  WMC01-GRDNR8.
           03 WMC01-GRDNR7         PIC X(7) VALUE LOW-VALUE.
           03 WMC01-GRDNR1         PIC X VALUE LOW-VALUE.

      /********************************************
      * BEREICH FUER MATCHCODE-MODUL              *
      *********************************************
       01    MC-BEREICH.
      *****************************************************************
      *    UEBERGABEBEREICH FUER MATCH-CODE-BILDUNG (UQAS06K)
      *****************************************************************
       03  JQAS06K.
            05 J06-QDOUBLE          PIC 9(8) USAGE COMP SYNCHRONIZED.
      *                                    AUSRICHTEN AUF DOPPELWORTGREN
            05 J06-QNAME            PIC X(28) VALUE LOW-VALUE.
      *                                   NACHNAME BZW. FIRMENNAME
            05 J06-QVNAME           PIC X(28) VALUE LOW-VALUE.
      *                                   VORNAME
            05 J06-QPLZ             PIC X(5) VALUE LOW-VALUE.
      *                                   POSTLEITZAHL
            05 J06-QMCRET           PIC X VALUE LOW-VALUE.
      *                                   RETURN-CODE AUS JQAS06K
      *                                   0 = OK
      *                                   1 = NAME IST BLANK
            05 J06-QMCNAME          PIC X(16) VALUE LOW-VALUE.
      *                                   MATCH-CODE-NACHNAME
            05 J06-QMCVORN          PIC X(9) VALUE LOW-VALUE.
      *                                   MATCH-CODE-VORNAMENSTEIL
            05 J06-QMCPLZ           PIC X(5) VALUE LOW-VALUE.
      *                                   MATCH-CODE-POSTLEITZAHL
            05 J06-QMCNAM1          PIC X(16) VALUE LOW-VALUE.
      *                                   MATCH-CODE-NACHNAME
      *                                   OBERGRENZE S S A
            05 J06-QMCVOR1          PIC X(9) VALUE LOW-VALUE.
      *                                   MATCH-CODE-VORNAMENSTEIL
      *                                   OBERGRENZE S S A
            05 J06-QMCPLZ1          PIC X(5) VALUE LOW-VALUE.
      *                                   MATCH-CODE-POSTLEITZAHL
      *                                   OBERGRENZE S S A
      /********************************************
      * BEREICH FUER PRUEFZIFFERMODUL             *
      *********************************************
       01           PZ-BEREICH.
ADDCOP 03  JQAS01K.
ADDCOP      05 J01-QDOUBLE PIC 9(8) USAGE COMP SYNCHRONIZED.
ADDCOP*                                 AUSRICHTEN AUF DOPPELWORTGRENZE
ADDCOP      05 J01-QGRDNRI          PIC X(8).
ADDCOP*                                 GRUNDNUMMER - EINGEBEFELD FUER
ADDCOP*                                 DAS PRUEFZIFFERN-MODUL UQAS01K
ADDCOP      05 J01-QGRDNR           PIC 9(8).
ADDCOP*                                 GRUNDNUMMER (INCL. PRUEFZIFFER)
ADDCOP      05 J01-QPZACOD USAGE DISPLAY
ADDCOP                              PIC X.
ADDCOP*                                 ANFORDERUNGS-CODE FUER DAS
ADDCOP*                                 PRUEFZIFFERNMODUL UQAS01K
ADDCOP*                                 1 = ANFUEGEN PRUEFZIFFER
ADDCOP*                                 2 = PRUEFEN PRUEFZIFFER
ADDCOP*                                 3 = ERMITTELN NAECHSTE GRUNDNR.
ADDCOP      05 J01-QPZRCOD USAGE DISPLAY
ADDCOP                              PIC X.
ADDCOP*                                 RETURN-CODE DES PRUEFZIFFERN-MOD
ADDCOP*                                 0 = ANFORDERUNG OK
ADDCOP*                                 1 = GRUNDNUMMER NICHT NUMERISCH
ADDCOP*                                 2 = GRUNDNR. ZU GROSS O. KLEIN
ADDCOP*                                 3 = BEREITGEST. PRUEFZ. FALSCH
ADDCOP*                                 4 = EINGABE KEINE NEUE GRUNDNR.
ADDCOP*                                 5 = UEBERLAUF NEUE VERTRAGSNRN.
ADDCOP*                                 6 = UNZUL. ANFORDERUNGS-CODE
ADDCOP*                                 7 = NEUE VERTRAGSNUMMER UNZUL.
ADDCOP***** INSERT LINES: 000026
COPY  *    COPY JQAS0101.
CICS  /********************************************
CICS  * MAPSET DEFINITION                         *
CICS  *********************************************
CICS   01           FILLER      PIC X(11)   VALUE '---MASKE---'.
CICS   01           MAPNAME.
ADDCOP******************************************************************
ADDCOP*                                                                *
ADDCOP*                                                                *
ADDCOP*                       MEMBER:   MQMC02K   PREFIX:   MMC02-Q    *
ADDCOP*                                                                *
ADDCOP*   DATUM:    24.02.93                                           *
ADDCOP*                                                                *
ADDCOP******************************************************************
ADDCOP*
ADDCOP   07       MQMC02K.
ADDCOP     09     FILLER          PIC  X(12).
ADDCOP     09     MMC02-QUEBERL          COMP  PIC S9(4).
ADDCOP     09     MMC02-QUEBERA                PIC     X.
ADDCOP     09     MMC02-QUEBER        PIC X(37).
ADDCOP     09     MMC02-QOPI1L           COMP  PIC S9(4).
ADDCOP     09     MMC02-QOPI1A                 PIC     X.
ADDCOP     09     MMC02-QOPI1          PIC X(4).
ADDCOP     09     MMC02-QSYSDAT1L        COMP  PIC S9(4).
ADDCOP     09     MMC02-QSYSDAT1A              PIC     X.
ADDCOP     09     MMC02-QSYSDAT1    PIC X(8).
ADDCOP     09     MMC02-QSYSTIM1L        COMP  PIC S9(4).
ADDCOP     09     MMC02-QSYSTIM1A              PIC     X.
ADDCOP     09     MMC02-QSYSTIM1    PIC X(5).
ADDCOP     09     MMC02-QGRDNR2L         COMP  PIC S9(4).
ADDCOP     09     MMC02-QGRDNR2A               PIC     X.
ADDCOP     09     MMC02-QGRDNR2      PIC X(8).
ADDCOP     09     MMC02-QMCNAME1L        COMP  PIC S9(4).
ADDCOP     09     MMC02-QMCNAME1A              PIC     X.
ADDCOP     09     MMC02-QMCNAME1    PIC X(16).
ADDCOP     09     MMC02-QMCVORN1L        COMP  PIC S9(4).
ADDCOP     09     MMC02-QMCVORN1A              PIC     X.
ADDCOP     09     MMC02-QMCVORN1    PIC X(9).
ADDCOP     09     MMC02-QMCPLZ1L         COMP  PIC S9(4).
ADDCOP     09     MMC02-QMCPLZ1A               PIC     X.
ADDCOP     09     MMC02-QMCPLZ1      PIC X(5).
ADDCOP     09     MMC02-QDFHMS1    OCCURS   16 TIMES .
ADDCOP       11   MMC02-QMCZEIL1L        COMP  PIC S9(4).
ADDCOP       11   MMC02-QMCZEIL1A              PIC     X.
ADDCOP       11   MMC02-QMCZEIL1       PIC X(79).
ADDCOP     09     MMC02-QAKS11L          COMP  PIC S9(4).
ADDCOP     09     MMC02-QAKS11A                PIC     X.
ADDCOP     09     MMC02-QAKS11        PIC X(2).
ADDCOP     09     MMC02-QAKS21L          COMP  PIC S9(4).
ADDCOP     09     MMC02-QAKS21A                PIC     X.
ADDCOP     09     MMC02-QAKS21        PIC X(2).
ADDCOP     09     MMC02-QAKS31L          COMP  PIC S9(4).
ADDCOP     09     MMC02-QAKS31A                PIC     X.
ADDCOP     09     MMC02-QAKS31        PIC X(2).
ADDCOP     09     MMC02-QBSNR1L          COMP  PIC S9(4).
ADDCOP     09     MMC02-QBSNR1A                PIC     X.
ADDCOP     09     MMC02-QBSNR1        PIC X(2).
ADDCOP     09     MMC02-QBSKEY1L         COMP  PIC S9(4).
ADDCOP     09     MMC02-QBSKEY1A               PIC     X.
ADDCOP     09     MMC02-QBSKEY1      PIC X(34).
ADDCOP     09     MMC02-QMELD1L          COMP  PIC S9(4).
ADDCOP     09     MMC02-QMELD1A                PIC     X.
ADDCOP     09     MMC02-QMELD1        PIC X(64).
ADDCOP***** INSERT LINES: 000057
COPY  *    COPY MQMC0201.
CICS        09      FILLER   REDEFINES MMC02-QMELD1.
CICS          11    FILLER                PIC X(32).
CICS          11    MMC02-QMELD12         PIC X(32).
CICS  *
CICS  *********************************************
CICS  * FILLER FUER MASKEN-UEBERLAUF              *
CICS  *********************************************
CICS   01           FILLER                 PIC X(100) VALUE LOW-VALUE.
CICS  *********************************************
      *  HIER FOLGEN TABELLEN-BEREICHE            *
      *********************************************
       01           FILLER      PIC X(12)   VALUE '--TABELLEN--'.
      *********************************************
      *  PARAMETERBEREICH FUER TABELLE            *
      *********************************************
       01           FILLER.
ADDCOP   03 IQTA01K.
ADDCOP*                                   PARAMETERBEREICH FUER
ADDCOP*                                   TABELLENZUGRIFFE
ADDCOP*                                   SA-IQTA01K
ADDCOP     05 ITA01-QTBRET.
ADDCOP*                                   RETURN-CODES DES
ADDCOP*                                   TABELLENPROGRAMMS
ADDCOP*                                   GR00074
ADDCOP       07 ITA01-QTBRC             PIC XX
ADDCOP                                  VALUE SPACES.
ADDCOP*                                   RETURN-CODE DES
ADDCOP*                                   TABELLEN-PROGRAMMS
ADDCOP*                                   FE00866
ADDCOP       07 ITA01-QDLIRC            PIC XX
ADDCOP                                  VALUE SPACES.
ADDCOP*                                   DLI-RETURN-CODE
ADDCOP*                                   FE00252
ADDCOP     05 ITA01-QTBKEY.
ADDCOP*                                   TABELLEN-SCHLUESSEL
ADDCOP*                                   GR00073
ADDCOP       07 ITA01-QTBIDEN.
ADDCOP*                                   TABELLEN-IDENTIFIKATION
ADDCOP*                                   (ROOT-KEY)
ADDCOP*                                   GR00072
ADDCOP         09 ITA01-QFIRMA          PIC XX
ADDCOP                                  VALUE '01'.
ADDCOP*                                   FIRMEN-BEREICHE
ADDCOP*                                   FE00503
ADDCOP         09 ITA01-QTABNR          PIC X(4)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                   TABELLEN-NUMMER
ADDCOP*                                   FE00854
ADDCOP         09 ITA01-QFIL076         PIC X(10)
ADDCOP                                  VALUE ' '.
ADDCOP*                                   SPACE-FILLER 10 STELLEN
ADDCOP*                                   FE00384
ADDCOP       07 ITA01-QTBSCHL.
ADDCOP*                                   TABELLENSATZ-SCHLUESSEL
ADDCOP*                                   (CHILD-KEY)
ADDCOP*                                   GR00075
ADDCOP         09 ITA01-QTBCKEY         PIC X(10)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                   TABELLENSATZ-SCHLUESSEL
ADDCOP*                                   FE00857
ADDCOP         09 ITA01-QTGDAT          PIC 9(6)
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                   TAB.-SATZ-GUELTIGKEITSDATUM
ADDCOP*                                   TTMMJJ
ADDCOP*                                   FE00877
ADDCOP     05 ITA01-QTBCNT              PIC S9(8)      COMP SYNC
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                   RELATIVE SATZNUMMER INNERHALB
ADDCOP*                                   EINER RESIDENT GELADENEN
ADDCOP*                                   TABELLE
ADDCOP*                                   FE00858
ADDCOP     05 ITA01-QGETMADR            PIC S9(10)     COMP
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                   ADRESSE EINES
ADDCOP*                                   GETMAIN-BEREICHES
ADDCOP*                                   FE02733
ADDCOP     05 ITA01-QTABBER             PIC X(256)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                   BEREICH FUER TABELLENELEMENT
ADDCOP*                                   FE02748
ADDCOP     05 ITA01-QTBPLAE.
ADDCOP*                                   EINLESEBEREICH TABELLEN
ADDCOP*                                   GR00837
ADDCOP       07 FILLER                  OCCURS 38 TIMES
ADDCOP                                  PIC X.
ADDCOP*                                   PLATZHALTER / FILLER
ADDCOP*                                   FE00000
ADDCOP       07 ITA01-QTBPLA            PIC X(1994)
ADDCOP                                  VALUE SPACES.
ADDCOP*                                   TABELLENPLATZ
ADDCOP*                                   FE00865
ADDCOP***** INSERT LINES: 000075
COPY  *    COPY IQTA01K .
      *********************************************
      *  KEY-AREA TABELLE 102                     *
      *********************************************
       01           FILLER.
ADDCOP*****************************************************************
ADDCOP*    TABELLE 0102   'FEHLER-HINWEISE/MELDUNGEN    '      KEY-AREA
ADDCOP*****************************************************************
ADDCOP 03  KQ0102K.
ADDCOP      05 K0102-QFIRMA         VALUE '01'
ADDCOP                              PIC XX.
ADDCOP*                                   FIRMEN-BEREICHE
ADDCOP      05 K0102-QFIL040        VALUE '0102          '
ADDCOP                              PIC X(14).
ADDCOP*                                   TABELLEN-NR    TABELLE 0102
ADDCOP      05 K0102-QTK0102.
ADDCOP*                                   TABELLENKEY    TABELLE 0102
ADDCOP       07 K0102-QMELDNR.
ADDCOP*                                   BILDSCHIRMMELDUNGS-NUMMER
ADDCOP        09 K0102-QSACHGB      PIC XX.
ADDCOP*                                   SACHGEBIET
ADDCOP        09 K0102-QLFDNR       PIC 999.
ADDCOP*                                   LAUFENDE NUMMER ( 000 BIS 999
ADDCOP      05 K0102-QFIL070        VALUE SPACE
ADDCOP                              PIC X(5).
ADDCOP      05 K0102-QTGDAT         VALUE ZERO
ADDCOP                              PIC 9(6).
ADDCOP*                                   TABELLENSATZ-GUELTIGKEITSDATUM
ADDCOP***** INSERT LINES: 000023
COPY  *    COPY KQ0102K .
      *********************************************
      *  DATA-AREA TABELLE 102                    *
      *********************************************
       01           FILLER.
ADDCOP*****************************************************************
ADDCOP*    TABELLE 0102   'FEHLER-HINWEISE/MELDUNGEN    '     DATA-AREA
ADDCOP*****************************************************************
ADDCOP 03  TQ0102K.
ADDCOP      05 T0102-QTK0102.
ADDCOP*                                   TABELLENKEY    TABELLE 0102
ADDCOP       07 T0102-QMELDNR.
ADDCOP*                                   BILDSCHIRMMELDUNGS-NUMMER
ADDCOP        09 T0102-QSACHGB      PIC XX.
ADDCOP*                                   SACHGEBIET
ADDCOP        09 T0102-QLFDNR       PIC 999.
ADDCOP*                                   LAUFENDE NUMMER ( 000 BIS 999
ADDCOP      05 T0102-QFEHLKO        PIC X.
ADDCOP*                                   FEHLER/HINWEIS-KONSTANTE (*)
ADDCOP      05 T0102-QFEHLTX        PIC X(67).
ADDCOP*                                   FEHLER/HINWEIS-TEXT
ADDCOP***** INSERT LINES: 000016
COPY  *    COPY TQ0102K .
      *********************************************
      *  KEY-AREA TABELLE 275                     *
      *********************************************
       01           FILLER.
ADDCOP     03 KQ0275K.
ADDCOP*                                   TABELLE 0275
ADDCOP*                                   VLK-TABELLE F. PROG.STEUERUNG
ADDCOP*                                   KEY-AREA
ADDCOP*                                   AUTOR: EWALD / 22.11.90
ADDCOP*                                   AEND:
ADDCOP*                                   LEVEL: 000
ADDCOP       05 K0275-QFIRMA            PIC XX
ADDCOP                                  VALUE '01'.
ADDCOP*                                   FIRMEN-BEREICHE
ADDCOP       05 K0275-QFIL041           PIC X(14)
ADDCOP                                  VALUE '0275          '.
ADDCOP*                                   TABELLEN-NR
ADDCOP       05 K0275-QTK0275.
ADDCOP*                                   TABELLEN-KEY
ADDCOP          07 K0275-QPROGNAME      PIC X(8)
ADDCOP                                  VALUE SPACE.
ADDCOP*                                   PRGRAMMNAME
ADDCOP       05 K0275-QFILLER           PIC X(2)
ADDCOP                                  VALUE SPACE.
ADDCOP*                                   FILLER
ADDCOP       05 K0275-QTGDAT            PIC 9(6)
ADDCOP                                  VALUE ZEROS.
ADDCOP*                                   TAB.-SATZ-GUELTIGKEITSDATUM
ADDCOP*                                   TTMMJJ
ADDCOP***** INSERT LINES: 000025
COPY  *    COPY KQ0275K .
      *********************************************
      *  DATA-AREA TABELLE 275                    *
      *********************************************
       01           FILLER.
ADDCOP     03 TQ0275K.
ADDCOP*                                   *****************************
ADDCOP*                                   VLK-TABELLE F. PROG.STEUERUNG
ADDCOP*                                   TABELLE 0275 - DATA-AREA
ADDCOP*                                   AUTOR: EWALD / 22.11.90
ADDCOP*                                   AEND:
ADDCOP*                                   LEVEL: 000
ADDCOP*                                   *****************************
ADDCOP       05 T0275-QKY.
ADDCOP*                                   SCHLUESSEL
ADDCOP*                                   GRQKYV024
ADDCOP         07 T0275-QPROGNAME       PIC X(08)
ADDCOP                                  VALUE SPACE.
ADDCOP*                                   PROGRAMMNAME
ADDCOP
ADDCOP       05 T0275-QVLK1             PIC X(25)
ADDCOP                                  VALUE SPACE.
ADDCOP*                                   VORLAUFKARTE TEIL 1
ADDCOP
ADDCOP       05 T0275-QVLK2             PIC X(25)
ADDCOP                                  VALUE SPACE.
ADDCOP*                                   VORLAUFKARTE TEIL 2
ADDCOP
ADDCOP       05 T0275-QVLK3             PIC X(22)
ADDCOP                                  VALUE SPACE.
ADDCOP*                                   VORLAUFKARTE TEIL 3
ADDCOP***** INSERT LINES: 000026
COPY  *    COPY TQ0275K .
CICS  *    COPY DFHURLDS.
CICS  /********************************************
CICS  * ABFRAGE DER FUNKTIONSTASTEN               *
CICS  *********************************************
CICS  *    COPY DFHAID  .
CICS  *********************************************
CICS  * ATTRIBUTE   -CICS-                        *
CICS  *********************************************
CICS  *    COPY DFHBMSCA.
      *********************************************
      * ATTRIBUTE   -NEUKONZEPT LBS-              *
      *********************************************
       01  FILLER.
ADDCOP*****************************************************************
ADDCOP*                                   ATTRIBUTBYTE-DEFINITIONEN
ADDCOP*****************************************************************
ADDCOP 03  IQSS02K.
ADDCOP      05 ISS02-Q9SS001.
ADDCOP       07 ISS02-QFIL112       VALUE +64 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                    BINAERFILLER - HALBWORT - 64
ADDCOP       07 ISS02-QFIL029       VALUE +80 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 80
ADDCOP       07 ISS02-QFIL092       VALUE +72 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 72
ADDCOP       07 ISS02-QFIL022       VALUE +77 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 77
ADDCOP       07 ISS02-QFIL093       VALUE +88 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 88
ADDCOP       07 ISS02-QFIL097       VALUE +96 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                    BINAERFILLER - HALBWORT - 96
ADDCOP       07 ISS02-QFIL114       VALUE +97 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                    BINAERFILLER - HALBWORT - 97
ADDCOP       07 ISS02-QFIL023       VALUE +109 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 109
ADDCOP       07 ISS02-QFIL024       VALUE +193 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 193
ADDCOP       07 ISS02-QFIL025       VALUE +201 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 201
ADDCOP       07 ISS02-QFIL026       VALUE +209 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 209
ADDCOP       07 ISS02-QFIL027       VALUE +217 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 217
ADDCOP       07 ISS02-QFIL028       VALUE +232 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 232
ADDCOP       07 ISS02-QFIL031       VALUE +128 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 128
ADDCOP       07 ISS02-QFIL032       VALUE +29 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                    BINAERFILLER - HALBWORT - 29
ADDCOP       07 ISS02-QFIL178       VALUE +124 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 124
ADDCOP       07 ISS02-QFILX249      VALUE +249 USAGE COMP
ADDCOP                              PIC S9(4).
ADDCOP*                                   BINAERFILLER - HALBWORT - 249
ADDCOP      05 ISS02-Q8SS001 REDEFINES ISS02-Q9SS001.
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATR          PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'NORMAL'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRN         PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'NORMAL/NUMERIS
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRB         PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'BRT'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRPD        PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'PREMOD/DRK'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRBN        PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'BRT/NUM'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRG         PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'PROTECTED'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRPG        PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'PREMOD/PROTECT
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRPDG       PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'PREMOD/DRK/PROT
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRP         PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'PREMOD'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRPB        PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'PREMOD/BRT'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRPN        PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'PREMOD/NUM'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRPNB       PIC X.
ADDCOP*                                    ATTRIBUT-BYTE 'PREMOD/NUM/BRT
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRGB        PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'PROTECTED/BRT'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRE         PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'ERASE'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRSF        PIC X.
ADDCOP*                                   BUFFER CONTROL ORDER 'SKIP FIE
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRDG        PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'DRK/PROTECTED'
ADDCOP       07 FILLER              PIC X(1).
ADDCOP       07 ISS02-QATRPGB       PIC X.
ADDCOP*                                   ATTRIBUT-BYTE 'PREMOD/PROT./BR
ADDCOP***** INSERT LINES: 000108
COPY  *    COPY IQSS02K .
CICS  *********************************************
CICS  *  TEST DES LETZTEN CICS-COMMANDS           *
CICS  *********************************************
CICS  *01           EIBFNCODES.
CICS  *  10         EIBRXCTL9      PIC 9(4)       COMP VALUE 3588.
CICS  *    10       EIBRXCTLX      REDEFINES  EIBRXCTL9
CICS  *                            PIC X(2).
      *********************************************
      * ENDE DER WORKING STORAGE                  *
      *********************************************
       01  FILLER               PIC X(12)  VALUE '**PQMC01K**'.
      *
      *
SQL   *    EXEC SQL INCLUDE SQLCA END-EXEC.
      *
      **********************************************************
      *  END OF WORKING-STORAGE REQUIRED BY SWS CONVERSION     *
      **********************************************************
      *
      /*****************************************************************
      *
SQL   *    EXEC SQL INCLUDE GD310P01 END-EXEC.
ADDCOP******************************************************************
ADDCOP* DCLGEN TABLE(BS310T)                                           *
ADDCOP*        LIBRARY(BSP.TST.GNR.COPYLIB(GD310P01))                  *
ADDCOP*        ACTION(REPLACE)                                         *
ADDCOP*        LANGUAGE(COBOL)                                         *
ADDCOP*        NAMES(S310-)                                            *
ADDCOP*        APOST                                                   *
ADDCOP*        LABEL(YES)                                              *
ADDCOP*        COLSUFFIX(YES)                                          *
ADDCOP* ... IS THE DCLGEN COMMAND THAT MADE THE FOLLOWING STATEMENTS   *
ADDCOP******************************************************************
ADDCOP     EXEC SQL DECLARE BS310T TABLE
ADDCOP     ( MCTYP                          CHAR(1) NOT NULL,
ADDCOP*                                MATCH-CODE-TYP                 *
ADDCOP       MCNAME                         CHAR(16) NOT NULL,
ADDCOP*                                Q-NAME                         *
ADDCOP       MCVORN                         CHAR(9) NOT NULL,
ADDCOP*                                Q-MC-VORNAME                   *
ADDCOP       GRDNR                          DECIMAL(8, 0) NOT NULL,
ADDCOP*                                GRUNDNUMMER                    *
ADDCOP       BBZS                           CHAR(2) NOT NULL,
ADDCOP*                                BAUSPARER-BEZIEHUNGSSCHLUESSEL *
ADDCOP       MCBKZ                          CHAR(1) NOT NULL,
ADDCOP*                                Q-MC-SPARER-KZ                 *
ADDCOP       MCORT                          CHAR(12) NOT NULL,
ADDCOP*                                Q-MC-ORT                       *
ADDCOP       MCPLZ                          CHAR(5) NOT NULL,
ADDCOP*                                Q-MC-PLZ                       *
ADDCOP       MCSTR                          CHAR(12) NOT NULL,
ADDCOP*                                Q-MC-STRASSE                   *
ADDCOP       PREDAT                         DATE NOT NULL,
ADDCOP*                                JULIANISCHES DATUM             *
ADDCOP       PRENAM                         CHAR(4) NOT NULL,
ADDCOP*                                PREFIX-SACHBEARBEITER-NAME     *
ADDCOP       PRETIM                         DECIMAL(5, 0) NOT NULL,
ADDCOP*                                PREFIX ZEIT IN HHMM            *
ADDCOP       PREZAH                         DECIMAL(2, 0) NOT NULL
ADDCOP*                                PREFIX-UPDATE-ZAEHLER          *
ADDCOP     ) END-EXEC.
ADDCOP******************************************************************
ADDCOP* COBOL DECLARATION FOR TABLE BS310T                             *
ADDCOP******************************************************************
ADDCOP 01  DCLBS310T.
ADDCOP*    *************************************************************
ADDCOP*                       MCTYP
ADDCOP*                       MATCH-CODE-TYP
ADDCOP     10 S310-MCTYP           PIC X(1).
ADDCOP*    *************************************************************
ADDCOP*                       MCNAME
ADDCOP*                       Q-NAME
ADDCOP     10 S310-MCNAME          PIC X(16).
ADDCOP*    *************************************************************
ADDCOP*                       MCVORN
ADDCOP*                       Q-MC-VORNAME
ADDCOP     10 S310-MCVORN          PIC X(9).
ADDCOP*    *************************************************************
ADDCOP*                       GRDNR
ADDCOP*                       GRUNDNUMMER
ADDCOP     10 S310-GRDNR           PIC S9(8)V USAGE COMP-3.
ADDCOP*    *************************************************************
ADDCOP*                       BBZS
ADDCOP*                       BAUSPARER-BEZIEHUNGSSCHLUESSEL
ADDCOP     10 S310-BBZS            PIC X(2).
ADDCOP*    *************************************************************
ADDCOP*                       MCBKZ
ADDCOP*                       Q-MC-SPARER-KZ
ADDCOP     10 S310-MCBKZ           PIC X(1).
ADDCOP*    *************************************************************
ADDCOP*                       MCORT
ADDCOP*                       Q-MC-ORT
ADDCOP     10 S310-MCORT           PIC X(12).
ADDCOP*    *************************************************************
ADDCOP*                       MCPLZ
ADDCOP*                       Q-MC-PLZ
ADDCOP     10 S310-MCPLZ           PIC X(5).
ADDCOP*    *************************************************************
ADDCOP*                       MCSTR
ADDCOP*                       Q-MC-STRASSE
ADDCOP     10 S310-MCSTR           PIC X(12).
ADDCOP*    *************************************************************
ADDCOP*                       PREDAT
ADDCOP*                       JULIANISCHES DATUM
ADDCOP     10 S310-PREDAT          PIC X(10).
ADDCOP*    *************************************************************
ADDCOP*                       PRENAM
ADDCOP*                       PREFIX-SACHBEARBEITER-NAME
ADDCOP     10 S310-PRENAM          PIC X(4).
ADDCOP*    *************************************************************
ADDCOP*                       PRETIM
ADDCOP*                       PREFIX ZEIT IN HHMM
ADDCOP     10 S310-PRETIM          PIC S9(5)V USAGE COMP-3.
ADDCOP*    *************************************************************
ADDCOP*                       PREZAH
ADDCOP*                       PREFIX-UPDATE-ZAEHLER
ADDCOP     10 S310-PREZAH          PIC S9(2)V USAGE COMP-3.
ADDCOP******************************************************************
ADDCOP* THE NUMBER OF COLUMNS DESCRIBED BY THIS DECLARATION IS 13      *
ADDCOP******************************************************************
ADDCOP***** INSERT LINES: 000098
COPY  *    COPY GD310P01.
      *
      /*****************************************************************
      *    DEFINITION HOST-VARIABLEN FUER CURSOR CBS310T
      *
bsimpn 01  WMC01-BS310T.
           03  WMC01-MCNAME    PIC X(16) VALUE SPACE.
           03  WMC01-MCVORN    PIC X(9)  VALUE SPACE.
           03  WMC01-MCPLZ     PIC X(5)  VALUE SPACE.
           03  WMC01-MCNAM1    PIC X(16) VALUE SPACE.
           03  WMC01-MCVOR1    PIC X(9)  VALUE SPACE.
           03  WMC01-MCPLZ1    PIC X(5)  VALUE SPACE.
      *    03  WMC01-GRDNR     PIC S9(8) COMP-3 VALUE ZERO.
      *    03  WMC01-BBZS      PIC X(2)  VALUE SPACE.
      ******************************************************************
      *    DEFINITION DER CURSOR CBS310T - MATCHCODE TABELLE DB.BS310T
      ******************************************************************
      *
SQL   *    EXEC SQL DECLARE CBS310T CURSOR FOR
SQL   *         SELECT
SQL   *            MCTYP, MCNAME, MCVORN, GRDNR, BBZS
SQL   *          , MCBKZ, MCORT, MCPLZ, MCSTR
SQL   *      FROM BS310T
SQL   *      WHERE
SQL   *       (MCNAME ^< :WMC01-MCNAME AND MCNAME < :WMC01-MCNAM1) AND
SQL   *       (MCVORN ^< :WMC01-MCVORN AND MCVORN < :WMC01-MCVOR1) AND
SQL   *       (MCPLZ  ^< :WMC01-MCPLZ  AND MCPLZ  < :WMC01-MCPLZ1) AND
SQL   *        MCTYP = 'B'
SQL   *      ORDER  BY
SQL   *         MCNAME, MCVORN, GRDNR, BBZS
SQL   *    END-EXEC.
SQL   /*****************************************************************
SQL   *    COPY-STRECKE FUER DB2-FEHLER UEBERGABEBEREICH FUER PDTS23K***
SQL   ******************************************************************
SQL   *01  FILLER.
SQL   *     03 FILLER PIC X VALUE LOW-VALUE.
SQL   *
SQL   /*****************************************************************
SQL   *    COPY-STRECKE FUER FELDER DB2-FEHLER                       ***
SQL   ******************************************************************
SQL   *01  FILLER.
SQL   *     03 FILLER PIC X VALUE LOW-VALUE.
      *
ADDCOP******************************************************************
ADDCOP*                                                                *
ADDCOP*                                                                *
ADDCOP*                       MEMBER:   SNEED     PREFIX:   WMC02-Q     *
ADDCOP*                                                                *
ADDCOP*   DATUM:    18.08.00                                           *
ADDCOP*                                                                *
ADDCOP******************************************************************
ADDCOP*
ADDCOP   01       WMC02K.
ADDCOP     05     WMC02-TABCOUNT       PIC S9(4) COMP.
ADDCOP     05     WMC02-TABC-NUM       PIC S9(4) COMP.
ADDCOP     05     WMC02-COUNT-TAB      PIC S9(4) COMP.
ADDCOP***** INSERT LINES: 000013
COPY  *     COPY PQWMC02.
      *
ADDCOP 01  TEST-DATA-FIELDS.
ADDCOP*        Name of the next Method to be executed
ADDCOP     05  NEXT-METHOD-ID           PIC X(30) VALUE SPACES.
ADDCOP*        Return Code of Program
ADDCOP     05  EXIT-CODE                PIC 99    VALUE ZEROES.
ADDCOP*        SQL Return Code
ADDCOP     05  SQLCODE                  PIC 9(8)  USAGE BINARY.
ADDCOP     05  EIBDATE                  PIC 9(8)  USAGE BINARY.
ADDCOP     05  EIBTIME                  PIC 9(8)  USAGE BINARY.
ADDCOP     05  EIBCALEN                 PIC 9(8)  USAGE BINARY.
ADDCOP     05  EIBTRMID                 PIC 9(8)  USAGE BINARY.
ADDCOP***** INSERT LINES: 000011
COPY  *     COPY TESTCOPY.
      /
WRAP  *LINKAGE SECTION.
WRAP   01  pqmc01k-PARAMS.
      /-----------------------------------------------
      **** START LINKAGE SECTION AUS KONVERTIERUNG ***
      *-----------------------------------------------
CICS   02  DFHCOMMAREA.
      *
ADDCOP     04 IQNV01K.
ADDCOP*- ------------------------------------------------------------ -*
ADDCOP* LV DATUM       AUTOR         AUFTRAG/BEGRUENDUNG
ADDCOP* .
ADDCOP* 08 1998.07.15  H.G. Maderner 96136-009  EURO PHASE 1
ADDCOP*                           -  Fehler-Condition fuer Europhase
ADDCOP* 96136-4  20.02.98  EUROFLAG  JESCHKE - DER LETZTE              *
ADDCOP*          FREIE FILLER WIRD MIT DEM EUROKZ BELEGT;              *
ADDCOP*          ZULAESSIGE PHASEN: 1 = DM; 2=EURO U. DM; 3=EURO       *
ADDCOP* 96041 -  23.07.97  WOP-NEU (MAG)                               *
ADDCOP*          NEUE FELDER : INV01-WOP-JAHR, INV01-WOP-LFDNR,        *
ADDCOP*                        INV01-WOP-KZ                            *
ADDCOP* 070-91   BERATERPLATZ BKS-MODELLE: FELD AUFGENOMMEN  16.04.91  *
ADDCOP* EWA      INV01-QBKSZ ANZAHL VERTRAEGE (STEUERT AUFRUF PROV.)   *
ADDCOP******************************************************************
ADDCOP                                                                  03
ADDCOP*                                   ALLGEMEINE COMMAREA DES
ADDCOP*                                   LBS-DIALOGSYSTEMS
ADDCOP*                                   SA-IQNV01K
ADDCOP       06 INV01-QDOUBLE           PIC 9(8)       COMP SYNC
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   AUSRICHTUNG AUF
ADDCOP*                                   DOPPELWORTGRENZE
ADDCOP       06 INV01-QFIL012           PIC X(8)
ADDCOP                                  70LUE 'IQNV01K '.
ADDCOP*                                   TEXTFILLER
ADDCOP       06 INV01-QCALEN            PIC S9(4)      COMP
ADDCOP                                  70LUE +528.
ADDCOP*                                   LAENGE DER UEBERGEBENEN
ADDCOP*                                   COMMAREA
ADDCOP       06 INV01-QCOMLEN           PIC S9(4)      COMP
ADDCOP                                  70LUE +528.
ADDCOP*                                   LAENGE DES
ADDCOP*                                   COMMAREA-ABSCHNITTES
ADDCOP       06 INV01-QSYSDAT.
ADDCOP*                                   SYSTEM-TAGESDATUM
ADDCOP*                                   GR00068
ADDCOP         08 INV01-QTT             PIC 99
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   TAG
ADDCOP         08 INV01-QPUNKT          PIC X
ADDCOP                                  70LUE '.'.
ADDCOP*                                   FE-QPUNKT
ADDCOP         08 INV01-QMM             PIC 99
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   MONAT
ADDCOP         08 INV01-QPUNKT          PIC X
ADDCOP                                  70LUE '.'.
ADDCOP*                                   FE-QPUNKT
ADDCOP         08 INV01-QJJ             PIC 99
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   JAHRESZAHL
ADDCOP       06 INV01-QCSSNID           PIC XXX
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   OPERATOR-ID AUS CSSN
ADDCOP       06 INV01-QOPI              PIC X(4)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   OPERATOR-ID AUS LBS-ANMELDUNG
ADDCOP       06 INV01-QOPINAM           PIC X(12)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   OPERATOR-NAME
ADDCOP       06 INV01-QFIRMA            PIC XX
ADDCOP                                  70LUE '01'.
ADDCOP*                                   FIRMEN-BEREICHE
ADDCOP       06 INV01-QABTEIL.
ADDCOP*                                   GRUPPEN-NR
ADDCOP*                                   GR00001
ADDCOP         08 INV01-QABT            PIC XX
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   ABTEILUNGS-NR
ADDCOP         08 INV01-QGRPNR          PIC XX
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   GRUPPEN-NR
ADDCOP       06 INV01-QBOSS             PIC X(4)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   VORGESETZTER
ADDCOP       06 INV01-QPRUEF            PIC X(4)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   PRUEFER DES VORGANGS
ADDCOP       06 INV01-QVORG             OCCURS 3 TIMES.
ADDCOP*                                   VORGANGSBEZOGENE STEUERDATEN
ADDCOP*                                   OCC 1 - VORGANG IST NEU
ADDCOP*                                   OCC 2 - VORGANG IST AKTUELL
ADDCOP*                                   OCC 3 - VORGANG IST UNTERBR.
ADDCOP*                                   GR00120
ADDCOP         08 INV01-QSTEUPO         PIC X(8).
ADDCOP*                                   STEUERPROGRAMM
ADDCOP         08 INV01-QBSNR           PIC 99.
ADDCOP*                                   BILDSCHIRM-NR INNERHALB EINES
ADDCOP*                                   SACHBEARBEITUNGS-VORGANGS
ADDCOP         08 INV01-QSEITEA         PIC 99.
ADDCOP*                                   BLAETTERN RUECKWAERTS
ADDCOP*                                   BIS SEITE
ADDCOP*                                   FE00779
ADDCOP         08 INV01-QSEITEO         PIC 99.
ADDCOP*                                   BLAETTERN VORWAERTS
ADDCOP*                                   BIS SEITE
ADDCOP*                                   FE00780
ADDCOP         08 INV01-QUART           PIC X.
ADDCOP*                                   UNTERBRECHUNGSART
ADDCOP*                                   BLANK  AKTUELLER ODER NICHT
ADDCOP*                                       ABGESCHLOSSENER VORGANG
ADDCOP*                                    T  TERMINUNTERBRECHUNG
ADDCOP*                                    V  VORGESETZTER
ADDCOP*                                    P  PRUEFER
ADDCOP*                                    A  UPDATE
ADDCOP         08 INV01-QUTERM          PIC 9(6).
ADDCOP*                                   WEITERBEARBEITUNGS-DATUM
ADDCOP*                                   DES VORGANGS
ADDCOP         08 INV01-QVORGID         PIC X(17).
ADDCOP*                                   VORGANGS-IDENTIFIKATION
ADDCOP         08 INV01-QAKTION.
ADDCOP*                                   AKTIONS-FELD FUER DIE
ADDCOP*                                   DIALOG-STEUERUNG
ADDCOP*                                   GR00003
ADDCOP           10 INV01-QAKS1         PIC XX.
ADDCOP*                                   ONLINE-/BATCH-KENNZEICHEN
ADDCOP*                                   01 = ONLINE-ANWENDUNG
ADDCOP*                                   99 = BATCH-ANWENDUNG
ADDCOP*                                   1. STUFE AKTIONSCHLUESSEL
ADDCOP           10 INV01-QAKS2         PIC XX.
ADDCOP*                                   VORGANGSKREIS-NR
ADDCOP*                                   TEXTSCHLSSEL
ADDCOP*                                   2. STUFE AKTIONSCHLUESSEL
ADDCOP           10 INV01-QAKS3         PIC XX.
ADDCOP*                                   VORGANGSKREIS-LFDNR
ADDCOP*                                   3. STUFE AKTIONSSCHLUESSEL
ADDCOP       06 INV01-QSTEUB            PIC 99
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   STEUERUNG-BEDINGUNGSFELD
ADDCOP       06 INV01-QFEHLER           PIC X
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   FEHLERINDIKATOR
ADDCOP       06 INV01-QSTEUAK           PIC X
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   AKTION VOM/FUERS
ADDCOP*                                   STEUERPROGRAMM
ADDCOP       06 INV01-QMELDNR.
ADDCOP*                                   FEHLER-/HINWEIS-NUMMER
ADDCOP*                                   SCHLUESSEL FUER TABELLE 0102
ADDCOP*                                   GR00048
ADDCOP         08 INV01-QSACHGB         PIC XX
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   SACHGEBIET
ADDCOP         08 INV01-QLFDNR          PIC 999
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   LAUFENDE NUMMER
ADDCOP       06 INV01-QBERAK.
ADDCOP*                                   BERECHTIGUNGSDATEN
ADDCOP*                                   GR00006
ADDCOP         08 INV01-QDEFAKT         PIC X(6)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   DEFAULT-AKTION
ADDCOP         08 INV01-QBERAK2         OCCURS 20 TIMES
ADDCOP                                  10C XX.
ADDCOP*                                   BERECHTIGTE AKTIONEN
ADDCOP         08 INV01-QBERAK3         OCCURS 20 TIMES
ADDCOP                                  10C XX.
ADDCOP*                                   NICHT BERECHTIGTE AKTIONEN
ADDCOP       06 INV01-QVERTNR.
ADDCOP*                                   VERTRAGSNUMMER
ADDCOP*                                   GR00114
ADDCOP         08 INV01-QGRDNR          PIC 9(8) VALUE ZEROS.
ADDCOP*                                   GRUNDNUMMER (INCL. PRUEFZIF.)
ADDCOP*                                   GR00013
ADDCOP         08 INV01-QUKNR           PIC 99
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   UNTERKONTO-NUMMER
ADDCOP       06 INV01-QBBZS             PIC 99
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   BAUSPARER-BEZIEHUNGSSCHLUE.
ADDCOP*                                   SIEHE TABELLE 0202
ADDCOP       06 INV01-QANNAME           PIC X(29)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   NAMENSFELD FUER ANZEIGE
ADDCOP*                                   IM MASKENKOPF
ADDCOP*                                   FR WOP-AB-1996 BSP-NAME,
ADDCOP*                                   FALLS POSTKORB-VORGNGE
ADDCOP       06 INV01-QBLZ              PIC 9(8)
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   BANKLEITZAHL
ADDCOP       06 INV01-QBSKEY.
ADDCOP*                                   UEBERGABEBEREICH FUER FILENET
ADDCOP         08 INV01-BS-KENNUNG      PIC X(1) VALUE SPACE.
ADDCOP*                                   UEBERGABEART
ADDCOP         08 INV01-BS-FNKZ         PIC X(1) VALUE SPACE.
ADDCOP*                                   FILE-NET KENNUNG(=X'41')
ADDCOP         08 INV01-BS-VORGID       PIC X(17) VALUE SPACE.
ADDCOP*                                   VORGANGS-ID AUS BSA02T
ADDCOP         08 INV01-BS-OPINEU       PIC X(4) VALUE SPACE.
ADDCOP*                                   NEUER OPI BEI WEITERLEITUNG
ADDCOP         08 INV01-BS-DOKUID       PIC X(11) VALUE SPACE.
ADDCOP*                                   FILENET DOKUID
ADDCOP       06 INV01-QGRDNRR           PIC 9(8)
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   VORHERGEH GRUNDNR. DES BSP
ADDCOP*                                   ( INCL. PRUEFZIFFER )
ADDCOP       06 INV01-QGRDNRV           PIC 9(8)
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   NACHFOLGENDE GRUNDNR. BSP
ADDCOP*                                   ( INCL. PRUEFZIFFER )
ADDCOP       06 INV01-QHSTEU            PIC X(8)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   HAUPTSTEUERPROGRAMM
ADDCOP       06 INV01-QHAKTIO           PIC X(6)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   ZUM HAUPTSTEUERPROGRAMM
ADDCOP*                                   GEHOERIGE AKTION
ADDCOP       06 INV01-QDIALOG           PIC 9(4)
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   DIALOG-ENDEZEIT SSMM
ADDCOP*                                   FE00247
ADDCOP       06 INV01-QBAKTIO.
ADDCOP*                                   ZUR BERECHTIGUNG GEHOERIGE
ADDCOP*                                   AKTION
ADDCOP*                                   GR00005
ADDCOP         08 INV01-QBAKS1          PIC XX
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   BERECHTIGTE AKTIONSSTUFE 1
ADDCOP*                                   FE00104
ADDCOP         08 INV01-QBAKS2          PIC XX
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   BERECHTIGTE AKTIONSSTUFE 2
ADDCOP*                                   FE00105
ADDCOP         08 INV01-QBAKS3          PIC XX
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   BERECHTIGTE AKTIONSSTUFE 3
ADDCOP*                                   FE00106
ADDCOP       06 INV01-QRUNT.
ADDCOP*                                   ANGEFORDERTE UNTERBRECHUNG
ADDCOP*                                   GR00063
ADDCOP         08 INV01-QRUART          PIC X
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   ANGEFORDERTE UNTERBR.-ART
ADDCOP*                                   P = PRUEFER
ADDCOP*                                   V = VORGESETZTER
ADDCOP*                                   T = TERMIN
ADDCOP*                                   L = LOESCHEN SCHRITT
ADDCOP*                                   S = STORNO VORGANG
ADDCOP         08 INV01-QRUTERM         PIC 9(6)
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   ANGEFORDERTER
ADDCOP*                                   UNTERBRECHUNGS-TERMIN
ADDCOP       06 INV01-QNAME             PIC X(28)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   NACHNAME BZW. FIRMENNAME
ADDCOP       06 INV01-QVORNAM           PIC X(15)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   VORNAMENSFELD
ADDCOP       06 INV01-QPLZ              PIC X(5)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   POSTLEITZAHL
ADDCOP       06 INV01-QHSTEUO           PIC X(8)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   OBERSTES HAUPTSTEUERPROGRAMM
ADDCOP*                                   ( WIRD NIE GEAENDERT )
ADDCOP*                                   FE00570
ADDCOP       06 INV01-QAKSP             OCCURS 6 TIMES
ADDCOP                                  10C X(4).
ADDCOP*                                   UNTERBROCHENE AKTIONEN UND
ADDCOP*                                   AKTUELLE AKTION
ADDCOP*                                   FE00042
ADDCOP       06 INV01-QEPROG            PIC X(8)
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   EINSTIEGSPROGRAMM
ADDCOP       06 INV01-QMMELD            PIC X
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   KENNZEICHEN MEHRFACHMELDUNGEN
ADDCOP*                                   M- MEHRFACHMELDUNGEN ANZEIGEN
ADDCOP       06 INV01-QADRATA           PIC S9(8)      COMP
ADDCOP                                  70LUE ZEROS.
ADDCOP*                                   ADRESSE USEREINTRAG
ADDCOP*                                   IN ANMELDUNGSTAB
ADDCOP       06 INV01-QKIZU01           PIC X
ADDCOP                                  70LUE SPACES.
ADDCOP*                                   STEUERUNGS-KZ FUER DIE
ADDCOP*                                   ERSTELLUNG DER KREDIT-
ADDCOP*                                   ZUSAGE KIZU01
ADDCOP       06 INV01-QBKSZ             PIC S9
ADDCOP                                  70LUE ZERO.
ADDCOP       06 INV01-QAUTOV            PIC X
ADDCOP                                  70LUE SPACE.
ADDCOP*                                   STEUERUNGS-KZ FUER AUTOMATIK
ADDCOP*                                   '1' = MANUELL AUFGERUFENER VG.
ADDCOP*                                   '2' = AUTOMAT.AUFGERUFENER VG.
ADDCOP       06 INV01-DOKUID            PIC 9(12) COMP-3
ADDCOP                                  70LUE ZERO.
ADDCOP*                                 FILENET DOKUID
ADDCOP       06 INV01-WOP.
ADDCOP*         WOP-BERGABE-BEREICH AUFRUF PQAV04K VON :
ADDCOP*             - PQAV06K, PQWO07K, PQWO08K, PQWO09K, PQWO10K
ADDCOP          08 INV01-WOP-JAHR          PIC 9(04) COMP-3
ADDCOP                                     70LUE ZERO.
ADDCOP*                                    WOP-PRMIENJAHR
ADDCOP          08 INV01-WOP-LFDNR         PIC 9(02) COMP-3
ADDCOP                                     70LUE ZERO.
ADDCOP*                                    LAUFENDE NUMMER WOP-ANTRAG
ADDCOP          08 INV01-WOP-KZ            PIC X(01)
ADDCOP                                     70LUE SPACES.
ADDCOP*                                    '1'  =  KZ. WOP-ANTRAG
ADDCOP*                                    (GVO = 0221)  VORHANDEN
ADDCOP                                                                  03
ADDCOP       06 INV01-EUROPHASE            PIC X(01) VALUE SPACE.
ADDCOP                                                                  03
ADDCOP         89 INV01-PHASE-FEHLER    VALUE  '0'.
ADDCOP                                                                  03
ADDCOP         89 INV01-DM-PHASE        VALUE  '1'.
ADDCOP         89 INV01-DUAL-PHASE      VALUE  '2'.
ADDCOP         89 INV01-EURO-PHASE      VALUE  '3'.
ADDCOP                                                                  03
ADDCOP*- -
ADDCOP*- -          PQEU01K  NICHT VORHANDEN  0 --> PHASE-FEHLER
ADDCOP*- -          PQEU01K  Fehler           0 --> PHASE-FEHLER
ADDCOP*- -          WERTE AUS IEU01-A-B-PHASE
ADDCOP*                                 PHASE 1 --> NUR DM
ADDCOP*                                 PHASE 2 --> DM UND EURO
ADDCOP*                                 PHASE 3 --> NUR EURO
ADDCOP***** INSERT LINES: 000317
COPY  *    COPY IQNV0108.
      *
ADDCOP                                                                  03
ADDCOP******************************************************************
ADDCOP*                                                                *
ADDCOP* DIESER  BEREICH  (EHEMALS BLL) ENTFAELLT FUER COBOL 2)         *
ADDCOP*                                                                *
ADDCOP*                                                                *
ADDCOP******************************************************************
ADDCOP                                                                  03
ADDCOP***** INSERT LINES: 000008
COPY  *    COPY IDSS0401.
      *
       02  TAB-PQTAB0K.
           06 FILLER PIC X(01).
      *
CICS   02  TWA-BEREICH.
CICS       06 FILLER PIC X(100).
      *
ADDCOP/****************************************************************
ADDCOP* DL1 USER INTERFACE BLOCK                                      *
ADDCOP*****************************************************************
ADDCOP*                                                               *
ADDCOP*   +---------+---------+                                       *
ADDCOP*   ! ALT     ! NEU     !                                       *
ADDCOP*   +---------+---------+                                       *
ADDCOP*   ! IQSS06K ! IDSS06K !                                       *
ADDCOP*   +---------+---------+                                       *
ADDCOP*---------------------------------------------------------------*
ADDCOP*  08.01.92 - IDSS06K - TESTVERSION FUER COBOL2                 *
ADDCOP*  COPY     : IDSS06K - DLIUIB                                  *
ADDCOP*                                                               *
ADDCOP*---------------------------------------------------------------*
ADDCOP*****************************************************************
ADDCOP*                                   DLI USER INTERFACE BLOCK
ADDCOP*****************************************************************
ADDCOP*****************************************************************
ADDCOP*     KORREKTUR FR HIRELMIGRATION AM 25.1.93 BAUMEISTER        *
ADDCOP*     MUSS NACH FEHLERBEREINIGUNG IM HIREL ENTFERNT WERDEN      *
ADDCOP*---------------------------------------------------------------*
ADDCOP*01  IDSS06K.
ADDCOP 02  DLIUIB.
ADDCOP     04 ISS06-QUIBPCB       USAGE POINTER.
ADDCOP     04 ISS06-QUIBFCT         PIC X.
ADDCOP*                                    UIB-RETURN-CODE - BYTE 1
ADDCOP*                                    X'00' - NORMAL RESPONSE
ADDCOP*                                    X'0C' - NOT OPEN
ADDCOP*                                    X'08' - INVALID REQUEST
ADDCOP*                                    X'10' - INVALID PCB ADDRESS
ADDCOP     04 ISS06-QUIBDLT         PIC X.
ADDCOP*                                    UIB-RETURN-CODE - BYTE 2
ADDCOP*                                    -----------------------------
ADDCOP*                                    BEDEUTUNG BEI BYTE 1 = X'0C'
ADDCOP*                                    X'00' - DATABASE NOT OPNEN, R
ADDCOP*                                            ISSUED IN OS/VS SYSTE
ADDCOP*                                    X'02' - INTENT SCHEDULING CON
ADDCOP*                                    -----------------------------
ADDCOP*                                    BEDEUTUNG BEI BYTE 1 = X'08'
ADDCOP*                                    X'00' - DATABASE NOT IN FCT,
ADDCOP*                                            NOT OPEN IN FCT OR
ADDCOP*                                            INVALID ARGUMENT PASS
ADDCOP*                                            TO DLI
ADDCOP*                                    X'01' - PSB NOT FOUND
ADDCOP*                                    X'03' - PSB ALREADY SCHEDULED
ADDCOP*                                    X'05' - PSB INITIALISATION FA
ADDCOP*                                    X'07' - TERMINATION UNSCHEDUL
ADDCOP*                                    X'08' - FUNCTION UNSCHEDULED
ADDCOP*                                    X'FF' - DLI NOT ACTIVE
ADDCOP*-----------------------------------------------------------------
ADDCOP*****************************************************************
ADDCOP*     KORREKTUR FR HIRELMIGRATION AM 25.1.93 BAUMEISTER        *
ADDCOP*     MUSS NACH FEHLERBEREINIGUNG IM HIREL ENTFERNT WERDEN      *
ADDCOP*---------------------------------------------------------------*
ADDCOP 02  IDSS06K   REDEFINES DLIUIB  PIC X(6).
ADDCOP***** INSERT LINES: 000055
COPY  *    COPY IDSS0600.
      *
ADDCOP/*****************************************************************
ADDCOP* PCB POINTER                                                    *
ADDCOP******************************************************************
ADDCOP*                                                               *
ADDCOP*   +---------+---------+                                       *
ADDCOP*   ! ALT     ! NEU     !                                       *
ADDCOP*   +---------+---------+                                       *
ADDCOP*   ! IQSS07K ! IDSS07K !                                       *
ADDCOP*   +---------+---------+                                       *
ADDCOP******************************************************************
ADDCOP*----------------------------------------------------------------*
ADDCOP*  07.01.92 - IDSS07K - TESTVERSION FUER COBOL2                  *
ADDCOP*  COPY     : IDSS07K . PCB-ADRESSEN                             *
ADDCOP*             VERSION FUER PQME02K - ANMELDUNG                   *
ADDCOP*----------------------------------------------------------------*
ADDCOP*                                                                *
ADDCOP* . ERSTELLT:  07.01.92    H.G.M.                                *
ADDCOP*****************************************************************
ADDCOP 02     IDSS07K     USAGE        POINTER.
ADDCOP     04 ISS07-QPCBADR            OCCURS 16.
ADDCOP 02     FILLER     REDEFINES     IDSS07K.
ADDCOP     04 ISS07-QPCBADR-WERT       OCCURS 16  PIC S9(8) COMP.
ADDCOP*                                   PCB-ADRESSEN 1-16
ADDCOP***** INSERT LINES: 000023
COPY  *    COPY IDSS0700.
      *
        02  IQSSCOMMA.
      *
ADDCOP*- ------------------------------------------------------------ -*
ADDCOP* LV DATUM       AUTOR         AUFTRAG/BEGRUENDUNG
ADDCOP* .
ADDCOP* 01 1998.07.23  H.G. MADERNER 97083-006  ANPASSUNG 4-AUGENPRINZIP
ADDCOP*                           -  KEIN VALUE IM REDEFINIERENDEN FELD
ADDCOP* .
ADDCOP*- ------------------------------------------------------------ -*
ADDCOP*****************************************************************
ADDCOP* DUMMY-COMAREA-DEFINITIONEN
ADDCOP*****************************************************************
ADDCOP 04  IQSS01K.
ADDCOP      06 ISS01-QDOUBLE PIC 9(8) USAGE COMP SYNCHRONIZED.
ADDCOP*                                    AUSRICHTEN AUF DOPPELWORTGREN
ADDCOP      06 ISS01-Q9SS002 REDEFINES ISS01-QDOUBLE.
ADDCOP       08 ISS01-QCOMADR             USAGE COMP  PIC S9(8).
ADDCOP*                                   COMMON-AREA ADRESSE
ADDCOP      06 ISS01-QCANAME                          PIC  X(8).
ADDCOP*                                   COMMAREA-NAME
ADDCOP      06 ISS01-Q9SS003.
ADDCOP*                                   IQSS01K - CA-ANFANG IQNV01K
ADDCOP       08 ISS01-QCALEN   VALUE +512 USAGE COMP  PIC S9(4).
ADDCOP                                                                  03
ADDCOP*--                                 LAENGE DER UEBERGEBENEN COMMAR
ADDCOP       08 ISS01-QCOMLEN  VALUE +512 USAGE COMP  PIC S9(4).
ADDCOP                                                                  03
ADDCOP*                                   GESAMTLAENGE DER COMMAREA
ADDCOP      06 ISS01-Q9SS004 REDEFINES ISS01-Q9SS003.
ADDCOP*                                   IQSS01K - CA-ANFANG USER-COMMA
ADDCOP       08 ISS01-QCOMLEN             USAGE COMP  PIC S9(4).
ADDCOP                                                                  03
ADDCOP*                                   GESAMTLAENGE DER COMMAREA
ADDCOP***** INSERT LINES: 000031
COPY  *    COPY IQSS0101.
        02  COMMUSER.
ADDCOP*****************************************************************
ADDCOP*    ANWENDUNGS-COMMAREA AUSKUNFTSSYSTEM
ADDCOP*****************************************************************
ADDCOP 04  IQAU02K.
ADDCOP******************************************************************
ADDCOP*   UMSTELLUNG EURO2                                             *
ADDCOP******************************************************************
ADDCOP*   SATZLAENGE ALT   : 408 BYTES
ADDCOP*   SATZLAENGE NEU   : 480 BYTES
ADDCOP*   GEAENDERTE FELDER:  21.10.98 FERNANDES
ADDCOP*
ADDCOP******************************************************************
ADDCOP*    05  IAU02-BS-KA1       PIC 9(5)
ADDCOP*    05  IAU02-BS-KA2       PIC 9(5)
ADDCOP*    05  IAU02-BS-KA3       PIC 9(5)
ADDCOP*     05 IAU02-QCOMLEN        VALUE +408 USAGE COMP
ADDCOP*- ------------------------------------------------------------ -*
ADDCOP* LV DATUM       AUTOR         AUFTRAG/BEGRUENDUNG               *
ADDCOP* .                                                              *
ADDCOP* 10 11.08.1998  SZAMEIT-HEIN  96136-42                          *
ADDCOP*                              DER LETZTE FREIE FILLER WIRD MIT  *
ADDCOP*                              EINEM KENNZEICHEN BELEGT, DAS SICH*
ADDCOP*                              AUS DER KOMBINATION VON VERTRAGS- *
ADDCOP*                              WAEHRUNG UND ANZEIGE-WAEHRUNG ZU- *
ADDCOP*                              SAMMENSETZT.                      *
ADDCOP*- ------------------------------------------------------------ -*
ADDCOP      06 IAU02-QDOUBLE PIC 9(8) USAGE COMP SYNCHRONIZED.
ADDCOP*                                    AUSRICHTEN AUF DOPPELWORTGREN
ADDCOP      06 IAU02-QFIL012        VALUE 'IQAU02K '
ADDCOP                              10C X(8).
ADDCOP      06 IAU02-QCOMLEN        VALUE +480 USAGE COMP
ADDCOP                              10C S9(4).
ADDCOP*                             MATCHCODE AUS MASKENKOPF
ADDCOP      06 IAU02-MATCHCODE.
ADDCOP       08 IAU02-QMCNAME       PIC X(16).
ADDCOP       08 IAU02-QMCVORN       PIC X(09).
ADDCOP       08 IAU02-QMCPLZ        PIC X(05).
ADDCOP*
ADDCOP*                             MATCHCODE FUER FOLGEMASKE
ADDCOP      06 IAU02-FOLGE-MATCHCODE.
ADDCOP       08 IAU02-F-QMCNAME     PIC X(16).
ADDCOP       08 IAU02-F-QMCVORN     PIC X(09).
ADDCOP       08 IAU02-F-QGRDNR      PIC 9(08).
ADDCOP       08 IAU02-F-QBBZS       PIC X(02).
ADDCOP*
ADDCOP*                             MASKENKOPF
ADDCOP      06 IAU02-MASKENKOPF.
ADDCOP       08 IAU02-QKA           PIC X(02).
ADDCOP       08 IAU02-QNAME1        PIC X(16).
ADDCOP       08 IAU02-QVORN1        PIC X(09).
ADDCOP       08 IAU02-QPLZ1         PIC X(05).
ADDCOP       08 IAU02-QORT1         PIC X(15).
ADDCOP       08 IAU02-QBBZS1        PIC X(02).
ADDCOP*
ADDCOP      06  IAU02-NUM           PIC S9(05) COMP-3  VALUE ZERO.
ADDCOP      06  IAU02-KEINE-DATEN   PIC X.
ADDCOP*         KZ FUER 011070      1 = STEUERPROGRAM AUFRUFEN
ADDCOP      06  FILLER              PIC X(02).
ADDCOP*
ADDCOP      06  IAU02-FOLGEMAP      PIC X.
ADDCOP      06  IAU02-MAPALT        PIC X.
ADDCOP      06  IAU02-MAPRUECK      PIC X.
ADDCOP      06  IAU02-NEUER-KEY     PIC X.
ADDCOP      06  IAU02-ALPHA-KEY     PIC X.
ADDCOP      06  IAU02-UK-VORH       PIC X.
ADDCOP      06  FILLER              PIC X.
ADDCOP*                                      KZ FUER FOLGEABRUF
ADDCOP      06 IAU02-F-ABRUF        PIC X(1).
ADDCOP*                                      ANZAHL GET NEXT
ADDCOP      06 IAU02-GN             PIC 99.
ADDCOP*                                      GUELTIG AB JJJJMMTT
ADDCOP      06 IAU02-QGABDT         PIC 9(8).
ADDCOP                                                                  03
ADDCOP      06 IAU02-QVORNR         PIC X(2).
ADDCOP      06 IAU02-QFMAP          PIC X(1).
ADDCOP      06 IAU-RLV.
ADDCOP         08 IAU02-RLVKZ      PIC X.
ADDCOP*                                RLV-STEUERUNGSKENNZEICHEN
ADDCOP         08 IAU02-ZUDAT      PIC 9(8).
ADDCOP*                                ZUGANGSDATUM RLV-BERICHTIGUNG
ADDCOP         08 IAU02-QVSNR      PIC X(10).
ADDCOP*                                RLV-VERSICHERUNGSNUMMER
ADDCOP         08 IAU02-RLVKA      PIC 9(2).
ADDCOP*                                RLV-KONTOART
ADDCOP         08 FILLER           PIC X(5).
ADDCOP      06 IAU02-BERECHTIGUNG.
ADDCOP       08 IAU02-FUNKTION      PIC X(02).
ADDCOP       08 IAU02-RETURN        PIC X(02).
ADDCOP       08 IAU02-QDSGKZ        PIC X(01).
ADDCOP       08 IAU02-QBGKZ         PIC X.
ADDCOP       08 IAU02-QGMDSL        PIC 9(05).
ADDCOP       08 IAU02-QSPKNRA       PIC 9(02).
ADDCOP       08 IAU02-QSPKBSA       PIC 9(03).
ADDCOP*                             MATCHCODE FUER FOLGEMASKE NUR PLZ
ADDCOP      06  IAU02-F-QMCPLZ      PIC X(05).
ADDCOP      06  IAU02-F-QMCNAM1     PIC X(16).
ADDCOP      06  IAU02-F-QMCVOR1     PIC X(09).
ADDCOP      06  IAU02-F-QMCPLZ1     PIC X(05).
ADDCOP*                             LAUFENDE NUMMER FUER VERFUEGUNG
ADDCOP      06  IAU02-Q2LFDNR       PIC 99 OCCURS 3.
ADDCOP*                             UMSATZZAEHLER FUER FOLGEMASKE
ADDCOP      06  IAU02-QUMSZ         PIC X.
ADDCOP*                             UK UND KA  FUER FOLGEMASKE
ADDCOP      06  IAU02-F-UKNR        PIC XX.
ADDCOP      06  IAU02-F-KA          PIC XX.
ADDCOP      06  IAU02-F-BUDTMT      PIC X(4).
ADDCOP      06  IAU02-F-BUDTMTR     REDEFINES IAU02-F-BUDTMT PIC 9(4).
ADDCOP      06  IAU02-F-TZ          PIC X(3).
ADDCOP      06  IAU02-F-LFDNR       PIC X.
ADDCOP      06  FILLER              PIC XX.
ADDCOP      06  IAU02-ENDSUMME      PIC X.
ADDCOP************************************************************
ADDCOP*     ENDSUMMEN JE KONTOART                                *
ADDCOP************************************************************
ADDCOP   05  IAU02-SUMME-BS.
ADDCOP     06  IAU02-BS-KA1       PIC 9(13)V99.
ADDCOP     06  IAU02-BS-KA2       PIC 9(13)V99.
ADDCOP     06  IAU02-BS-KA3       PIC 9(13)V99.
ADDCOP   05  IAU02-SUMME-KAP.
ADDCOP     06  IAU02-KS-KA1       PIC S9(8)V99.
ADDCOP     06  IAU02-KS-KA2       PIC S9(8)V99.
ADDCOP     06  IAU02-KS-KA3       PIC S9(8)V99.
ADDCOP   05  IAU02-SUMME-AV.
ADDCOP     06  IAU02-AV-KA1       PIC S9(8)V99.
ADDCOP     06  IAU02-AV-KA2       PIC S9(8)V99.
ADDCOP     06  IAU02-AV-KA3       PIC S9(8)V99.
ADDCOP   05  IAU02-SUMME-ZS.
ADDCOP     06  IAU02-ZS-KA1       PIC S9(6)V99.
ADDCOP     06  IAU02-ZS-KA2       PIC S9(6)V99.
ADDCOP     06  IAU02-ZS-KA3       PIC S9(6)V99.
ADDCOP   05  IAU02-ZAEHLER-KA.
ADDCOP     06  IAU02-ZAEHLER-KA1  PIC 99.
ADDCOP     06  IAU02-ZAEHLER-KA9  PIC 99.
ADDCOP     06  IAU02-ZAEHLER-KA2  PIC 99.
ADDCOP     06  IAU02-ZAEHLER-KA3  PIC 99.
ADDCOP*   FELD ZUR SPEICHERUNG FV003-QUSEQF
ADDCOP   05  IAU02-F-QUSEQF       PIC X(4).
ADDCOP                                                                  03
ADDCOP   05  IAU02-QPJJJJ      PIC 9(4).
ADDCOP*                                        PRAEMIENJAHR
ADDCOP   05  IAU02-QFANR       PIC 9(5).
ADDCOP*                                        FINANZAMTNUMMER
ADDCOP   05  IAU02-QFALINR     PIC 9(3).
ADDCOP*                                        FINANZAMTLISTNUMMER
ADDCOP   05  IAU02-ANWKZ       PIC X.
ADDCOP*          KZ. ANWENDUNGSBEREICH
ADDCOP*          '1' ---> ANWENDUNGSBEREICH DEFINIERT
ADDCOP*          '2' ---> ANWENDUNGSBEREICH UNDEFINIERT
ADDCOP   05  IAU02-ANWBEREICH      PIC X(19).
ADDCOP*          ANWENDUNGSBEREICH
ADDCOP   05  IAU02-ZAST REDEFINES IAU02-ANWBEREICH.
ADDCOP*          BEREICH FR PDLV36K (AUSKUNFT ZAST)
ADDCOP       07  IAU02-ZASTKZ      PIC X.
ADDCOP*          STEUERUNGSKENNZEICHEN ZAST-AUSKUNFT
ADDCOP       07  IAU02-FG          PIC 9(2).
ADDCOP*          NCHSTER ANZUZEIGENDER FREISTELLUNGSGRUND
ADDCOP       07  IAU02-UKNR        PIC 9(2).
ADDCOP*          NCHSTE ANZUZEIGENDE UKNR
ADDCOP       07  IAU02-LFDFG       PIC 9(3).
ADDCOP*          NCHSTE  ANZUZEIGENDE  LAUFENDE NUMMER
ADDCOP       07  IAU02-FG1         PIC 9(2).
ADDCOP*          NCHSTER ANZUZEIGENDER FREISTELLUNGSGRUND NACH
ADDCOP*          PF01, PF10 ODER PF12
ADDCOP       07  IAU02-UKNR1       PIC 9(2).
ADDCOP*          NCHSTE ANZUZEIGENDE UKNR NACH PF1, PF10 ODER PF12
ADDCOP       07  IAU02-LFDFG1      PIC 9(3).
ADDCOP*          NCHSTE  ANZUZEIGENDE  LAUFENDE NUMMER  NACH PF1, PF10
ADDCOP*          ODER PF12
ADDCOP       07  FILLER           PIC X(04).
ADDCOP   05  IAU02-WOP  REDEFINES IAU02-ANWBEREICH.
ADDCOP*          BEREICH FR PQWP37K (AUSKUNFT WOP-ABRUFLISTEN)
ADDCOP       07  IAU02-QABFALINR  PIC 9(05).
ADDCOP*          LETZTE EINGEGEBENE LISTENNUMMER
ADDCOP       07  IAU02-QABFALINRL PIC 9(05).
ADDCOP*          LETZTE ANGEZEIGTE LISTENNUMMER
ADDCOP       07  IAU02-QSTATUS    PIC X(01).
ADDCOP*          STATUS ABRUFLISTE
ADDCOP       07  FILLER           PIC X(08).
ADDCOP   05  IAU02-QREFNR  REDEFINES IAU02-ANWBEREICH.
ADDCOP*                              EINGEGEBENE REFERENZ-NR
ADDCOP       07    IAU02-QBUDAT      PIC 9(6).
ADDCOP*                              BUCHUNGSDATUM
ADDCOP       07    IAU02-QSTAP.
ADDCOP*                              STAPELNUMMER
ADDCOP         08  IAU02-QTEILNR     PIC 99.
ADDCOP*                              BUCHUNGSTAG-TEILNR
ADDCOP         08  IAU02-QSTAPNR     PIC 99.
ADDCOP*                              STAPELNUMMER
ADDCOP       07    IAU02-QBLFDNR     PIC 9(5).
ADDCOP*                              LAUFENDE NUMMER
ADDCOP       07    IAU02-QAUFRUF     PIC 9.
ADDCOP*                              KZ 1.AUFRUF
ADDCOP       07    IAU02-QCURSOR-KZ  PIC 99.
ADDCOP*                              KZ FUER LETZTE CURSOR-AUSWAHL
ADDCOP       07  FILLER           PIC X.
ADDCOP   05  IAU02-ZSN-KA1    PIC S9(9)V99    COMP-3 VALUE ZERO.
ADDCOP*
ADDCOP*- ------------------------------------------------------------ -*
ADDCOP   05  IAU02-KOMBIKZ    PIC X(01).
ADDCOP*
ADDCOP         89 IAU02-DM-DM           VALUE  'A'.
ADDCOP         89 IAU02-DM-EUR          VALUE  'B'.
ADDCOP         89 IAU02-EUR-DM          VALUE  'C'.
ADDCOP         89 IAU02-EUR-EUR         VALUE  'D'.
ADDCOP                                                                  03
ADDCOP*- -  DM-VERTRAG   + ANZEIGE DER WERTE IN DM     --> A
ADDCOP*- -  DM-VERTRAG   + ANZEIGE DER WERTE IN EURO   --> B
ADDCOP*- -  EURO-VERTRAG + ANZEIGE DER WERTE IN DM     --> C
ADDCOP*- -  EURO-VERTRAG + ANZEIGE DER WERTE IN EURO   --> D
ADDCOP*
ADDCOP 05  IAU02-LAUFNR     PIC X(03)  VALUE SPACES.
ADDCOP*                              ENTSPRICHT BS710-LAUFNR
ADDCOP 05  FILLER           PIC X(39)  VALUE SPACES.
ADDCOP***** INSERT LINES: 000213
COPY  *    COPY IQAU0211.
      *
CICS    02  COMMUSER1.
ADDCOP*****************************************************************
ADDCOP*    UEBERGABEBEREICH FUER MELDUNGSTEXTE
ADDCOP*****************************************************************
ADDCOP 04  IQAS02K.
ADDCOP      06 IAS02-QDOUBLE PIC 9(8) USAGE COMP SYNCHRONIZED.
ADDCOP*                                    AUSRICHTEN AUF DOPPELWORTGREN
ADDCOP      06 IAS02-QFIL166        VALUE 'IQAS02K '
ADDCOP                              10C X(8).
ADDCOP      06 IAS02-QCOMLEN        VALUE +832 USAGE COMP
ADDCOP                              10C S9(4).
ADDCOP*                                   LAENGE DER COMMAREA
ADDCOP      06 IAS02-QAKTION.
ADDCOP*                                   AKTIONS-FELD FUER DIE
ADDCOP*                                   DIALOG-STEUERUNG
ADDCOP       08 IAS02-QAKS1         PIC XX.
ADDCOP*                                   1. STUFE AKTIONSCHLUESSEL
ADDCOP       08 IAS02-QAKS2         PIC XX.
ADDCOP*                                   2. STUFE AKTIONSCHLUESSEL
ADDCOP       08 IAS02-QAKS3         PIC XX.
ADDCOP*                                   3. STUFE AKTIONSCHLUESSEL
ADDCOP      06 IAS02-QMLDANZ        PIC 99.
ADDCOP*                                   ANZAHL MELDUNGEN IN IQAS02K
ADDCOP      06 IAS02-QMLDMAX        VALUE 10
ADDCOP                              10C 99.
ADDCOP*                                   ANZAHL MELDUNGEN MAXIMAL IN IQ
ADDCOP      06 FILLER               PIC X(4).
ADDCOP      06 IAS02-QMLDZEI OCCURS 10.
ADDCOP*                                   MELDUNGSZEILEN
ADDCOP       08 IAS02-QSTEP         PIC 99.
ADDCOP*                                   STEPNUMMER
ADDCOP       08 IAS02-QBSNR         PIC 99.
ADDCOP*                                   BILDSCHIRM-NR INNERHALB EINES
ADDCOP*                                   SACHBEARBEITUNGS-VORGANGS
ADDCOP       08 IAS02-Q9AS004.
ADDCOP*                                   MELDUNGSTEXT AUS MEHRFACHMELDU
ADDCOP        10 IAS02-QMELDNR.
ADDCOP*                                   BILDSCHIRMMELDUNGS-NUMMER
ADDCOP         12 IAS02-QSACHGB     PIC XX.
ADDCOP*                                   SACHGEBIET
ADDCOP         12 IAS02-QLFDNR      PIC 999.
ADDCOP*                                   LAUFENDE NUMMER ( 000 BIS 999
ADDCOP        10 IAS02-QFIL075      PIC X.
ADDCOP*                                   FILLER 1 STELLE
ADDCOP        10 IAS02-QMLDTXT      PIC X(70).
ADDCOP*                                   MELDUNGSTEXT
ADDCOP***** INSERT LINES: 000045
COPY  *    COPY IQAS02K.
CICS    02  COMMUSER2.
CICS        06 FILLER PIC X.
CICS    02  COMMUSER3.
CICS        06 FILLER PIC X.
CICS    02  COMMUSER4.
CICS        06 FILLER PIC X.
      *
      **** ENDE  LINKAGE SECTION AUS KONVERTIERUNG ***
      /
***************** COBWRAP XML  parameters ***********************
XMLINS 01 XML-PARAMS.
          05  XML-FUNCODE              PIC XX.
          05  XML-RETCODE              PIC 99.
          05  XML-FILNAME              PIC X(8).
COBINS 01 X-COBOL-PARAMS.
          05  X-REC-LNG                PIC 999.
          05  X-MAP-LNG                PIC 999.
          05  X-ACCEPT-LNG             PIC 999.
          05  X-DISPLAY-LNG            PIC 999.
          05  X-ACCEPT-TEXT            PIC X(80).
          05  X-DISPLAY-TEXT           PIC X(80).
*****************************************************************
WRAP  *PROCEDURE DIVISION.
WRAP   PROCEDURE DIVISION.
WRAP   pqmc01k-WRAPPED-ENTRY.
WRAP       MOVE 'RD' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'pqmc01kI' TO XML-FILNAME
WRAP       MOVE 2048 TO X-REC-LNG
WRAP       CALL 'pqmc01kI' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             pqmc01k-PARAMS,
WRAP                             X-REC-LNG.
       EINGABE-PRUEFUNG SECTION.
OLD    B02.
           MOVE SPACES TO NEXT-METHOD-ID.
           MOVE        MMC02-QGRDNR2   TO   WMC01-GRDNR8.
NEW        IF          WMC01-GRDNR7         NOT NUMERIC
NEW                    MOVE 'B02200' TO NEXT-METHOD-ID
NEW        END-IF.
           IF NEXT-METHOD-ID = SPACES
              MOVE        WMC01-GRDNR8    TO  J01-QGRDNRI
              MOVE  '2'                   TO  J01-QPZACOD
              CALL    'UDAS01K'               USING  PZ-BEREICH
              IF  J01-QPZRCOD  NOT = '0'
NEW               MOVE   'AU029'         TO   WAS00-QMELDNR
              END-IF
              MOVE        WMC01-GRDNR8    TO  J01-QGRDNRI
              MOVE        '1'             TO  J01-QPZACOD
              CALL   'UDAS01K'     USING    PZ-BEREICH
              IF  J01-QPZRCOD   NOT = '0'
                  MOVE   'NV020'         TO   WAS00-QMELDNR
                  MOVE   -1              TO   MMC02-QGRDNR2L
NEW               MOVE   '1'             TO   INV01-QFEHLER
                  MOVE 'B02990' TO NEXT-METHOD-ID
              ELSE
                  MOVE   J01-QGRDNR      TO   INV01-QGRDNR
                  MOVE   ZERO            TO   INV01-QUKNR
                  MOVE   '99'            TO   INV01-QSTEUB
NEW               MOVE   '1'             TO   IAU02-NEUER-KEY
NEW               MOVE 'B02990' TO NEXT-METHOD-ID
NEW           END-IF
NEW        END-IF.
OLD    B02200.
           IF NEXT-METHOD-ID = 'B02200'
              IF MMC02-QMCNAME1L          NOT = ZERO
NEW              MOVE      ISS02-QATRP     TO   MMC02-QMCNAME1A
              END-IF
              IF MMC02-QMCNAME1           NOT = IAU02-QNAME1
                 MOVE      MMC02-QMCNAME1  TO   IAU02-QNAME1
NEW              MOVE      '1'             TO   WMC01-NEUER-KEY
              END-IF
              IF MMC02-QMCVORN1L          NOT = ZERO
NEW              MOVE      ISS02-QATRP     TO   MMC02-QMCVORN1A
              END-IF
              IF MMC02-QMCVORN1           NOT = IAU02-QVORN1
                 MOVE      MMC02-QMCVORN1      TO   IAU02-QVORN1
NEW              MOVE      '1'                 TO   WMC01-NEUER-KEY
              END-IF
              IF MMC02-QMCPLZ1L           NOT = ZERO
NEW              MOVE      ISS02-QATRP         TO   MMC02-QMCPLZ1A
              END-IF
              IF MMC02-QMCPLZ1            NOT = IAU02-QPLZ1
                 MOVE      MMC02-QMCPLZ1       TO   IAU02-QPLZ1
NEW              MOVE      '1'                 TO   WMC01-NEUER-KEY
NEW           END-IF
NEW        END-IF.
       B02990.
           MOVE SPACES TO NEXT-METHOD-ID
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'pqmc01kO' TO XML-FILNAME
WRAP       MOVE 2048 TO X-REC-LNG
WRAP       CALL 'pqmc01kO' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             pqmc01k-PARAMS,
WRAP                             X-REC-LNG
           EXIT.
       MATCHCODE-VERARBEITUNG SECTION.
NEW        MOVE SPACES TO NEXT-METHOD-ID.
           MOVE ZERO TO IAU02-QBLFDNR
                        IAU02-MAPRUECK.
           PERFORM     E02.
NEW        IF   INV01-QFEHLER  NOT = '0'
NEW             MOVE 'D02990' TO NEXT-METHOD-ID
NEW        END-IF.
           IF NEXT-METHOD-ID = SPACES
              MOVE J06-QMCNAME         TO   WMC01-MCNAME
              MOVE J06-QMCVORN         TO   WMC01-MCVORN
              MOVE J06-QMCPLZ          TO   WMC01-MCPLZ
              MOVE J06-QMCNAM1         TO   WMC01-MCNAM1
              MOVE J06-QMCVOR1         TO   WMC01-MCVOR1
              MOVE J06-QMCPLZ1         TO   WMC01-MCPLZ1
NEW           PERFORM R01-OPEN310
              PERFORM UNTIL NEXT-METHOD-ID NOT = SPACES
NEW              PERFORM R01-FETCH310
                 MOVE SPACES TO NEXT-METHOD-ID
NEW              IF  SQLCODE  =   ZERO
NEW              AND INV01-QAKS1(2)   =     '02'
NEW              AND S310-MCBKZ  NOT  =     'A'
NEW                  CONTINUE
NEW              ELSE
NEW                  MOVE  'D02360' TO NEXT-METHOD-ID
NEW              END-IF
NEW           END-PERFORM
              MOVE SPACES TO NEXT-METHOD-ID
              IF  SQLCODE   = 100
                  PERFORM R01-CLOSE310
                  MOVE  'NV057'             TO   WAS00-QMELDNR
                  MOVE   -1                  TO   MMC02-QMCNAME1L
                  MOVE   '1'                 TO   INV01-QFEHLER
NEW               MOVE   ZERO                TO   WAS00-FFMAP
NEW               MOVE 'D02990' TO NEXT-METHOD-ID
NEW           END-IF
              IF NEXT-METHOD-ID = SPACES
                  ADD 1    TO     WMC01-NUM
                  PERFORM G02
NEW               MOVE    16    TO     IAU02-NUM
                  PERFORM UNTIL NEXT-METHOD-ID NOT = SPACES
                     PERFORM R01-FETCH310
NEW                  IF  SQLCODE   =     ZERO
NEW                  AND INV01-QAKS1(2)   =  '02'
NEW                  AND S310-MCBKZ  NOT  =  'A'
                        CONTINUE
                     ELSE
                        IF SQLCODE   = 100
                           PERFORM R01-CLOSE310
                           MOVE  1  TO   WMC01-BSP-WECHSEL
                           PERFORM G02
                        ELSE
                           IF WMC01-NUM NOT >  IAU02-NUM
                              PERFORM G02
NEW                           ADD 1         TO     WMC01-NUM
                           END-IF
NEW                        IF INV01-QFEHLER NOT = '0'
NEW                              MOVE 'D02990' TO NEXT-METHOD-ID
                           END-IF
NEW                        IF WMC01-BSP-WECHSEL = 1
                              MOVE 'D02990' TO NEXT-METHOD-ID
NEW                        ELSE
NEW                           CONTINUE
                           END-IF
                        END-IF
NEW                  END-IF
NEW               END-PERFORM
NEW           END-IF
NEW        END-IF.
       D02990.
           MOVE SPACES TO NEXT-METHOD-ID
WRAP       MOVE 'WR' TO XML-FUNCODE
WRAP       MOVE ZEROES TO XML-RETCODE
WRAP       MOVE 'pqmc01kO' TO XML-FILNAME
WRAP       MOVE 2048 TO X-REC-LNG
WRAP       CALL 'pqmc01kO' USING XML-FUNCODE, XML-RETCODE, XML-FILNAME,
WRAP                             pqmc01k-PARAMS,
WRAP                             X-REC-LNG
           EXIT.
       E02 SECTION.
       E02100.
           MOVE SPACES TO NEXT-METHOD-ID
           MOVE  IAU02-QPLZ1         TO   WMC01-MCPLZ-1
           INSPECT      WMC01-MCPLZ-1
              REPLACING ALL '.'                  BY SPACE.
           IF           WMC01-MCPLZ-1          = SPACE
              OR        WMC01-MCPLZ-1          = LOW-VALUE
NEW           MOVE      SPACE               TO   WMC01-MCPLZ-2
NEW           MOVE 'E02200' TO NEXT-METHOD-ID
NEW        END-IF.
           IF NEXT-METHOD-ID = SPACES
NEW           MOVE  1  TO   WMC01-IND0
              PERFORM UNTIL NEXT-METHOD-ID NOT = SPACES
NEW              IF  WMC01-IND0   = 6
NEW                  MOVE 'E02200'  TO  NEXT-METHOD-ID
                 ELSE
                     IF WMC01-MCPLZ-EIN(WMC01-IND0) NUMERIC
                        MOVE  WMC01-MCPLZ-EIN(WMC01-IND0)
                          TO  WMC01-MCPLZ-NUM(WMC01-IND0)
NEW                     ADD   1  TO   WMC01-IND0
NEW                     CONTINUE
                     ELSE
                        IF WMC01-MCPLZ-EIN(WMC01-IND0) NOT =  SPACE
                           MOVE  'NV045'  TO   WAS00-QMELDNR
                           MOVE      -1   TO   MMC02-QMCPLZ1L
NEW                        MOVE      '1'  TO   INV01-QFEHLER
NEW                        MOVE 'E02900' TO NEXT-METHOD-ID
NEW                     ELSE
NEW                        MOVE 'E02200' TO NEXT-METHOD-ID
NEW                     END-IF
NEW                  END-IF
NEW              END-IF
NEW           END-PERFORM
NEW           IF NEXT-METHOD-ID = SPACES
NEW              MOVE 'E02200' TO NEXT-METHOD-ID
NEW           END-IF
NEW        END-IF.
       E02200.
           IF  NEXT-METHOD-ID  =  'E02200'
               MOVE         IAU02-QNAME1        TO   J06-QNAME
               MOVE         IAU02-QVORN1        TO   J06-QVNAME
               MOVE         WMC01-MCPLZ-2       TO   J06-QPLZ
               CALL   'UDAS06K'      USING
                                                 JQAS06K
               IF    J06-QMCRET  NOT = 0
                  MOVE      'NV055'             TO   WAS00-QMELDNR
                  MOVE      -1                  TO   MMC02-QMCNAME1L
