       IDENTIFICATION DIVISION.
       PROGRAM-ID. XM016.
      ****************************************************************
      *  XM059   EWIGER KALENDER 1901 - 1999
      *  PARAMETER
      *  ---------
      *        P1: DATUM TT,MM,JJ            8 BYTES  AN
      *
      *        P2: SPRACHCODE 1,2,3
      *           WENN UNGUELTIG = 1         1 BYTE   AN
      *
      *        P3: ALINIERUNG L (LINKS)
      *                       R (RECHTS)
      *             WENN UGUELTIG = L        1 BYTE   AN
      *        P4: WOCHENTAG OUTPUT     10 BYTES  AN
      *
      *        WENN P1 NICH PLAUSIBEL, WIRD P4 MIT '?' GEFUELLT
      *
      *        DIESER KALENDER BERUHT AUF DER TATSACHE, DASS AM
      *        1. JANUAR 1901   D I E N S T A G   WAR.
      ****************************************************************
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
      *
       DATA DIVISION.
      *
      ***************************************************************
       WORKING-STORAGE SECTION.
      ***************************************************************
      *
       77  TESTFALL-NR                       PIC 99   VALUE ZERO.
       77  STOP-KEY                          PIC XX.
      *
      ***********************************************************
       LINKAGE SECTION.
      ***********************************************************
       01  DDMMYY.
           02 DD        PIC 99.
           02 MM        PIC 99.
SNEED      02 CE        PIC 99.
           02 YY        PIC 99.
       01  P16          PIC X.
      ***************************************************************
       PROCEDURE DIVISION USING DDMMYY P16.
      ***************************************************************
       TEST-BODY.
           ADD 1 TO TESTFALL-NR.
           IF TESTFALL-NR = 1
              MOVE '9' TO P16
           ELSE
              MOVE '0' TO P16
           END-IF.
      *    DISPLAY 'Stub called '
      *    DISPLAY 'Input = ' DDMMYY.
      *    DISPLAY 'Output= ' P16.
      *    DISPLAY 'Press Enter to Continue '
      *    ACCEPT STOP-KEY
           GOBACK.
      ************************ End of Stub ***************************
